
/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
DROP TABLE IF EXISTS `account_transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `account_transactions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `account_id` int NOT NULL,
  `type` enum('debit','credit') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `sub_type` enum('opening_balance','fund_transfer','deposit') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(22,4) NOT NULL,
  `reff_no` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `operation_date` datetime NOT NULL,
  `created_by` int NOT NULL,
  `transaction_id` int DEFAULT NULL,
  `transaction_payment_id` int DEFAULT NULL,
  `transfer_transaction_id` int DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `account_transactions_account_id_index` (`account_id`),
  KEY `account_transactions_transaction_id_index` (`transaction_id`),
  KEY `account_transactions_transaction_payment_id_index` (`transaction_payment_id`),
  KEY `account_transactions_transfer_transaction_id_index` (`transfer_transaction_id`),
  KEY `account_transactions_created_by_index` (`created_by`),
  KEY `account_transactions_type_index` (`type`),
  KEY `account_transactions_sub_type_index` (`sub_type`),
  KEY `account_transactions_operation_date_index` (`operation_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `account_transactions` WRITE;
/*!40000 ALTER TABLE `account_transactions` DISABLE KEYS */;
/*!40000 ALTER TABLE `account_transactions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `account_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `account_types` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_account_type_id` int DEFAULT NULL,
  `business_id` int NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `account_types_parent_account_type_id_index` (`parent_account_type_id`),
  KEY `account_types_business_id_index` (`business_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `account_types` WRITE;
/*!40000 ALTER TABLE `account_types` DISABLE KEYS */;
/*!40000 ALTER TABLE `account_types` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `accounts` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `account_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `account_details` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `account_type_id` int DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_by` int NOT NULL,
  `is_closed` tinyint(1) NOT NULL DEFAULT '0',
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `accounts_business_id_index` (`business_id`),
  KEY `accounts_account_type_id_index` (`account_type_id`),
  KEY `accounts_created_by_index` (`created_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `accounts` WRITE;
/*!40000 ALTER TABLE `accounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `activity_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `activity_log` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `log_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `subject_id` int DEFAULT NULL,
  `subject_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `event` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `business_id` int DEFAULT NULL,
  `causer_id` int DEFAULT NULL,
  `causer_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `properties` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `batch_uuid` char(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `activity_log_log_name_index` (`log_name`)
) ENGINE=InnoDB AUTO_INCREMENT=934 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `activity_log` WRITE;
/*!40000 ALTER TABLE `activity_log` DISABLE KEYS */;
INSERT INTO `activity_log` VALUES (1,'default','login',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-06-22 11:24:52','2023-06-22 11:24:52'),(2,'default','login',2,'App\\User',NULL,1,2,'App\\User','[]',NULL,'2023-06-23 07:48:40','2023-06-23 07:48:40'),(3,'default','added',1,'App\\Transaction',NULL,1,2,'App\\User','{\"attributes\":{\"type\":\"purchase\",\"status\":\"pending\",\"payment_status\":\"due\",\"final_total\":8404082.18999999947845935821533203125}}',NULL,'2023-06-23 08:10:17','2023-06-23 08:10:17'),(4,'default','login',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-06-25 09:15:11','2023-06-25 09:15:11'),(5,'default','added',11,'App\\Transaction',NULL,1,1,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":46000}}',NULL,'2023-06-25 09:22:47','2023-06-25 09:22:47'),(6,'default','login',2,'App\\User',NULL,1,2,'App\\User','[]',NULL,'2023-06-28 07:08:42','2023-06-28 07:08:42'),(7,'default','added',12,'App\\Transaction',NULL,1,1,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":51520}}',NULL,'2023-06-30 16:06:23','2023-06-30 16:06:23'),(10,'default','added',15,'App\\Transaction',NULL,1,1,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":276000}}',NULL,'2023-07-03 23:12:09','2023-07-03 23:12:09'),(11,'default','added',16,'App\\Transaction',NULL,1,1,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":322000}}',NULL,'2023-07-03 23:13:43','2023-07-03 23:13:43'),(12,'default','added',19,'App\\Transaction',NULL,1,1,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":97520}}',NULL,'2023-07-03 23:16:35','2023-07-03 23:16:35'),(13,'default','login',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-07-03 23:42:03','2023-07-03 23:42:03'),(14,'default','login',2,'App\\User',NULL,1,2,'App\\User','[]',NULL,'2023-07-04 06:28:30','2023-07-04 06:28:30'),(15,'default','added',20,'App\\Transaction',NULL,1,2,'App\\User','{\"attributes\":{\"type\":\"purchase\",\"status\":\"pending\",\"payment_status\":\"due\",\"final_total\":187017.9400000000023283064365386962890625}}',NULL,'2023-07-04 06:55:25','2023-07-04 06:55:25'),(16,'default','edited',20,'App\\Transaction',NULL,1,2,'App\\User','{\"attributes\":{\"type\":\"purchase\",\"status\":\"pending\",\"payment_status\":\"due\",\"final_total\":264017.900000000023283064365386962890625},\"old\":{\"type\":\"purchase\",\"status\":\"pending\",\"payment_status\":\"due\",\"final_total\":\"187017.9400\"}}',NULL,'2023-07-04 06:57:55','2023-07-04 06:57:55'),(17,'default','edited',20,'App\\Transaction',NULL,1,2,'App\\User','{\"attributes\":{\"type\":\"purchase\",\"status\":\"pending\",\"payment_status\":\"due\",\"final_total\":8406460.18999999947845935821533203125},\"old\":{\"type\":\"purchase\",\"status\":\"pending\",\"payment_status\":\"due\",\"final_total\":\"264017.9000\"}}',NULL,'2023-07-04 07:02:33','2023-07-04 07:02:33'),(18,'default','edited',20,'App\\Transaction',NULL,1,2,'App\\User','{\"attributes\":{\"type\":\"purchase\",\"status\":\"pending\",\"payment_status\":\"due\",\"final_total\":8406442.18999999947845935821533203125},\"old\":{\"type\":\"purchase\",\"status\":\"pending\",\"payment_status\":\"due\",\"final_total\":\"8406460.1900\"}}',NULL,'2023-07-04 07:05:24','2023-07-04 07:05:24'),(19,'default','edited',20,'App\\Transaction',NULL,1,2,'App\\User','{\"attributes\":{\"type\":\"purchase\",\"status\":\"pending\",\"payment_status\":\"due\",\"final_total\":8406442.18999999947845935821533203125},\"old\":{\"type\":\"purchase\",\"status\":\"pending\",\"payment_status\":\"due\",\"final_total\":\"8406442.1900\"}}',NULL,'2023-07-04 07:23:09','2023-07-04 07:23:09'),(20,'default','edited',20,'App\\Transaction',NULL,1,2,'App\\User','{\"attributes\":{\"type\":\"purchase\",\"status\":\"pending\",\"payment_status\":\"due\",\"final_total\":13867066.18999999947845935821533203125},\"old\":{\"type\":\"purchase\",\"status\":\"pending\",\"payment_status\":\"due\",\"final_total\":\"8406442.1900\"}}',NULL,'2023-07-04 07:28:30','2023-07-04 07:28:30'),(21,'default','added',21,'App\\Transaction',NULL,1,1,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":138000}}',NULL,'2023-07-04 08:08:26','2023-07-04 08:08:26'),(22,'default','login',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-07-04 13:44:45','2023-07-04 13:44:45'),(23,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-05 07:10:06','2023-07-05 07:10:06'),(24,'default','added',23,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":625}}',NULL,'2023-07-05 07:16:37','2023-07-05 07:16:37'),(25,'default','sell_deleted',23,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":23,\"invoice_no\":\"0001\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"625.0000\"}}',NULL,'2023-07-05 07:28:23','2023-07-05 07:28:23'),(26,'default','added',24,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":625}}',NULL,'2023-07-05 07:29:59','2023-07-05 07:29:59'),(27,'default','sell_deleted',24,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":24,\"invoice_no\":\"000849\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"625.0000\"}}',NULL,'2023-07-05 07:30:56','2023-07-05 07:30:56'),(28,'default','added',25,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":625}}',NULL,'2023-07-05 07:39:51','2023-07-05 07:39:51'),(29,'default','sell_deleted',25,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":25,\"invoice_no\":\"000850\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"625.0000\"}}',NULL,'2023-07-05 07:44:25','2023-07-05 07:44:25'),(30,'default','logout',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-07-05 07:44:50','2023-07-05 07:44:50'),(31,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-05 07:44:56','2023-07-05 07:44:56'),(32,'default','added',26,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":625}}',NULL,'2023-07-05 07:47:08','2023-07-05 07:47:08'),(38,'default','logout',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-05 07:52:09','2023-07-05 07:52:09'),(39,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-05 07:52:17','2023-07-05 07:52:17'),(42,'default','sell_deleted',26,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":26,\"invoice_no\":\"000848\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"625.0000\"}}',NULL,'2023-07-05 07:55:38','2023-07-05 07:55:38'),(57,'default','added',48,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":625}}',NULL,'2023-07-05 08:56:08','2023-07-05 08:56:08'),(62,'default','added',53,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":625}}',NULL,'2023-07-05 09:33:35','2023-07-05 09:33:35'),(63,'default','logout',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-05 09:33:55','2023-07-05 09:33:55'),(64,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-05 09:47:24','2023-07-05 09:47:24'),(66,'default','added',55,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":625}}',NULL,'2023-07-05 09:53:35','2023-07-05 09:53:35'),(67,'default','logout',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-05 09:55:41','2023-07-05 09:55:41'),(68,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-06 10:06:41','2023-07-06 10:06:41'),(72,'default','added',81,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-07-06 20:12:40','2023-07-06 20:12:40'),(73,'default','added',83,'App\\Transaction',NULL,2,3,'App\\User','[]',NULL,'2023-07-06 20:36:23','2023-07-06 20:36:23'),(74,'default','po_deleted',83,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":83,\"ref_no\":\"234234\"}',NULL,'2023-07-06 20:37:36','2023-07-06 20:37:36'),(75,'default','logout',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-09 10:26:43','2023-07-09 10:26:43'),(76,'default','login',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-07-09 10:26:53','2023-07-09 10:26:53'),(77,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-12 09:36:10','2023-07-12 09:36:10'),(78,'default','login',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-14 07:28:40','2023-07-14 07:28:40'),(79,'default','added',127,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":16000}}',NULL,'2023-07-14 07:37:19','2023-07-14 07:37:19'),(80,'default','added',128,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-07-14 08:02:10','2023-07-14 08:02:10'),(81,'default','added',129,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-07-14 08:10:46','2023-07-14 08:10:46'),(82,'default','logout',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-14 08:22:53','2023-07-14 08:22:53'),(83,'default','added',130,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":13000}}',NULL,'2023-07-20 06:55:27','2023-07-20 06:55:27'),(84,'default','added',131,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":11017}}',NULL,'2023-07-20 07:00:42','2023-07-20 07:00:42'),(85,'default','added',132,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":13000}}',NULL,'2023-07-20 07:06:19','2023-07-20 07:06:19'),(86,'default','added',133,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":13000}}',NULL,'2023-07-20 07:08:41','2023-07-20 07:08:41'),(87,'default','added',134,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":59000}}',NULL,'2023-07-20 08:14:15','2023-07-20 08:14:15'),(88,'default','added',135,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30508}}',NULL,'2023-07-20 08:16:22','2023-07-20 08:16:22'),(89,'default','added',136,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30508}}',NULL,'2023-07-20 08:33:24','2023-07-20 08:33:24'),(90,'default','added',137,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":46000}}',NULL,'2023-07-20 09:12:59','2023-07-20 09:12:59'),(91,'default','edited',137,'App\\Transaction',NULL,2,3,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":46000},\"old\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"46000.0000\"}}',NULL,'2023-07-20 09:36:53','2023-07-20 09:36:53'),(92,'default','login',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-22 07:32:13','2023-07-22 07:32:13'),(93,'default','added',140,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-07-22 07:35:42','2023-07-22 07:35:42'),(94,'default','added',141,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":90000}}',NULL,'2023-07-22 07:37:50','2023-07-22 07:37:50'),(95,'default','added',142,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":90000}}',NULL,'2023-07-22 07:48:32','2023-07-22 07:48:32'),(96,'default','added',143,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":0}}',NULL,'2023-07-22 07:49:44','2023-07-22 07:49:44'),(97,'default','login',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-22 11:32:58','2023-07-22 11:32:58'),(98,'default','added',144,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-07-22 11:33:22','2023-07-22 11:33:22'),(99,'default','login',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-24 08:31:47','2023-07-24 08:31:47'),(100,'default','login',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-24 09:40:09','2023-07-24 09:40:09'),(101,'default','added',164,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":49000}}',NULL,'2023-07-24 09:40:44','2023-07-24 09:40:44'),(102,'default','added',165,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-07-24 09:41:20','2023-07-24 09:41:20'),(103,'default','added',166,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-07-24 09:41:41','2023-07-24 09:41:41'),(104,'default','added',167,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":115000}}',NULL,'2023-07-24 09:42:07','2023-07-24 09:42:07'),(105,'default','added',168,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-07-24 09:42:44','2023-07-24 09:42:44'),(106,'default','added',169,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":16000}}',NULL,'2023-07-24 09:45:38','2023-07-24 09:45:38'),(107,'default','added',170,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":92000}}',NULL,'2023-07-24 09:48:47','2023-07-24 09:48:47'),(108,'default','added',171,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-07-24 09:49:22','2023-07-24 09:49:22'),(109,'default','added',173,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-07-24 09:52:06','2023-07-24 09:52:06'),(110,'default','added',174,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-07-24 09:53:12','2023-07-24 09:53:12'),(111,'default','added',175,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-07-24 09:54:33','2023-07-24 09:54:33'),(112,'default','added',176,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-07-24 09:54:56','2023-07-24 09:54:56'),(113,'default','login',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-24 12:49:10','2023-07-24 12:49:10'),(114,'default','added',177,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-07-24 12:49:28','2023-07-24 12:49:28'),(115,'default','added',178,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-07-24 12:50:02','2023-07-24 12:50:02'),(116,'default','added',179,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-07-24 12:50:37','2023-07-24 12:50:37'),(117,'default','login',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-24 14:05:13','2023-07-24 14:05:13'),(118,'default','added',180,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"purchase\",\"status\":\"ordered\",\"payment_status\":\"due\",\"final_total\":5668499.1600000001490116119384765625}}',NULL,'2023-07-24 14:31:27','2023-07-24 14:31:27'),(119,'default','edited',180,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"purchase\",\"status\":\"ordered\",\"payment_status\":\"due\",\"final_total\":5668500.190000000409781932830810546875},\"old\":{\"type\":\"purchase\",\"status\":\"ordered\",\"payment_status\":\"due\",\"final_total\":\"5668499.1600\"}}',NULL,'2023-07-24 14:34:08','2023-07-24 14:34:08'),(120,'default','edited',180,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"purchase\",\"status\":\"ordered\",\"payment_status\":\"due\",\"final_total\":5668500.190000000409781932830810546875},\"old\":{\"type\":\"purchase\",\"status\":\"ordered\",\"payment_status\":\"due\",\"final_total\":\"5668500.1900\"}}',NULL,'2023-07-24 14:38:07','2023-07-24 14:38:07'),(121,'default','edited',180,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"purchase\",\"status\":\"ordered\",\"payment_status\":\"due\",\"final_total\":5668500.190000000409781932830810546875},\"old\":{\"type\":\"purchase\",\"status\":\"ordered\",\"payment_status\":\"due\",\"final_total\":\"5668500.1900\"}}',NULL,'2023-07-24 14:41:05','2023-07-24 14:41:05'),(122,'default','edited',9,'App\\Contact',NULL,2,3,'App\\User','[]',NULL,'2023-07-25 01:31:25','2023-07-25 01:31:25'),(123,'default','edited',9,'App\\Contact',NULL,2,3,'App\\User','[]',NULL,'2023-07-25 01:49:08','2023-07-25 01:49:08'),(124,'default','edited',10,'App\\Contact',NULL,2,3,'App\\User','[]',NULL,'2023-07-25 08:25:14','2023-07-25 08:25:14'),(125,'default','edited',10,'App\\Contact',NULL,2,3,'App\\User','[]',NULL,'2023-07-25 08:27:13','2023-07-25 08:27:13'),(126,'default','edited',10,'App\\Contact',NULL,2,3,'App\\User','[]',NULL,'2023-07-25 08:27:46','2023-07-25 08:27:46'),(127,'default','edited',10,'App\\Contact',NULL,2,3,'App\\User','[]',NULL,'2023-07-25 08:58:39','2023-07-25 08:58:39'),(128,'default','login',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-25 09:01:52','2023-07-25 09:01:52'),(129,'default','added',181,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-07-25 09:02:29','2023-07-25 09:02:29'),(130,'default','added',182,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":65000}}',NULL,'2023-07-25 09:03:37','2023-07-25 09:03:37'),(131,'default','added',183,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-07-25 09:04:35','2023-07-25 09:04:35'),(132,'default','sell_deleted',183,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":183,\"invoice_no\":\"000884\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"15000.0000\"}}',NULL,'2023-07-25 09:39:17','2023-07-25 09:39:17'),(133,'default','sell_deleted',182,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":182,\"invoice_no\":\"000883\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"65000.0000\"}}',NULL,'2023-07-25 09:39:28','2023-07-25 09:39:28'),(134,'default','sell_deleted',181,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":181,\"invoice_no\":\"000882\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"5000.0000\"}}',NULL,'2023-07-25 09:39:33','2023-07-25 09:39:33'),(135,'default','sell_deleted',179,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":179,\"invoice_no\":\"000881\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"30000.0000\"}}',NULL,'2023-07-25 09:39:58','2023-07-25 09:39:58'),(136,'default','sell_deleted',178,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":178,\"invoice_no\":\"000880\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"30000.0000\"}}',NULL,'2023-07-25 09:40:04','2023-07-25 09:40:04'),(137,'default','sell_deleted',177,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":177,\"invoice_no\":\"000879\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"30000.0000\"}}',NULL,'2023-07-25 09:40:09','2023-07-25 09:40:09'),(138,'default','sell_deleted',176,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":176,\"invoice_no\":\"000878\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"5000.0000\"}}',NULL,'2023-07-25 09:47:22','2023-07-25 09:47:22'),(139,'default','sell_deleted',175,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":175,\"invoice_no\":\"000877\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"5000.0000\"}}',NULL,'2023-07-25 09:47:26','2023-07-25 09:47:26'),(140,'default','sell_deleted',174,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":174,\"invoice_no\":\"000876\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"5000.0000\"}}',NULL,'2023-07-25 09:47:31','2023-07-25 09:47:31'),(141,'default','sell_deleted',173,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":173,\"invoice_no\":\"000875\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"5000.0000\"}}',NULL,'2023-07-25 09:47:35','2023-07-25 09:47:35'),(142,'default','sell_deleted',171,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":171,\"invoice_no\":\"000874\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"15000.0000\"}}',NULL,'2023-07-25 09:47:41','2023-07-25 09:47:41'),(143,'default','sell_deleted',140,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":140,\"invoice_no\":\"000862\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"30000.0000\"}}',NULL,'2023-07-25 09:47:48','2023-07-25 09:47:48'),(144,'default','sell_deleted',167,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":167,\"invoice_no\":\"000870\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"115000.0000\"}}',NULL,'2023-07-25 09:47:53','2023-07-25 09:47:53'),(145,'default','sell_deleted',168,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":168,\"invoice_no\":\"000871\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"10000.0000\"}}',NULL,'2023-07-25 09:47:58','2023-07-25 09:47:58'),(146,'default','sell_deleted',166,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":166,\"invoice_no\":\"000869\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"5000.0000\"}}',NULL,'2023-07-25 09:48:05','2023-07-25 09:48:05'),(147,'default','sell_deleted',169,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":169,\"invoice_no\":\"000872\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"16000.0000\"}}',NULL,'2023-07-25 09:48:09','2023-07-25 09:48:09'),(148,'default','sell_deleted',170,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":170,\"invoice_no\":\"000873\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"92000.0000\"}}',NULL,'2023-07-25 09:48:12','2023-07-25 09:48:12'),(149,'default','sell_deleted',165,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":165,\"invoice_no\":\"000868\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"5000.0000\"}}',NULL,'2023-07-25 09:48:17','2023-07-25 09:48:17'),(150,'default','sell_deleted',164,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":164,\"invoice_no\":\"000867\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"49000.0000\"}}',NULL,'2023-07-25 09:48:22','2023-07-25 09:48:22'),(151,'default','sell_deleted',144,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":144,\"invoice_no\":\"000866\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"30000.0000\"}}',NULL,'2023-07-25 09:49:07','2023-07-25 09:49:07'),(152,'default','sell_deleted',143,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":143,\"invoice_no\":\"000865\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"0.0000\"}}',NULL,'2023-07-25 09:49:11','2023-07-25 09:49:11'),(153,'default','sell_deleted',142,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":142,\"invoice_no\":\"000864\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"90000.0000\"}}',NULL,'2023-07-25 09:49:16','2023-07-25 09:49:16'),(154,'default','sell_deleted',141,'App\\Transaction',NULL,2,3,'App\\User','{\"id\":141,\"invoice_no\":\"000863\",\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"90000.0000\"}}',NULL,'2023-07-25 09:49:21','2023-07-25 09:49:21'),(155,'default','added',6,'App\\User',NULL,2,5,'App\\User','{\"name\":\"MR Bashiri Jamal\"}',NULL,'2023-07-25 10:59:33','2023-07-25 10:59:33'),(156,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-25 12:27:53','2023-07-25 12:27:53'),(157,'default','edited',6,'App\\User',NULL,2,3,'App\\User','{\"name\":\"MR Bashiri Jamal\"}',NULL,'2023-07-26 07:36:40','2023-07-26 07:36:40'),(158,'default','edited',6,'App\\User',NULL,2,3,'App\\User','{\"name\":\"MR Bashiri Jamal\"}',NULL,'2023-07-26 07:37:22','2023-07-26 07:37:22'),(159,'default','logout',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-26 07:37:34','2023-07-26 07:37:34'),(160,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 07:37:43','2023-07-26 07:37:43'),(161,'default','logout',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 07:38:01','2023-07-26 07:38:01'),(162,'default','login',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-07-26 07:38:11','2023-07-26 07:38:11'),(163,'default','logout',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-07-26 07:38:28','2023-07-26 07:38:28'),(164,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-26 07:38:40','2023-07-26 07:38:40'),(165,'default','logout',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-26 07:42:07','2023-07-26 07:42:07'),(166,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 07:42:23','2023-07-26 07:42:23'),(167,'default','logout',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 07:44:49','2023-07-26 07:44:49'),(168,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-26 07:44:56','2023-07-26 07:44:56'),(169,'default','logout',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-26 09:31:14','2023-07-26 09:31:14'),(170,'default','edited',6,'App\\User',NULL,2,3,'App\\User','{\"name\":\"MR Bashiri Jamal\"}',NULL,'2023-07-26 09:48:00','2023-07-26 09:48:00'),(171,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 09:49:16','2023-07-26 09:49:16'),(174,'default','added',186,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-07-26 10:03:26','2023-07-26 10:03:26'),(175,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 10:27:25','2023-07-26 10:27:25'),(176,'default','added',187,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-07-26 10:27:37','2023-07-26 10:27:37'),(177,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 14:08:50','2023-07-26 14:08:50'),(178,'default','added',188,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-07-26 14:10:18','2023-07-26 14:10:18'),(179,'default','added',189,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-07-26 14:10:57','2023-07-26 14:10:57'),(180,'default','added',20,'App\\Contact',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 14:14:19','2023-07-26 14:14:19'),(184,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 14:19:33','2023-07-26 14:19:33'),(201,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 14:29:33','2023-07-26 14:29:33'),(202,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 14:31:13','2023-07-26 14:31:13'),(203,'default','logout',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 14:31:44','2023-07-26 14:31:44'),(204,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 14:32:21','2023-07-26 14:32:21'),(210,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 14:42:17','2023-07-26 14:42:17'),(213,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-07-26 15:11:41','2023-07-26 15:11:41'),(214,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 15:13:06','2023-07-26 15:13:06'),(218,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-26 15:21:02','2023-07-26 15:21:02'),(219,'default','added',219,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":80000}}',NULL,'2023-07-26 15:22:16','2023-07-26 15:22:16'),(224,'default','added',224,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":80000}}',NULL,'2023-07-26 15:27:13','2023-07-26 15:27:13'),(225,'default','added',225,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":80000}}',NULL,'2023-07-26 15:31:27','2023-07-26 15:31:27'),(229,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-27 07:48:46','2023-07-27 07:48:46'),(232,'default','login',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-27 12:05:18','2023-07-27 12:05:18'),(233,'default','edited',15,'App\\Contact',NULL,2,5,'App\\User','[]',NULL,'2023-07-27 12:12:24','2023-07-27 12:12:24'),(234,'default','edited',13,'App\\Contact',NULL,2,5,'App\\User','[]',NULL,'2023-07-27 12:12:45','2023-07-27 12:12:45'),(235,'default','edited',15,'App\\Contact',NULL,2,5,'App\\User','[]',NULL,'2023-07-27 12:13:02','2023-07-27 12:13:02'),(236,'default','contact_deleted',20,'App\\Contact',NULL,2,5,'App\\User','[]',NULL,'2023-07-27 12:15:32','2023-07-27 12:15:32'),(237,'default','edited',13,'App\\Contact',NULL,2,5,'App\\User','[]',NULL,'2023-07-27 12:16:25','2023-07-27 12:16:25'),(238,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-27 12:23:12','2023-07-27 12:23:12'),(242,'default','login',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-27 16:23:57','2023-07-27 16:23:57'),(243,'default','edited',14,'App\\Contact',NULL,2,5,'App\\User','[]',NULL,'2023-07-27 16:25:46','2023-07-27 16:25:46'),(244,'default','edited',15,'App\\Contact',NULL,2,5,'App\\User','[]',NULL,'2023-07-27 16:26:11','2023-07-27 16:26:11'),(245,'default','logout',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-07-27 16:26:29','2023-07-27 16:26:29'),(246,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-27 16:29:08','2023-07-27 16:29:08'),(247,'default','added',234,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":130000}}',NULL,'2023-07-27 16:29:49','2023-07-27 16:29:49'),(248,'default','added',235,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-07-27 16:31:39','2023-07-27 16:31:39'),(249,'default','added',236,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-07-27 16:32:35','2023-07-27 16:32:35'),(250,'default','added',237,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-07-27 16:33:18','2023-07-27 16:33:18'),(251,'default','added',238,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-07-27 16:33:47','2023-07-27 16:33:47'),(252,'default','added',239,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":80000}}',NULL,'2023-07-27 16:34:57','2023-07-27 16:34:57'),(253,'default','added',240,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-07-27 16:35:47','2023-07-27 16:35:47'),(254,'default','added',241,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":40000}}',NULL,'2023-07-27 16:36:40','2023-07-27 16:36:40'),(255,'default','added',242,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-07-27 16:37:14','2023-07-27 16:37:14'),(256,'default','added',243,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-07-27 16:37:44','2023-07-27 16:37:44'),(257,'default','added',244,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":40000}}',NULL,'2023-07-27 16:38:27','2023-07-27 16:38:27'),(258,'default','added',245,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-07-27 16:39:14','2023-07-27 16:39:14'),(259,'default','added',246,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-07-27 16:40:18','2023-07-27 16:40:18'),(260,'default','added',247,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-07-27 16:40:59','2023-07-27 16:40:59'),(261,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-29 09:54:08','2023-07-29 09:54:08'),(262,'default','added',248,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":70000}}',NULL,'2023-07-29 09:56:52','2023-07-29 09:56:52'),(263,'default','added',249,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":32000}}',NULL,'2023-07-29 09:57:36','2023-07-29 09:57:36'),(264,'default','login',2,'App\\User',NULL,1,2,'App\\User','[]',NULL,'2023-07-31 08:10:41','2023-07-31 08:10:41'),(265,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-07-31 14:58:24','2023-07-31 14:58:24'),(266,'default','added',250,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-07-31 14:58:58','2023-07-31 14:58:58'),(267,'default','added',251,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-07-31 14:59:16','2023-07-31 14:59:16'),(268,'default','added',21,'App\\Contact',NULL,2,6,'App\\User','[]',NULL,'2023-07-31 15:01:10','2023-07-31 15:01:10'),(271,'default','added',254,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-07-31 15:01:57','2023-07-31 15:01:57'),(272,'default','login',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-08-01 07:49:15','2023-08-01 07:49:15'),(273,'default','edited',180,'App\\Transaction',NULL,2,5,'App\\User','{\"attributes\":{\"type\":\"purchase\",\"status\":\"ordered\",\"payment_status\":\"due\",\"final_total\":2725800.120000000111758708953857421875},\"old\":{\"type\":\"purchase\",\"status\":\"ordered\",\"payment_status\":\"due\",\"final_total\":\"5668500.1900\"}}',NULL,'2023-08-01 07:56:08','2023-08-01 07:56:08'),(274,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-03 06:21:38','2023-08-03 06:21:38'),(275,'default','added',255,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:24:36','2023-08-03 06:24:36'),(276,'default','added',256,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:24:58','2023-08-03 06:24:58'),(277,'default','added',257,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-08-03 06:26:27','2023-08-03 06:26:27'),(278,'default','added',258,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:27:03','2023-08-03 06:27:03'),(279,'default','added',259,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:27:27','2023-08-03 06:27:27'),(280,'default','added',260,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:27:42','2023-08-03 06:27:42'),(281,'default','added',261,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:27:54','2023-08-03 06:27:54'),(282,'default','added',262,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-08-03 06:28:45','2023-08-03 06:28:45'),(283,'default','added',263,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:29:10','2023-08-03 06:29:10'),(284,'default','added',264,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:29:28','2023-08-03 06:29:28'),(285,'default','added',265,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:29:38','2023-08-03 06:29:38'),(286,'default','added',266,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:29:51','2023-08-03 06:29:51'),(287,'default','added',267,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:30:05','2023-08-03 06:30:05'),(288,'default','added',268,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:30:19','2023-08-03 06:30:19'),(289,'default','added',269,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:31:17','2023-08-03 06:31:17'),(290,'default','added',270,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:31:59','2023-08-03 06:31:59'),(291,'default','added',271,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:32:12','2023-08-03 06:32:12'),(292,'default','added',272,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:32:24','2023-08-03 06:32:24'),(293,'default','added',273,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:32:39','2023-08-03 06:32:39'),(294,'default','added',274,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-08-03 06:33:38','2023-08-03 06:33:38'),(295,'default','added',275,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-08-03 06:33:56','2023-08-03 06:33:56'),(296,'default','added',276,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-03 06:37:30','2023-08-03 06:37:30'),(297,'default','added',277,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-03 06:37:42','2023-08-03 06:37:42'),(298,'default','added',278,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-03 06:37:52','2023-08-03 06:37:52'),(299,'default','added',279,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-03 06:38:02','2023-08-03 06:38:02'),(300,'default','added',280,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-03 06:39:01','2023-08-03 06:39:01'),(301,'default','added',281,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-03 06:39:51','2023-08-03 06:39:51'),(302,'default','added',282,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-08-03 06:40:17','2023-08-03 06:40:17'),(303,'default','added',283,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-08-03 06:40:39','2023-08-03 06:40:39'),(304,'default','added',284,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-08-03 06:40:56','2023-08-03 06:40:56'),(305,'default','added',285,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-03 06:41:48','2023-08-03 06:41:48'),(306,'default','added',286,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-03 06:41:58','2023-08-03 06:41:58'),(307,'default','added',287,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-08-03 06:43:57','2023-08-03 06:43:57'),(308,'default','added',288,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-08-03 06:44:48','2023-08-03 06:44:48'),(309,'default','added',289,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-08-03 06:45:00','2023-08-03 06:45:00'),(310,'default','added',290,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-08-03 06:45:12','2023-08-03 06:45:12'),(311,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-08-03 09:43:59','2023-08-03 09:43:59'),(315,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-04 06:38:20','2023-08-04 06:38:20'),(317,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-04 06:40:51','2023-08-04 06:40:51'),(319,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-04 08:47:31','2023-08-04 08:47:31'),(321,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-04 08:49:38','2023-08-04 08:49:38'),(323,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-04 08:51:58','2023-08-04 08:51:58'),(325,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-04 10:23:49','2023-08-04 10:23:49'),(327,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-05 09:32:48','2023-08-05 09:32:48'),(329,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-08-07 09:14:21','2023-08-07 09:14:21'),(332,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-10 08:40:08','2023-08-10 08:40:08'),(334,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-11 07:26:15','2023-08-11 07:26:15'),(336,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-14 10:58:21','2023-08-14 10:58:21'),(338,'default','added',309,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-14 11:01:08','2023-08-14 11:01:08'),(339,'default','added',310,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-14 11:02:23','2023-08-14 11:02:23'),(340,'default','added',311,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-08-14 11:16:41','2023-08-14 11:16:41'),(342,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-14 13:14:25','2023-08-14 13:14:25'),(343,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-14 13:15:39','2023-08-14 13:15:39'),(350,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-14 14:10:48','2023-08-14 14:10:48'),(359,'default','added',327,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-08-14 14:46:33','2023-08-14 14:46:33'),(361,'default','added',329,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-14 14:51:02','2023-08-14 14:51:02'),(362,'default','added',330,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":89000}}',NULL,'2023-08-14 14:53:46','2023-08-14 14:53:46'),(372,'default','logout',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-14 15:36:28','2023-08-14 15:36:28'),(373,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-14 15:36:34','2023-08-14 15:36:34'),(375,'default','added',341,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-14 15:40:17','2023-08-14 15:40:17'),(380,'default','added',346,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-14 15:53:19','2023-08-14 15:53:19'),(381,'default','added',347,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-08-14 15:56:18','2023-08-14 15:56:18'),(382,'default','added',348,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-14 15:57:12','2023-08-14 15:57:12'),(383,'default','added',349,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-14 15:57:37','2023-08-14 15:57:37'),(385,'default','added',351,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-14 16:06:49','2023-08-14 16:06:49'),(386,'default','added',352,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-14 16:48:49','2023-08-14 16:48:49'),(391,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-14 17:25:12','2023-08-14 17:25:12'),(401,'default','added',366,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-14 18:28:53','2023-08-14 18:28:53'),(402,'default','logout',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-14 18:30:03','2023-08-14 18:30:03'),(403,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-15 06:58:22','2023-08-15 06:58:22'),(404,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-15 14:27:30','2023-08-15 14:27:30'),(405,'default','logout',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-15 14:27:43','2023-08-15 14:27:43'),(406,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-15 14:27:48','2023-08-15 14:27:48'),(407,'default','added',367,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-15 14:28:09','2023-08-15 14:28:09'),(408,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-17 10:31:23','2023-08-17 10:31:23'),(409,'default','added',368,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-17 10:31:58','2023-08-17 10:31:58'),(410,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-17 16:50:01','2023-08-17 16:50:01'),(411,'default','added',369,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":48000}}',NULL,'2023-08-17 16:50:29','2023-08-17 16:50:29'),(412,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-18 07:35:19','2023-08-18 07:35:19'),(413,'default','added',370,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-08-18 07:36:03','2023-08-18 07:36:03'),(414,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-18 16:01:12','2023-08-18 16:01:12'),(415,'default','added',371,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-08-18 16:01:26','2023-08-18 16:01:26'),(416,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-19 06:22:35','2023-08-19 06:22:35'),(417,'default','added',372,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":40000}}',NULL,'2023-08-19 06:24:00','2023-08-19 06:24:00'),(418,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-19 13:40:19','2023-08-19 13:40:19'),(419,'default','added',373,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":36000}}',NULL,'2023-08-19 13:41:41','2023-08-19 13:41:41'),(420,'default','added',374,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-08-19 15:19:41','2023-08-19 15:19:41'),(421,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-21 11:04:34','2023-08-21 11:04:34'),(422,'default','added',375,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-21 11:07:33','2023-08-21 11:07:33'),(423,'default','added',376,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-21 11:09:49','2023-08-21 11:09:49'),(424,'default','added',377,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-21 12:51:17','2023-08-21 12:51:17'),(425,'default','added',378,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":100000}}',NULL,'2023-08-21 12:51:44','2023-08-21 12:51:44'),(426,'default','added',379,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-21 12:52:05','2023-08-21 12:52:05'),(427,'default','added',380,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-21 12:52:35','2023-08-21 12:52:35'),(428,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-21 15:12:35','2023-08-21 15:12:35'),(429,'default','added',381,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-08-21 15:12:58','2023-08-21 15:12:58'),(430,'default','added',382,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-21 15:13:32','2023-08-21 15:13:32'),(431,'default','added',383,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-08-21 15:53:18','2023-08-21 15:53:18'),(432,'default','added',384,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-08-21 16:00:50','2023-08-21 16:00:50'),(433,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-22 12:32:04','2023-08-22 12:32:04'),(434,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-22 12:33:41','2023-08-22 12:33:41'),(435,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-23 10:18:32','2023-08-23 10:18:32'),(436,'default','added',385,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":190000}}',NULL,'2023-08-23 10:19:49','2023-08-23 10:19:49'),(437,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-23 10:24:42','2023-08-23 10:24:42'),(438,'default','added',386,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-08-23 10:24:51','2023-08-23 10:24:51'),(439,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-25 07:50:30','2023-08-25 07:50:30'),(441,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-26 10:44:24','2023-08-26 10:44:24'),(444,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-26 15:15:31','2023-08-26 15:15:31'),(445,'default','added',390,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-08-26 15:16:08','2023-08-26 15:16:08'),(446,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-27 10:15:02','2023-08-27 10:15:02'),(447,'default','added',391,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-08-27 11:18:30','2023-08-27 11:18:30'),(448,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-29 14:52:22','2023-08-29 14:52:22'),(449,'default','payment_edited',390,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"30000.0000\"},\"old\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":\"30000.0000\"}}',NULL,'2023-08-29 14:52:48','2023-08-29 14:52:48'),(450,'default','added',392,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-08-29 14:53:26','2023-08-29 14:53:26'),(451,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-30 07:42:42','2023-08-30 07:42:42'),(454,'default','added',395,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":13000}}',NULL,'2023-08-30 07:43:31','2023-08-30 07:43:31'),(455,'default','added',396,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-08-30 09:11:38','2023-08-30 09:11:38'),(456,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-30 15:48:48','2023-08-30 15:48:48'),(457,'default','added',397,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-08-30 15:49:16','2023-08-30 15:49:16'),(458,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-31 13:24:04','2023-08-31 13:24:04'),(459,'default','added',398,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-08-31 13:24:20','2023-08-31 13:24:20'),(460,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-08-31 13:37:10','2023-08-31 13:37:10'),(461,'default','added',399,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":13000}}',NULL,'2023-08-31 13:37:30','2023-08-31 13:37:30'),(462,'default','added',400,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-08-31 14:13:16','2023-08-31 14:13:16'),(463,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-01 09:27:35','2023-09-01 09:27:35'),(464,'default','added',401,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":60000}}',NULL,'2023-09-01 09:30:00','2023-09-01 09:30:00'),(465,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-01 12:40:01','2023-09-01 12:40:01'),(466,'default','added',402,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-09-01 12:40:15','2023-09-01 12:40:15'),(467,'default','added',403,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-01 12:40:23','2023-09-01 12:40:23'),(468,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-01 15:05:21','2023-09-01 15:05:21'),(469,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-02 08:17:36','2023-09-02 08:17:36'),(470,'default','added',404,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":25000}}',NULL,'2023-09-02 08:18:02','2023-09-02 08:18:02'),(471,'default','added',405,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-02 08:18:23','2023-09-02 08:18:23'),(472,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-02 12:41:00','2023-09-02 12:41:00'),(473,'default','added',406,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":44500}}',NULL,'2023-09-02 12:42:22','2023-09-02 12:42:22'),(474,'default','added',407,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-09-02 12:45:02','2023-09-02 12:45:02'),(475,'default','added',408,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-09-02 12:45:12','2023-09-02 12:45:12'),(476,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-02 16:13:37','2023-09-02 16:13:37'),(482,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-04 11:57:11','2023-09-04 11:57:11'),(483,'default','added',414,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":26000}}',NULL,'2023-09-04 11:59:24','2023-09-04 11:59:24'),(484,'default','added',415,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-09-04 11:59:42','2023-09-04 11:59:42'),(485,'default','added',416,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-04 11:59:50','2023-09-04 11:59:50'),(486,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-05 09:29:08','2023-09-05 09:29:08'),(487,'default','added',417,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-05 09:29:44','2023-09-05 09:29:44'),(488,'default','added',418,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-05 09:29:56','2023-09-05 09:29:56'),(489,'default','added',419,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-05 09:30:18','2023-09-05 09:30:18'),(490,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-05 09:41:03','2023-09-05 09:41:03'),(491,'default','added',420,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-09-05 09:41:30','2023-09-05 09:41:30'),(492,'default','added',421,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-05 09:41:36','2023-09-05 09:41:36'),(493,'default','added',422,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-09-05 09:41:48','2023-09-05 09:41:48'),(494,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-05 16:06:36','2023-09-05 16:06:36'),(495,'default','added',423,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-05 16:06:54','2023-09-05 16:06:54'),(496,'default','added',424,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-09-05 16:25:05','2023-09-05 16:25:05'),(497,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-06 08:12:18','2023-09-06 08:12:18'),(498,'default','added',425,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-06 08:12:30','2023-09-06 08:12:30'),(501,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-06 10:29:27','2023-09-06 10:29:27'),(502,'default','added',428,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":24000}}',NULL,'2023-09-06 10:30:50','2023-09-06 10:30:50'),(503,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-09-06 10:49:52','2023-09-06 10:49:52'),(504,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-06 13:14:51','2023-09-06 13:14:52'),(505,'default','added',429,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-09-06 13:15:25','2023-09-06 13:15:25'),(506,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-09-07 09:14:55','2023-09-07 09:14:55'),(507,'default','logout',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-09-07 09:15:32','2023-09-07 09:15:32'),(508,'default','login',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-09-07 09:16:30','2023-09-07 09:16:30'),(509,'default','logout',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-09-07 09:16:36','2023-09-07 09:16:36'),(510,'default','login',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-09-07 10:31:24','2023-09-07 10:31:25'),(511,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-09-10 12:14:54','2023-09-10 12:14:54'),(512,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-12 08:16:30','2023-09-12 08:16:30'),(513,'default','added',430,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-12 08:17:15','2023-09-12 08:17:15'),(516,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-12 13:09:12','2023-09-12 13:09:12'),(517,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-09-12 17:47:18','2023-09-12 17:47:18'),(518,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-13 06:53:34','2023-09-13 06:53:34'),(519,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-13 15:46:24','2023-09-13 15:46:24'),(520,'default','added',433,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-13 15:46:42','2023-09-13 15:46:42'),(521,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 07:11:10','2023-09-14 07:11:10'),(522,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 07:17:11','2023-09-14 07:17:11'),(523,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 07:21:23','2023-09-14 07:21:23'),(524,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 07:44:44','2023-09-14 07:44:44'),(525,'default','added',434,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-09-14 07:45:48','2023-09-14 07:45:48'),(526,'default','added',435,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-09-14 07:46:26','2023-09-14 07:46:26'),(527,'default','added',436,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-14 07:47:17','2023-09-14 07:47:17'),(528,'default','added',437,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-14 07:47:53','2023-09-14 07:47:53'),(529,'default','added',438,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-14 07:48:20','2023-09-14 07:48:20'),(530,'default','added',439,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":48000}}',NULL,'2023-09-14 07:49:49','2023-09-14 07:49:49'),(531,'default','added',440,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-14 07:51:19','2023-09-14 07:51:19'),(532,'default','added',441,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":35000}}',NULL,'2023-09-14 07:52:39','2023-09-14 07:52:39'),(533,'default','added',442,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":110000}}',NULL,'2023-09-14 07:54:00','2023-09-14 07:54:00'),(534,'default','added',443,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-09-14 07:54:35','2023-09-14 07:54:35'),(537,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 08:04:03','2023-09-14 08:04:03'),(540,'default','added',448,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-09-14 08:06:17','2023-09-14 08:06:17'),(541,'default','added',449,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-14 08:06:56','2023-09-14 08:06:56'),(544,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 08:09:51','2023-09-14 08:09:51'),(545,'default','added',452,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-14 08:10:54','2023-09-14 08:10:54'),(546,'default','added',453,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":100000}}',NULL,'2023-09-14 08:11:42','2023-09-14 08:11:42'),(547,'default','added',454,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-14 08:14:09','2023-09-14 08:14:09'),(548,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 08:22:43','2023-09-14 08:22:43'),(549,'default','added',455,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-14 08:22:57','2023-09-14 08:22:57'),(550,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 08:24:26','2023-09-14 08:24:26'),(551,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 08:25:18','2023-09-14 08:25:18'),(552,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 08:26:12','2023-09-14 08:26:12'),(553,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 08:27:36','2023-09-14 08:27:36'),(554,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 08:28:46','2023-09-14 08:28:46'),(555,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 08:30:21','2023-09-14 08:30:21'),(556,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 08:32:29','2023-09-14 08:32:29'),(557,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 08:35:20','2023-09-14 08:35:20'),(560,'default','added',458,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-09-14 08:37:13','2023-09-14 08:37:13'),(561,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 11:03:06','2023-09-14 11:03:06'),(562,'default','added',459,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-09-14 11:03:51','2023-09-14 11:03:51'),(563,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 11:20:53','2023-09-14 11:20:53'),(564,'default','added',460,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-09-14 12:17:07','2023-09-14 12:17:07'),(565,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-14 16:02:18','2023-09-14 16:02:18'),(566,'default','added',461,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-09-14 16:02:37','2023-09-14 16:02:37'),(567,'default','added',462,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-14 16:06:54','2023-09-14 16:06:54'),(568,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-09-19 08:26:02','2023-09-19 08:26:02'),(569,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-19 11:15:38','2023-09-19 11:15:38'),(570,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-20 12:49:40','2023-09-20 12:49:40'),(571,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-21 15:53:14','2023-09-21 15:53:14'),(572,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-22 08:30:31','2023-09-22 08:30:31'),(574,'default','added',464,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":70000}}',NULL,'2023-09-22 08:36:04','2023-09-22 08:36:04'),(575,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-22 15:52:50','2023-09-22 15:52:50'),(576,'default','added',465,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":48000}}',NULL,'2023-09-22 15:53:53','2023-09-22 15:53:53'),(577,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-25 09:20:09','2023-09-25 09:20:09'),(578,'default','added',466,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-09-25 09:20:30','2023-09-25 09:20:30'),(579,'default','added',467,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":80000}}',NULL,'2023-09-25 09:21:14','2023-09-25 09:21:14'),(580,'default','added',468,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":60000}}',NULL,'2023-09-25 09:29:22','2023-09-25 09:29:22'),(581,'default','added',469,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":13000}}',NULL,'2023-09-25 09:43:05','2023-09-25 09:43:05'),(582,'default','added',470,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-25 09:43:35','2023-09-25 09:43:35'),(583,'default','added',471,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-09-25 09:44:15','2023-09-25 09:44:15'),(584,'default','added',472,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":8500}}',NULL,'2023-09-25 09:44:38','2023-09-25 09:44:38'),(585,'default','added',473,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-25 09:44:51','2023-09-25 09:44:51'),(586,'default','added',474,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":13000}}',NULL,'2023-09-25 09:45:14','2023-09-25 09:45:14'),(587,'default','added',475,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-25 09:45:41','2023-09-25 09:45:41'),(588,'default','added',476,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":45000}}',NULL,'2023-09-25 09:47:17','2023-09-25 09:47:17'),(589,'default','added',477,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":51000}}',NULL,'2023-09-25 09:47:58','2023-09-25 09:47:58'),(590,'default','added',478,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-25 09:48:13','2023-09-25 09:48:13'),(591,'default','added',479,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":13000}}',NULL,'2023-09-25 09:48:35','2023-09-25 09:48:35'),(592,'default','added',480,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-25 09:49:54','2023-09-25 09:49:54'),(593,'default','added',481,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-25 09:50:05','2023-09-25 09:50:05'),(594,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-25 09:50:29','2023-09-25 09:50:29'),(595,'default','added',482,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-09-25 09:51:06','2023-09-25 09:51:06'),(596,'default','added',483,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-25 09:51:14','2023-09-25 09:51:14'),(597,'default','added',484,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-09-25 09:51:35','2023-09-25 09:51:35'),(598,'default','added',485,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-09-25 09:51:48','2023-09-25 09:51:48'),(599,'default','added',486,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":48000}}',NULL,'2023-09-25 09:52:14','2023-09-25 09:52:14'),(600,'default','added',487,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-09-25 09:53:17','2023-09-25 09:53:17'),(601,'default','added',488,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-25 09:53:38','2023-09-25 09:53:38'),(602,'default','added',489,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-09-25 09:53:54','2023-09-25 09:53:54'),(603,'default','added',490,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":8500}}',NULL,'2023-09-25 09:54:53','2023-09-25 09:54:53'),(604,'default','added',491,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-09-25 09:55:12','2023-09-25 09:55:12'),(605,'default','added',492,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-25 09:56:09','2023-09-25 09:56:09'),(606,'default','added',493,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":25000}}',NULL,'2023-09-25 09:57:07','2023-09-25 09:57:07'),(607,'default','added',494,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-09-25 10:53:22','2023-09-25 10:53:22'),(608,'default','added',495,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-09-25 10:53:59','2023-09-25 10:53:59'),(609,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-26 13:16:47','2023-09-26 13:16:47'),(610,'default','added',496,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":44500}}',NULL,'2023-09-26 13:17:05','2023-09-26 13:17:05'),(611,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-28 09:32:52','2023-09-28 09:32:52'),(612,'default','added',497,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":24000}}',NULL,'2023-09-28 09:34:14','2023-09-28 09:34:14'),(613,'default','added',498,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-28 10:13:15','2023-09-28 10:13:15'),(614,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-28 10:40:13','2023-09-28 10:40:13'),(615,'default','added',499,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-09-28 10:40:36','2023-09-28 10:40:36'),(616,'default','added',500,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-09-28 10:41:02','2023-09-28 10:41:02'),(617,'default','added',501,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-09-28 10:41:18','2023-09-28 10:41:18'),(618,'default','added',502,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":44500}}',NULL,'2023-09-28 10:41:53','2023-09-28 10:41:53'),(619,'default','added',503,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-09-28 10:42:22','2023-09-28 10:42:22'),(620,'default','added',504,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-09-28 10:42:34','2023-09-28 10:42:34'),(621,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-28 15:32:32','2023-09-28 15:32:32'),(622,'default','added',505,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-09-28 15:33:07','2023-09-28 15:33:07'),(623,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-29 08:13:40','2023-09-29 08:13:40'),(624,'default','added',506,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-09-29 08:14:14','2023-09-29 08:14:14'),(625,'default','added',507,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-09-29 08:14:39','2023-09-29 08:14:39'),(626,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-09-30 12:47:47','2023-09-30 12:47:47'),(627,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-09-30 13:52:26','2023-09-30 13:52:26'),(628,'default','added',508,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-09-30 13:52:47','2023-09-30 13:52:47'),(629,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-02 07:50:54','2023-10-02 07:50:54'),(632,'default','added',511,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-10-02 07:52:24','2023-10-02 07:52:24'),(633,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-04 06:16:46','2023-10-04 06:16:46'),(634,'default','added',512,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":36000}}',NULL,'2023-10-04 06:18:01','2023-10-04 06:18:01'),(635,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-06 15:10:52','2023-10-06 15:10:52'),(637,'default','added',514,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":84000}}',NULL,'2023-10-06 15:14:24','2023-10-06 15:14:24'),(638,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-11 07:46:13','2023-10-11 07:46:13'),(641,'default','added',517,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-10-11 07:48:09','2023-10-11 07:48:09'),(642,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-11 13:12:26','2023-10-11 13:12:26'),(643,'default','added',518,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-11 13:13:49','2023-10-11 13:13:49'),(644,'default','added',519,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-11 13:14:16','2023-10-11 13:14:16'),(645,'default','added',520,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-10-11 13:14:33','2023-10-11 13:14:33'),(646,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-11 13:19:01','2023-10-11 13:19:01'),(647,'default','added',521,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-11 13:23:54','2023-10-11 13:23:54'),(650,'default','added',524,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-11 13:25:03','2023-10-11 13:25:03'),(652,'default','added',526,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-11 13:26:33','2023-10-11 13:26:33'),(653,'default','added',527,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-10-11 13:26:49','2023-10-11 13:26:49'),(654,'default','added',528,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-11 13:27:00','2023-10-11 13:27:00'),(655,'default','added',529,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-11 13:27:09','2023-10-11 13:27:09'),(656,'default','added',530,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-11 13:27:17','2023-10-11 13:27:17'),(657,'default','added',531,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-11 13:27:26','2023-10-11 13:27:26'),(658,'default','added',532,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-11 13:28:43','2023-10-11 13:28:43'),(659,'default','added',533,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-10-11 13:29:10','2023-10-11 13:29:10'),(660,'default','added',534,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-11 13:29:44','2023-10-11 13:29:44'),(661,'default','added',535,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-10-11 13:30:12','2023-10-11 13:30:12'),(662,'default','added',536,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":44500}}',NULL,'2023-10-11 13:30:27','2023-10-11 13:30:27'),(663,'default','added',537,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":13000}}',NULL,'2023-10-11 13:30:57','2023-10-11 13:30:57'),(664,'default','added',538,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-11 13:31:15','2023-10-11 13:31:15'),(665,'default','added',539,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-11 13:31:28','2023-10-11 13:31:28'),(666,'default','added',540,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-10-11 13:32:57','2023-10-11 13:32:57'),(667,'default','added',541,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-11 13:33:20','2023-10-11 13:33:20'),(668,'default','added',542,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":40000}}',NULL,'2023-10-11 13:33:45','2023-10-11 13:33:45'),(669,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-12 07:46:45','2023-10-12 07:46:45'),(670,'default','added',543,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-12 07:48:36','2023-10-12 07:48:36'),(671,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-12 12:16:29','2023-10-12 12:16:29'),(672,'default','added',544,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":80000}}',NULL,'2023-10-12 12:17:12','2023-10-12 12:17:12'),(673,'default','added',545,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":80000}}',NULL,'2023-10-12 12:17:40','2023-10-12 12:17:40'),(674,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-13 12:49:47','2023-10-13 12:49:47'),(676,'default','added',547,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-13 12:50:51','2023-10-13 12:50:51'),(677,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-13 14:44:24','2023-10-13 14:44:24'),(678,'default','added',548,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-13 14:44:36','2023-10-13 14:44:36'),(679,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-15 08:52:54','2023-10-15 08:52:54'),(680,'default','added',549,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-15 08:53:55','2023-10-15 08:53:55'),(681,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-15 09:58:17','2023-10-15 09:58:17'),(682,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-16 10:00:12','2023-10-16 10:00:12'),(685,'default','added',552,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-16 10:01:44','2023-10-16 10:01:44'),(686,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-16 15:56:31','2023-10-16 15:56:31'),(687,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-16 15:56:48','2023-10-16 15:56:48'),(688,'default','added',553,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":12000}}',NULL,'2023-10-16 15:59:42','2023-10-16 15:59:42'),(689,'default','added',554,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-10-16 16:00:33','2023-10-16 16:00:33'),(690,'default','added',555,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-16 16:01:04','2023-10-16 16:01:04'),(691,'default','added',556,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":16000}}',NULL,'2023-10-16 16:06:16','2023-10-16 16:06:16'),(692,'default','added',557,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-10-16 16:06:48','2023-10-16 16:06:48'),(693,'default','added',558,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-10-16 16:08:09','2023-10-16 16:08:09'),(694,'default','added',559,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-16 16:08:34','2023-10-16 16:08:34'),(695,'default','added',560,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-16 16:08:58','2023-10-16 16:08:58'),(696,'default','added',561,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-16 16:09:25','2023-10-16 16:09:25'),(697,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-16 16:22:36','2023-10-16 16:22:36'),(698,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-18 10:16:00','2023-10-18 10:16:00'),(699,'default','added',562,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":40000}}',NULL,'2023-10-18 10:17:25','2023-10-18 10:17:25'),(700,'default','added',563,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-10-18 10:47:04','2023-10-18 10:47:04'),(701,'default','added',564,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-10-18 10:47:49','2023-10-18 10:47:49'),(702,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-19 06:59:32','2023-10-19 06:59:32'),(703,'default','added',565,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":245000}}',NULL,'2023-10-19 07:02:32','2023-10-19 07:02:32'),(704,'default','added',566,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":550000}}',NULL,'2023-10-19 08:55:39','2023-10-19 08:55:39'),(705,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-24 08:37:33','2023-10-24 08:37:33'),(709,'default','added',570,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":52000}}',NULL,'2023-10-24 08:39:36','2023-10-24 08:39:36'),(710,'default','added',571,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":52000}}',NULL,'2023-10-24 08:41:37','2023-10-24 08:41:37'),(711,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-25 09:20:55','2023-10-25 09:20:55'),(712,'default','added',572,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-25 09:21:07','2023-10-25 09:21:07'),(713,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-25 13:32:55','2023-10-25 13:32:55'),(716,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-25 13:38:03','2023-10-25 13:38:03'),(719,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-25 13:39:05','2023-10-25 13:39:05'),(735,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-25 15:40:11','2023-10-25 15:40:11'),(736,'default','added',22,'App\\Contact',NULL,2,6,'App\\User','[]',NULL,'2023-10-25 15:41:58','2023-10-25 15:41:58'),(739,'default','added',23,'App\\Contact',NULL,2,6,'App\\User','[]',NULL,'2023-10-25 15:43:17','2023-10-25 15:43:17'),(741,'default','added',24,'App\\Contact',NULL,2,6,'App\\User','[]',NULL,'2023-10-25 15:44:25','2023-10-25 15:44:25'),(744,'default','added',597,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":40000}}',NULL,'2023-10-25 15:45:08','2023-10-25 15:45:08'),(745,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-27 09:44:08','2023-10-27 09:44:08'),(746,'default','added',598,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-27 09:44:47','2023-10-27 09:44:47'),(747,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-28 07:26:37','2023-10-28 07:26:37'),(748,'default','added',599,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-10-28 07:26:52','2023-10-28 07:26:52'),(749,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-28 14:44:12','2023-10-28 14:44:12'),(750,'default','added',600,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-28 14:44:29','2023-10-28 14:44:29'),(751,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-29 14:04:23','2023-10-29 14:04:23'),(757,'default','added',606,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-29 14:09:16','2023-10-29 14:09:16'),(758,'default','added',607,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-29 15:29:25','2023-10-29 15:29:25'),(759,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-30 17:26:14','2023-10-30 17:26:14'),(760,'default','added',608,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-10-30 17:30:11','2023-10-30 17:30:11'),(761,'default','added',609,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-30 17:31:33','2023-10-30 17:31:33'),(762,'default','added',610,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-30 17:32:26','2023-10-30 17:32:26'),(763,'default','added',611,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-10-30 17:33:45','2023-10-30 17:33:45'),(764,'default','added',612,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-10-30 17:34:40','2023-10-30 17:34:40'),(765,'default','added',613,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-30 17:35:15','2023-10-30 17:35:15'),(766,'default','added',614,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-30 17:35:49','2023-10-30 17:35:49'),(767,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-30 17:39:10','2023-10-30 17:39:10'),(768,'default','added',615,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-30 17:42:34','2023-10-30 17:42:34'),(769,'default','added',616,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-30 17:43:33','2023-10-30 17:43:33'),(770,'default','added',617,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-30 17:44:22','2023-10-30 17:44:22'),(771,'default','added',618,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-10-30 17:45:15','2023-10-30 17:45:15'),(772,'default','added',619,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-30 17:45:38','2023-10-30 17:45:38'),(773,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-31 06:58:47','2023-10-31 06:58:47'),(774,'default','added',620,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":13000}}',NULL,'2023-10-31 06:59:21','2023-10-31 06:59:21'),(775,'default','added',621,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-31 06:59:53','2023-10-31 06:59:53'),(776,'default','added',622,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-10-31 07:00:03','2023-10-31 07:00:03'),(777,'default','added',623,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-31 07:00:19','2023-10-31 07:00:19'),(778,'default','added',624,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":13000}}',NULL,'2023-10-31 07:01:03','2023-10-31 07:01:03'),(780,'default','added',626,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-10-31 07:01:38','2023-10-31 07:01:38'),(781,'default','added',627,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-31 07:01:51','2023-10-31 07:01:51'),(782,'default','added',628,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-31 07:02:00','2023-10-31 07:02:00'),(783,'default','added',629,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":40000}}',NULL,'2023-10-31 07:02:16','2023-10-31 07:02:16'),(784,'default','added',630,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-10-31 07:02:25','2023-10-31 07:02:25'),(785,'default','added',631,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-31 07:02:35','2023-10-31 07:02:35'),(786,'default','added',632,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-31 07:02:48','2023-10-31 07:02:48'),(787,'default','added',633,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-10-31 07:03:01','2023-10-31 07:03:01'),(788,'default','added',634,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-31 07:03:20','2023-10-31 07:03:20'),(789,'default','added',635,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-10-31 07:03:36','2023-10-31 07:03:36'),(790,'default','added',636,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-10-31 07:03:53','2023-10-31 07:03:53'),(791,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-31 07:34:25','2023-10-31 07:34:25'),(795,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-31 07:36:53','2023-10-31 07:36:53'),(796,'default','added',640,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-10-31 07:37:07','2023-10-31 07:37:07'),(797,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-31 09:52:38','2023-10-31 09:52:38'),(798,'default','added',641,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-31 09:52:43','2023-10-31 09:52:43'),(799,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-31 11:56:47','2023-10-31 11:56:47'),(800,'default','added',642,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-31 11:57:35','2023-10-31 11:57:35'),(801,'default','added',643,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-31 11:58:31','2023-10-31 11:58:31'),(802,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-10-31 17:12:36','2023-10-31 17:12:36'),(803,'default','added',644,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-10-31 17:12:46','2023-10-31 17:12:46'),(804,'default','added',645,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-10-31 17:12:55','2023-10-31 17:12:55'),(805,'default','added',646,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-10-31 17:13:07','2023-10-31 17:13:07'),(806,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-02 12:11:35','2023-11-02 12:11:35'),(807,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-03 10:28:01','2023-11-03 10:28:01'),(808,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-04 09:53:18','2023-11-04 09:53:18'),(809,'default','added',647,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-11-04 09:57:48','2023-11-04 09:57:48'),(810,'default','added',648,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-11-04 09:58:01','2023-11-04 09:58:01'),(811,'default','added',649,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-11-04 09:58:15','2023-11-04 09:58:15'),(812,'default','added',650,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-11-04 09:58:26','2023-11-04 09:58:26'),(813,'default','added',651,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-11-04 09:59:41','2023-11-04 09:59:41'),(814,'default','added',652,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-04 09:59:52','2023-11-04 09:59:52'),(815,'default','added',653,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-11-04 10:00:04','2023-11-04 10:00:04'),(816,'default','added',654,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-11-04 10:00:20','2023-11-04 10:00:20'),(817,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-04 16:31:56','2023-11-04 16:31:56'),(818,'default','added',655,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-11-04 16:32:23','2023-11-04 16:32:23'),(819,'default','login',5,'App\\User',NULL,2,5,'App\\User','[]',NULL,'2023-11-06 07:53:11','2023-11-06 07:53:11'),(820,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-06 13:28:11','2023-11-06 13:28:11'),(821,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-07 14:11:32','2023-11-07 14:11:32'),(822,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-07 14:52:23','2023-11-07 14:52:23'),(823,'default','added',656,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-11-07 16:32:08','2023-11-07 16:32:08'),(824,'default','added',657,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-11-07 16:32:20','2023-11-07 16:32:20'),(825,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-08 08:50:59','2023-11-08 08:50:59'),(826,'default','added',658,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-11-08 08:51:30','2023-11-08 08:51:30'),(827,'default','added',659,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-11-08 08:51:53','2023-11-08 08:51:53'),(828,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-09 11:06:58','2023-11-09 11:06:58'),(829,'default','added',660,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-11-09 11:07:25','2023-11-09 11:07:25'),(830,'default','added',661,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-11-09 11:07:58','2023-11-09 11:07:58'),(831,'default','added',662,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-11-09 11:13:11','2023-11-09 11:13:11'),(832,'default','added',663,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-11-09 11:14:43','2023-11-09 11:14:43'),(833,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-09 16:18:31','2023-11-09 16:18:31'),(834,'default','added',664,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-09 16:18:50','2023-11-09 16:18:50'),(835,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-11 16:58:45','2023-11-11 16:58:45'),(836,'default','added',665,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-11-11 17:16:44','2023-11-11 17:16:44'),(837,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-14 13:47:09','2023-11-14 13:47:09'),(838,'default','added',666,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-11-14 13:50:25','2023-11-14 13:50:25'),(839,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-14 16:04:04','2023-11-14 16:04:04'),(840,'default','added',667,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":30000}}',NULL,'2023-11-14 16:04:27','2023-11-14 16:04:27'),(841,'default','added',668,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-14 17:07:54','2023-11-14 17:07:54'),(842,'default','added',669,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-14 17:08:09','2023-11-14 17:08:09'),(843,'default','added',670,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-11-14 17:09:51','2023-11-14 17:09:51'),(844,'default','added',671,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-11-14 17:09:57','2023-11-14 17:09:57'),(845,'default','added',672,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-11-14 17:10:10','2023-11-14 17:10:10'),(846,'default','added',673,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-14 17:10:30','2023-11-14 17:10:30'),(847,'default','added',674,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-14 17:10:44','2023-11-14 17:10:44'),(848,'default','added',675,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-14 17:10:53','2023-11-14 17:10:53'),(849,'default','added',676,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":36000}}',NULL,'2023-11-14 17:11:25','2023-11-14 17:11:25'),(850,'default','added',677,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-11-14 17:11:39','2023-11-14 17:11:39'),(851,'default','added',678,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-11-14 17:11:48','2023-11-14 17:11:48'),(852,'default','added',679,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-11-14 17:12:42','2023-11-14 17:12:42'),(853,'default','added',680,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-14 17:12:54','2023-11-14 17:12:54'),(854,'default','added',681,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-11-14 17:13:27','2023-11-14 17:13:27'),(855,'default','added',682,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":15000}}',NULL,'2023-11-14 17:13:35','2023-11-14 17:13:35'),(856,'default','added',683,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-11-14 17:13:48','2023-11-14 17:13:48'),(857,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-15 16:31:44','2023-11-15 16:31:44'),(858,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-15 16:35:38','2023-11-15 16:35:38'),(859,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-15 16:37:54','2023-11-15 16:37:55'),(860,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-15 16:53:41','2023-11-15 16:53:41'),(861,'default','added',684,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-15 17:00:51','2023-11-15 17:00:51'),(862,'default','added',685,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-15 17:01:52','2023-11-15 17:01:52'),(863,'default','added',686,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-15 17:03:22','2023-11-15 17:03:22'),(864,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-16 11:08:09','2023-11-16 11:08:09'),(865,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-18 10:44:15','2023-11-18 10:44:15'),(866,'default','added',687,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":35000}}',NULL,'2023-11-18 10:46:57','2023-11-18 10:46:57'),(867,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-18 14:08:50','2023-11-18 14:08:50'),(868,'default','added',688,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-18 14:09:37','2023-11-18 14:09:37'),(869,'default','added',689,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-11-18 14:09:48','2023-11-18 14:09:48'),(870,'default','added',690,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-11-18 14:09:59','2023-11-18 14:09:59'),(871,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-19 12:04:47','2023-11-19 12:04:47'),(872,'default','added',691,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-19 12:05:19','2023-11-19 12:05:19'),(873,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-19 14:50:51','2023-11-19 14:50:51'),(874,'default','added',692,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":10000}}',NULL,'2023-11-19 14:51:25','2023-11-19 14:51:25'),(875,'default','added',693,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":5000}}',NULL,'2023-11-19 14:51:34','2023-11-19 14:51:34'),(876,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-21 09:50:15','2023-11-21 09:50:15'),(877,'default','added',694,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-11-21 09:50:27','2023-11-21 09:50:27'),(878,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-22 09:20:30','2023-11-22 09:20:30'),(879,'default','added',695,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":50000}}',NULL,'2023-11-22 09:21:07','2023-11-22 09:21:07'),(880,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-23 10:42:20','2023-11-23 10:42:20'),(881,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-23 17:34:50','2023-11-23 17:34:50'),(882,'default','added',696,'App\\Transaction',NULL,2,6,'App\\User','{\"attributes\":{\"type\":\"sell\",\"status\":\"final\",\"payment_status\":\"paid\",\"final_total\":20000}}',NULL,'2023-11-23 17:35:03','2023-11-23 17:35:03'),(883,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-24 08:05:52','2023-11-24 08:05:52'),(884,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-24 12:43:06','2023-11-24 12:43:06'),(885,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-24 12:45:15','2023-11-24 12:45:15'),(886,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-24 12:47:35','2023-11-24 12:47:35'),(887,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-24 12:48:23','2023-11-24 12:48:23'),(889,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-25 09:23:58','2023-11-25 09:23:58'),(907,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-25 14:41:54','2023-11-25 14:41:54'),(913,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-27 09:20:39','2023-11-27 09:20:39'),(916,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-27 10:29:11','2023-11-27 10:29:11'),(917,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-27 13:10:59','2023-11-27 13:10:59'),(918,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-28 10:15:14','2023-11-28 10:15:14'),(921,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-28 11:47:46','2023-11-28 11:47:46'),(923,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-28 17:00:33','2023-11-28 17:00:33'),(925,'default','login',6,'App\\User',NULL,2,6,'App\\User','[]',NULL,'2023-11-29 08:21:09','2023-11-29 08:21:09'),(929,'default','login',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-11-29 09:08:32','2023-11-29 09:08:32'),(930,'default','logout',1,'App\\User',NULL,1,1,'App\\User','[]',NULL,'2023-11-29 09:08:37','2023-11-29 09:08:37'),(932,'default','login',3,'App\\User',NULL,2,3,'App\\User','[]',NULL,'2023-11-29 10:35:01','2023-11-29 10:35:01');
/*!40000 ALTER TABLE `activity_log` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `barcodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `barcodes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `width` double(22,4) DEFAULT NULL,
  `height` double(22,4) DEFAULT NULL,
  `paper_width` double(22,4) DEFAULT NULL,
  `paper_height` double(22,4) DEFAULT NULL,
  `top_margin` double(22,4) DEFAULT NULL,
  `left_margin` double(22,4) DEFAULT NULL,
  `row_distance` double(22,4) DEFAULT NULL,
  `col_distance` double(22,4) DEFAULT NULL,
  `stickers_in_one_row` int DEFAULT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `is_continuous` tinyint(1) NOT NULL DEFAULT '0',
  `stickers_in_one_sheet` int DEFAULT NULL,
  `business_id` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `barcodes_business_id_foreign` (`business_id`),
  CONSTRAINT `barcodes_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `barcodes` WRITE;
/*!40000 ALTER TABLE `barcodes` DISABLE KEYS */;
INSERT INTO `barcodes` VALUES (1,'20 Labels per Sheet','Sheet Size: 8.5\" x 11\", Label Size: 4\" x 1\", Labels per sheet: 20',4.0000,1.0000,8.5000,11.0000,0.5000,0.1250,0.0000,0.1875,2,0,0,20,NULL,'2017-12-18 05:13:44','2017-12-18 05:13:44'),(2,'30 Labels per sheet','Sheet Size: 8.5\" x 11\", Label Size: 2.625\" x 1\", Labels per sheet: 30',2.6250,1.0000,8.5000,11.0000,0.5000,0.1880,0.0000,0.1250,3,0,0,30,NULL,'2017-12-18 05:04:39','2017-12-18 05:10:40'),(3,'32 Labels per sheet','Sheet Size: 8.5\" x 11\", Label Size: 2\" x 1.25\", Labels per sheet: 32',2.0000,1.2500,8.5000,11.0000,0.5000,0.2500,0.0000,0.0000,4,0,0,32,NULL,'2017-12-18 04:55:40','2017-12-18 04:55:40'),(4,'40 Labels per sheet','Sheet Size: 8.5\" x 11\", Label Size: 2\" x 1\", Labels per sheet: 40',2.0000,1.0000,8.5000,11.0000,0.5000,0.2500,0.0000,0.0000,4,0,0,40,NULL,'2017-12-18 04:58:40','2017-12-18 04:58:40'),(5,'50 Labels per Sheet','Sheet Size: 8.5\" x 11\", Label Size: 1.5\" x 1\", Labels per sheet: 50',1.5000,1.0000,8.5000,11.0000,0.5000,0.5000,0.0000,0.0000,5,0,0,50,NULL,'2017-12-18 04:51:10','2017-12-18 04:51:10'),(6,'Continuous Rolls - 31.75mm x 25.4mm','Label Size: 31.75mm x 25.4mm, Gap: 3.18mm',1.2500,1.0000,1.2500,0.0000,0.1250,0.0000,0.1250,0.0000,1,0,1,NULL,NULL,'2017-12-18 04:51:10','2017-12-18 04:51:10'),(7,'barcode001',NULL,2.3622,1.5748,2.4409,0.0000,0.0000,0.0000,0.0000,0.0000,1,0,1,28,2,'2023-07-20 11:06:10','2023-07-20 11:20:25');
/*!40000 ALTER TABLE `barcodes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `bookings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bookings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `contact_id` int unsigned NOT NULL,
  `waiter_id` int unsigned DEFAULT NULL,
  `table_id` int unsigned DEFAULT NULL,
  `correspondent_id` int DEFAULT NULL,
  `business_id` int unsigned NOT NULL,
  `location_id` int unsigned NOT NULL,
  `booking_start` datetime NOT NULL,
  `booking_end` datetime NOT NULL,
  `created_by` int unsigned NOT NULL,
  `booking_status` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `booking_note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bookings_contact_id_foreign` (`contact_id`),
  KEY `bookings_business_id_foreign` (`business_id`),
  KEY `bookings_created_by_foreign` (`created_by`),
  KEY `bookings_table_id_index` (`table_id`),
  KEY `bookings_waiter_id_index` (`waiter_id`),
  KEY `bookings_location_id_index` (`location_id`),
  KEY `bookings_booking_status_index` (`booking_status`),
  KEY `bookings_correspondent_id_index` (`correspondent_id`),
  CONSTRAINT `bookings_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `bookings_contact_id_foreign` FOREIGN KEY (`contact_id`) REFERENCES `contacts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `bookings_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `bookings` WRITE;
/*!40000 ALTER TABLE `bookings` DISABLE KEYS */;
/*!40000 ALTER TABLE `bookings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `brands`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `brands` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_by` int unsigned NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `brands_business_id_foreign` (`business_id`),
  KEY `brands_created_by_foreign` (`created_by`),
  CONSTRAINT `brands_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `brands_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `brands` WRITE;
/*!40000 ALTER TABLE `brands` DISABLE KEYS */;
INSERT INTO `brands` VALUES (1,1,'TWIGA CEMENT',NULL,2,NULL,'2023-05-20 09:22:27','2023-05-20 09:22:27'),(2,1,'PLASCON',NULL,2,NULL,'2023-05-20 09:27:58','2023-05-20 09:27:58');
/*!40000 ALTER TABLE `brands` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `business`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `business` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `currency_id` int unsigned NOT NULL,
  `start_date` date DEFAULT NULL,
  `tax_number_1` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_label_1` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_number_2` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_label_2` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code_label_1` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code_1` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code_label_2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code_2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `default_sales_tax` int unsigned DEFAULT NULL,
  `default_profit_percent` double(5,2) NOT NULL DEFAULT '0.00',
  `owner_id` int unsigned NOT NULL,
  `time_zone` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Asia/Kolkata',
  `fy_start_month` tinyint NOT NULL DEFAULT '1',
  `accounting_method` enum('fifo','lifo','avco') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'fifo',
  `default_sales_discount` decimal(5,2) DEFAULT NULL,
  `sell_price_tax` enum('includes','excludes') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'includes',
  `logo` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sku_prefix` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `enable_product_expiry` tinyint(1) NOT NULL DEFAULT '0',
  `expiry_type` enum('add_expiry','add_manufacturing') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'add_expiry',
  `on_product_expiry` enum('keep_selling','stop_selling','auto_delete') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'keep_selling',
  `stop_selling_before` int NOT NULL COMMENT 'Stop selling expied item n days before expiry',
  `enable_tooltip` tinyint(1) NOT NULL DEFAULT '1',
  `purchase_in_diff_currency` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Allow purchase to be in different currency then the business currency',
  `purchase_currency_id` int unsigned DEFAULT NULL,
  `p_exchange_rate` decimal(20,3) NOT NULL DEFAULT '1.000',
  `transaction_edit_days` int unsigned NOT NULL DEFAULT '30',
  `stock_expiry_alert_days` int unsigned NOT NULL DEFAULT '30',
  `keyboard_shortcuts` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `pos_settings` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `weighing_scale_setting` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'used to store the configuration of weighing scale',
  `enable_brand` tinyint(1) NOT NULL DEFAULT '1',
  `enable_category` tinyint(1) NOT NULL DEFAULT '1',
  `enable_sub_category` tinyint(1) NOT NULL DEFAULT '1',
  `enable_price_tax` tinyint(1) NOT NULL DEFAULT '1',
  `enable_purchase_status` tinyint(1) DEFAULT '1',
  `enable_lot_number` tinyint(1) NOT NULL DEFAULT '0',
  `default_unit` int DEFAULT NULL,
  `enable_sub_units` tinyint(1) NOT NULL DEFAULT '0',
  `enable_racks` tinyint(1) NOT NULL DEFAULT '0',
  `enable_row` tinyint(1) NOT NULL DEFAULT '0',
  `enable_position` tinyint(1) NOT NULL DEFAULT '0',
  `enable_editing_product_from_purchase` tinyint(1) NOT NULL DEFAULT '1',
  `sales_cmsn_agnt` enum('logged_in_user','user','cmsn_agnt') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `item_addition_method` tinyint(1) NOT NULL DEFAULT '1',
  `enable_inline_tax` tinyint(1) NOT NULL DEFAULT '1',
  `currency_symbol_placement` enum('before','after') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'before',
  `enabled_modules` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `date_format` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'm/d/Y',
  `time_format` enum('12','24') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '24',
  `currency_precision` tinyint NOT NULL DEFAULT '2',
  `quantity_precision` tinyint NOT NULL DEFAULT '2',
  `ref_no_prefixes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `theme_color` char(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `enable_rp` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'rp is the short form of reward points',
  `rp_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'rp is the short form of reward points',
  `amount_for_unit_rp` decimal(22,4) NOT NULL DEFAULT '1.0000' COMMENT 'rp is the short form of reward points',
  `min_order_total_for_rp` decimal(22,4) NOT NULL DEFAULT '1.0000' COMMENT 'rp is the short form of reward points',
  `max_rp_per_order` int DEFAULT NULL COMMENT 'rp is the short form of reward points',
  `redeem_amount_per_unit_rp` decimal(22,4) NOT NULL DEFAULT '1.0000' COMMENT 'rp is the short form of reward points',
  `min_order_total_for_redeem` decimal(22,4) NOT NULL DEFAULT '1.0000' COMMENT 'rp is the short form of reward points',
  `min_redeem_point` int DEFAULT NULL COMMENT 'rp is the short form of reward points',
  `max_redeem_point` int DEFAULT NULL COMMENT 'rp is the short form of reward points',
  `rp_expiry_period` int DEFAULT NULL COMMENT 'rp is the short form of reward points',
  `rp_expiry_type` enum('month','year') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'year' COMMENT 'rp is the short form of reward points',
  `email_settings` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `sms_settings` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `custom_labels` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `common_settings` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `business_owner_id_foreign` (`owner_id`),
  KEY `business_currency_id_foreign` (`currency_id`),
  KEY `business_default_sales_tax_foreign` (`default_sales_tax`),
  CONSTRAINT `business_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`),
  CONSTRAINT `business_default_sales_tax_foreign` FOREIGN KEY (`default_sales_tax`) REFERENCES `tax_rates` (`id`),
  CONSTRAINT `business_owner_id_foreign` FOREIGN KEY (`owner_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `business` WRITE;
/*!40000 ALTER TABLE `business` DISABLE KEYS */;
INSERT INTO `business` VALUES (1,'M.A TRADERS CO. LIMITED',138,'2023-05-01','102 812 522','TIN','20 - 017338 - X',NULL,NULL,NULL,NULL,NULL,NULL,25.00,1,'Africa/Nairobi',1,'fifo',0.00,'includes',NULL,NULL,0,'add_expiry','keep_selling',0,1,0,NULL,1.000,30,30,'{\"pos\":{\"express_checkout\":\"shift+e\",\"pay_n_ckeckout\":\"shift+p\",\"draft\":\"shift+d\",\"cancel\":\"shift+c\",\"recent_product_quantity\":\"f2\",\"weighing_scale\":null,\"edit_discount\":\"shift+i\",\"edit_order_tax\":\"shift+t\",\"add_payment_row\":\"shift+r\",\"finalize_payment\":\"shift+f\",\"add_new_product\":\"f4\"}}','{\"amount_rounding_method\":\"1\",\"enable_sales_order\":\"1\",\"cmmsn_calculation_type\":\"invoice_value\",\"razor_pay_key_id\":null,\"razor_pay_key_secret\":null,\"stripe_public_key\":null,\"stripe_secret_key\":null,\"cash_denominations\":null,\"enable_cash_denomination_on\":\"pos_screen\",\"disable_pay_checkout\":0,\"disable_draft\":0,\"disable_express_checkout\":0,\"hide_product_suggestion\":0,\"hide_recent_trans\":0,\"disable_discount\":0,\"disable_order_tax\":0,\"is_pos_subtotal_editable\":0}','{\"label_prefix\":null,\"product_sku_length\":\"4\",\"qty_length\":\"3\",\"qty_length_decimal\":\"2\"}',1,1,1,1,1,0,NULL,1,0,0,0,1,NULL,1,1,'before','[\"purchases\",\"add_sale\",\"pos_sale\",\"stock_transfers\",\"stock_adjustment\",\"expenses\",\"account\"]','m/d/Y','24',2,2,'{\"purchase\":\"PO\",\"purchase_return\":null,\"purchase_requisition\":null,\"purchase_order\":null,\"stock_transfer\":\"ST\",\"stock_adjustment\":\"SA\",\"sell_return\":\"CN\",\"expense\":\"EP\",\"contacts\":\"CO\",\"purchase_payment\":\"PP\",\"sell_payment\":\"SP\",\"expense_payment\":null,\"business_location\":\"BL\",\"username\":null,\"subscription\":null,\"draft\":null,\"sales_order\":null}',NULL,NULL,0,NULL,1.0000,1.0000,NULL,1.0000,1.0000,NULL,NULL,NULL,'year','{\"mail_driver\":\"smtp\",\"mail_host\":null,\"mail_port\":null,\"mail_username\":null,\"mail_password\":null,\"mail_encryption\":null,\"mail_from_address\":null,\"mail_from_name\":null}','{\"sms_service\":\"other\",\"nexmo_key\":null,\"nexmo_secret\":null,\"nexmo_from\":null,\"twilio_sid\":null,\"twilio_token\":null,\"twilio_from\":null,\"url\":null,\"send_to_param_name\":\"to\",\"msg_param_name\":\"text\",\"request_method\":\"post\",\"header_1\":null,\"header_val_1\":null,\"header_2\":null,\"header_val_2\":null,\"header_3\":null,\"header_val_3\":null,\"param_1\":null,\"param_val_1\":null,\"param_2\":null,\"param_val_2\":null,\"param_3\":null,\"param_val_3\":null,\"param_4\":null,\"param_val_4\":null,\"param_5\":null,\"param_val_5\":null,\"param_6\":null,\"param_val_6\":null,\"param_7\":null,\"param_val_7\":null,\"param_8\":null,\"param_val_8\":null,\"param_9\":null,\"param_val_9\":null,\"param_10\":null,\"param_val_10\":null}','{\"payments\":{\"custom_pay_1\":null,\"custom_pay_2\":null,\"custom_pay_3\":null,\"custom_pay_4\":null,\"custom_pay_5\":null,\"custom_pay_6\":null,\"custom_pay_7\":null},\"contact\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null,\"custom_field_5\":null,\"custom_field_6\":null,\"custom_field_7\":null,\"custom_field_8\":null,\"custom_field_9\":null,\"custom_field_10\":null},\"product\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"location\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"user\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"purchase\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"purchase_shipping\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null,\"custom_field_5\":null},\"sell\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"shipping\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null,\"custom_field_5\":null},\"types_of_service\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null,\"custom_field_5\":null,\"custom_field_6\":null}}','{\"default_credit_limit\":null,\"default_datatable_page_entries\":\"25\"}',1,'2023-05-18 22:19:51','2023-07-04 06:55:25'),(2,'APEL PETROLEUM LTD',138,'2023-06-01','106 - 382 - 042','TIN','NOT REGISTERED','VRN',NULL,NULL,NULL,NULL,NULL,25.00,3,'Africa/Nairobi',1,'fifo',0.00,'includes',NULL,NULL,0,'add_manufacturing','stop_selling',5,1,0,NULL,1.000,30,30,'{\"pos\":{\"express_checkout\":\"shift+e\",\"pay_n_ckeckout\":\"shift+p\",\"draft\":\"shift+d\",\"cancel\":\"shift+c\",\"recent_product_quantity\":\"f2\",\"weighing_scale\":null,\"edit_discount\":\"shift+i\",\"edit_order_tax\":\"shift+t\",\"add_payment_row\":\"shift+r\",\"finalize_payment\":\"shift+f\",\"add_new_product\":\"f4\"}}','{\"amount_rounding_method\":\"1\",\"enable_msp\":\"1\",\"cmmsn_calculation_type\":\"invoice_value\",\"razor_pay_key_id\":null,\"razor_pay_key_secret\":null,\"stripe_public_key\":null,\"stripe_secret_key\":null,\"disable_pay_checkout\":\"1\",\"disable_discount\":\"1\",\"disable_order_tax\":\"1\",\"is_pos_subtotal_editable\":\"1\",\"disable_credit_sale_button\":\"1\",\"show_invoice_scheme\":\"1\",\"show_invoice_layout\":\"1\",\"show_pricing_on_product_sugesstion\":\"1\",\"cash_denominations\":null,\"enable_cash_denomination_on\":\"pos_screen\",\"disable_draft\":0,\"disable_express_checkout\":0,\"hide_product_suggestion\":0,\"hide_recent_trans\":0}','{\"label_prefix\":null,\"product_sku_length\":\"4\",\"qty_length\":\"3\",\"qty_length_decimal\":\"2\"}',1,1,1,1,1,1,NULL,0,0,0,0,1,NULL,1,1,'before','[\"purchases\",\"add_sale\",\"pos_sale\",\"stock_transfers\",\"stock_adjustment\",\"expenses\",\"account\",\"service_staff\",\"types_of_service\"]','m/d/Y','24',2,2,'{\"purchase\":\"PO\",\"purchase_return\":null,\"purchase_requisition\":null,\"purchase_order\":null,\"stock_transfer\":\"ST\",\"stock_adjustment\":\"SA\",\"sell_return\":\"CN\",\"expense\":\"EP\",\"contacts\":\"CO\",\"purchase_payment\":\"PP\",\"sell_payment\":\"SP\",\"expense_payment\":null,\"business_location\":\"BL\",\"username\":null,\"subscription\":null,\"draft\":null,\"sales_order\":null}',NULL,NULL,0,NULL,1.0000,1.0000,NULL,1.0000,1.0000,NULL,NULL,NULL,'year','{\"mail_driver\":\"smtp\",\"mail_host\":null,\"mail_port\":null,\"mail_username\":null,\"mail_password\":null,\"mail_encryption\":null,\"mail_from_address\":null,\"mail_from_name\":null}','{\"sms_service\":\"other\",\"nexmo_key\":null,\"nexmo_secret\":null,\"nexmo_from\":null,\"twilio_sid\":null,\"twilio_token\":null,\"twilio_from\":null,\"url\":null,\"send_to_param_name\":\"to\",\"msg_param_name\":\"text\",\"request_method\":\"post\",\"header_1\":null,\"header_val_1\":null,\"header_2\":null,\"header_val_2\":null,\"header_3\":null,\"header_val_3\":null,\"param_1\":null,\"param_val_1\":null,\"param_2\":null,\"param_val_2\":null,\"param_3\":null,\"param_val_3\":null,\"param_4\":null,\"param_val_4\":null,\"param_5\":null,\"param_val_5\":null,\"param_6\":null,\"param_val_6\":null,\"param_7\":null,\"param_val_7\":null,\"param_8\":null,\"param_val_8\":null,\"param_9\":null,\"param_val_9\":null,\"param_10\":null,\"param_val_10\":null}','{\"payments\":{\"custom_pay_1\":null,\"custom_pay_2\":null,\"custom_pay_3\":null,\"custom_pay_4\":null,\"custom_pay_5\":null,\"custom_pay_6\":null,\"custom_pay_7\":null},\"contact\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null,\"custom_field_5\":null,\"custom_field_6\":null,\"custom_field_7\":null,\"custom_field_8\":null,\"custom_field_9\":null,\"custom_field_10\":null},\"product\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"location\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"user\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"purchase\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"purchase_shipping\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null,\"custom_field_5\":null},\"sell\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"shipping\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null,\"custom_field_5\":null},\"types_of_service\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null,\"custom_field_5\":null,\"custom_field_6\":null}}','{\"default_credit_limit\":null,\"default_datatable_page_entries\":\"25\"}',1,'2023-06-01 16:24:34','2023-07-25 08:59:07');
/*!40000 ALTER TABLE `business` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `business_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `business_locations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `location_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `landmark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `country` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `city` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `zip_code` char(7) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `invoice_scheme_id` int unsigned NOT NULL,
  `invoice_layout_id` int unsigned NOT NULL,
  `sale_invoice_layout_id` int DEFAULT NULL,
  `selling_price_group_id` int DEFAULT NULL,
  `print_receipt_on_invoice` tinyint(1) DEFAULT '1',
  `receipt_printer_type` enum('browser','printer') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'browser',
  `printer_id` int DEFAULT NULL,
  `mobile` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `alternate_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `featured_products` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `default_payment_accounts` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `custom_field1` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field3` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field4` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `business_locations_business_id_index` (`business_id`),
  KEY `business_locations_invoice_scheme_id_foreign` (`invoice_scheme_id`),
  KEY `business_locations_invoice_layout_id_foreign` (`invoice_layout_id`),
  KEY `business_locations_sale_invoice_layout_id_index` (`sale_invoice_layout_id`),
  KEY `business_locations_selling_price_group_id_index` (`selling_price_group_id`),
  KEY `business_locations_receipt_printer_type_index` (`receipt_printer_type`),
  KEY `business_locations_printer_id_index` (`printer_id`),
  CONSTRAINT `business_locations_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `business_locations_invoice_layout_id_foreign` FOREIGN KEY (`invoice_layout_id`) REFERENCES `invoice_layouts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `business_locations_invoice_scheme_id_foreign` FOREIGN KEY (`invoice_scheme_id`) REFERENCES `invoice_schemes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `business_locations` WRITE;
/*!40000 ALTER TABLE `business_locations` DISABLE KEYS */;
INSERT INTO `business_locations` VALUES (1,1,'BL0001','M.A TRADERS CO. LIMITED','Hotel','Tanzania','Tanzania','Morogoro','255',1,1,1,0,1,'browser',NULL,'255753999501',NULL,'info@matrader.co.tz',NULL,NULL,1,'{\"cash\":{\"is_enabled\":\"1\",\"account\":null},\"card\":{\"is_enabled\":\"1\",\"account\":null},\"cheque\":{\"is_enabled\":\"1\",\"account\":null},\"bank_transfer\":{\"is_enabled\":\"1\",\"account\":null},\"other\":{\"is_enabled\":\"1\",\"account\":null},\"custom_pay_1\":{\"is_enabled\":\"1\",\"account\":null},\"custom_pay_2\":{\"is_enabled\":\"1\",\"account\":null},\"custom_pay_3\":{\"is_enabled\":\"1\",\"account\":null},\"custom_pay_4\":{\"is_enabled\":\"1\",\"account\":null},\"custom_pay_5\":{\"is_enabled\":\"1\",\"account\":null},\"custom_pay_6\":{\"is_enabled\":\"1\",\"account\":null},\"custom_pay_7\":{\"is_enabled\":\"1\",\"account\":null}}','P.O.BOX 127, MOROGORO, TANZANIA',NULL,NULL,NULL,NULL,'2023-05-18 22:19:51','2023-05-27 07:52:05'),(2,2,'BL0001','APEL PETROLEUM LTD','Petrol Station','Tanzania','Tanzania','Morogoro','',2,2,2,NULL,1,'browser',NULL,'+255758906671',NULL,NULL,NULL,NULL,1,'{\"cash\":{\"is_enabled\":\"1\",\"account\":null},\"card\":{\"account\":null},\"cheque\":{\"account\":null},\"bank_transfer\":{\"account\":null},\"other\":{\"account\":null},\"custom_pay_1\":{\"account\":null},\"custom_pay_2\":{\"account\":null},\"custom_pay_3\":{\"account\":null},\"custom_pay_4\":{\"account\":null},\"custom_pay_5\":{\"account\":null},\"custom_pay_6\":{\"account\":null},\"custom_pay_7\":{\"account\":null}}',NULL,NULL,NULL,NULL,NULL,'2023-06-01 16:24:34','2023-07-20 08:49:59'),(3,2,'0001','Apel KItungwa','Hotel','Tanzania','Tanzania','Morogoro','67101',2,2,2,0,1,'browser',NULL,'0768099975',NULL,'ictmanager@aboodgroup.co.tz','https://www.aboodgroup.com',NULL,1,'{\"cash\":{\"is_enabled\":\"1\"},\"card\":{\"is_enabled\":\"1\"},\"cheque\":{\"is_enabled\":\"1\"},\"bank_transfer\":{\"is_enabled\":\"1\"},\"other\":{\"is_enabled\":\"1\"},\"custom_pay_1\":{\"is_enabled\":\"1\"},\"custom_pay_2\":{\"is_enabled\":\"1\"},\"custom_pay_3\":{\"is_enabled\":\"1\"},\"custom_pay_4\":{\"is_enabled\":\"1\"},\"custom_pay_5\":{\"is_enabled\":\"1\"},\"custom_pay_6\":{\"is_enabled\":\"1\"},\"custom_pay_7\":{\"is_enabled\":\"1\"}}',NULL,NULL,NULL,NULL,NULL,'2023-06-19 17:40:03','2023-06-19 17:40:03');
/*!40000 ALTER TABLE `business_locations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `cash_denominations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cash_denominations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int NOT NULL,
  `amount` decimal(22,4) NOT NULL,
  `total_count` int NOT NULL,
  `model_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cash_denominations_model_type_model_id_index` (`model_type`,`model_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `cash_denominations` WRITE;
/*!40000 ALTER TABLE `cash_denominations` DISABLE KEYS */;
/*!40000 ALTER TABLE `cash_denominations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `cash_register_transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cash_register_transactions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `cash_register_id` int unsigned NOT NULL,
  `amount` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `pay_method` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` enum('debit','credit') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `transaction_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `transaction_id` int DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cash_register_transactions_cash_register_id_foreign` (`cash_register_id`),
  KEY `cash_register_transactions_transaction_id_index` (`transaction_id`),
  KEY `cash_register_transactions_type_index` (`type`),
  KEY `cash_register_transactions_transaction_type_index` (`transaction_type`),
  CONSTRAINT `cash_register_transactions_cash_register_id_foreign` FOREIGN KEY (`cash_register_id`) REFERENCES `cash_registers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=625 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `cash_register_transactions` WRITE;
/*!40000 ALTER TABLE `cash_register_transactions` DISABLE KEYS */;
INSERT INTO `cash_register_transactions` VALUES (1,1,1000.0000,'cash','credit','initial',NULL,'2023-06-25 09:15:42','2023-06-25 09:15:42'),(5,1,46000.0000,'cash','credit','sell',11,'2023-06-25 09:22:47','2023-06-25 09:22:47'),(6,2,51520.0000,'cash','credit','sell',12,'2023-06-30 16:06:23','2023-06-30 16:06:23'),(9,4,276000.0000,'cash','credit','sell',15,'2023-07-03 23:12:09','2023-07-03 23:12:09'),(10,4,322000.0000,'cash','credit','sell',16,'2023-07-03 23:13:43','2023-07-03 23:13:43'),(13,4,97520.0000,'cash','credit','sell',19,'2023-07-03 23:16:35','2023-07-03 23:16:35'),(14,4,138000.0000,'cash','credit','sell',21,'2023-07-04 08:08:26','2023-07-04 08:08:26'),(40,5,625.0000,'cash','credit','sell',48,'2023-07-05 08:56:08','2023-07-05 08:56:08'),(45,5,625.0000,'cash','credit','sell',53,'2023-07-05 09:33:35','2023-07-05 09:33:35'),(47,5,625.0000,'cash','credit','sell',55,'2023-07-05 09:53:34','2023-07-05 09:53:34'),(51,5,50000.0000,'cash','credit','sell',81,'2023-07-06 20:12:40','2023-07-06 20:12:40'),(52,6,16000.0000,'cash','credit','sell',127,'2023-07-14 07:37:19','2023-07-14 07:37:19'),(53,6,50000.0000,'cash','credit','sell',128,'2023-07-14 08:02:10','2023-07-14 08:02:10'),(54,9,5000.0000,'cash','credit','sell',129,'2023-07-14 08:10:46','2023-07-14 08:10:46'),(55,5,13000.0000,'cash','credit','sell',130,'2023-07-20 06:55:27','2023-07-20 06:55:27'),(56,5,11017.0000,'cash','credit','sell',131,'2023-07-20 07:00:42','2023-07-20 07:00:42'),(57,5,13000.0000,'cash','credit','sell',132,'2023-07-20 07:06:19','2023-07-20 07:06:19'),(58,5,13000.0000,'cash','credit','sell',133,'2023-07-20 07:08:41','2023-07-20 07:08:41'),(59,5,59000.0000,'cash','credit','sell',134,'2023-07-20 08:14:15','2023-07-20 08:14:15'),(60,5,30508.0000,'cash','credit','sell',135,'2023-07-20 08:16:22','2023-07-20 08:16:22'),(61,5,30508.0000,'cash','credit','sell',136,'2023-07-20 08:33:24','2023-07-20 08:33:24'),(62,5,46000.0000,'cash','credit','sell',137,'2023-07-20 09:12:59','2023-07-20 09:12:59'),(89,11,5000.0000,'cash','credit','sell',186,'2023-07-26 10:03:26','2023-07-26 10:03:26'),(90,11,5000.0000,'cash','credit','sell',187,'2023-07-26 10:27:37','2023-07-26 10:27:37'),(91,11,50000.0000,'cash','credit','sell',188,'2023-07-26 14:10:18','2023-07-26 14:10:18'),(92,11,50000.0000,'cash','credit','sell',189,'2023-07-26 14:10:57','2023-07-26 14:10:57'),(122,12,80000.0000,'cash','credit','sell',219,'2023-07-26 15:22:16','2023-07-26 15:22:16'),(127,12,80000.0000,'cash','credit','sell',224,'2023-07-26 15:27:13','2023-07-26 15:27:13'),(128,12,80000.0000,'cash','credit','sell',225,'2023-07-26 15:31:27','2023-07-26 15:31:27'),(137,12,130000.0000,'cash','credit','sell',234,'2023-07-27 16:29:49','2023-07-27 16:29:49'),(138,12,30000.0000,'cash','credit','sell',235,'2023-07-27 16:31:39','2023-07-27 16:31:39'),(139,12,50000.0000,'cash','credit','sell',236,'2023-07-27 16:32:35','2023-07-27 16:32:35'),(140,12,30000.0000,'cash','credit','sell',237,'2023-07-27 16:33:18','2023-07-27 16:33:18'),(141,12,5000.0000,'cash','credit','sell',238,'2023-07-27 16:33:47','2023-07-27 16:33:47'),(142,12,80000.0000,'cash','credit','sell',239,'2023-07-27 16:34:57','2023-07-27 16:34:57'),(143,12,50000.0000,'cash','credit','sell',240,'2023-07-27 16:35:47','2023-07-27 16:35:47'),(144,12,40000.0000,'cash','credit','sell',241,'2023-07-27 16:36:40','2023-07-27 16:36:40'),(145,12,50000.0000,'cash','credit','sell',242,'2023-07-27 16:37:14','2023-07-27 16:37:14'),(146,12,5000.0000,'cash','credit','sell',243,'2023-07-27 16:37:44','2023-07-27 16:37:44'),(147,12,40000.0000,'cash','credit','sell',244,'2023-07-27 16:38:27','2023-07-27 16:38:27'),(148,12,50000.0000,'cash','credit','sell',245,'2023-07-27 16:39:14','2023-07-27 16:39:14'),(149,12,30000.0000,'cash','credit','sell',246,'2023-07-27 16:40:18','2023-07-27 16:40:18'),(150,12,50000.0000,'cash','credit','sell',247,'2023-07-27 16:40:59','2023-07-27 16:40:59'),(151,12,70000.0000,'cash','credit','sell',248,'2023-07-29 09:56:52','2023-07-29 09:56:52'),(152,12,32000.0000,'cash','credit','sell',249,'2023-07-29 09:57:36','2023-07-29 09:57:36'),(153,12,10000.0000,'cash','credit','sell',250,'2023-07-31 14:58:58','2023-07-31 14:58:58'),(154,12,10000.0000,'cash','credit','sell',251,'2023-07-31 14:59:16','2023-07-31 14:59:16'),(157,12,30000.0000,'cash','credit','sell',254,'2023-07-31 15:01:57','2023-07-31 15:01:57'),(158,12,5000.0000,'cash','credit','sell',255,'2023-08-03 06:24:36','2023-08-03 06:24:36'),(159,12,5000.0000,'cash','credit','sell',256,'2023-08-03 06:24:58','2023-08-03 06:24:58'),(160,12,30000.0000,'cash','credit','sell',257,'2023-08-03 06:26:27','2023-08-03 06:26:27'),(161,12,5000.0000,'cash','credit','sell',258,'2023-08-03 06:27:03','2023-08-03 06:27:03'),(162,12,5000.0000,'cash','credit','sell',259,'2023-08-03 06:27:27','2023-08-03 06:27:27'),(163,12,5000.0000,'cash','credit','sell',260,'2023-08-03 06:27:42','2023-08-03 06:27:42'),(164,12,5000.0000,'cash','credit','sell',261,'2023-08-03 06:27:54','2023-08-03 06:27:54'),(165,12,30000.0000,'cash','credit','sell',262,'2023-08-03 06:28:45','2023-08-03 06:28:45'),(166,12,5000.0000,'cash','credit','sell',263,'2023-08-03 06:29:10','2023-08-03 06:29:10'),(167,12,5000.0000,'cash','credit','sell',264,'2023-08-03 06:29:28','2023-08-03 06:29:28'),(168,12,5000.0000,'cash','credit','sell',265,'2023-08-03 06:29:38','2023-08-03 06:29:38'),(169,12,5000.0000,'cash','credit','sell',266,'2023-08-03 06:29:51','2023-08-03 06:29:51'),(170,12,5000.0000,'cash','credit','sell',267,'2023-08-03 06:30:05','2023-08-03 06:30:05'),(171,12,5000.0000,'cash','credit','sell',268,'2023-08-03 06:30:19','2023-08-03 06:30:19'),(172,12,5000.0000,'cash','credit','sell',269,'2023-08-03 06:31:17','2023-08-03 06:31:17'),(173,12,5000.0000,'cash','credit','sell',270,'2023-08-03 06:31:59','2023-08-03 06:31:59'),(174,12,5000.0000,'cash','credit','sell',271,'2023-08-03 06:32:12','2023-08-03 06:32:12'),(175,12,5000.0000,'cash','credit','sell',272,'2023-08-03 06:32:24','2023-08-03 06:32:24'),(176,12,5000.0000,'cash','credit','sell',273,'2023-08-03 06:32:39','2023-08-03 06:32:39'),(177,12,10000.0000,'cash','credit','sell',274,'2023-08-03 06:33:38','2023-08-03 06:33:38'),(178,12,10000.0000,'cash','credit','sell',275,'2023-08-03 06:33:56','2023-08-03 06:33:56'),(179,12,50000.0000,'cash','credit','sell',276,'2023-08-03 06:37:30','2023-08-03 06:37:30'),(180,12,50000.0000,'cash','credit','sell',277,'2023-08-03 06:37:42','2023-08-03 06:37:42'),(181,12,50000.0000,'cash','credit','sell',278,'2023-08-03 06:37:52','2023-08-03 06:37:52'),(182,12,50000.0000,'cash','credit','sell',279,'2023-08-03 06:38:02','2023-08-03 06:38:02'),(183,12,5000.0000,'cash','credit','sell',280,'2023-08-03 06:39:01','2023-08-03 06:39:01'),(184,12,50000.0000,'cash','credit','sell',281,'2023-08-03 06:39:51','2023-08-03 06:39:51'),(185,12,10000.0000,'cash','credit','sell',282,'2023-08-03 06:40:17','2023-08-03 06:40:17'),(186,12,10000.0000,'cash','credit','sell',283,'2023-08-03 06:40:39','2023-08-03 06:40:39'),(187,12,10000.0000,'cash','credit','sell',284,'2023-08-03 06:40:56','2023-08-03 06:40:56'),(188,12,50000.0000,'cash','credit','sell',285,'2023-08-03 06:41:48','2023-08-03 06:41:48'),(189,12,50000.0000,'cash','credit','sell',286,'2023-08-03 06:41:58','2023-08-03 06:41:58'),(190,12,30000.0000,'cash','credit','sell',287,'2023-08-03 06:43:57','2023-08-03 06:43:57'),(191,12,10000.0000,'cash','credit','sell',288,'2023-08-03 06:44:48','2023-08-03 06:44:48'),(192,12,10000.0000,'cash','credit','sell',289,'2023-08-03 06:45:00','2023-08-03 06:45:00'),(193,12,10000.0000,'cash','credit','sell',290,'2023-08-03 06:45:12','2023-08-03 06:45:12'),(211,12,5000.0000,'cash','credit','sell',309,'2023-08-14 11:01:08','2023-08-14 11:01:08'),(212,12,5000.0000,'cash','credit','sell',310,'2023-08-14 11:02:23','2023-08-14 11:02:23'),(213,12,10000.0000,'cash','credit','sell',311,'2023-08-14 11:16:41','2023-08-14 11:16:41'),(229,12,10000.0000,'cash','credit','sell',327,'2023-08-14 14:46:33','2023-08-14 14:46:33'),(231,12,5000.0000,'cash','credit','sell',329,'2023-08-14 14:51:02','2023-08-14 14:51:02'),(232,12,89000.0000,'cash','credit','sell',330,'2023-08-14 14:53:46','2023-08-14 14:53:46'),(235,12,5000.0000,'cash','credit','sell',341,'2023-08-14 15:40:17','2023-08-14 15:40:17'),(240,12,5000.0000,'cash','credit','sell',346,'2023-08-14 15:53:19','2023-08-14 15:53:19'),(241,12,10000.0000,'cash','credit','sell',347,'2023-08-14 15:56:18','2023-08-14 15:56:18'),(242,12,5000.0000,'cash','credit','sell',348,'2023-08-14 15:57:12','2023-08-14 15:57:12'),(243,12,5000.0000,'cash','credit','sell',349,'2023-08-14 15:57:37','2023-08-14 15:57:37'),(245,12,5000.0000,'cash','credit','sell',351,'2023-08-14 16:06:49','2023-08-14 16:06:49'),(246,12,5000.0000,'cash','credit','sell',352,'2023-08-14 16:48:49','2023-08-14 16:48:49'),(260,12,5000.0000,'cash','credit','sell',366,'2023-08-14 18:28:53','2023-08-14 18:28:53'),(261,12,5000.0000,'cash','credit','sell',367,'2023-08-15 14:28:09','2023-08-15 14:28:09'),(262,12,50000.0000,'cash','credit','sell',368,'2023-08-17 10:31:58','2023-08-17 10:31:58'),(263,12,48000.0000,'cash','credit','sell',369,'2023-08-17 16:50:29','2023-08-17 16:50:29'),(264,12,15000.0000,'cash','credit','sell',370,'2023-08-18 07:36:03','2023-08-18 07:36:03'),(265,12,20000.0000,'cash','credit','sell',371,'2023-08-18 16:01:26','2023-08-18 16:01:26'),(266,12,40000.0000,'cash','credit','sell',372,'2023-08-19 06:24:00','2023-08-19 06:24:00'),(267,12,36000.0000,'cash','credit','sell',373,'2023-08-19 13:41:41','2023-08-19 13:41:41'),(268,12,10000.0000,'cash','credit','sell',374,'2023-08-19 15:19:41','2023-08-19 15:19:41'),(269,12,50000.0000,'cash','credit','sell',375,'2023-08-21 11:07:33','2023-08-21 11:07:33'),(270,12,50000.0000,'cash','credit','sell',376,'2023-08-21 11:09:49','2023-08-21 11:09:49'),(271,12,50000.0000,'cash','credit','sell',377,'2023-08-21 12:51:17','2023-08-21 12:51:17'),(272,12,100000.0000,'cash','credit','sell',378,'2023-08-21 12:51:44','2023-08-21 12:51:44'),(273,12,50000.0000,'cash','credit','sell',379,'2023-08-21 12:52:05','2023-08-21 12:52:05'),(274,12,50000.0000,'cash','credit','sell',380,'2023-08-21 12:52:35','2023-08-21 12:52:35'),(275,12,30000.0000,'cash','credit','sell',381,'2023-08-21 15:12:58','2023-08-21 15:12:58'),(276,12,50000.0000,'cash','credit','sell',382,'2023-08-21 15:13:32','2023-08-21 15:13:32'),(277,12,15000.0000,'cash','credit','sell',383,'2023-08-21 15:53:18','2023-08-21 15:53:18'),(278,12,30000.0000,'cash','credit','sell',384,'2023-08-21 16:00:50','2023-08-21 16:00:50'),(279,12,190000.0000,'cash','credit','sell',385,'2023-08-23 10:19:49','2023-08-23 10:19:49'),(280,12,30000.0000,'cash','credit','sell',386,'2023-08-23 10:24:51','2023-08-23 10:24:51'),(284,12,30000.0000,'cash','credit','sell',390,'2023-08-26 15:16:08','2023-08-26 15:16:08'),(285,12,5000.0000,'cash','credit','sell',391,'2023-08-27 11:18:30','2023-08-27 11:18:30'),(286,12,30000.0000,'cash','credit','sell',392,'2023-08-29 14:53:26','2023-08-29 14:53:26'),(289,12,13000.0000,'cash','credit','sell',395,'2023-08-30 07:43:31','2023-08-30 07:43:31'),(290,12,50000.0000,'cash','credit','sell',396,'2023-08-30 09:11:38','2023-08-30 09:11:38'),(291,12,15000.0000,'cash','credit','sell',397,'2023-08-30 15:49:16','2023-08-30 15:49:16'),(292,12,30000.0000,'cash','credit','sell',398,'2023-08-31 13:24:20','2023-08-31 13:24:20'),(293,12,13000.0000,'cash','credit','sell',399,'2023-08-31 13:37:30','2023-08-31 13:37:30'),(294,12,15000.0000,'cash','credit','sell',400,'2023-08-31 14:13:16','2023-08-31 14:13:16'),(295,12,60000.0000,'cash','credit','sell',401,'2023-09-01 09:30:00','2023-09-01 09:30:00'),(296,12,20000.0000,'cash','credit','sell',402,'2023-09-01 12:40:15','2023-09-01 12:40:15'),(297,12,5000.0000,'cash','credit','sell',403,'2023-09-01 12:40:23','2023-09-01 12:40:23'),(298,12,25000.0000,'cash','credit','sell',404,'2023-09-02 08:18:02','2023-09-02 08:18:02'),(299,12,10000.0000,'cash','credit','sell',405,'2023-09-02 08:18:23','2023-09-02 08:18:23'),(300,12,44500.0000,'cash','credit','sell',406,'2023-09-02 12:42:22','2023-09-02 12:42:22'),(301,12,20000.0000,'cash','credit','sell',407,'2023-09-02 12:45:02','2023-09-02 12:45:02'),(302,12,20000.0000,'cash','credit','sell',408,'2023-09-02 12:45:12','2023-09-02 12:45:12'),(308,12,26000.0000,'cash','credit','sell',414,'2023-09-04 11:59:24','2023-09-04 11:59:24'),(309,12,20000.0000,'cash','credit','sell',415,'2023-09-04 11:59:42','2023-09-04 11:59:42'),(310,12,5000.0000,'cash','credit','sell',416,'2023-09-04 11:59:50','2023-09-04 11:59:50'),(311,12,10000.0000,'cash','credit','sell',417,'2023-09-05 09:29:44','2023-09-05 09:29:44'),(312,12,5000.0000,'cash','credit','sell',418,'2023-09-05 09:29:56','2023-09-05 09:29:56'),(313,12,10000.0000,'cash','credit','sell',419,'2023-09-05 09:30:18','2023-09-05 09:30:18'),(314,12,15000.0000,'cash','credit','sell',420,'2023-09-05 09:41:30','2023-09-05 09:41:30'),(315,12,5000.0000,'cash','credit','sell',421,'2023-09-05 09:41:36','2023-09-05 09:41:36'),(316,12,15000.0000,'cash','credit','sell',422,'2023-09-05 09:41:48','2023-09-05 09:41:48'),(317,12,10000.0000,'cash','credit','sell',423,'2023-09-05 16:06:54','2023-09-05 16:06:54'),(318,12,15000.0000,'cash','credit','sell',424,'2023-09-05 16:25:05','2023-09-05 16:25:05'),(319,12,10000.0000,'cash','credit','sell',425,'2023-09-06 08:12:30','2023-09-06 08:12:30'),(322,12,24000.0000,'cash','credit','sell',428,'2023-09-06 10:30:50','2023-09-06 10:30:50'),(323,12,30000.0000,'cash','credit','sell',429,'2023-09-06 13:15:25','2023-09-06 13:15:25'),(324,12,5000.0000,'cash','credit','sell',430,'2023-09-12 08:17:15','2023-09-12 08:17:15'),(327,12,5000.0000,'cash','credit','sell',433,'2023-09-13 15:46:42','2023-09-13 15:46:42'),(328,12,15000.0000,'cash','credit','sell',434,'2023-09-14 07:45:48','2023-09-14 07:45:48'),(329,12,30000.0000,'cash','credit','sell',435,'2023-09-14 07:46:26','2023-09-14 07:46:26'),(330,12,10000.0000,'cash','credit','sell',436,'2023-09-14 07:47:17','2023-09-14 07:47:17'),(331,12,10000.0000,'cash','credit','sell',437,'2023-09-14 07:47:53','2023-09-14 07:47:53'),(332,12,5000.0000,'cash','credit','sell',438,'2023-09-14 07:48:20','2023-09-14 07:48:20'),(333,12,48000.0000,'cash','credit','sell',439,'2023-09-14 07:49:49','2023-09-14 07:49:49'),(334,12,5000.0000,'cash','credit','sell',440,'2023-09-14 07:51:19','2023-09-14 07:51:19'),(335,12,35000.0000,'cash','credit','sell',441,'2023-09-14 07:52:39','2023-09-14 07:52:39'),(336,12,110000.0000,'cash','credit','sell',442,'2023-09-14 07:54:00','2023-09-14 07:54:00'),(337,12,20000.0000,'cash','credit','sell',443,'2023-09-14 07:54:35','2023-09-14 07:54:35'),(342,12,50000.0000,'cash','credit','sell',448,'2023-09-14 08:06:17','2023-09-14 08:06:17'),(343,12,5000.0000,'cash','credit','sell',449,'2023-09-14 08:06:56','2023-09-14 08:06:56'),(346,12,10000.0000,'cash','credit','sell',452,'2023-09-14 08:10:54','2023-09-14 08:10:54'),(347,12,100000.0000,'cash','credit','sell',453,'2023-09-14 08:11:42','2023-09-14 08:11:42'),(348,12,10000.0000,'cash','credit','sell',454,'2023-09-14 08:14:09','2023-09-14 08:14:09'),(349,12,5000.0000,'cash','credit','sell',455,'2023-09-14 08:22:57','2023-09-14 08:22:57'),(352,12,20000.0000,'cash','credit','sell',458,'2023-09-14 08:37:13','2023-09-14 08:37:13'),(353,12,30000.0000,'cash','credit','sell',459,'2023-09-14 11:03:51','2023-09-14 11:03:51'),(354,12,15000.0000,'cash','credit','sell',460,'2023-09-14 12:17:07','2023-09-14 12:17:07'),(355,12,15000.0000,'cash','credit','sell',461,'2023-09-14 16:02:37','2023-09-14 16:02:37'),(356,12,5000.0000,'cash','credit','sell',462,'2023-09-14 16:06:54','2023-09-14 16:06:54'),(358,12,70000.0000,'cash','credit','sell',464,'2023-09-22 08:36:04','2023-09-22 08:36:04'),(359,12,48000.0000,'cash','credit','sell',465,'2023-09-22 15:53:53','2023-09-22 15:53:53'),(360,12,30000.0000,'cash','credit','sell',466,'2023-09-25 09:20:30','2023-09-25 09:20:30'),(361,12,80000.0000,'cash','credit','sell',467,'2023-09-25 09:21:14','2023-09-25 09:21:14'),(362,12,60000.0000,'cash','credit','sell',468,'2023-09-25 09:29:22','2023-09-25 09:29:22'),(363,12,13000.0000,'cash','credit','sell',469,'2023-09-25 09:43:05','2023-09-25 09:43:05'),(364,12,5000.0000,'cash','credit','sell',470,'2023-09-25 09:43:35','2023-09-25 09:43:35'),(365,12,15000.0000,'cash','credit','sell',471,'2023-09-25 09:44:15','2023-09-25 09:44:15'),(366,12,8500.0000,'cash','credit','sell',472,'2023-09-25 09:44:38','2023-09-25 09:44:38'),(367,12,5000.0000,'cash','credit','sell',473,'2023-09-25 09:44:51','2023-09-25 09:44:51'),(368,12,13000.0000,'cash','credit','sell',474,'2023-09-25 09:45:14','2023-09-25 09:45:14'),(369,12,5000.0000,'cash','credit','sell',475,'2023-09-25 09:45:41','2023-09-25 09:45:41'),(370,12,45000.0000,'cash','credit','sell',476,'2023-09-25 09:47:17','2023-09-25 09:47:17'),(371,12,51000.0000,'cash','credit','sell',477,'2023-09-25 09:47:58','2023-09-25 09:47:58'),(372,12,10000.0000,'cash','credit','sell',478,'2023-09-25 09:48:13','2023-09-25 09:48:13'),(373,12,13000.0000,'cash','credit','sell',479,'2023-09-25 09:48:35','2023-09-25 09:48:35'),(374,12,10000.0000,'cash','credit','sell',480,'2023-09-25 09:49:54','2023-09-25 09:49:54'),(375,12,5000.0000,'cash','credit','sell',481,'2023-09-25 09:50:05','2023-09-25 09:50:05'),(376,12,20000.0000,'cash','credit','sell',482,'2023-09-25 09:51:06','2023-09-25 09:51:06'),(377,12,5000.0000,'cash','credit','sell',483,'2023-09-25 09:51:14','2023-09-25 09:51:14'),(378,12,20000.0000,'cash','credit','sell',484,'2023-09-25 09:51:35','2023-09-25 09:51:35'),(379,12,20000.0000,'cash','credit','sell',485,'2023-09-25 09:51:48','2023-09-25 09:51:48'),(380,12,48000.0000,'cash','credit','sell',486,'2023-09-25 09:52:14','2023-09-25 09:52:14'),(381,12,20000.0000,'cash','credit','sell',487,'2023-09-25 09:53:17','2023-09-25 09:53:17'),(382,12,10000.0000,'cash','credit','sell',488,'2023-09-25 09:53:38','2023-09-25 09:53:38'),(383,12,20000.0000,'cash','credit','sell',489,'2023-09-25 09:53:54','2023-09-25 09:53:54'),(384,12,8500.0000,'cash','credit','sell',490,'2023-09-25 09:54:53','2023-09-25 09:54:53'),(385,12,5000.0000,'cash','credit','sell',491,'2023-09-25 09:55:12','2023-09-25 09:55:12'),(386,12,10000.0000,'cash','credit','sell',492,'2023-09-25 09:56:09','2023-09-25 09:56:09'),(387,12,25000.0000,'cash','credit','sell',493,'2023-09-25 09:57:07','2023-09-25 09:57:07'),(388,12,50000.0000,'cash','credit','sell',494,'2023-09-25 10:53:22','2023-09-25 10:53:22'),(389,12,50000.0000,'cash','credit','sell',495,'2023-09-25 10:53:59','2023-09-25 10:53:59'),(390,12,44500.0000,'cash','credit','sell',496,'2023-09-26 13:17:05','2023-09-26 13:17:05'),(391,12,24000.0000,'cash','credit','sell',497,'2023-09-28 09:34:14','2023-09-28 09:34:14'),(392,12,10000.0000,'cash','credit','sell',498,'2023-09-28 10:13:15','2023-09-28 10:13:15'),(393,12,15000.0000,'cash','credit','sell',499,'2023-09-28 10:40:36','2023-09-28 10:40:36'),(394,12,15000.0000,'cash','credit','sell',500,'2023-09-28 10:41:02','2023-09-28 10:41:02'),(395,12,20000.0000,'cash','credit','sell',501,'2023-09-28 10:41:18','2023-09-28 10:41:18'),(396,12,44500.0000,'cash','credit','sell',502,'2023-09-28 10:41:53','2023-09-28 10:41:53'),(397,12,15000.0000,'cash','credit','sell',503,'2023-09-28 10:42:22','2023-09-28 10:42:22'),(398,12,10000.0000,'cash','credit','sell',504,'2023-09-28 10:42:34','2023-09-28 10:42:34'),(399,12,30000.0000,'cash','credit','sell',505,'2023-09-28 15:33:07','2023-09-28 15:33:07'),(400,12,50000.0000,'cash','credit','sell',506,'2023-09-29 08:14:14','2023-09-29 08:14:14'),(401,12,30000.0000,'cash','credit','sell',507,'2023-09-29 08:14:39','2023-09-29 08:14:39'),(402,12,30000.0000,'cash','credit','sell',508,'2023-09-30 13:52:47','2023-09-30 13:52:47'),(405,12,20000.0000,'cash','credit','sell',511,'2023-10-02 07:52:24','2023-10-02 07:52:24'),(406,12,36000.0000,'cash','credit','sell',512,'2023-10-04 06:18:01','2023-10-04 06:18:01'),(408,12,84000.0000,'cash','credit','sell',514,'2023-10-06 15:14:24','2023-10-06 15:14:24'),(411,12,20000.0000,'cash','credit','sell',517,'2023-10-11 07:48:09','2023-10-11 07:48:09'),(412,12,30000.0000,'cash','credit','sell',518,'2023-10-11 13:13:49','2023-10-11 13:13:49'),(413,12,30000.0000,'cash','credit','sell',519,'2023-10-11 13:14:16','2023-10-11 13:14:16'),(414,12,50000.0000,'cash','credit','sell',520,'2023-10-11 13:14:33','2023-10-11 13:14:33'),(415,12,10000.0000,'cash','credit','sell',521,'2023-10-11 13:23:54','2023-10-11 13:23:54'),(418,12,30000.0000,'cash','credit','sell',524,'2023-10-11 13:25:03','2023-10-11 13:25:03'),(420,12,30000.0000,'cash','credit','sell',526,'2023-10-11 13:26:33','2023-10-11 13:26:33'),(421,12,20000.0000,'cash','credit','sell',527,'2023-10-11 13:26:49','2023-10-11 13:26:49'),(422,12,5000.0000,'cash','credit','sell',528,'2023-10-11 13:27:00','2023-10-11 13:27:00'),(423,12,5000.0000,'cash','credit','sell',529,'2023-10-11 13:27:09','2023-10-11 13:27:09'),(424,12,10000.0000,'cash','credit','sell',530,'2023-10-11 13:27:17','2023-10-11 13:27:17'),(425,12,5000.0000,'cash','credit','sell',531,'2023-10-11 13:27:26','2023-10-11 13:27:26'),(426,12,5000.0000,'cash','credit','sell',532,'2023-10-11 13:28:43','2023-10-11 13:28:43'),(427,12,15000.0000,'cash','credit','sell',533,'2023-10-11 13:29:10','2023-10-11 13:29:10'),(428,12,5000.0000,'cash','credit','sell',534,'2023-10-11 13:29:44','2023-10-11 13:29:44'),(429,12,15000.0000,'cash','credit','sell',535,'2023-10-11 13:30:12','2023-10-11 13:30:12'),(430,12,44500.0000,'cash','credit','sell',536,'2023-10-11 13:30:27','2023-10-11 13:30:27'),(431,12,13000.0000,'cash','credit','sell',537,'2023-10-11 13:30:57','2023-10-11 13:30:57'),(432,12,5000.0000,'cash','credit','sell',538,'2023-10-11 13:31:15','2023-10-11 13:31:15'),(433,12,10000.0000,'cash','credit','sell',539,'2023-10-11 13:31:28','2023-10-11 13:31:28'),(434,12,20000.0000,'cash','credit','sell',540,'2023-10-11 13:32:57','2023-10-11 13:32:57'),(435,12,10000.0000,'cash','credit','sell',541,'2023-10-11 13:33:20','2023-10-11 13:33:20'),(436,12,40000.0000,'cash','credit','sell',542,'2023-10-11 13:33:45','2023-10-11 13:33:45'),(437,12,30000.0000,'cash','credit','sell',543,'2023-10-12 07:48:36','2023-10-12 07:48:36'),(438,12,80000.0000,'cash','credit','sell',544,'2023-10-12 12:17:12','2023-10-12 12:17:12'),(439,12,80000.0000,'cash','credit','sell',545,'2023-10-12 12:17:40','2023-10-12 12:17:40'),(441,12,10000.0000,'cash','credit','sell',547,'2023-10-13 12:50:51','2023-10-13 12:50:51'),(442,12,30000.0000,'cash','credit','sell',548,'2023-10-13 14:44:36','2023-10-13 14:44:36'),(443,12,30000.0000,'cash','credit','sell',549,'2023-10-15 08:53:55','2023-10-15 08:53:55'),(446,12,30000.0000,'cash','credit','sell',552,'2023-10-16 10:01:44','2023-10-16 10:01:44'),(447,12,12000.0000,'cash','credit','sell',553,'2023-10-16 15:59:42','2023-10-16 15:59:42'),(448,12,15000.0000,'cash','credit','sell',554,'2023-10-16 16:00:33','2023-10-16 16:00:33'),(449,12,5000.0000,'cash','credit','sell',555,'2023-10-16 16:01:04','2023-10-16 16:01:04'),(450,12,16000.0000,'cash','credit','sell',556,'2023-10-16 16:06:16','2023-10-16 16:06:16'),(451,12,20000.0000,'cash','credit','sell',557,'2023-10-16 16:06:48','2023-10-16 16:06:48'),(452,12,15000.0000,'cash','credit','sell',558,'2023-10-16 16:08:09','2023-10-16 16:08:09'),(453,12,5000.0000,'cash','credit','sell',559,'2023-10-16 16:08:34','2023-10-16 16:08:34'),(454,12,5000.0000,'cash','credit','sell',560,'2023-10-16 16:08:58','2023-10-16 16:08:58'),(455,12,5000.0000,'cash','credit','sell',561,'2023-10-16 16:09:25','2023-10-16 16:09:25'),(456,12,40000.0000,'cash','credit','sell',562,'2023-10-18 10:17:25','2023-10-18 10:17:25'),(457,12,50000.0000,'cash','credit','sell',563,'2023-10-18 10:47:04','2023-10-18 10:47:04'),(458,12,50000.0000,'cash','credit','sell',564,'2023-10-18 10:47:49','2023-10-18 10:47:49'),(459,12,245000.0000,'cash','credit','sell',565,'2023-10-19 07:02:32','2023-10-19 07:02:32'),(460,12,550000.0000,'cash','credit','sell',566,'2023-10-19 08:55:39','2023-10-19 08:55:39'),(464,12,52000.0000,'cash','credit','sell',570,'2023-10-24 08:39:36','2023-10-24 08:39:36'),(465,12,52000.0000,'cash','credit','sell',571,'2023-10-24 08:41:37','2023-10-24 08:41:37'),(466,12,10000.0000,'cash','credit','sell',572,'2023-10-25 09:21:07','2023-10-25 09:21:07'),(491,12,40000.0000,'cash','credit','sell',597,'2023-10-25 15:45:08','2023-10-25 15:45:08'),(492,12,30000.0000,'cash','credit','sell',598,'2023-10-27 09:44:47','2023-10-27 09:44:47'),(493,12,15000.0000,'cash','credit','sell',599,'2023-10-28 07:26:52','2023-10-28 07:26:52'),(494,12,10000.0000,'cash','credit','sell',600,'2023-10-28 14:44:29','2023-10-28 14:44:29'),(500,12,30000.0000,'cash','credit','sell',606,'2023-10-29 14:09:16','2023-10-29 14:09:16'),(501,12,30000.0000,'cash','credit','sell',607,'2023-10-29 15:29:25','2023-10-29 15:29:25'),(502,12,50000.0000,'cash','credit','sell',608,'2023-10-30 17:30:11','2023-10-30 17:30:11'),(503,12,10000.0000,'cash','credit','sell',609,'2023-10-30 17:31:33','2023-10-30 17:31:33'),(504,12,30000.0000,'cash','credit','sell',610,'2023-10-30 17:32:26','2023-10-30 17:32:26'),(505,12,20000.0000,'cash','credit','sell',611,'2023-10-30 17:33:45','2023-10-30 17:33:45'),(506,12,15000.0000,'cash','credit','sell',612,'2023-10-30 17:34:40','2023-10-30 17:34:40'),(507,12,10000.0000,'cash','credit','sell',613,'2023-10-30 17:35:15','2023-10-30 17:35:15'),(508,12,5000.0000,'cash','credit','sell',614,'2023-10-30 17:35:49','2023-10-30 17:35:49'),(509,12,10000.0000,'cash','credit','sell',615,'2023-10-30 17:42:34','2023-10-30 17:42:34'),(510,12,5000.0000,'cash','credit','sell',616,'2023-10-30 17:43:33','2023-10-30 17:43:33'),(511,12,10000.0000,'cash','credit','sell',617,'2023-10-30 17:44:22','2023-10-30 17:44:22'),(512,12,15000.0000,'cash','credit','sell',618,'2023-10-30 17:45:15','2023-10-30 17:45:15'),(513,12,5000.0000,'cash','credit','sell',619,'2023-10-30 17:45:38','2023-10-30 17:45:38'),(514,12,13000.0000,'cash','credit','sell',620,'2023-10-31 06:59:21','2023-10-31 06:59:21'),(515,12,30000.0000,'cash','credit','sell',621,'2023-10-31 06:59:53','2023-10-31 06:59:53'),(516,12,15000.0000,'cash','credit','sell',622,'2023-10-31 07:00:03','2023-10-31 07:00:03'),(517,12,10000.0000,'cash','credit','sell',623,'2023-10-31 07:00:19','2023-10-31 07:00:19'),(518,12,13000.0000,'cash','credit','sell',624,'2023-10-31 07:01:03','2023-10-31 07:01:03'),(520,12,20000.0000,'cash','credit','sell',626,'2023-10-31 07:01:38','2023-10-31 07:01:38'),(521,12,10000.0000,'cash','credit','sell',627,'2023-10-31 07:01:51','2023-10-31 07:01:51'),(522,12,10000.0000,'cash','credit','sell',628,'2023-10-31 07:02:00','2023-10-31 07:02:00'),(523,12,40000.0000,'cash','credit','sell',629,'2023-10-31 07:02:16','2023-10-31 07:02:16'),(524,12,15000.0000,'cash','credit','sell',630,'2023-10-31 07:02:25','2023-10-31 07:02:25'),(525,12,30000.0000,'cash','credit','sell',631,'2023-10-31 07:02:35','2023-10-31 07:02:35'),(526,12,5000.0000,'cash','credit','sell',632,'2023-10-31 07:02:48','2023-10-31 07:02:48'),(527,12,30000.0000,'cash','credit','sell',633,'2023-10-31 07:03:01','2023-10-31 07:03:01'),(528,12,10000.0000,'cash','credit','sell',634,'2023-10-31 07:03:20','2023-10-31 07:03:20'),(529,12,15000.0000,'cash','credit','sell',635,'2023-10-31 07:03:36','2023-10-31 07:03:36'),(530,12,15000.0000,'cash','credit','sell',636,'2023-10-31 07:03:53','2023-10-31 07:03:53'),(534,12,50000.0000,'cash','credit','sell',640,'2023-10-31 07:37:07','2023-10-31 07:37:07'),(535,12,5000.0000,'cash','credit','sell',641,'2023-10-31 09:52:43','2023-10-31 09:52:43'),(536,12,10000.0000,'cash','credit','sell',642,'2023-10-31 11:57:35','2023-10-31 11:57:35'),(537,12,10000.0000,'cash','credit','sell',643,'2023-10-31 11:58:31','2023-10-31 11:58:31'),(538,12,5000.0000,'cash','credit','sell',644,'2023-10-31 17:12:46','2023-10-31 17:12:46'),(539,12,10000.0000,'cash','credit','sell',645,'2023-10-31 17:12:55','2023-10-31 17:12:55'),(540,12,20000.0000,'cash','credit','sell',646,'2023-10-31 17:13:07','2023-10-31 17:13:07'),(541,12,50000.0000,'cash','credit','sell',647,'2023-11-04 09:57:48','2023-11-04 09:57:48'),(542,12,15000.0000,'cash','credit','sell',648,'2023-11-04 09:58:01','2023-11-04 09:58:01'),(543,12,20000.0000,'cash','credit','sell',649,'2023-11-04 09:58:15','2023-11-04 09:58:15'),(544,12,10000.0000,'cash','credit','sell',650,'2023-11-04 09:58:26','2023-11-04 09:58:26'),(545,12,20000.0000,'cash','credit','sell',651,'2023-11-04 09:59:41','2023-11-04 09:59:41'),(546,12,5000.0000,'cash','credit','sell',652,'2023-11-04 09:59:52','2023-11-04 09:59:52'),(547,12,10000.0000,'cash','credit','sell',653,'2023-11-04 10:00:04','2023-11-04 10:00:04'),(548,12,10000.0000,'cash','credit','sell',654,'2023-11-04 10:00:20','2023-11-04 10:00:20'),(549,12,50000.0000,'cash','credit','sell',655,'2023-11-04 16:32:23','2023-11-04 16:32:23'),(550,12,30000.0000,'cash','credit','sell',656,'2023-11-07 16:32:08','2023-11-07 16:32:08'),(551,12,30000.0000,'cash','credit','sell',657,'2023-11-07 16:32:20','2023-11-07 16:32:20'),(552,12,30000.0000,'cash','credit','sell',658,'2023-11-08 08:51:30','2023-11-08 08:51:30'),(553,12,10000.0000,'cash','credit','sell',659,'2023-11-08 08:51:53','2023-11-08 08:51:53'),(554,12,50000.0000,'cash','credit','sell',660,'2023-11-09 11:07:25','2023-11-09 11:07:25'),(555,12,50000.0000,'cash','credit','sell',661,'2023-11-09 11:07:58','2023-11-09 11:07:58'),(556,12,50000.0000,'cash','credit','sell',662,'2023-11-09 11:13:11','2023-11-09 11:13:11'),(557,12,30000.0000,'cash','credit','sell',663,'2023-11-09 11:14:43','2023-11-09 11:14:43'),(558,12,5000.0000,'cash','credit','sell',664,'2023-11-09 16:18:50','2023-11-09 16:18:50'),(559,12,30000.0000,'cash','credit','sell',665,'2023-11-11 17:16:44','2023-11-11 17:16:44'),(560,12,50000.0000,'cash','credit','sell',666,'2023-11-14 13:50:25','2023-11-14 13:50:25'),(561,12,30000.0000,'cash','credit','sell',667,'2023-11-14 16:04:27','2023-11-14 16:04:27'),(562,12,5000.0000,'cash','credit','sell',668,'2023-11-14 17:07:54','2023-11-14 17:07:54'),(563,12,5000.0000,'cash','credit','sell',669,'2023-11-14 17:08:09','2023-11-14 17:08:09'),(564,12,10000.0000,'cash','credit','sell',670,'2023-11-14 17:09:51','2023-11-14 17:09:51'),(565,12,10000.0000,'cash','credit','sell',671,'2023-11-14 17:09:57','2023-11-14 17:09:57'),(566,12,20000.0000,'cash','credit','sell',672,'2023-11-14 17:10:10','2023-11-14 17:10:10'),(567,12,5000.0000,'cash','credit','sell',673,'2023-11-14 17:10:30','2023-11-14 17:10:30'),(568,12,5000.0000,'cash','credit','sell',674,'2023-11-14 17:10:44','2023-11-14 17:10:44'),(569,12,5000.0000,'cash','credit','sell',675,'2023-11-14 17:10:53','2023-11-14 17:10:53'),(570,12,36000.0000,'cash','credit','sell',676,'2023-11-14 17:11:25','2023-11-14 17:11:25'),(571,12,20000.0000,'cash','credit','sell',677,'2023-11-14 17:11:39','2023-11-14 17:11:39'),(572,12,15000.0000,'cash','credit','sell',678,'2023-11-14 17:11:48','2023-11-14 17:11:48'),(573,12,10000.0000,'cash','credit','sell',679,'2023-11-14 17:12:42','2023-11-14 17:12:42'),(574,12,5000.0000,'cash','credit','sell',680,'2023-11-14 17:12:54','2023-11-14 17:12:54'),(575,12,15000.0000,'cash','credit','sell',681,'2023-11-14 17:13:27','2023-11-14 17:13:27'),(576,12,15000.0000,'cash','credit','sell',682,'2023-11-14 17:13:35','2023-11-14 17:13:35'),(577,12,10000.0000,'cash','credit','sell',683,'2023-11-14 17:13:48','2023-11-14 17:13:48'),(578,12,5000.0000,'cash','credit','sell',684,'2023-11-15 17:00:51','2023-11-15 17:00:51'),(579,12,5000.0000,'cash','credit','sell',685,'2023-11-15 17:01:52','2023-11-15 17:01:52'),(580,12,5000.0000,'cash','credit','sell',686,'2023-11-15 17:03:22','2023-11-15 17:03:22'),(581,12,35000.0000,'cash','credit','sell',687,'2023-11-18 10:46:57','2023-11-18 10:46:57'),(582,12,5000.0000,'cash','credit','sell',688,'2023-11-18 14:09:37','2023-11-18 14:09:37'),(583,12,10000.0000,'cash','credit','sell',689,'2023-11-18 14:09:48','2023-11-18 14:09:48'),(584,12,10000.0000,'cash','credit','sell',690,'2023-11-18 14:09:59','2023-11-18 14:09:59'),(585,12,5000.0000,'cash','credit','sell',691,'2023-11-19 12:05:19','2023-11-19 12:05:19'),(586,12,10000.0000,'cash','credit','sell',692,'2023-11-19 14:51:25','2023-11-19 14:51:25'),(587,12,5000.0000,'cash','credit','sell',693,'2023-11-19 14:51:34','2023-11-19 14:51:34'),(588,12,50000.0000,'cash','credit','sell',694,'2023-11-21 09:50:27','2023-11-21 09:50:27'),(589,12,50000.0000,'cash','credit','sell',695,'2023-11-22 09:21:07','2023-11-22 09:21:07'),(590,12,20000.0000,'cash','credit','sell',696,'2023-11-23 17:35:03','2023-11-23 17:35:03');
/*!40000 ALTER TABLE `cash_register_transactions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `cash_registers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cash_registers` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `location_id` int DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `status` enum('close','open') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `closed_at` datetime DEFAULT NULL,
  `closing_amount` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `total_card_slips` int NOT NULL DEFAULT '0',
  `total_cheques` int NOT NULL DEFAULT '0',
  `denominations` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `closing_note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cash_registers_business_id_foreign` (`business_id`),
  KEY `cash_registers_user_id_foreign` (`user_id`),
  KEY `cash_registers_location_id_index` (`location_id`),
  CONSTRAINT `cash_registers_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `cash_registers_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `cash_registers` WRITE;
/*!40000 ALTER TABLE `cash_registers` DISABLE KEYS */;
INSERT INTO `cash_registers` VALUES (1,1,1,1,'close','2023-06-30 18:05:44',47000.0000,0,0,NULL,NULL,'2023-06-25 09:15:00','2023-06-30 16:05:44'),(2,1,1,1,'close','2023-06-30 18:07:17',51520.0000,0,0,NULL,NULL,'2023-06-30 16:06:00','2023-06-30 16:07:17'),(3,1,1,1,'close','2023-06-30 18:16:16',0.0000,0,0,NULL,NULL,'2023-06-30 16:16:00','2023-06-30 16:16:16'),(4,1,1,1,'open',NULL,0.0000,0,0,NULL,NULL,'2023-07-03 23:09:00','2023-07-03 23:09:52'),(5,2,2,3,'open',NULL,0.0000,0,0,NULL,NULL,'2023-07-05 07:16:00','2023-07-05 07:16:14'),(6,2,2,5,'close','2023-07-14 10:04:38',66000.0000,0,0,NULL,NULL,'2023-07-14 07:29:00','2023-07-14 08:04:38'),(7,2,2,5,'close','2023-07-14 10:07:27',0.0000,0,0,NULL,NULL,'2023-07-14 08:05:00','2023-07-14 08:07:27'),(8,2,2,5,'close','2023-07-14 10:09:06',0.0000,0,0,NULL,NULL,'2023-07-14 08:08:00','2023-07-14 08:09:06'),(9,2,2,5,'close','2023-07-14 10:12:41',5000.0000,0,0,NULL,NULL,'2023-07-14 08:10:00','2023-07-14 08:12:41'),(10,2,2,5,'open',NULL,0.0000,0,0,NULL,NULL,'2023-07-22 07:32:00','2023-07-22 07:32:27'),(11,2,2,6,'close','2023-07-26 16:36:29',110000.0000,0,0,NULL,NULL,'2023-07-26 09:50:00','2023-07-26 14:36:29'),(12,2,2,6,'open',NULL,0.0000,0,0,NULL,NULL,'2023-07-26 14:36:00','2023-07-26 14:36:40');
/*!40000 ALTER TABLE `cash_registers` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int unsigned NOT NULL,
  `short_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_id` int NOT NULL,
  `created_by` int unsigned NOT NULL,
  `category_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `slug` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `categories_business_id_foreign` (`business_id`),
  KEY `categories_created_by_foreign` (`created_by`),
  KEY `categories_parent_id_index` (`parent_id`),
  CONSTRAINT `categories_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `categories_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'Building Materials',1,'C4',0,1,'product','Building Materials - C4',NULL,NULL,'2023-05-19 07:34:19','2023-05-19 07:34:19'),(2,'Lumber and plywood',1,NULL,1,1,'product','Lumber and plywood',NULL,NULL,'2023-05-19 07:35:25','2023-05-19 07:35:25'),(3,'Steel Bars',1,'Steel Bars',1,1,'product','Steel Bars',NULL,NULL,'2023-05-19 07:36:21','2023-05-19 07:36:21'),(4,'Power Tools',1,'C1',0,1,'product',NULL,NULL,NULL,'2023-05-24 08:15:09','2023-05-24 08:15:09'),(5,'Hand Tools',1,'C2',0,1,'product','Hand Tools',NULL,NULL,'2023-05-24 08:15:46','2023-05-24 08:15:46'),(6,'Fasteners and Hardware',1,'C3',0,1,'product','Fasteners and Hardware',NULL,NULL,'2023-05-24 08:16:45','2023-05-24 08:16:45'),(7,'Safety Equipment',1,'C5',0,1,'product','Safety Equipment',NULL,NULL,'2023-05-24 08:17:14','2023-05-24 08:17:14'),(8,'Plumbing Supplies',1,'C6',0,1,'product','Plumbing Supplies',NULL,NULL,'2023-05-24 08:17:45','2023-05-24 08:17:45'),(9,'Electrical Supplies',1,'C7',0,1,'product','Electrical Supplies',NULL,NULL,'2023-05-24 08:18:16','2023-05-24 08:18:16'),(10,'Painting and Finishing',1,'C8',0,1,'product','Painting and Finishing',NULL,NULL,'2023-05-24 08:18:42','2023-05-24 08:18:42'),(11,'Construction Equipment and Machinery',1,'C9',0,1,'product','Construction Equipment and Machinery',NULL,NULL,'2023-05-24 08:19:10','2023-05-24 08:19:10'),(12,'Safety Gear and Personal Protective Equipment (PPE)',1,'C10',0,1,'product','Safety Gear and Personal Protective Equipment (PPE)',NULL,NULL,'2023-05-24 08:19:35','2023-05-24 08:19:35'),(13,'LUBRICANT',2,NULL,0,3,'product',NULL,NULL,NULL,'2023-07-06 10:30:01','2023-07-06 10:30:01'),(15,'WHEEL BALANCING',2,NULL,0,3,'product',NULL,NULL,NULL,'2023-07-06 10:41:03','2023-07-06 10:41:03'),(16,'OIL SERVICE',2,NULL,0,3,'product',NULL,NULL,NULL,'2023-07-06 10:41:03','2023-07-06 10:41:03'),(17,'REPAIR',2,NULL,0,3,'product',NULL,NULL,NULL,'2023-07-06 10:41:03','2023-07-06 10:41:03'),(18,'SUSPENSION SERVICE',2,NULL,0,3,'product',NULL,NULL,NULL,'2023-07-06 10:41:03','2023-07-06 10:41:03'),(19,'TYRE FITMENT',2,NULL,0,3,'product',NULL,NULL,NULL,'2023-07-06 10:41:03','2023-07-06 10:41:03'),(20,'TYRE ROTATION',2,NULL,0,3,'product',NULL,NULL,NULL,'2023-07-06 10:41:03','2023-07-06 10:41:03'),(21,'WHEEL ALIGNMENT',2,NULL,0,3,'product',NULL,NULL,NULL,'2023-07-06 10:41:03','2023-07-06 10:41:03');
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `categorizables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categorizables` (
  `category_id` int NOT NULL,
  `categorizable_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `categorizable_id` bigint unsigned NOT NULL,
  KEY `categorizables_categorizable_type_categorizable_id_index` (`categorizable_type`,`categorizable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `categorizables` WRITE;
/*!40000 ALTER TABLE `categorizables` DISABLE KEYS */;
/*!40000 ALTER TABLE `categorizables` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contacts` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `supplier_business_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `prefix` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `first_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `middle_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_status` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `tax_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address_line_1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `address_line_2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `zip_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dob` date DEFAULT NULL,
  `mobile` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `landline` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `alternate_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pay_term_number` int DEFAULT NULL,
  `pay_term_type` enum('days','months') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `credit_limit` decimal(22,4) DEFAULT NULL,
  `created_by` int unsigned NOT NULL,
  `balance` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `total_rp` int NOT NULL DEFAULT '0' COMMENT 'rp is the short form of reward points',
  `total_rp_used` int NOT NULL DEFAULT '0' COMMENT 'rp is the short form of reward points',
  `total_rp_expired` int NOT NULL DEFAULT '0' COMMENT 'rp is the short form of reward points',
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `shipping_address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `shipping_custom_field_details` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `is_export` tinyint(1) NOT NULL DEFAULT '0',
  `export_custom_field_1` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `export_custom_field_2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `export_custom_field_3` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `export_custom_field_4` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `export_custom_field_5` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `export_custom_field_6` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_group_id` int DEFAULT NULL,
  `custom_field1` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field3` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field4` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field5` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field6` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field7` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field8` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field9` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field10` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `contacts_business_id_foreign` (`business_id`),
  KEY `contacts_created_by_foreign` (`created_by`),
  KEY `contacts_type_index` (`type`),
  KEY `contacts_contact_status_index` (`contact_status`),
  CONSTRAINT `contacts_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `contacts_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `contacts` WRITE;
/*!40000 ALTER TABLE `contacts` DISABLE KEYS */;
INSERT INTO `contacts` VALUES (1,1,'customer',NULL,'Walk-In Customer',NULL,NULL,NULL,NULL,NULL,'CO0001','active','100-146-436',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'',NULL,NULL,NULL,NULL,0.0000,1,0.0000,0,0,0,1,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(2,1,'supplier','KAMAKA CO. LTD','',NULL,NULL,NULL,NULL,'ictmanager@aboodgroup.co.tz','CO0002','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0768099975','0768099975',NULL,NULL,NULL,NULL,1,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-05-20 08:17:02','2023-05-19 07:51:58','2023-05-20 08:17:02'),(3,1,'supplier','KANSAI PLASCON (T) LTD','',NULL,NULL,NULL,NULL,'sales@kansaiplascon.co.tz','CO0003','active','100-146-436','DAR ES SALAAM','TANZANIA','TANZANIA','P.O.BOX 20775','NYERERE ROAD, DSM',NULL,NULL,'0716694408',NULL,'0785025789',NULL,'days',NULL,2,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-05-19 10:51:46','2023-05-19 10:51:46'),(4,1,'supplier','KAMAKA CO.LTD','',NULL,NULL,NULL,NULL,'info@kamaka.co.tz','CO0004','active','102-158-008','DAR ES SALAAM','TANZANIA','TANZANIA','P.O.BOX 78570',NULL,NULL,NULL,'0677-115-118','0656-222-022',NULL,NULL,'days',NULL,2,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-05-19 11:08:09','2023-05-26 13:51:35'),(6,1,'supplier','CWS HARDWARE','',NULL,NULL,NULL,NULL,NULL,'CO0006','active','116-629-836','DAR ES SALAAM','TANZANIA','TANZANIA','P.O.BOX 2548 DSM','KARIAKOO GEREZANI PLOT NO.11',NULL,NULL,'0752-199-992',NULL,'0715-070-003',NULL,'days',NULL,2,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-05-20 08:08:23','2023-05-26 13:50:31'),(7,1,'supplier','TANZANIA PORTLAND CEMENT PUBLIC LTD','',NULL,NULL,NULL,NULL,'twiga.sales@twigacement.com','CO0007','active','100-145-839','DAR ES SALAAM','TANZANIA','TANZANIA','P.O.BOX 1950DSM',NULL,NULL,NULL,'0746-810-930',NULL,'0746-810931',NULL,'days',NULL,2,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-05-20 08:23:48','2023-05-26 13:49:44'),(8,1,'supplier','BULK DISTRIBUTORS LIMITED','',NULL,NULL,NULL,NULL,'dar@bulktz.com','CO0008','active','101-281-760','DAR ES SALAAM','TANZANIA','TANZANIA','P.O.BOX 3091 DSM','SIKUKUU STREET-GEREZANI',NULL,NULL,'0677-318-700',NULL,'0786-318-318',NULL,'days',NULL,2,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-05-20 08:35:04','2023-05-26 13:49:20'),(9,2,'customer','Walk in Customer','',NULL,NULL,NULL,NULL,NULL,'CO0001','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'',NULL,NULL,NULL,NULL,0.0000,3,0.0000,0,0,0,1,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-06-01 16:24:34','2023-07-25 01:49:08'),(10,2,'supplier','VIVO ENERGY TANZANIA','',NULL,NULL,NULL,NULL,'sales@vivoenergy.com','CO0002','active',NULL,'Dar es Salaam',NULL,'Tanzania',NULL,NULL,NULL,NULL,'0747915598',NULL,NULL,NULL,NULL,NULL,5,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-06-09 11:17:02','2023-07-25 08:58:39'),(11,2,'supplier','Superdoll','',NULL,NULL,NULL,NULL,'sales@superdoll-tz.com','CO0003','active','100199157','dsm','tanzania','tanzania',NULL,NULL,'+255',NULL,'0687478060',NULL,NULL,NULL,NULL,NULL,5,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-06-09 11:19:59','2023-06-09 11:19:59'),(12,2,'supplier','Gathani Tanzania','',NULL,NULL,NULL,NULL,'tanzania@gathaniltd.com','CO0004','active','100842815','dsm','tanzania','tanzania',NULL,NULL,'+255',NULL,'0713228375',NULL,NULL,NULL,NULL,NULL,5,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-06-09 11:21:41','2023-06-09 11:21:41'),(13,2,'customer','M.A CargoTruckers','',NULL,NULL,NULL,NULL,'info@macargo.co.tz','CO0005','active','102812638','Morogoro','tanzania','tanzania',NULL,NULL,'+255',NULL,'0758201137',NULL,NULL,NULL,NULL,NULL,5,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-06-09 11:26:12','2023-06-09 11:26:12'),(14,2,'customer','Copex Contractors','',NULL,NULL,NULL,NULL,'accounts2@copexcontractors.co.tz','CO0006','active','135489247','Morogoro','tanzania','tanzania',NULL,NULL,'+255',NULL,'0758201137',NULL,NULL,NULL,NULL,NULL,5,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-06-09 11:28:22','2023-07-27 16:25:46'),(15,2,'customer','Abood Bus','',NULL,NULL,NULL,NULL,NULL,'CO0007','active','100756927','Morogoro','tanzania','tanzania',NULL,NULL,'+255',NULL,'0742 998 005',NULL,NULL,NULL,NULL,NULL,5,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-06-09 11:29:59','2023-07-27 16:26:11'),(16,2,'customer','Tanuk Africa Limited','',NULL,NULL,NULL,NULL,NULL,'CO0008','active','101165809',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0757450450',NULL,NULL,NULL,NULL,NULL,5,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-06-09 11:37:56','2023-06-09 11:37:56'),(17,2,'customer','Smart Lubricants General Supplies','',NULL,NULL,NULL,NULL,NULL,'CO0009','active','128915990',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0758201137',NULL,NULL,NULL,NULL,NULL,5,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-06-09 11:39:25','2023-06-09 11:39:25'),(18,2,'customer','Laurian Maliva','',NULL,NULL,NULL,NULL,NULL,'CO0010','active','105504772',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0758201137',NULL,NULL,NULL,NULL,NULL,5,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-06-09 11:40:43','2023-06-09 11:40:43'),(19,2,'customer','ERI-Rwanda Ltd RAE 1684','',NULL,NULL,NULL,NULL,NULL,'CO0011','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0758201137',NULL,NULL,NULL,NULL,NULL,5,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-06-09 11:41:37','2023-06-09 11:41:37'),(20,2,'customer','ABOOD BUS SERVICE LTD','',NULL,NULL,NULL,NULL,NULL,'CO0012','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0768099146',NULL,'0742998005',NULL,NULL,NULL,6,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 12:15:32','2023-07-26 14:14:19','2023-07-27 12:15:32'),(21,2,'customer','BUSHMAN SAFARI TRUKERS LTD','',NULL,NULL,NULL,NULL,NULL,'CO0013','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'0719666444',NULL,NULL,NULL,NULL,NULL,6,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-31 15:01:10','2023-07-31 15:01:10'),(22,2,'customer',NULL,'T211 CD466',NULL,'T211','CD466',NULL,NULL,'CO0014','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'000000000',NULL,NULL,NULL,NULL,NULL,6,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-25 15:41:58','2023-10-25 15:41:58'),(23,2,'customer','T211 CD466','',NULL,NULL,NULL,NULL,NULL,'CO0015','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'000000000',NULL,NULL,NULL,NULL,NULL,6,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-25 15:43:17','2023-10-25 15:43:17'),(24,2,'customer','T211 CD466','',NULL,NULL,NULL,NULL,NULL,'CO0016','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'000000000',NULL,NULL,NULL,NULL,NULL,6,0.0000,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-25 15:44:25','2023-10-25 15:44:25');
/*!40000 ALTER TABLE `contacts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `currencies` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `country` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `currency` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `code` varchar(25) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `symbol` varchar(25) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `thousand_separator` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `decimal_separator` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=142 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `currencies` WRITE;
/*!40000 ALTER TABLE `currencies` DISABLE KEYS */;
INSERT INTO `currencies` VALUES (1,'Albania','Leke','ALL','Lek',',','.',NULL,NULL),(2,'America','Dollars','USD','$',',','.',NULL,NULL),(3,'Afghanistan','Afghanis','AF','؋',',','.',NULL,NULL),(4,'Argentina','Pesos','ARS','$',',','.',NULL,NULL),(5,'Aruba','Guilders','AWG','ƒ',',','.',NULL,NULL),(6,'Australia','Dollars','AUD','$',',','.',NULL,NULL),(7,'Azerbaijan','New Manats','AZ','ман',',','.',NULL,NULL),(8,'Bahamas','Dollars','BSD','$',',','.',NULL,NULL),(9,'Barbados','Dollars','BBD','$',',','.',NULL,NULL),(10,'Belarus','Rubles','BYR','p.',',','.',NULL,NULL),(11,'Belgium','Euro','EUR','€',',','.',NULL,NULL),(12,'Beliz','Dollars','BZD','BZ$',',','.',NULL,NULL),(13,'Bermuda','Dollars','BMD','$',',','.',NULL,NULL),(14,'Bolivia','Bolivianos','BOB','$b',',','.',NULL,NULL),(15,'Bosnia and Herzegovina','Convertible Marka','BAM','KM',',','.',NULL,NULL),(16,'Botswana','Pula\'s','BWP','P',',','.',NULL,NULL),(17,'Bulgaria','Leva','BG','лв',',','.',NULL,NULL),(18,'Brazil','Reais','BRL','R$',',','.',NULL,NULL),(19,'Britain [United Kingdom]','Pounds','GBP','£',',','.',NULL,NULL),(20,'Brunei Darussalam','Dollars','BND','$',',','.',NULL,NULL),(21,'Cambodia','Riels','KHR','៛',',','.',NULL,NULL),(22,'Canada','Dollars','CAD','$',',','.',NULL,NULL),(23,'Cayman Islands','Dollars','KYD','$',',','.',NULL,NULL),(24,'Chile','Pesos','CLP','$',',','.',NULL,NULL),(25,'China','Yuan Renminbi','CNY','¥',',','.',NULL,NULL),(26,'Colombia','Pesos','COP','$',',','.',NULL,NULL),(27,'Costa Rica','Colón','CRC','₡',',','.',NULL,NULL),(28,'Croatia','Kuna','HRK','kn',',','.',NULL,NULL),(29,'Cuba','Pesos','CUP','₱',',','.',NULL,NULL),(30,'Cyprus','Euro','EUR','€','.',',',NULL,NULL),(31,'Czech Republic','Koruny','CZK','Kč',',','.',NULL,NULL),(32,'Denmark','Kroner','DKK','kr',',','.',NULL,NULL),(33,'Dominican Republic','Pesos','DOP ','RD$',',','.',NULL,NULL),(34,'East Caribbean','Dollars','XCD','$',',','.',NULL,NULL),(35,'Egypt','Pounds','EGP','£',',','.',NULL,NULL),(36,'El Salvador','Colones','SVC','$',',','.',NULL,NULL),(37,'England [United Kingdom]','Pounds','GBP','£',',','.',NULL,NULL),(38,'Euro','Euro','EUR','€','.',',',NULL,NULL),(39,'Falkland Islands','Pounds','FKP','£',',','.',NULL,NULL),(40,'Fiji','Dollars','FJD','$',',','.',NULL,NULL),(41,'France','Euro','EUR','€','.',',',NULL,NULL),(42,'Ghana','Cedis','GHS','¢',',','.',NULL,NULL),(43,'Gibraltar','Pounds','GIP','£',',','.',NULL,NULL),(44,'Greece','Euro','EUR','€','.',',',NULL,NULL),(45,'Guatemala','Quetzales','GTQ','Q',',','.',NULL,NULL),(46,'Guernsey','Pounds','GGP','£',',','.',NULL,NULL),(47,'Guyana','Dollars','GYD','$',',','.',NULL,NULL),(48,'Holland [Netherlands]','Euro','EUR','€','.',',',NULL,NULL),(49,'Honduras','Lempiras','HNL','L',',','.',NULL,NULL),(50,'Hong Kong','Dollars','HKD','$',',','.',NULL,NULL),(51,'Hungary','Forint','HUF','Ft',',','.',NULL,NULL),(52,'Iceland','Kronur','ISK','kr',',','.',NULL,NULL),(53,'India','Rupees','INR','₹',',','.',NULL,NULL),(54,'Indonesia','Rupiahs','IDR','Rp',',','.',NULL,NULL),(55,'Iran','Rials','IRR','﷼',',','.',NULL,NULL),(56,'Ireland','Euro','EUR','€','.',',',NULL,NULL),(57,'Isle of Man','Pounds','IMP','£',',','.',NULL,NULL),(58,'Israel','New Shekels','ILS','₪',',','.',NULL,NULL),(59,'Italy','Euro','EUR','€','.',',',NULL,NULL),(60,'Jamaica','Dollars','JMD','J$',',','.',NULL,NULL),(61,'Japan','Yen','JPY','¥',',','.',NULL,NULL),(62,'Jersey','Pounds','JEP','£',',','.',NULL,NULL),(63,'Kazakhstan','Tenge','KZT','лв',',','.',NULL,NULL),(64,'Korea [North]','Won','KPW','₩',',','.',NULL,NULL),(65,'Korea [South]','Won','KRW','₩',',','.',NULL,NULL),(66,'Kyrgyzstan','Soms','KGS','лв',',','.',NULL,NULL),(67,'Laos','Kips','LAK','₭',',','.',NULL,NULL),(68,'Latvia','Lati','LVL','Ls',',','.',NULL,NULL),(69,'Lebanon','Pounds','LBP','£',',','.',NULL,NULL),(70,'Liberia','Dollars','LRD','$',',','.',NULL,NULL),(71,'Liechtenstein','Switzerland Francs','CHF','CHF',',','.',NULL,NULL),(72,'Lithuania','Litai','LTL','Lt',',','.',NULL,NULL),(73,'Luxembourg','Euro','EUR','€','.',',',NULL,NULL),(74,'Macedonia','Denars','MKD','ден',',','.',NULL,NULL),(75,'Malaysia','Ringgits','MYR','RM',',','.',NULL,NULL),(76,'Malta','Euro','EUR','€','.',',',NULL,NULL),(77,'Mauritius','Rupees','MUR','₨',',','.',NULL,NULL),(78,'Mexico','Pesos','MXN','$',',','.',NULL,NULL),(79,'Mongolia','Tugriks','MNT','₮',',','.',NULL,NULL),(80,'Mozambique','Meticais','MZ','MT',',','.',NULL,NULL),(81,'Namibia','Dollars','NAD','$',',','.',NULL,NULL),(82,'Nepal','Rupees','NPR','₨',',','.',NULL,NULL),(83,'Netherlands Antilles','Guilders','ANG','ƒ',',','.',NULL,NULL),(84,'Netherlands','Euro','EUR','€','.',',',NULL,NULL),(85,'New Zealand','Dollars','NZD','$',',','.',NULL,NULL),(86,'Nicaragua','Cordobas','NIO','C$',',','.',NULL,NULL),(87,'Nigeria','Nairas','NGN','₦',',','.',NULL,NULL),(88,'North Korea','Won','KPW','₩',',','.',NULL,NULL),(89,'Norway','Krone','NOK','kr',',','.',NULL,NULL),(90,'Oman','Rials','OMR','﷼',',','.',NULL,NULL),(91,'Pakistan','Rupees','PKR','₨',',','.',NULL,NULL),(92,'Panama','Balboa','PAB','B/.',',','.',NULL,NULL),(93,'Paraguay','Guarani','PYG','Gs',',','.',NULL,NULL),(94,'Peru','Nuevos Soles','PE','S/.',',','.',NULL,NULL),(95,'Philippines','Pesos','PHP','Php',',','.',NULL,NULL),(96,'Poland','Zlotych','PL','zł',',','.',NULL,NULL),(97,'Qatar','Rials','QAR','﷼',',','.',NULL,NULL),(98,'Romania','New Lei','RO','lei',',','.',NULL,NULL),(99,'Russia','Rubles','RUB','руб',',','.',NULL,NULL),(100,'Saint Helena','Pounds','SHP','£',',','.',NULL,NULL),(101,'Saudi Arabia','Riyals','SAR','﷼',',','.',NULL,NULL),(102,'Serbia','Dinars','RSD','Дин.',',','.',NULL,NULL),(103,'Seychelles','Rupees','SCR','₨',',','.',NULL,NULL),(104,'Singapore','Dollars','SGD','$',',','.',NULL,NULL),(105,'Slovenia','Euro','EUR','€','.',',',NULL,NULL),(106,'Solomon Islands','Dollars','SBD','$',',','.',NULL,NULL),(107,'Somalia','Shillings','SOS','S',',','.',NULL,NULL),(108,'South Africa','Rand','ZAR','R',',','.',NULL,NULL),(109,'South Korea','Won','KRW','₩',',','.',NULL,NULL),(110,'Spain','Euro','EUR','€','.',',',NULL,NULL),(111,'Sri Lanka','Rupees','LKR','₨',',','.',NULL,NULL),(112,'Sweden','Kronor','SEK','kr',',','.',NULL,NULL),(113,'Switzerland','Francs','CHF','CHF',',','.',NULL,NULL),(114,'Suriname','Dollars','SRD','$',',','.',NULL,NULL),(115,'Syria','Pounds','SYP','£',',','.',NULL,NULL),(116,'Taiwan','New Dollars','TWD','NT$',',','.',NULL,NULL),(117,'Thailand','Baht','THB','฿',',','.',NULL,NULL),(118,'Trinidad and Tobago','Dollars','TTD','TT$',',','.',NULL,NULL),(119,'Turkey','Lira','TRY','TL',',','.',NULL,NULL),(120,'Turkey','Liras','TRL','£',',','.',NULL,NULL),(121,'Tuvalu','Dollars','TVD','$',',','.',NULL,NULL),(122,'Ukraine','Hryvnia','UAH','₴',',','.',NULL,NULL),(123,'United Kingdom','Pounds','GBP','£',',','.',NULL,NULL),(124,'United States of America','Dollars','USD','$',',','.',NULL,NULL),(125,'Uruguay','Pesos','UYU','$U',',','.',NULL,NULL),(126,'Uzbekistan','Sums','UZS','лв',',','.',NULL,NULL),(127,'Vatican City','Euro','EUR','€','.',',',NULL,NULL),(128,'Venezuela','Bolivares Fuertes','VEF','Bs',',','.',NULL,NULL),(129,'Vietnam','Dong','VND','₫',',','.',NULL,NULL),(130,'Yemen','Rials','YER','﷼',',','.',NULL,NULL),(131,'Zimbabwe','Zimbabwe Dollars','ZWD','Z$',',','.',NULL,NULL),(132,'Iraq','Iraqi dinar','IQD','د.ع',',','.',NULL,NULL),(133,'Kenya','Kenyan shilling','KES','KSh',',','.',NULL,NULL),(134,'Bangladesh','Taka','BDT','৳',',','.',NULL,NULL),(135,'Algerie','Algerian dinar','DZD','د.ج',' ','.',NULL,NULL),(136,'United Arab Emirates','United Arab Emirates dirham','AED','د.إ',',','.',NULL,NULL),(137,'Uganda','Uganda shillings','UGX','USh',',','.',NULL,NULL),(138,'Tanzania','Tanzanian shilling','TZS','TSh',',','.',NULL,NULL),(139,'Angola','Kwanza','AOA','Kz',',','.',NULL,NULL),(140,'Kuwait','Kuwaiti dinar','KWD','KD',',','.',NULL,NULL),(141,'Bahrain','Bahraini dinar','BHD','BD',',','.',NULL,NULL);
/*!40000 ALTER TABLE `currencies` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `customer_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `customer_groups` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` double(5,2) NOT NULL,
  `price_calculation_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'percentage',
  `selling_price_group_id` int DEFAULT NULL,
  `created_by` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_groups_business_id_foreign` (`business_id`),
  KEY `customer_groups_created_by_index` (`created_by`),
  KEY `customer_groups_price_calculation_type_index` (`price_calculation_type`),
  KEY `customer_groups_selling_price_group_id_index` (`selling_price_group_id`),
  CONSTRAINT `customer_groups_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `customer_groups` WRITE;
/*!40000 ALTER TABLE `customer_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `customer_groups` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `dashboard_configurations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_configurations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `created_by` int NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `configuration` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dashboard_configurations_business_id_foreign` (`business_id`),
  CONSTRAINT `dashboard_configurations_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `dashboard_configurations` WRITE;
/*!40000 ALTER TABLE `dashboard_configurations` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_configurations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `discount_variations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `discount_variations` (
  `discount_id` int NOT NULL,
  `variation_id` int NOT NULL,
  KEY `discount_variations_discount_id_index` (`discount_id`),
  KEY `discount_variations_variation_id_index` (`variation_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `discount_variations` WRITE;
/*!40000 ALTER TABLE `discount_variations` DISABLE KEYS */;
/*!40000 ALTER TABLE `discount_variations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `discounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `discounts` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int NOT NULL,
  `brand_id` int DEFAULT NULL,
  `category_id` int DEFAULT NULL,
  `location_id` int DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `discount_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_amount` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `starts_at` datetime DEFAULT NULL,
  `ends_at` datetime DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `spg` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Applicable in specified selling price group only. Use of applicable_in_spg column is discontinued',
  `applicable_in_cg` tinyint(1) DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `discounts_business_id_index` (`business_id`),
  KEY `discounts_brand_id_index` (`brand_id`),
  KEY `discounts_category_id_index` (`category_id`),
  KEY `discounts_location_id_index` (`location_id`),
  KEY `discounts_priority_index` (`priority`),
  KEY `discounts_spg_index` (`spg`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `discounts` WRITE;
/*!40000 ALTER TABLE `discounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `discounts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `document_and_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `document_and_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int NOT NULL,
  `notable_id` int NOT NULL,
  `notable_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `heading` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `is_private` tinyint(1) NOT NULL DEFAULT '0',
  `created_by` int NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `document_and_notes_business_id_index` (`business_id`),
  KEY `document_and_notes_notable_id_index` (`notable_id`),
  KEY `document_and_notes_created_by_index` (`created_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `document_and_notes` WRITE;
/*!40000 ALTER TABLE `document_and_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `document_and_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `expense_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `expense_categories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int unsigned NOT NULL,
  `code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_id` int DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `expense_categories_business_id_foreign` (`business_id`),
  CONSTRAINT `expense_categories_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `expense_categories` WRITE;
/*!40000 ALTER TABLE `expense_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `expense_categories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `group_sub_taxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `group_sub_taxes` (
  `group_tax_id` int unsigned NOT NULL,
  `tax_id` int unsigned NOT NULL,
  KEY `group_sub_taxes_group_tax_id_foreign` (`group_tax_id`),
  KEY `group_sub_taxes_tax_id_foreign` (`tax_id`),
  CONSTRAINT `group_sub_taxes_group_tax_id_foreign` FOREIGN KEY (`group_tax_id`) REFERENCES `tax_rates` (`id`) ON DELETE CASCADE,
  CONSTRAINT `group_sub_taxes_tax_id_foreign` FOREIGN KEY (`tax_id`) REFERENCES `tax_rates` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `group_sub_taxes` WRITE;
/*!40000 ALTER TABLE `group_sub_taxes` DISABLE KEYS */;
/*!40000 ALTER TABLE `group_sub_taxes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `invoice_layouts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `invoice_layouts` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `header_text` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `invoice_no_prefix` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `quotation_no_prefix` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `invoice_heading` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_heading_line1` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_heading_line2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_heading_line3` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_heading_line4` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_heading_line5` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `invoice_heading_not_paid` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `invoice_heading_paid` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `quotation_heading` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_total_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `round_off_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_due_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paid_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_client_id` tinyint(1) NOT NULL DEFAULT '0',
  `client_id_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `client_tax_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_time_format` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_time` tinyint(1) NOT NULL DEFAULT '1',
  `show_brand` tinyint(1) NOT NULL DEFAULT '0',
  `show_sku` tinyint(1) NOT NULL DEFAULT '1',
  `show_cat_code` tinyint(1) NOT NULL DEFAULT '1',
  `show_expiry` tinyint(1) NOT NULL DEFAULT '0',
  `show_lot` tinyint(1) NOT NULL DEFAULT '0',
  `show_image` tinyint(1) NOT NULL DEFAULT '0',
  `show_sale_description` tinyint(1) NOT NULL DEFAULT '0',
  `sales_person_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_sales_person` tinyint(1) NOT NULL DEFAULT '0',
  `table_product_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `table_qty_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `table_unit_price_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `table_subtotal_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cat_code_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_logo` tinyint(1) NOT NULL DEFAULT '0',
  `show_business_name` tinyint(1) NOT NULL DEFAULT '0',
  `show_location_name` tinyint(1) NOT NULL DEFAULT '1',
  `show_landmark` tinyint(1) NOT NULL DEFAULT '1',
  `show_city` tinyint(1) NOT NULL DEFAULT '1',
  `show_state` tinyint(1) NOT NULL DEFAULT '1',
  `show_zip_code` tinyint(1) NOT NULL DEFAULT '1',
  `show_country` tinyint(1) NOT NULL DEFAULT '1',
  `show_mobile_number` tinyint(1) NOT NULL DEFAULT '1',
  `show_alternate_number` tinyint(1) NOT NULL DEFAULT '0',
  `show_email` tinyint(1) NOT NULL DEFAULT '0',
  `show_tax_1` tinyint(1) NOT NULL DEFAULT '1',
  `show_tax_2` tinyint(1) NOT NULL DEFAULT '0',
  `show_barcode` tinyint(1) NOT NULL DEFAULT '0',
  `show_payments` tinyint(1) NOT NULL DEFAULT '0',
  `show_customer` tinyint(1) NOT NULL DEFAULT '0',
  `customer_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `commission_agent_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_commission_agent` tinyint(1) NOT NULL DEFAULT '0',
  `show_reward_point` tinyint(1) NOT NULL DEFAULT '0',
  `highlight_color` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `footer_text` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `module_info` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `common_settings` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `business_id` int unsigned NOT NULL,
  `show_letter_head` tinyint(1) NOT NULL DEFAULT '0',
  `letter_head` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_qr_code` tinyint(1) NOT NULL DEFAULT '0',
  `qr_code_fields` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `design` enum('classic','columnize-taxes','elegant','delivery_note','detailed','elegant_modified','packing_slip','slim','slim2') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'classic',
  `cn_heading` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'cn = credit note',
  `cn_no_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cn_amount_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `table_tax_headings` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `show_previous_bal` tinyint(1) NOT NULL DEFAULT '0',
  `prev_bal_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `change_return_label` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_custom_fields` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `contact_custom_fields` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `location_custom_fields` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice_layouts_business_id_foreign` (`business_id`),
  CONSTRAINT `invoice_layouts_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `invoice_layouts` WRITE;
/*!40000 ALTER TABLE `invoice_layouts` DISABLE KEYS */;
INSERT INTO `invoice_layouts` VALUES (1,'Default',NULL,'RECEIPT #',NULL,'RECEIPT',NULL,NULL,NULL,NULL,NULL,'','',NULL,'TOTAL EXCL OF TAX','Discount','TOTAL TAX','TOTAL INCL OF TAX','ROUNDED OFF AMOUNT','TOTAL DUE','TOTAL PAID',0,NULL,'TAX NUMBER','DATE',NULL,1,0,1,1,0,0,0,0,NULL,0,'PRODUCT','QTY','UNIT PRICE','SUB-TOTAL',NULL,NULL,0,0,1,1,1,0,0,1,1,0,0,1,1,0,1,1,'CUSTOMER',NULL,0,0,'#000000',NULL,NULL,NULL,1,1,0,NULL,1,NULL,'slim',NULL,NULL,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(2,'Default',NULL,'RECEIPT #',NULL,'RECEIPT',NULL,NULL,NULL,NULL,NULL,'','',NULL,'TOTAL EXCL OF TAX','Discount','TOTAL TAX','TOTAL INCL OF TAX','ROUNDED OFF AMOUNT','TOTAL DUE','TOTAL PAID',0,NULL,'TAX NUMBER','DATE',NULL,1,0,1,1,0,0,0,0,NULL,0,'PRODUCT','QTY','UNIT PRICE','SUB-TOTAL',NULL,NULL,0,0,1,1,1,0,0,1,1,0,0,1,1,0,1,1,'CUSTOMER',NULL,0,0,'#000000',NULL,NULL,NULL,1,2,0,NULL,1,NULL,'slim',NULL,NULL,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'2023-06-01 16:24:34','2023-06-01 16:24:34');
/*!40000 ALTER TABLE `invoice_layouts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `invoice_schemes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `invoice_schemes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `scheme_type` enum('blank','year') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `prefix` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_number` int DEFAULT NULL,
  `invoice_count` int NOT NULL DEFAULT '0',
  `total_digits` int DEFAULT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice_schemes_business_id_foreign` (`business_id`),
  KEY `invoice_schemes_scheme_type_index` (`scheme_type`),
  CONSTRAINT `invoice_schemes_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `invoice_schemes` WRITE;
/*!40000 ALTER TABLE `invoice_schemes` DISABLE KEYS */;
INSERT INTO `invoice_schemes` VALUES (1,1,'Default','blank',NULL,1,12,4,1,'2023-05-18 22:19:51','2023-07-04 08:08:26'),(2,2,'Default','blank','APL',848,340,6,1,'2023-06-01 16:24:34','2023-11-23 17:35:03');
/*!40000 ALTER TABLE `invoice_schemes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `media`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int NOT NULL,
  `file_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `uploaded_by` int DEFAULT NULL,
  `model_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_media_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `model_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `media_model_type_model_id_index` (`model_type`,`model_id`),
  KEY `media_business_id_index` (`business_id`),
  KEY `media_uploaded_by_index` (`uploaded_by`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `media` WRITE;
/*!40000 ALTER TABLE `media` DISABLE KEYS */;
INSERT INTO `media` VALUES (1,1,'1684478970_2119185562_steel_bars.jpg',NULL,1,'App\\Variation',NULL,1,'2023-05-19 07:49:30','2023-05-19 07:49:30'),(2,1,'1684478970_1987919375_steel_bars.jpg',NULL,1,'App\\Variation',NULL,2,'2023-05-19 07:49:30','2023-05-19 07:49:30'),(3,1,'1684478970_3342652_steel_bars.jpg',NULL,1,'App\\Variation',NULL,3,'2023-05-19 07:49:30','2023-05-19 07:49:30'),(4,1,'1684478970_1515893594_steel_bars.jpg',NULL,1,'App\\Variation',NULL,4,'2023-05-19 07:49:30','2023-05-19 07:49:30');
/*!40000 ALTER TABLE `media` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=289 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2014_10_12_000000_create_users_table',1),(2,'2014_10_12_100000_create_password_resets_table',1),(3,'2016_06_01_000001_create_oauth_auth_codes_table',1),(4,'2016_06_01_000002_create_oauth_access_tokens_table',1),(5,'2016_06_01_000003_create_oauth_refresh_tokens_table',1),(6,'2016_06_01_000004_create_oauth_clients_table',1),(7,'2016_06_01_000005_create_oauth_personal_access_clients_table',1),(8,'2017_07_05_071953_create_currencies_table',1),(9,'2017_07_05_073658_create_business_table',1),(10,'2017_07_22_075923_add_business_id_users_table',1),(11,'2017_07_23_113209_create_brands_table',1),(12,'2017_07_26_083429_create_permission_tables',1),(13,'2017_07_26_110000_create_tax_rates_table',1),(14,'2017_07_26_122313_create_units_table',1),(15,'2017_07_27_075706_create_contacts_table',1),(16,'2017_08_04_071038_create_categories_table',1),(17,'2017_08_08_115903_create_products_table',1),(18,'2017_08_09_061616_create_variation_templates_table',1),(19,'2017_08_09_061638_create_variation_value_templates_table',1),(20,'2017_08_10_061146_create_product_variations_table',1),(21,'2017_08_10_061216_create_variations_table',1),(22,'2017_08_19_054827_create_transactions_table',1),(23,'2017_08_31_073533_create_purchase_lines_table',1),(24,'2017_10_15_064638_create_transaction_payments_table',1),(25,'2017_10_31_065621_add_default_sales_tax_to_business_table',1),(26,'2017_11_20_051930_create_table_group_sub_taxes',1),(27,'2017_11_20_063603_create_transaction_sell_lines',1),(28,'2017_11_21_064540_create_barcodes_table',1),(29,'2017_11_23_181237_create_invoice_schemes_table',1),(30,'2017_12_25_122822_create_business_locations_table',1),(31,'2017_12_25_160253_add_location_id_to_transactions_table',1),(32,'2017_12_25_163227_create_variation_location_details_table',1),(33,'2018_01_04_115627_create_sessions_table',1),(34,'2018_01_05_112817_create_invoice_layouts_table',1),(35,'2018_01_06_112303_add_invoice_scheme_id_and_invoice_layout_id_to_business_locations',1),(36,'2018_01_08_104124_create_expense_categories_table',1),(37,'2018_01_08_123327_modify_transactions_table_for_expenses',1),(38,'2018_01_09_111005_modify_payment_status_in_transactions_table',1),(39,'2018_01_09_111109_add_paid_on_column_to_transaction_payments_table',1),(40,'2018_01_25_172439_add_printer_related_fields_to_business_locations_table',1),(41,'2018_01_27_184322_create_printers_table',1),(42,'2018_01_30_181442_create_cash_registers_table',1),(43,'2018_01_31_125836_create_cash_register_transactions_table',1),(44,'2018_02_07_173326_modify_business_table',1),(45,'2018_02_08_105425_add_enable_product_expiry_column_to_business_table',1),(46,'2018_02_08_111027_add_expiry_period_and_expiry_period_type_columns_to_products_table',1),(47,'2018_02_08_131118_add_mfg_date_and_exp_date_purchase_lines_table',1),(48,'2018_02_08_155348_add_exchange_rate_to_transactions_table',1),(49,'2018_02_09_124945_modify_transaction_payments_table_for_contact_payments',1),(50,'2018_02_12_113640_create_transaction_sell_lines_purchase_lines_table',1),(51,'2018_02_12_114605_add_quantity_sold_in_purchase_lines_table',1),(52,'2018_02_13_183323_alter_decimal_fields_size',1),(53,'2018_02_14_161928_add_transaction_edit_days_to_business_table',1),(54,'2018_02_15_161032_add_document_column_to_transactions_table',1),(55,'2018_02_17_124709_add_more_options_to_invoice_layouts',1),(56,'2018_02_19_111517_add_keyboard_shortcut_column_to_business_table',1),(57,'2018_02_19_121537_stock_adjustment_move_to_transaction_table',1),(58,'2018_02_20_165505_add_is_direct_sale_column_to_transactions_table',1),(59,'2018_02_21_105329_create_system_table',1),(60,'2018_02_23_100549_version_1_2',1),(61,'2018_02_23_125648_add_enable_editing_sp_from_purchase_column_to_business_table',1),(62,'2018_02_26_103612_add_sales_commission_agent_column_to_business_table',1),(63,'2018_02_26_130519_modify_users_table_for_sales_cmmsn_agnt',1),(64,'2018_02_26_134500_add_commission_agent_to_transactions_table',1),(65,'2018_02_27_121422_add_item_addition_method_to_business_table',1),(66,'2018_02_27_170232_modify_transactions_table_for_stock_transfer',1),(67,'2018_03_05_153510_add_enable_inline_tax_column_to_business_table',1),(68,'2018_03_06_210206_modify_product_barcode_types',1),(69,'2018_03_13_181541_add_expiry_type_to_business_table',1),(70,'2018_03_16_113446_product_expiry_setting_for_business',1),(71,'2018_03_19_113601_add_business_settings_options',1),(72,'2018_03_26_125334_add_pos_settings_to_business_table',1),(73,'2018_03_26_165350_create_customer_groups_table',1),(74,'2018_03_27_122720_customer_group_related_changes_in_tables',1),(75,'2018_03_29_110138_change_tax_field_to_nullable_in_business_table',1),(76,'2018_03_29_115502_add_changes_for_sr_number_in_products_and_sale_lines_table',1),(77,'2018_03_29_134340_add_inline_discount_fields_in_purchase_lines',1),(78,'2018_03_31_140921_update_transactions_table_exchange_rate',1),(79,'2018_04_03_103037_add_contact_id_to_contacts_table',1),(80,'2018_04_03_122709_add_changes_to_invoice_layouts_table',1),(81,'2018_04_09_135320_change_exchage_rate_size_in_business_table',1),(82,'2018_04_17_123122_add_lot_number_to_business',1),(83,'2018_04_17_160845_add_product_racks_table',1),(84,'2018_04_20_182015_create_res_tables_table',1),(85,'2018_04_24_105246_restaurant_fields_in_transaction_table',1),(86,'2018_04_24_114149_add_enabled_modules_business_table',1),(87,'2018_04_24_133704_add_modules_fields_in_invoice_layout_table',1),(88,'2018_04_27_132653_quotation_related_change',1),(89,'2018_05_02_104439_add_date_format_and_time_format_to_business',1),(90,'2018_05_02_111939_add_sell_return_to_transaction_payments',1),(91,'2018_05_14_114027_add_rows_positions_for_products',1),(92,'2018_05_14_125223_add_weight_to_products_table',1),(93,'2018_05_14_164754_add_opening_stock_permission',1),(94,'2018_05_15_134729_add_design_to_invoice_layouts',1),(95,'2018_05_16_183307_add_tax_fields_invoice_layout',1),(96,'2018_05_18_191956_add_sell_return_to_transaction_table',1),(97,'2018_05_21_131349_add_custom_fileds_to_contacts_table',1),(98,'2018_05_21_131607_invoice_layout_fields_for_sell_return',1),(99,'2018_05_21_131949_add_custom_fileds_and_website_to_business_locations_table',1),(100,'2018_05_22_123527_create_reference_counts_table',1),(101,'2018_05_22_154540_add_ref_no_prefixes_column_to_business_table',1),(102,'2018_05_24_132620_add_ref_no_column_to_transaction_payments_table',1),(103,'2018_05_24_161026_add_location_id_column_to_business_location_table',1),(104,'2018_05_25_180603_create_modifiers_related_table',1),(105,'2018_05_29_121714_add_purchase_line_id_to_stock_adjustment_line_table',1),(106,'2018_05_31_114645_add_res_order_status_column_to_transactions_table',1),(107,'2018_06_05_103530_rename_purchase_line_id_in_stock_adjustment_lines_table',1),(108,'2018_06_05_111905_modify_products_table_for_modifiers',1),(109,'2018_06_06_110524_add_parent_sell_line_id_column_to_transaction_sell_lines_table',1),(110,'2018_06_07_152443_add_is_service_staff_to_roles_table',1),(111,'2018_06_07_182258_add_image_field_to_products_table',1),(112,'2018_06_13_133705_create_bookings_table',1),(113,'2018_06_15_173636_add_email_column_to_contacts_table',1),(114,'2018_06_27_182835_add_superadmin_related_fields_business',1),(115,'2018_07_10_101913_add_custom_fields_to_products_table',1),(116,'2018_07_17_103434_add_sales_person_name_label_to_invoice_layouts_table',1),(117,'2018_07_17_163920_add_theme_skin_color_column_to_business_table',1),(118,'2018_07_24_160319_add_lot_no_line_id_to_transaction_sell_lines_table',1),(119,'2018_07_25_110004_add_show_expiry_and_show_lot_colums_to_invoice_layouts_table',1),(120,'2018_07_25_172004_add_discount_columns_to_transaction_sell_lines_table',1),(121,'2018_07_26_124720_change_design_column_type_in_invoice_layouts_table',1),(122,'2018_07_26_170424_add_unit_price_before_discount_column_to_transaction_sell_line_table',1),(123,'2018_07_28_103614_add_credit_limit_column_to_contacts_table',1),(124,'2018_08_08_110755_add_new_payment_methods_to_transaction_payments_table',1),(125,'2018_08_08_122225_modify_cash_register_transactions_table_for_new_payment_methods',1),(126,'2018_08_14_104036_add_opening_balance_type_to_transactions_table',1),(127,'2018_09_04_155900_create_accounts_table',1),(128,'2018_09_06_114438_create_selling_price_groups_table',1),(129,'2018_09_06_154057_create_variation_group_prices_table',1),(130,'2018_09_07_102413_add_permission_to_access_default_selling_price',1),(131,'2018_09_07_134858_add_selling_price_group_id_to_transactions_table',1),(132,'2018_09_10_112448_update_product_type_to_single_if_null_in_products_table',1),(133,'2018_09_10_152703_create_account_transactions_table',1),(134,'2018_09_10_173656_add_account_id_column_to_transaction_payments_table',1),(135,'2018_09_19_123914_create_notification_templates_table',1),(136,'2018_09_22_110504_add_sms_and_email_settings_columns_to_business_table',1),(137,'2018_09_24_134942_add_lot_no_line_id_to_stock_adjustment_lines_table',1),(138,'2018_09_26_105557_add_transaction_payments_for_existing_expenses',1),(139,'2018_09_27_111609_modify_transactions_table_for_purchase_return',1),(140,'2018_09_27_131154_add_quantity_returned_column_to_purchase_lines_table',1),(141,'2018_10_02_131401_add_return_quantity_column_to_transaction_sell_lines_table',1),(142,'2018_10_03_104918_add_qty_returned_column_to_transaction_sell_lines_purchase_lines_table',1),(143,'2018_10_03_185947_add_default_notification_templates_to_database',1),(144,'2018_10_09_153105_add_business_id_to_transaction_payments_table',1),(145,'2018_10_16_135229_create_permission_for_sells_and_purchase',1),(146,'2018_10_22_114441_add_columns_for_variable_product_modifications',1),(147,'2018_10_22_134428_modify_variable_product_data',1),(148,'2018_10_30_181558_add_table_tax_headings_to_invoice_layout',1),(149,'2018_10_31_122619_add_pay_terms_field_transactions_table',1),(150,'2018_10_31_161328_add_new_permissions_for_pos_screen',1),(151,'2018_10_31_174752_add_access_selected_contacts_only_to_users_table',1),(152,'2018_10_31_175627_add_user_contact_access',1),(153,'2018_10_31_180559_add_auto_send_sms_column_to_notification_templates_table',1),(154,'2018_11_02_171949_change_card_type_column_to_varchar_in_transaction_payments_table',1),(155,'2018_11_08_105621_add_role_permissions',1),(156,'2018_11_26_114135_add_is_suspend_column_to_transactions_table',1),(157,'2018_11_28_104410_modify_units_table_for_multi_unit',1),(158,'2018_11_28_170952_add_sub_unit_id_to_purchase_lines_and_sell_lines',1),(159,'2018_11_29_115918_add_primary_key_in_system_table',1),(160,'2018_12_03_185546_add_product_description_column_to_products_table',1),(161,'2018_12_06_114937_modify_system_table_and_users_table',1),(162,'2018_12_13_160007_add_custom_fields_display_options_to_invoice_layouts_table',1),(163,'2018_12_14_103307_modify_system_table',1),(164,'2018_12_18_133837_add_prev_balance_due_columns_to_invoice_layouts_table',1),(165,'2018_12_18_170656_add_invoice_token_column_to_transaction_table',1),(166,'2018_12_20_133639_add_date_time_format_column_to_invoice_layouts_table',1),(167,'2018_12_21_120659_add_recurring_invoice_fields_to_transactions_table',1),(168,'2018_12_24_154933_create_notifications_table',1),(169,'2019_01_08_112015_add_document_column_to_transaction_payments_table',1),(170,'2019_01_10_124645_add_account_permission',1),(171,'2019_01_16_125825_add_subscription_no_column_to_transactions_table',1),(172,'2019_01_28_111647_add_order_addresses_column_to_transactions_table',1),(173,'2019_02_13_173821_add_is_inactive_column_to_products_table',1),(174,'2019_02_19_103118_create_discounts_table',1),(175,'2019_02_21_120324_add_discount_id_column_to_transaction_sell_lines_table',1),(176,'2019_02_21_134324_add_permission_for_discount',1),(177,'2019_03_04_170832_add_service_staff_columns_to_transaction_sell_lines_table',1),(178,'2019_03_09_102425_add_sub_type_column_to_transactions_table',1),(179,'2019_03_09_124457_add_indexing_transaction_sell_lines_purchase_lines_table',1),(180,'2019_03_12_120336_create_activity_log_table',1),(181,'2019_03_15_132925_create_media_table',1),(182,'2019_05_08_130339_add_indexing_to_parent_id_in_transaction_payments_table',1),(183,'2019_05_10_132311_add_missing_column_indexing',1),(184,'2019_05_14_091812_add_show_image_column_to_invoice_layouts_table',1),(185,'2019_05_25_104922_add_view_purchase_price_permission',1),(186,'2019_06_17_103515_add_profile_informations_columns_to_users_table',1),(187,'2019_06_18_135524_add_permission_to_view_own_sales_only',1),(188,'2019_06_19_112058_add_database_changes_for_reward_points',1),(189,'2019_06_28_133732_change_type_column_to_string_in_transactions_table',1),(190,'2019_07_13_111420_add_is_created_from_api_column_to_transactions_table',1),(191,'2019_07_15_165136_add_fields_for_combo_product',1),(192,'2019_07_19_103446_add_mfg_quantity_used_column_to_purchase_lines_table',1),(193,'2019_07_22_152649_add_not_for_selling_in_product_table',1),(194,'2019_07_29_185351_add_show_reward_point_column_to_invoice_layouts_table',1),(195,'2019_08_08_162302_add_sub_units_related_fields',1),(196,'2019_08_26_133419_update_price_fields_decimal_point',1),(197,'2019_09_02_160054_remove_location_permissions_from_roles',1),(198,'2019_09_03_185259_add_permission_for_pos_screen',1),(199,'2019_09_04_163141_add_location_id_to_cash_registers_table',1),(200,'2019_09_04_184008_create_types_of_services_table',1),(201,'2019_09_06_131445_add_types_of_service_fields_to_transactions_table',1),(202,'2019_09_09_134810_add_default_selling_price_group_id_column_to_business_locations_table',1),(203,'2019_09_12_105616_create_product_locations_table',1),(204,'2019_09_17_122522_add_custom_labels_column_to_business_table',1),(205,'2019_09_18_164319_add_shipping_fields_to_transactions_table',1),(206,'2019_09_19_170927_close_all_active_registers',1),(207,'2019_09_23_161906_add_media_description_cloumn_to_media_table',1),(208,'2019_10_18_155633_create_account_types_table',1),(209,'2019_10_22_163335_add_common_settings_column_to_business_table',1),(210,'2019_10_29_132521_add_update_purchase_status_permission',1),(211,'2019_11_09_110522_add_indexing_to_lot_number',1),(212,'2019_11_19_170824_add_is_active_column_to_business_locations_table',1),(213,'2019_11_21_162913_change_quantity_field_types_to_decimal',1),(214,'2019_11_25_160340_modify_categories_table_for_polymerphic_relationship',1),(215,'2019_12_02_105025_create_warranties_table',1),(216,'2019_12_03_180342_add_common_settings_field_to_invoice_layouts_table',1),(217,'2019_12_05_183955_add_more_fields_to_users_table',1),(218,'2019_12_06_174904_add_change_return_label_column_to_invoice_layouts_table',1),(219,'2019_12_11_121307_add_draft_and_quotation_list_permissions',1),(220,'2019_12_12_180126_copy_expense_total_to_total_before_tax',1),(221,'2019_12_19_181412_make_alert_quantity_field_nullable_on_products_table',1),(222,'2019_12_25_173413_create_dashboard_configurations_table',1),(223,'2020_01_08_133506_create_document_and_notes_table',1),(224,'2020_01_09_113252_add_cc_bcc_column_to_notification_templates_table',1),(225,'2020_01_16_174818_add_round_off_amount_field_to_transactions_table',1),(226,'2020_01_28_162345_add_weighing_scale_settings_in_business_settings_table',1),(227,'2020_02_18_172447_add_import_fields_to_transactions_table',1),(228,'2020_03_13_135844_add_is_active_column_to_selling_price_groups_table',1),(229,'2020_03_16_115449_add_contact_status_field_to_contacts_table',1),(230,'2020_03_26_124736_add_allow_login_column_in_users_table',1),(231,'2020_04_13_154150_add_feature_products_column_to_business_loactions',1),(232,'2020_04_15_151802_add_user_type_to_users_table',1),(233,'2020_04_22_153905_add_subscription_repeat_on_column_to_transactions_table',1),(234,'2020_04_28_111436_add_shipping_address_to_contacts_table',1),(235,'2020_06_01_094654_add_max_sale_discount_column_to_users_table',1),(236,'2020_06_12_162245_modify_contacts_table',1),(237,'2020_06_22_103104_change_recur_interval_default_to_one',1),(238,'2020_07_09_174621_add_balance_field_to_contacts_table',1),(239,'2020_07_23_104933_change_status_column_to_varchar_in_transaction_table',1),(240,'2020_09_07_171059_change_completed_stock_transfer_status_to_final',1),(241,'2020_09_21_123224_modify_booking_status_column_in_bookings_table',1),(242,'2020_09_22_121639_create_discount_variations_table',1),(243,'2020_10_05_121550_modify_business_location_table_for_invoice_layout',1),(244,'2020_10_16_175726_set_status_as_received_for_opening_stock',1),(245,'2020_10_23_170823_add_for_group_tax_column_to_tax_rates_table',1),(246,'2020_11_04_130940_add_more_custom_fields_to_contacts_table',1),(247,'2020_11_10_152841_add_cash_register_permissions',1),(248,'2020_11_17_164041_modify_type_column_to_varchar_in_contacts_table',1),(249,'2020_12_18_181447_add_shipping_custom_fields_to_transactions_table',1),(250,'2020_12_22_164303_add_sub_status_column_to_transactions_table',1),(251,'2020_12_24_153050_add_custom_fields_to_transactions_table',1),(252,'2020_12_28_105403_add_whatsapp_text_column_to_notification_templates_table',1),(253,'2020_12_29_165925_add_model_document_type_to_media_table',1),(254,'2021_02_08_175632_add_contact_number_fields_to_users_table',1),(255,'2021_02_11_172217_add_indexing_for_multiple_columns',1),(256,'2021_02_23_122043_add_more_columns_to_customer_groups_table',1),(257,'2021_02_24_175551_add_print_invoice_permission_to_all_roles',1),(258,'2021_03_03_162021_add_purchase_order_columns_to_purchase_lines_and_transactions_table',1),(259,'2021_03_11_120229_add_sales_order_columns',1),(260,'2021_03_16_120705_add_business_id_to_activity_log_table',1),(261,'2021_03_16_153427_add_code_columns_to_business_table',1),(262,'2021_03_18_173308_add_account_details_column_to_accounts_table',1),(263,'2021_03_18_183119_add_prefer_payment_account_columns_to_transactions_table',1),(264,'2021_03_22_120810_add_more_types_of_service_custom_fields',1),(265,'2021_03_24_183132_add_shipping_export_custom_field_details_to_contacts_table',1),(266,'2021_03_25_170715_add_export_custom_fields_info_to_transactions_table',1),(267,'2021_04_15_063449_add_denominations_column_to_cash_registers_table',1),(268,'2021_05_22_083426_add_indexing_to_account_transactions_table',1),(269,'2021_07_08_065808_add_additional_expense_columns_to_transaction_table',1),(270,'2021_07_13_082918_add_qr_code_columns_to_invoice_layouts_table',1),(271,'2021_07_21_061615_add_fields_to_show_commission_agent_in_invoice_layout',1),(272,'2021_08_13_105549_add_crm_contact_id_to_users_table',1),(273,'2021_08_25_114932_add_payment_link_fields_to_transaction_payments_table',1),(274,'2021_09_01_063110_add_spg_column_to_discounts_table',1),(275,'2021_09_03_061528_modify_cash_register_transactions_table',1),(276,'2021_10_05_061658_add_source_column_to_transactions_table',1),(277,'2021_12_16_121851_add_parent_id_column_to_expense_categories_table',1),(278,'2022_04_14_075120_add_payment_type_column_to_transaction_payments_table',1),(279,'2022_04_21_083327_create_cash_denominations_table',1),(280,'2022_05_10_055307_add_delivery_date_column_to_transactions_table',1),(281,'2022_06_13_123135_add_currency_precision_and_quantity_precision_fields_to_business_table',1),(282,'2022_06_28_133342_add_secondary_unit_columns_to_products_sell_line_purchase_lines_tables',1),(283,'2022_07_13_114307_create_purchase_requisition_related_columns',1),(284,'2022_08_25_132707_add_service_staff_timer_fields_to_products_and_users_table',1),(285,'2023_01_28_114255_add_letter_head_column_to_invoice_layouts_table',1),(286,'2023_02_11_161510_add_event_column_to_activity_log_table',1),(287,'2023_02_11_161511_add_batch_uuid_column_to_activity_log_table',1),(288,'2023_03_02_170312_add_provider_to_oauth_clients_table',1);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `model_has_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `model_has_permissions` (
  `permission_id` int unsigned NOT NULL,
  `model_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`model_id`,`model_type`),
  KEY `model_has_permissions_model_type_model_id_index` (`model_type`,`model_id`),
  CONSTRAINT `model_has_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `model_has_permissions` WRITE;
/*!40000 ALTER TABLE `model_has_permissions` DISABLE KEYS */;
INSERT INTO `model_has_permissions` VALUES (80,'App\\User',2),(80,'App\\User',4),(114,'App\\User',5),(114,'App\\User',6);
/*!40000 ALTER TABLE `model_has_permissions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `model_has_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `model_has_roles` (
  `role_id` int unsigned NOT NULL,
  `model_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`role_id`,`model_id`,`model_type`),
  KEY `model_has_roles_model_type_model_id_index` (`model_type`,`model_id`),
  CONSTRAINT `model_has_roles_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `model_has_roles` WRITE;
/*!40000 ALTER TABLE `model_has_roles` DISABLE KEYS */;
INSERT INTO `model_has_roles` VALUES (1,'App\\User',1),(3,'App\\User',2),(4,'App\\User',3),(3,'App\\User',4),(6,'App\\User',5),(7,'App\\User',6);
/*!40000 ALTER TABLE `model_has_roles` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `notification_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `notification_templates` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int NOT NULL,
  `template_for` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_body` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `sms_body` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `whatsapp_text` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `subject` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cc` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bcc` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `auto_send` tinyint(1) NOT NULL DEFAULT '0',
  `auto_send_sms` tinyint(1) NOT NULL DEFAULT '0',
  `auto_send_wa_notif` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `notification_templates` WRITE;
/*!40000 ALTER TABLE `notification_templates` DISABLE KEYS */;
INSERT INTO `notification_templates` VALUES (1,1,'new_sale','<p>Dear {contact_name},</p>\n\n                    <p>Your invoice number is {invoice_number}<br />\n                    Total amount: {total_amount}<br />\n                    Paid amount: {received_amount}</p>\n\n                    <p>Thank you for shopping with us.</p>\n\n                    <p>{business_logo}</p>\n\n                    <p>&nbsp;</p>','Dear {contact_name}, Thank you for shopping with us. {business_name}',NULL,'Thank you from {business_name}',NULL,NULL,0,0,0,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(2,1,'payment_received','<p>Dear {contact_name},</p>\n\n                <p>We have received a payment of {received_amount}</p>\n\n                <p>{business_logo}</p>','Dear {contact_name}, We have received a payment of {received_amount}. {business_name}',NULL,'Payment Received, from {business_name}',NULL,NULL,0,0,0,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(3,1,'payment_reminder','<p>Dear {contact_name},</p>\n\n                    <p>This is to remind you that you have pending payment of {due_amount}. Kindly pay it as soon as possible.</p>\n\n                    <p>{business_logo}</p>','Dear {contact_name}, You have pending payment of {due_amount}. Kindly pay it as soon as possible. {business_name}',NULL,'Payment Reminder, from {business_name}',NULL,NULL,0,0,0,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(4,1,'new_booking','<p>Dear {contact_name},</p>\n\n                    <p>Your booking is confirmed</p>\n\n                    <p>Date: {start_time} to {end_time}</p>\n\n                    <p>Table: {table}</p>\n\n                    <p>Location: {location}</p>\n\n                    <p>{business_logo}</p>','Dear {contact_name}, Your booking is confirmed. Date: {start_time} to {end_time}, Table: {table}, Location: {location}',NULL,'Booking Confirmed - {business_name}',NULL,NULL,0,0,0,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(5,1,'new_order','<p>Dear {contact_name},</p>\n\n                    <p>We have a new order with reference number {order_ref_number}. Kindly process the products as soon as possible.</p>\n\n                    <p>{business_name}<br />\n                    {business_logo}</p>','Dear {contact_name}, We have a new order with reference number {order_ref_number}. Kindly process the products as soon as possible. {business_name}',NULL,'New Order, from {business_name}',NULL,NULL,0,0,0,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(6,1,'payment_paid','<p>Dear {contact_name},</p>\n\n                    <p>We have paid amount {paid_amount} again invoice number {order_ref_number}.<br />\n                    Kindly note it down.</p>\n\n                    <p>{business_name}<br />\n                    {business_logo}</p>','We have paid amount {paid_amount} again invoice number {order_ref_number}.\n                    Kindly note it down. {business_name}',NULL,'Payment Paid, from {business_name}',NULL,NULL,0,0,0,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(7,1,'items_received','<p>Dear {contact_name},</p>\n\n                    <p>We have received all items from invoice reference number {order_ref_number}. Thank you for processing it.</p>\n\n                    <p>{business_name}<br />\n                    {business_logo}</p>','We have received all items from invoice reference number {order_ref_number}. Thank you for processing it. {business_name}',NULL,'Items received, from {business_name}',NULL,NULL,0,0,0,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(8,1,'items_pending','<p>Dear {contact_name},<br />\n                    This is to remind you that we have not yet received some items from invoice reference number {order_ref_number}. Please process it as soon as possible.</p>\n\n                    <p>{business_name}<br />\n                    {business_logo}</p>','This is to remind you that we have not yet received some items from invoice reference number {order_ref_number} . Please process it as soon as possible.{business_name}',NULL,'Items Pending, from {business_name}',NULL,NULL,0,0,0,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(9,1,'new_quotation','<p>Dear {contact_name},</p>\n\n                    <p>Your quotation number is {invoice_number}<br />\n                    Total amount: {total_amount}</p>\n\n                    <p>Thank you for shopping with us.</p>\n\n                    <p>{business_logo}</p>\n\n                    <p>&nbsp;</p>','Dear {contact_name}, Thank you for shopping with us. {business_name}',NULL,'Thank you from {business_name}',NULL,NULL,0,0,0,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(10,1,'purchase_order','<p>Dear {contact_name},</p>\n\n                    <p>We have a new purchase order with reference number {order_ref_number}. The respective invoice is attached here with.</p>\n\n                    <p>{business_logo}</p>','We have a new purchase order with reference number {order_ref_number}. {business_name}',NULL,'New Purchase Order, from {business_name}',NULL,NULL,0,0,0,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(11,2,'new_sale','<p>Dear {contact_name},</p>\n\n                    <p>Your invoice number is {invoice_number}<br />\n                    Total amount: {total_amount}<br />\n                    Paid amount: {received_amount}</p>\n\n                    <p>Thank you for shopping with us.</p>\n\n                    <p>{business_logo}</p>\n\n                    <p>&nbsp;</p>','Dear {contact_name}, Thank you for shopping with us. {business_name}',NULL,'Thank you from {business_name}',NULL,NULL,0,0,0,'2023-06-01 16:24:34','2023-06-01 16:24:34'),(12,2,'payment_received','<p>Dear {contact_name},</p>\n\n                <p>We have received a payment of {received_amount}</p>\n\n                <p>{business_logo}</p>','Dear {contact_name}, We have received a payment of {received_amount}. {business_name}',NULL,'Payment Received, from {business_name}',NULL,NULL,0,0,0,'2023-06-01 16:24:34','2023-06-01 16:24:34'),(13,2,'payment_reminder','<p>Dear {contact_name},</p>\n\n                    <p>This is to remind you that you have pending payment of {due_amount}. Kindly pay it as soon as possible.</p>\n\n                    <p>{business_logo}</p>','Dear {contact_name}, You have pending payment of {due_amount}. Kindly pay it as soon as possible. {business_name}',NULL,'Payment Reminder, from {business_name}',NULL,NULL,0,0,0,'2023-06-01 16:24:34','2023-06-01 16:24:34'),(14,2,'new_booking','<p>Dear {contact_name},</p>\n\n                    <p>Your booking is confirmed</p>\n\n                    <p>Date: {start_time} to {end_time}</p>\n\n                    <p>Table: {table}</p>\n\n                    <p>Location: {location}</p>\n\n                    <p>{business_logo}</p>','Dear {contact_name}, Your booking is confirmed. Date: {start_time} to {end_time}, Table: {table}, Location: {location}',NULL,'Booking Confirmed - {business_name}',NULL,NULL,0,0,0,'2023-06-01 16:24:34','2023-06-01 16:24:34'),(15,2,'new_order','<p>Dear {contact_name},</p>\n\n                    <p>We have a new order with reference number {order_ref_number}. Kindly process the products as soon as possible.</p>\n\n                    <p>{business_name}<br />\n                    {business_logo}</p>','Dear {contact_name}, We have a new order with reference number {order_ref_number}. Kindly process the products as soon as possible. {business_name}',NULL,'New Order, from {business_name}',NULL,NULL,0,0,0,'2023-06-01 16:24:34','2023-06-01 16:24:34'),(16,2,'payment_paid','<p>Dear {contact_name},</p>\n\n                    <p>We have paid amount {paid_amount} again invoice number {order_ref_number}.<br />\n                    Kindly note it down.</p>\n\n                    <p>{business_name}<br />\n                    {business_logo}</p>','We have paid amount {paid_amount} again invoice number {order_ref_number}.\n                    Kindly note it down. {business_name}',NULL,'Payment Paid, from {business_name}',NULL,NULL,0,0,0,'2023-06-01 16:24:34','2023-06-01 16:24:34'),(17,2,'items_received','<p>Dear {contact_name},</p>\n\n                    <p>We have received all items from invoice reference number {order_ref_number}. Thank you for processing it.</p>\n\n                    <p>{business_name}<br />\n                    {business_logo}</p>','We have received all items from invoice reference number {order_ref_number}. Thank you for processing it. {business_name}',NULL,'Items received, from {business_name}',NULL,NULL,0,0,0,'2023-06-01 16:24:34','2023-06-01 16:24:34'),(18,2,'items_pending','<p>Dear {contact_name},<br />\n                    This is to remind you that we have not yet received some items from invoice reference number {order_ref_number}. Please process it as soon as possible.</p>\n\n                    <p>{business_name}<br />\n                    {business_logo}</p>','This is to remind you that we have not yet received some items from invoice reference number {order_ref_number} . Please process it as soon as possible.{business_name}',NULL,'Items Pending, from {business_name}',NULL,NULL,0,0,0,'2023-06-01 16:24:34','2023-06-01 16:24:34'),(19,2,'new_quotation','<p>Dear {contact_name},</p>\n\n                    <p>Your quotation number is {invoice_number}<br />\n                    Total amount: {total_amount}</p>\n\n                    <p>Thank you for shopping with us.</p>\n\n                    <p>{business_logo}</p>\n\n                    <p>&nbsp;</p>','Dear {contact_name}, Thank you for shopping with us. {business_name}',NULL,'Thank you from {business_name}',NULL,NULL,0,0,0,'2023-06-01 16:24:34','2023-06-01 16:24:34'),(20,2,'purchase_order','<p>Dear {contact_name},</p>\n\n                    <p>We have a new purchase order with reference number {order_ref_number}. The respective invoice is attached here with.</p>\n\n                    <p>{business_logo}</p>','We have a new purchase order with reference number {order_ref_number}. {business_name}',NULL,'New Purchase Order, from {business_name}',NULL,NULL,0,0,0,'2023-06-01 16:24:34','2023-06-01 16:24:34');
/*!40000 ALTER TABLE `notification_templates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `notifications` (
  `id` char(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_id` bigint unsigned NOT NULL,
  `data` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `notifications_notifiable_type_notifiable_id_index` (`notifiable_type`,`notifiable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `notifications` WRITE;
/*!40000 ALTER TABLE `notifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `notifications` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `oauth_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `oauth_access_tokens` (
  `id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint DEFAULT NULL,
  `client_id` int unsigned NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `scopes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `revoked` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `expires_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oauth_access_tokens_user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `oauth_access_tokens` WRITE;
/*!40000 ALTER TABLE `oauth_access_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `oauth_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `oauth_auth_codes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `oauth_auth_codes` (
  `id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint NOT NULL,
  `client_id` int unsigned NOT NULL,
  `scopes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `revoked` tinyint(1) NOT NULL,
  `expires_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `oauth_auth_codes` WRITE;
/*!40000 ALTER TABLE `oauth_auth_codes` DISABLE KEYS */;
/*!40000 ALTER TABLE `oauth_auth_codes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `oauth_clients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `oauth_clients` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `secret` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `provider` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `redirect` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `personal_access_client` tinyint(1) NOT NULL,
  `password_client` tinyint(1) NOT NULL,
  `revoked` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oauth_clients_user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `oauth_clients` WRITE;
/*!40000 ALTER TABLE `oauth_clients` DISABLE KEYS */;
/*!40000 ALTER TABLE `oauth_clients` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `oauth_personal_access_clients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `oauth_personal_access_clients` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `client_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oauth_personal_access_clients_client_id_index` (`client_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `oauth_personal_access_clients` WRITE;
/*!40000 ALTER TABLE `oauth_personal_access_clients` DISABLE KEYS */;
/*!40000 ALTER TABLE `oauth_personal_access_clients` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `oauth_refresh_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `oauth_refresh_tokens` (
  `id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `access_token_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `revoked` tinyint(1) NOT NULL,
  `expires_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oauth_refresh_tokens_access_token_id_index` (`access_token_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `oauth_refresh_tokens` WRITE;
/*!40000 ALTER TABLE `oauth_refresh_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `oauth_refresh_tokens` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_resets` (
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `password_resets` WRITE;
/*!40000 ALTER TABLE `password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_resets` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `permissions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `guard_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=122 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `permissions` WRITE;
/*!40000 ALTER TABLE `permissions` DISABLE KEYS */;
INSERT INTO `permissions` VALUES (1,'profit_loss_report.view','web','2023-05-19 00:41:07',NULL),(2,'direct_sell.access','web','2023-05-19 00:41:07',NULL),(3,'product.opening_stock','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(4,'crud_all_bookings','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(5,'crud_own_bookings','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(6,'access_default_selling_price','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(7,'purchase.payments','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(8,'sell.payments','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(9,'edit_product_price_from_sale_screen','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(10,'edit_product_discount_from_sale_screen','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(11,'roles.view','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(12,'roles.create','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(13,'roles.update','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(14,'roles.delete','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(15,'account.access','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(16,'discount.access','web','2023-05-19 00:41:08','2023-05-19 00:41:08'),(17,'view_purchase_price','web','2023-05-19 00:41:09','2023-05-19 00:41:09'),(18,'view_own_sell_only','web','2023-05-19 00:41:09','2023-05-19 00:41:09'),(19,'edit_product_discount_from_pos_screen','web','2023-05-19 00:41:09','2023-05-19 00:41:09'),(20,'edit_product_price_from_pos_screen','web','2023-05-19 00:41:09','2023-05-19 00:41:09'),(21,'access_shipping','web','2023-05-19 00:41:09','2023-05-19 00:41:09'),(22,'purchase.update_status','web','2023-05-19 00:41:09','2023-05-19 00:41:09'),(23,'list_drafts','web','2023-05-19 00:41:09','2023-05-19 00:41:09'),(24,'list_quotations','web','2023-05-19 00:41:09','2023-05-19 00:41:09'),(25,'view_cash_register','web','2023-05-19 00:41:09','2023-05-19 00:41:09'),(26,'close_cash_register','web','2023-05-19 00:41:09','2023-05-19 00:41:09'),(27,'print_invoice','web','2023-05-19 00:41:10','2023-05-19 00:41:10'),(28,'user.view','web','2023-05-19 00:41:10',NULL),(29,'user.create','web','2023-05-19 00:41:10',NULL),(30,'user.update','web','2023-05-19 00:41:10',NULL),(31,'user.delete','web','2023-05-19 00:41:10',NULL),(32,'supplier.view','web','2023-05-19 00:41:10',NULL),(33,'supplier.create','web','2023-05-19 00:41:10',NULL),(34,'supplier.update','web','2023-05-19 00:41:10',NULL),(35,'supplier.delete','web','2023-05-19 00:41:10',NULL),(36,'customer.view','web','2023-05-19 00:41:10',NULL),(37,'customer.create','web','2023-05-19 00:41:10',NULL),(38,'customer.update','web','2023-05-19 00:41:10',NULL),(39,'customer.delete','web','2023-05-19 00:41:10',NULL),(40,'product.view','web','2023-05-19 00:41:10',NULL),(41,'product.create','web','2023-05-19 00:41:10',NULL),(42,'product.update','web','2023-05-19 00:41:10',NULL),(43,'product.delete','web','2023-05-19 00:41:10',NULL),(44,'purchase.view','web','2023-05-19 00:41:10',NULL),(45,'purchase.create','web','2023-05-19 00:41:10',NULL),(46,'purchase.update','web','2023-05-19 00:41:10',NULL),(47,'purchase.delete','web','2023-05-19 00:41:10',NULL),(48,'sell.view','web','2023-05-19 00:41:10',NULL),(49,'sell.create','web','2023-05-19 00:41:10',NULL),(50,'sell.update','web','2023-05-19 00:41:10',NULL),(51,'sell.delete','web','2023-05-19 00:41:10',NULL),(52,'purchase_n_sell_report.view','web','2023-05-19 00:41:10',NULL),(53,'contacts_report.view','web','2023-05-19 00:41:10',NULL),(54,'stock_report.view','web','2023-05-19 00:41:10',NULL),(55,'tax_report.view','web','2023-05-19 00:41:10',NULL),(56,'trending_product_report.view','web','2023-05-19 00:41:10',NULL),(57,'register_report.view','web','2023-05-19 00:41:10',NULL),(58,'sales_representative.view','web','2023-05-19 00:41:10',NULL),(59,'expense_report.view','web','2023-05-19 00:41:10',NULL),(60,'business_settings.access','web','2023-05-19 00:41:10',NULL),(61,'barcode_settings.access','web','2023-05-19 00:41:10',NULL),(62,'invoice_settings.access','web','2023-05-19 00:41:10',NULL),(63,'brand.view','web','2023-05-19 00:41:10',NULL),(64,'brand.create','web','2023-05-19 00:41:10',NULL),(65,'brand.update','web','2023-05-19 00:41:10',NULL),(66,'brand.delete','web','2023-05-19 00:41:10',NULL),(67,'tax_rate.view','web','2023-05-19 00:41:10',NULL),(68,'tax_rate.create','web','2023-05-19 00:41:10',NULL),(69,'tax_rate.update','web','2023-05-19 00:41:10',NULL),(70,'tax_rate.delete','web','2023-05-19 00:41:10',NULL),(71,'unit.view','web','2023-05-19 00:41:10',NULL),(72,'unit.create','web','2023-05-19 00:41:10',NULL),(73,'unit.update','web','2023-05-19 00:41:10',NULL),(74,'unit.delete','web','2023-05-19 00:41:10',NULL),(75,'category.view','web','2023-05-19 00:41:10',NULL),(76,'category.create','web','2023-05-19 00:41:10',NULL),(77,'category.update','web','2023-05-19 00:41:10',NULL),(78,'category.delete','web','2023-05-19 00:41:10',NULL),(79,'expense.access','web','2023-05-19 00:41:10',NULL),(80,'access_all_locations','web','2023-05-19 00:41:10',NULL),(81,'dashboard.data','web','2023-05-19 00:41:10',NULL),(82,'location.1','web','2023-05-18 22:19:51','2023-05-18 22:19:51'),(83,'edit_purchase_payment','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(84,'delete_purchase_payment','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(85,'edit_pos_payment','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(86,'view_paid_sells_only','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(87,'view_due_sells_only','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(88,'view_partial_sells_only','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(89,'view_overdue_sells_only','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(90,'direct_sell.update','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(91,'direct_sell.delete','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(92,'view_commission_agent_sell','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(93,'edit_sell_payment','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(94,'delete_sell_payment','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(95,'access_sell_return','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(96,'access_own_sell_return','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(97,'edit_invoice_number','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(98,'draft.update','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(99,'draft.delete','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(100,'quotation.update','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(101,'quotation.delete','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(102,'access_pending_shipments_only','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(103,'access_commission_agent_shipping','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(104,'view_product_stock_value','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(105,'expense.add','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(106,'expense.edit','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(107,'expense.delete','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(108,'supplier.view_own','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(109,'customer_irrespective_of_sell','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(110,'direct_sell.view','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(111,'draft.view_all','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(112,'quotation.view_all','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(113,'all_expense.access','web','2023-05-19 09:14:03','2023-05-19 09:14:03'),(114,'location.2','web','2023-06-01 16:24:34','2023-06-01 16:24:34'),(115,'access_printers','web','2023-06-01 16:32:34','2023-06-01 16:32:34'),(116,'edit_account_transaction','web','2023-06-01 16:32:34','2023-06-01 16:32:34'),(117,'delete_account_transaction','web','2023-06-01 16:32:35','2023-06-01 16:32:35'),(118,'location.3','web','2023-06-19 17:40:03','2023-06-19 17:40:03'),(119,'access_types_of_service','web','2023-07-25 09:46:21','2023-07-25 09:46:21'),(120,'draft.view_own','web','2023-07-25 09:46:21','2023-07-25 09:46:21'),(121,'quotation.view_own','web','2023-07-25 09:46:21','2023-07-25 09:46:21');
/*!40000 ALTER TABLE `permissions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `printers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `printers` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection_type` enum('network','windows','linux') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `capability_profile` enum('default','simple','SP2000','TEP-200M','P822D') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `char_per_line` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ip_address` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `port` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `path` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `printers_business_id_foreign` (`business_id`),
  CONSTRAINT `printers_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `printers` WRITE;
/*!40000 ALTER TABLE `printers` DISABLE KEYS */;
/*!40000 ALTER TABLE `printers` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `product_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_locations` (
  `product_id` int unsigned NOT NULL,
  `location_id` int NOT NULL,
  PRIMARY KEY (`product_id`,`location_id`),
  KEY `product_locations_product_id_index` (`product_id`),
  KEY `product_locations_location_id_index` (`location_id`),
  CONSTRAINT `product_locations_ibfk_1` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `product_locations` WRITE;
/*!40000 ALTER TABLE `product_locations` DISABLE KEYS */;
INSERT INTO `product_locations` VALUES (1,1),(3,1),(4,1),(7,1),(8,1),(9,1),(10,1),(12,1),(13,1),(14,1),(15,1),(16,1),(17,1),(18,1),(20,1),(21,1),(23,1),(26,1),(28,1),(29,1),(30,1),(32,1),(33,1),(34,1),(36,1),(37,1),(38,1),(39,1),(40,1),(41,1),(42,1),(44,1),(45,1),(46,1),(47,1),(48,1),(49,1),(50,1),(51,1),(52,1),(53,1),(54,1),(55,1),(56,1),(57,1),(58,1),(60,2),(128,2),(267,2),(268,2),(269,2),(270,2),(271,2),(272,2),(273,2),(274,2),(275,2),(276,2),(277,2),(278,2),(279,2),(280,2),(281,2),(282,2),(283,2),(284,2),(285,2),(286,2),(287,2),(288,2),(289,2),(290,2),(291,2),(292,2),(293,2),(294,2),(295,2),(296,2),(297,2),(298,2),(299,2),(300,2),(301,2),(302,2),(303,2),(304,2),(305,2),(306,2),(307,2),(308,2),(309,2),(310,2),(311,2),(312,2),(313,2),(314,2),(315,2),(316,2),(317,2),(318,2),(319,2),(320,2),(321,2),(322,2),(323,2),(324,2),(325,2),(326,2),(327,2),(328,2),(329,2),(330,2),(331,2),(332,2),(333,2),(334,2),(335,2),(336,2),(337,2),(338,2),(339,2),(340,2),(341,2),(342,2),(343,2),(344,2),(345,2),(346,2),(347,2),(348,2),(349,2),(350,2),(351,2),(352,2),(353,2),(354,2),(355,2),(356,2),(357,2),(358,2),(359,2),(360,2),(361,2),(362,2),(363,2),(364,2),(365,2),(366,2),(367,2),(368,2),(369,2);
/*!40000 ALTER TABLE `product_locations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `product_racks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_racks` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `location_id` int unsigned NOT NULL,
  `product_id` int unsigned NOT NULL,
  `rack` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `row` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `product_racks_business_id_index` (`business_id`),
  KEY `product_racks_location_id_index` (`location_id`),
  KEY `product_racks_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `product_racks` WRITE;
/*!40000 ALTER TABLE `product_racks` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_racks` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `product_variations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_variations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `variation_template_id` int DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_id` int unsigned NOT NULL,
  `is_dummy` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `product_variations_name_index` (`name`),
  KEY `product_variations_product_id_index` (`product_id`),
  CONSTRAINT `product_variations_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=371 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `product_variations` WRITE;
/*!40000 ALTER TABLE `product_variations` DISABLE KEYS */;
INSERT INTO `product_variations` VALUES (1,1,'SIZE',1,0,'2023-05-19 07:49:30','2023-05-19 07:49:30'),(3,NULL,'DUMMY',3,1,'2023-05-20 09:15:58','2023-05-20 09:15:58'),(4,NULL,'DUMMY',4,1,'2023-05-20 09:22:33','2023-05-20 09:22:33'),(7,NULL,'DUMMY',7,1,'2023-05-20 09:37:45','2023-05-20 09:37:45'),(8,NULL,'DUMMY',8,1,'2023-05-20 09:46:07','2023-05-20 09:46:07'),(9,NULL,'DUMMY',9,1,'2023-05-20 09:51:48','2023-05-20 09:51:48'),(10,NULL,'DUMMY',10,1,'2023-05-20 10:04:56','2023-05-20 10:04:56'),(12,NULL,'DUMMY',12,1,'2023-05-20 10:17:43','2023-05-20 10:17:43'),(13,NULL,'DUMMY',13,1,'2023-05-20 10:19:38','2023-05-20 10:19:38'),(14,NULL,'DUMMY',14,1,'2023-05-20 10:21:24','2023-05-20 10:21:24'),(15,NULL,'DUMMY',15,1,'2023-05-20 10:23:51','2023-05-20 10:23:51'),(16,NULL,'DUMMY',16,1,'2023-05-20 10:54:04','2023-05-20 10:54:04'),(17,NULL,'DUMMY',17,1,'2023-05-20 10:55:05','2023-05-20 10:55:05'),(18,NULL,'DUMMY',18,1,'2023-05-20 10:57:20','2023-05-20 10:57:20'),(20,NULL,'DUMMY',20,1,'2023-05-20 11:02:49','2023-05-20 11:02:49'),(21,NULL,'DUMMY',21,1,'2023-05-20 11:04:46','2023-05-20 11:04:46'),(23,NULL,'DUMMY',23,1,'2023-05-20 11:09:04','2023-05-20 11:09:04'),(26,NULL,'DUMMY',26,1,'2023-05-20 11:40:40','2023-05-20 11:40:40'),(28,NULL,'DUMMY',28,1,'2023-05-20 11:49:53','2023-05-20 11:49:53'),(29,NULL,'DUMMY',29,1,'2023-05-20 11:52:04','2023-05-20 11:52:04'),(30,NULL,'DUMMY',30,1,'2023-05-20 11:53:44','2023-05-20 11:53:44'),(32,NULL,'DUMMY',32,1,'2023-05-20 12:06:54','2023-05-20 12:06:54'),(33,NULL,'DUMMY',33,1,'2023-05-20 12:08:33','2023-05-20 12:08:33'),(34,NULL,'DUMMY',34,1,'2023-05-22 15:47:00','2023-05-22 15:47:00'),(36,1,'SIZE',36,0,'2023-05-22 16:09:46','2023-05-22 16:09:46'),(37,7,'INCH',37,0,'2023-05-22 16:37:01','2023-05-22 16:37:01'),(38,7,'INCH',38,0,'2023-05-22 16:47:36','2023-05-22 16:47:36'),(39,NULL,'DUMMY',39,1,'2023-05-22 16:53:26','2023-05-22 16:53:26'),(40,3,'COLOUR',40,0,'2023-05-22 17:14:26','2023-05-22 17:14:26'),(41,1,'SIZE',41,0,'2023-05-22 17:21:41','2023-05-22 17:21:41'),(42,10,'MILIMETER',42,0,'2023-05-22 17:28:36','2023-05-22 17:28:36'),(44,6,'METER',44,0,'2023-05-22 17:39:39','2023-05-22 17:39:39'),(45,3,'COLOUR',45,0,'2023-05-22 17:42:43','2023-05-22 17:42:43'),(46,3,'COLOUR',46,0,'2023-05-22 17:46:14','2023-05-22 17:46:14'),(47,NULL,'DUMMY',47,1,'2023-05-23 07:07:49','2023-05-23 07:07:49'),(48,7,'INCH',48,0,'2023-05-23 07:13:46','2023-05-23 07:13:46'),(49,11,'R.BRUSH',49,0,'2023-05-23 07:18:09','2023-05-23 07:18:09'),(50,NULL,'DUMMY',50,1,'2023-05-23 07:19:53','2023-05-23 07:19:53'),(51,12,'INCH',51,0,'2023-05-23 07:23:51','2023-05-26 13:32:53'),(52,13,'MASKING INCH',52,0,'2023-05-23 07:27:15','2023-05-23 07:27:15'),(53,NULL,'DUMMY',53,1,'2023-05-23 07:28:23','2023-05-23 07:28:23'),(54,NULL,'DUMMY',54,1,'2023-05-23 07:29:36','2023-05-23 07:29:36'),(55,NULL,'DUMMY',55,1,'2023-05-23 07:30:38','2023-05-23 07:30:38'),(56,NULL,'DUMMY',56,1,'2023-05-23 07:31:57','2023-05-23 07:31:57'),(57,7,'INCH',57,0,'2023-05-23 07:45:04','2023-05-23 07:45:04'),(58,NULL,'DUMMY',58,1,'2023-05-23 07:49:48','2023-05-23 07:49:48'),(61,NULL,'DUMMY',60,1,'2023-07-05 07:14:19','2023-07-05 07:14:19'),(129,NULL,'DUMMY',128,1,'2023-07-06 10:41:03','2023-07-06 10:41:03'),(268,NULL,'DUMMY',267,1,'2023-07-21 09:39:33','2023-07-21 09:39:33'),(269,NULL,'DUMMY',268,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(270,NULL,'DUMMY',269,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(271,NULL,'DUMMY',270,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(272,NULL,'DUMMY',271,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(273,NULL,'DUMMY',272,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(274,NULL,'DUMMY',273,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(275,NULL,'DUMMY',274,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(276,NULL,'DUMMY',275,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(277,NULL,'DUMMY',276,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(278,NULL,'DUMMY',277,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(279,NULL,'DUMMY',278,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(280,NULL,'DUMMY',279,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(281,NULL,'DUMMY',280,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(282,NULL,'DUMMY',281,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(283,NULL,'DUMMY',282,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(284,NULL,'DUMMY',283,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(285,NULL,'DUMMY',284,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(286,NULL,'DUMMY',285,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(287,NULL,'DUMMY',286,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(288,NULL,'DUMMY',287,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(289,NULL,'DUMMY',288,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(290,NULL,'DUMMY',289,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(291,NULL,'DUMMY',290,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(292,NULL,'DUMMY',291,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(293,NULL,'DUMMY',292,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(294,NULL,'DUMMY',293,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(295,NULL,'DUMMY',294,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(296,NULL,'DUMMY',295,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(297,NULL,'DUMMY',296,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(298,NULL,'DUMMY',297,1,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(299,NULL,'DUMMY',298,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(300,NULL,'DUMMY',299,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(301,NULL,'DUMMY',300,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(302,NULL,'DUMMY',301,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(303,NULL,'DUMMY',302,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(304,NULL,'DUMMY',303,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(305,NULL,'DUMMY',304,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(306,NULL,'DUMMY',305,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(307,NULL,'DUMMY',306,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(308,NULL,'DUMMY',307,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(309,NULL,'DUMMY',308,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(310,NULL,'DUMMY',309,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(311,NULL,'DUMMY',310,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(312,NULL,'DUMMY',311,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(313,NULL,'DUMMY',312,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(314,NULL,'DUMMY',313,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(315,NULL,'DUMMY',314,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(316,NULL,'DUMMY',315,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(317,NULL,'DUMMY',316,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(318,NULL,'DUMMY',317,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(319,NULL,'DUMMY',318,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(320,NULL,'DUMMY',319,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(321,NULL,'DUMMY',320,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(322,NULL,'DUMMY',321,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(323,NULL,'DUMMY',322,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(324,NULL,'DUMMY',323,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(325,NULL,'DUMMY',324,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(326,NULL,'DUMMY',325,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(327,NULL,'DUMMY',326,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(328,NULL,'DUMMY',327,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(329,NULL,'DUMMY',328,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(330,NULL,'DUMMY',329,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(331,NULL,'DUMMY',330,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(332,NULL,'DUMMY',331,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(333,NULL,'DUMMY',332,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(334,NULL,'DUMMY',333,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(335,NULL,'DUMMY',334,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(336,NULL,'DUMMY',335,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(337,NULL,'DUMMY',336,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(338,NULL,'DUMMY',337,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(339,NULL,'DUMMY',338,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(340,NULL,'DUMMY',339,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(341,NULL,'DUMMY',340,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(342,NULL,'DUMMY',341,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(343,NULL,'DUMMY',342,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(344,NULL,'DUMMY',343,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(345,NULL,'DUMMY',344,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(346,NULL,'DUMMY',345,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(347,NULL,'DUMMY',346,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(348,NULL,'DUMMY',347,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(349,NULL,'DUMMY',348,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(350,NULL,'DUMMY',349,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(351,NULL,'DUMMY',350,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(352,NULL,'DUMMY',351,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(353,NULL,'DUMMY',352,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(354,NULL,'DUMMY',353,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(355,NULL,'DUMMY',354,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(356,NULL,'DUMMY',355,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(357,NULL,'DUMMY',356,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(358,NULL,'DUMMY',357,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(359,NULL,'DUMMY',358,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(360,NULL,'DUMMY',359,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(361,NULL,'DUMMY',360,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(362,NULL,'DUMMY',361,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(363,NULL,'DUMMY',362,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(364,NULL,'DUMMY',363,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(365,NULL,'DUMMY',364,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(366,NULL,'DUMMY',365,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(367,NULL,'DUMMY',366,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(368,NULL,'DUMMY',367,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(369,NULL,'DUMMY',368,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(370,NULL,'DUMMY',369,1,'2023-07-26 09:29:54','2023-07-26 09:29:54');
/*!40000 ALTER TABLE `product_variations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `products` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int unsigned NOT NULL,
  `type` enum('single','variable','modifier','combo') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `unit_id` int unsigned DEFAULT NULL,
  `secondary_unit_id` int DEFAULT NULL,
  `sub_unit_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `brand_id` int unsigned DEFAULT NULL,
  `category_id` int unsigned DEFAULT NULL,
  `sub_category_id` int unsigned DEFAULT NULL,
  `tax` int unsigned DEFAULT NULL,
  `tax_type` enum('inclusive','exclusive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `enable_stock` tinyint(1) NOT NULL DEFAULT '0',
  `alert_quantity` decimal(22,4) DEFAULT NULL,
  `sku` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `barcode_type` enum('C39','C128','EAN13','EAN8','UPCA','UPCE') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'C128',
  `expiry_period` decimal(4,2) DEFAULT NULL,
  `expiry_period_type` enum('days','months') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `enable_sr_no` tinyint(1) NOT NULL DEFAULT '0',
  `weight` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_custom_field1` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_custom_field2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_custom_field3` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_custom_field4` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_by` int unsigned NOT NULL,
  `preparation_time_in_minutes` int DEFAULT NULL,
  `warranty_id` int DEFAULT NULL,
  `is_inactive` tinyint(1) NOT NULL DEFAULT '0',
  `not_for_selling` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `products_brand_id_foreign` (`brand_id`),
  KEY `products_category_id_foreign` (`category_id`),
  KEY `products_sub_category_id_foreign` (`sub_category_id`),
  KEY `products_tax_foreign` (`tax`),
  KEY `products_name_index` (`name`),
  KEY `products_business_id_index` (`business_id`),
  KEY `products_unit_id_index` (`unit_id`),
  KEY `products_created_by_index` (`created_by`),
  KEY `products_warranty_id_index` (`warranty_id`),
  KEY `products_type_index` (`type`),
  KEY `products_tax_type_index` (`tax_type`),
  KEY `products_barcode_type_index` (`barcode_type`),
  KEY `products_secondary_unit_id_index` (`secondary_unit_id`),
  CONSTRAINT `products_brand_id_foreign` FOREIGN KEY (`brand_id`) REFERENCES `brands` (`id`) ON DELETE CASCADE,
  CONSTRAINT `products_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `products_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `categories` (`id`) ON DELETE CASCADE,
  CONSTRAINT `products_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  CONSTRAINT `products_sub_category_id_foreign` FOREIGN KEY (`sub_category_id`) REFERENCES `categories` (`id`) ON DELETE CASCADE,
  CONSTRAINT `products_tax_foreign` FOREIGN KEY (`tax`) REFERENCES `tax_rates` (`id`),
  CONSTRAINT `products_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `units` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=370 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `products` WRITE;
/*!40000 ALTER TABLE `products` DISABLE KEYS */;
INSERT INTO `products` VALUES (1,'STEEL BARS 40ft BS300',1,'variable',1,NULL,NULL,NULL,1,3,NULL,'exclusive',1,30.0000,'0001','C128',NULL,NULL,0,NULL,'Nondo',NULL,NULL,NULL,'1684478970_steel_bars.jpg',NULL,1,NULL,NULL,0,0,'2023-05-19 07:49:30','2023-05-26 14:17:11'),(3,'CEMENT TWIGA EXTRA 11/B-L/CLASS 32.5R',1,'single',2,NULL,'[\"2\"]',NULL,1,NULL,NULL,'exclusive',1,100.0000,'0003','C128',NULL,NULL,0,'25KGS','Cement',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 09:15:58','2023-05-27 08:33:56'),(4,'CEMENT TWIGA PLUS 11/B-L/CLASS 42.5N',1,'single',2,NULL,'[\"2\"]',1,1,NULL,NULL,'exclusive',1,100.0000,'0004','C128',NULL,NULL,0,'25KGS',NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 09:22:33','2023-05-27 08:34:22'),(7,'SOLVENT',1,'single',3,NULL,'[\"3\"]',2,10,NULL,NULL,'exclusive',1,NULL,'0007','C128',NULL,NULL,0,'1 LITRE','Finishing',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 09:37:45','2023-05-24 10:38:47'),(8,'CUTTING DISC 4.5 TYROLIT DIAMOND BLADE CONCRETE',1,'single',1,NULL,'[\"1\"]',NULL,5,NULL,NULL,'exclusive',1,10.0000,'0008','C128',NULL,NULL,0,NULL,'Disc',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 09:46:07','2023-06-01 17:05:47'),(9,'GRINDING DISC 9 TYROLOT STD',1,'single',1,NULL,NULL,NULL,1,NULL,NULL,'exclusive',1,NULL,'0009','C128',NULL,NULL,0,NULL,'Disc',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 09:51:48','2023-05-24 10:06:13'),(10,'WALL PUTTYJK',1,'single',2,NULL,'[\"2\"]',NULL,10,NULL,NULL,'exclusive',1,50.0000,'0010','C128',NULL,NULL,0,'25KGS','Wall Putty',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 10:04:56','2023-05-24 12:23:50'),(12,'GCIS GALCO G30-10 DUMU PRIME',1,'single',6,NULL,'[\"6\"]',NULL,1,NULL,NULL,'exclusive',1,10.0000,'0012','C128',NULL,NULL,0,NULL,'Bati',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 10:17:43','2023-05-24 10:04:44'),(13,'HRP 8x4x0.8mm',1,'single',1,NULL,'[\"1\"]',NULL,1,NULL,NULL,'exclusive',1,40.0000,'0013','C128',NULL,NULL,0,NULL,'Sheet',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 10:19:38','2023-05-24 10:21:01'),(14,'HRP 8 X 4x.1.10(18G) (PN 26.06Kg)',1,'single',1,NULL,'[\"1\"]',NULL,1,NULL,NULL,'exclusive',1,50.0000,'0014','C128',NULL,NULL,0,NULL,'Sheet',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 10:21:24','2023-05-24 10:20:24'),(15,'WELD STICK 3.2mm JACKSUN-5, 10',1,'single',4,NULL,'[\"4\"]',NULL,1,NULL,NULL,'exclusive',1,10.0000,'0015','C128',NULL,NULL,0,'5KGS','Welding Stick',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 10:23:51','2023-05-24 12:34:44'),(16,'BINDING WIRE/TIE WIRE',1,'single',5,NULL,'[\"5\"]',NULL,1,NULL,NULL,'exclusive',1,20.0000,'0016','C128',NULL,NULL,0,'KGS 15-14.8',NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 10:54:04','2023-05-24 09:42:28'),(17,'WIRE MONKEY PLASTIC GREEN',1,'single',5,NULL,'[\"5\"]',NULL,1,NULL,NULL,'exclusive',1,10.0000,'0017','C128',NULL,NULL,0,NULL,'Wire Monkey',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 10:55:05','2023-05-24 12:36:30'),(18,'CLAW HAMMER STEEL YELOW',1,'single',1,NULL,'[\"1\"]',NULL,5,NULL,NULL,'exclusive',1,20.0000,'0018','C128',NULL,NULL,0,'250G','Nyundo',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 10:57:20','2023-05-24 09:58:26'),(20,'SHEETING H8 BLACK 500G',1,'single',5,NULL,'[\"5\"]',NULL,10,NULL,NULL,'exclusive',1,2.0000,'0020','C128',NULL,NULL,0,'25KGS','Plastic sheet',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 11:02:49','2023-05-26 14:12:57'),(21,'SCRAPER',1,'single',1,NULL,'[\"1\"]',NULL,5,NULL,NULL,'exclusive',1,80.0000,'0021','C128',NULL,NULL,0,NULL,'Scraper',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 11:04:46','2023-05-24 10:29:58'),(23,'GOLD STAR R/OXIDE',1,'single',3,NULL,NULL,NULL,10,NULL,NULL,'exclusive',1,10.0000,'0023','C128',NULL,NULL,0,'4 LITRES','Red Oxide',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 11:09:04','2023-05-24 10:05:34'),(26,'MDF BOARD 18MM',1,'single',1,NULL,'[\"1\"]',NULL,10,NULL,NULL,'exclusive',1,10.0000,'0026','C128',NULL,NULL,0,NULL,'Board',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 11:40:40','2023-05-24 10:24:00'),(28,'GYPSUM BOARD THAI/GERMAN QUALITY 9MM',1,'single',1,NULL,'[\"1\"]',NULL,10,NULL,NULL,'exclusive',1,50.0000,'0028','C128',NULL,NULL,0,NULL,'Board',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 11:49:53','2023-05-24 10:07:10'),(29,'GYPSUM PLASTER MONTANIA',1,'single',2,NULL,'[\"2\"]',NULL,10,NULL,NULL,'exclusive',1,30.0000,'0029','C128',NULL,NULL,0,'25KGS','Gypsum',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 11:52:04','2023-05-24 10:08:01'),(30,'PAINT BRUSH 3 INCH',1,'single',1,NULL,'[\"1\"]',NULL,5,NULL,NULL,'exclusive',1,NULL,'0030','C128',NULL,NULL,0,NULL,'Brush',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 11:53:44','2023-05-24 10:28:00'),(32,'DIAMOND CUTTING DISC 9 INCH',1,'single',1,NULL,'[\"1\"]',NULL,5,NULL,NULL,'exclusive',1,10.0000,'0032','C128',NULL,NULL,0,NULL,'Disc',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 12:06:54','2023-05-24 10:01:45'),(33,'CUTTING DISC 9 INCH-PSF PFERD',1,'single',1,NULL,'[\"1\"]',NULL,5,NULL,NULL,'exclusive',1,50.0000,'0033','C128',NULL,NULL,0,NULL,'Disc',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-20 12:08:33','2023-05-24 10:01:17'),(34,'MDF 12mm 8 x 4',1,'single',1,NULL,'[\"1\"]',NULL,10,NULL,NULL,'exclusive',1,15.0000,'0034','C128',NULL,NULL,0,NULL,'Board',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-22 15:47:00','2023-05-24 10:23:08'),(36,'ALOXIDE CLOTH 23mm',1,'variable',5,NULL,'[\"5\"]',NULL,10,NULL,NULL,'exclusive',1,5.0000,'0036','C128',NULL,NULL,0,NULL,'Msasa',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-22 16:09:46','2023-06-09 08:19:30'),(37,'ANGLE LINES',1,'variable',1,NULL,'[\"1\"]',NULL,11,NULL,NULL,'exclusive',1,5.0000,'0037','C128',NULL,NULL,0,NULL,'Angle line',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-22 16:37:01','2023-05-24 09:41:26'),(38,'BLACK PIPE',1,'variable',1,NULL,'[\"1\"]',NULL,11,NULL,NULL,'exclusive',1,10.0000,'0038','C128',NULL,NULL,0,NULL,'Bomba za Chuma',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-22 16:47:36','2023-05-24 09:44:41'),(39,'CHICKEN MESH 3FT X 25MTS',1,'single',5,NULL,NULL,NULL,1,NULL,NULL,'exclusive',1,10.0000,'0039','C128',NULL,NULL,0,NULL,'Waya wa Kuku',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-22 16:53:26','2023-05-24 09:56:39'),(40,'EMULSION HIGH CAVER 20Lts',1,'variable',1,NULL,'[\"1\"]',NULL,10,NULL,NULL,'exclusive',1,NULL,'0040','C128',NULL,NULL,0,'20 LITRES','Rangi',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-22 17:14:26','2023-05-26 13:44:53'),(41,'HACK SAW BLADE',1,'variable',1,NULL,NULL,NULL,5,NULL,NULL,'exclusive',1,20.0000,'0041','C128',NULL,NULL,0,NULL,'Msumeno',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-22 17:21:41','2023-05-24 10:08:38'),(42,'MARINE PLYWOOD',1,'variable',1,NULL,NULL,NULL,10,NULL,NULL,'exclusive',1,10.0000,'0042','C128',NULL,NULL,0,NULL,'Board',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-22 17:28:36','2023-05-24 10:21:38'),(44,'MEASURING TAPE',1,'variable',1,NULL,NULL,NULL,5,NULL,NULL,'exclusive',1,10.0000,'0044','C128',NULL,NULL,0,NULL,'Tape',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-22 17:39:39','2023-05-24 10:25:18'),(45,'OIL PAINTS',1,'variable',1,NULL,'[\"1\"]',2,10,NULL,NULL,'exclusive',1,10.0000,'0045','C128',NULL,NULL,0,'4 LITRES','Rangi',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-22 17:42:43','2023-05-26 13:46:13'),(46,'WEATHER GUARD 20 lts',1,'variable',1,NULL,NULL,2,10,NULL,NULL,'exclusive',1,0.0000,'0046','C128',NULL,NULL,0,'20','Rangi',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-22 17:46:14','2023-05-26 13:40:05'),(47,'SUPER FINISH GYPSUM PLASTER (25KG)',1,'single',2,NULL,'[\"2\"]',NULL,10,NULL,NULL,'exclusive',1,20.0000,'0047','C128',NULL,NULL,0,'25KGS','Gypsum',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-23 07:07:49','2023-05-24 10:42:06'),(48,'PAINT BRUSH TZ',1,'variable',1,NULL,NULL,NULL,5,NULL,NULL,'exclusive',1,NULL,'0048','C128',NULL,NULL,0,NULL,'Brush',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-23 07:13:46','2023-05-24 10:28:37'),(49,'ROLLER BRUSH',1,'variable',1,NULL,'[\"1\"]',NULL,10,NULL,NULL,'exclusive',1,20.0000,'0049','C128',NULL,NULL,0,NULL,'Roller Brush',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-23 07:18:09','2023-05-24 10:29:23'),(50,'WIRE MESH TZ',1,'single',6,NULL,'[\"6\"]',NULL,1,NULL,NULL,'exclusive',1,5.0000,'0050','C128',NULL,NULL,0,'17KGS','Wire Mesh',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-23 07:19:53','2023-05-24 12:35:37'),(51,'NAILS TZ 45KG',1,'variable',8,NULL,'[\"8\"]',NULL,6,NULL,NULL,'exclusive',1,1.0000,'0051','C128',NULL,NULL,0,'45KGS','Misumari',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-23 07:23:51','2023-05-24 10:26:36'),(52,'MASKING TAPE',1,'variable',4,NULL,'[\"4\"]',NULL,10,NULL,NULL,'exclusive',1,10.0000,'0052','C128',NULL,NULL,0,NULL,'Masking Tape',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-23 07:27:15','2023-05-24 10:22:20'),(53,'FAIBAR TAPE INCH 2',1,'single',4,NULL,'[\"4\"]',NULL,10,NULL,NULL,'exclusive',1,10.0000,'0053','C128',NULL,NULL,0,NULL,'Faibar',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-23 07:28:23','2023-05-24 10:03:52'),(54,'SPATURAL',1,'single',1,NULL,'[\"1\"]',NULL,5,NULL,NULL,'exclusive',1,50.0000,'0054','C128',NULL,NULL,0,NULL,'Spatural',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-23 07:29:36','2023-05-24 10:39:48'),(55,'SIRCON GUN',1,'single',1,NULL,'[\"1\"]',NULL,5,NULL,NULL,'exclusive',1,4.0000,'0055','C128',NULL,NULL,0,NULL,'Gun',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-23 07:30:38','2023-05-24 10:37:42'),(56,'CHICKEN WIRE METER 20',1,'single',5,NULL,'[\"5\"]',NULL,1,NULL,NULL,'exclusive',1,10.0000,'0056','C128',NULL,NULL,0,NULL,'Waya wa Kuku',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-23 07:31:57','2023-05-24 09:57:34'),(57,'SHS CLASS A',1,'variable',1,NULL,'[\"1\"]',NULL,1,NULL,NULL,'exclusive',1,20.0000,'0057','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-23 07:45:03','2023-05-26 14:18:11'),(58,'WELD STICK 2.5mm JACKSUN-5 Number 12',1,'single',4,NULL,'[\"4\"]',NULL,1,NULL,NULL,'exclusive',1,10.0000,'0058','C128',NULL,NULL,0,NULL,'Welding Stick',NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,0,0,'2023-05-23 07:49:48','2023-05-24 12:34:04'),(60,'Brake and Clutch Fluid',2,'single',9,NULL,NULL,NULL,NULL,NULL,NULL,'exclusive',1,NULL,'0060','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,NULL,NULL,0,0,'2023-07-05 07:14:19','2023-07-05 07:15:55'),(128,'WHEEL ALIGNMENT PC 4X4',2,'single',9,NULL,NULL,NULL,21,NULL,NULL,'inclusive',0,NULL,'0128','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'',NULL,3,NULL,NULL,0,0,'2023-07-06 10:41:03','2023-07-14 08:00:25'),(267,'HELIX HX3 40 SG CD 4X4L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,4.0000,'0267','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:33','2023-07-24 08:34:04'),(268,'HELIX HX5 15W40 4X4L MULTIFUEL',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,4.0000,'0268','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(269,'HELIX HX7 10W40  4X4L MULTIFUEL',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,4.0000,'0269','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(270,'HELIX HX8 5W40 4X4L MULTIFUEL',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,4.0000,'0270','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(271,'HELIX ULTRA 5W40  12X1L MULTIFUEL',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,5.0000,'0271','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(272,'HELIX ULTRA 5W40 4X4L MULTIFUEL',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,4.0000,'0272','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(273,'ADVANCE 4T AX3 40 12X1L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,5.0000,'0273','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(274,'ADVANCE 4T AX5 20W50 12X1L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,5.0000,'0274','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(275,'SHELL BRAKE CLUTCH FLUID DOT 4 24X0.5L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,5.0000,'0275','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(276,'HELIX HX3 40  12X1L MULTIFUEL',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,5.0000,'0276','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(277,'HELIX HX5 15W40 12X1L MULTIFUEL',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,5.0000,'0277','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(278,'HELIX HX8 5W40  12X1L MULTIFUEL',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,5.0000,'0278','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(279,'Shell Long-Life Coolant 6x1L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,4.0000,'0279','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(280,'RIMULA R2 40 CF 12X1L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,5.0000,'0280','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(281,'RIMULA R2 40 CF 20L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,1.0000,'0281','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(282,'RIMULA R2 40 CF 3X5L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,3.0000,'0282','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(283,'RIMULA R3 T 15W40 CH4 12X1L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,5.0000,'0283','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(284,'RIMULA R3 T 15W40 CH4 20L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,1.0000,'0284','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(285,'RIMULA R3 T 15W40 CH4 3X5L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,3.0000,'0285','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(286,'RIMULA R4 X 15W40 CI4 20L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,1.0000,'0286','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(287,'SHELL RIMULA R4 X 15W 40 CI4 12X1L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,5.0000,'0287','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(288,'RIMULAR R4 X 15W40 CI4 3X5L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,3.0000,'0288','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(289,'SPIRAX S2 A 85W 140 20L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,1.0000,'0289','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(290,'SPIRAX S2 A 80W 90 20L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,1.0000,'0290','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(291,'SPIRAX S2 A 80W 90 4X4L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,4.0000,'0291','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(292,'SPIRAX S2 ATF D2 12X1L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,5.0000,'0292','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(293,'SPIRAX S2 ATF D2 20L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,1.0000,'0293','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(294,'SPIRAX S2 ATF D2 4X4L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,4.0000,'0294','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(295,'TELLUS S2 M 32 20L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,0.0000,'0295','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(296,'TELLUS S2 M 46 20L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,0.0000,'0296','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(297,'TELLUS S2 M 68 20L',2,'single',9,NULL,NULL,NULL,13,NULL,NULL,'inclusive',1,0.0000,'0297','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:39:34','2023-07-21 09:39:34'),(298,'OIL SERVICE 1 4X4',2,'single',10,NULL,NULL,NULL,16,NULL,NULL,'inclusive',0,NULL,'0298','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(299,'OIL SERVICE 1 TRUCK',2,'single',10,NULL,NULL,NULL,16,NULL,NULL,'inclusive',0,NULL,'0299','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(300,'OIL SERVICE 1PC',2,'single',10,NULL,NULL,NULL,16,NULL,NULL,'inclusive',0,NULL,'0300','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(301,'OIL SERVICE 2 4X4',2,'single',10,NULL,NULL,NULL,16,NULL,NULL,'inclusive',0,NULL,'0301','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(302,'OIL SERVICE 2 TRUCK',2,'single',10,NULL,NULL,NULL,16,NULL,NULL,'inclusive',0,NULL,'0302','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(303,'OIL SERVICE 2PC',2,'single',10,NULL,NULL,NULL,16,NULL,NULL,'inclusive',0,NULL,'0303','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(304,'REPAIR A',2,'single',9,NULL,NULL,NULL,17,NULL,NULL,'inclusive',0,NULL,'0304','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-24 09:07:12'),(305,'REPAIR B',2,'single',9,NULL,NULL,NULL,17,NULL,NULL,'inclusive',0,NULL,'0305','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-24 09:08:16'),(306,'REPAIR C',2,'single',9,NULL,NULL,NULL,17,NULL,NULL,'inclusive',0,NULL,'0306','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-24 09:08:43'),(307,'REPAIR D',2,'single',9,NULL,NULL,NULL,17,NULL,NULL,'inclusive',0,NULL,'0307','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(308,'TUBELES PATCHES TL 110',2,'single',9,NULL,NULL,NULL,17,NULL,NULL,'inclusive',1,5.0000,'0308','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(309,'TUBELES PATCHES TL 116',2,'single',9,NULL,NULL,NULL,17,NULL,NULL,'inclusive',1,5.0000,'0309','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(310,'TUBELES PATCHES TL 120',2,'single',9,NULL,NULL,NULL,17,NULL,NULL,'inclusive',1,5.0000,'0310','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(311,'TUBELES PATCHES TL 122',2,'single',9,NULL,NULL,NULL,17,NULL,NULL,'inclusive',1,5.0000,'0311','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(312,'TUBELES PATCHES TL 125',2,'single',9,NULL,NULL,NULL,17,NULL,NULL,'inclusive',1,5.0000,'0312','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(313,'TUBELES PATCHES TL 135',2,'single',9,NULL,NULL,NULL,17,NULL,NULL,'inclusive',1,5.0000,'0313','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(314,'TUBELES PATCHES TL 140',2,'single',9,NULL,NULL,NULL,17,NULL,NULL,'inclusive',1,5.0000,'0314','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(315,'TUBELES PATCHES TL 142',2,'single',9,NULL,NULL,NULL,17,NULL,NULL,'inclusive',1,5.0000,'0315','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(316,'SUSPENSION SERVICE  TRUCK',2,'single',10,NULL,NULL,NULL,18,NULL,NULL,'inclusive',1,0.0000,'0316','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(317,'SUSPENSION SERVICE 4X4',2,'single',10,NULL,NULL,NULL,18,NULL,NULL,'inclusive',1,0.0000,'0317','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(318,'TYRE FITMENT  4X4',2,'single',10,NULL,NULL,NULL,19,NULL,NULL,'inclusive',0,NULL,'0318','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-24 09:13:51'),(319,'TYRE FITTING BUS',2,'single',10,NULL,NULL,NULL,19,NULL,NULL,'inclusive',0,NULL,'0319','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(320,'TYRE FITTING LIGHT TRUCK',2,'single',10,NULL,NULL,NULL,19,NULL,NULL,'inclusive',0,NULL,'0320','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(321,'TYRE FITTING TRUCK',2,'single',10,NULL,NULL,NULL,19,NULL,NULL,'inclusive',0,NULL,'0321','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(322,'TYRE ROTATION',2,'single',10,NULL,NULL,NULL,20,NULL,NULL,'inclusive',0,NULL,'0322','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-24 09:14:33'),(323,'TYRE ROTATION FOR TRUCK AND BUS',2,'single',10,NULL,NULL,NULL,20,NULL,NULL,'inclusive',0,NULL,'0323','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(324,'WHEEL ALINGMENT BUS AND TRUCK',2,'single',10,NULL,NULL,NULL,21,NULL,NULL,'inclusive',0,NULL,'0324','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-24 09:09:37'),(325,'WHEEL ALINGMENT LIGHT TRUCK PER AXLE',2,'single',10,NULL,NULL,NULL,21,NULL,NULL,'inclusive',0,NULL,'0325','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(326,'WHEEL ALINGMENT PLAY',2,'single',10,NULL,NULL,NULL,21,NULL,NULL,'inclusive',0,NULL,'0326','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-24 09:09:10'),(327,'WHEEL ALINGMENT 4X4',2,'single',10,NULL,NULL,NULL,21,NULL,NULL,'inclusive',0,NULL,'0327','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-24 09:10:14'),(328,'ADHESIVE WEIGHT 200GM',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0328','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(329,'ADHESIVE WEIGHT 60GM',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0329','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(330,'RUST ROMOVER WD40',2,'single',10,NULL,NULL,NULL,15,NULL,NULL,'inclusive',0,NULL,'0330','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(331,'STICK ON WEIGHTS 60 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0331','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(332,'TYRE MOUNTING PASTE',2,'single',10,NULL,NULL,NULL,15,NULL,NULL,'inclusive',0,NULL,'0332','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(333,'VOLCANIZE CEMENT GRAM 175',2,'single',10,NULL,NULL,NULL,15,NULL,NULL,'inclusive',0,NULL,'0333','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(334,'VULCANIZING RUBBER SOLUTION',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',0,NULL,'0334','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(335,'WHEEL BALANCE',2,'single',10,NULL,NULL,NULL,15,NULL,NULL,'inclusive',0,NULL,'0335','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-26 09:28:31'),(336,'WHEEL BALANCE ATTACHED TO WEIGHT',2,'single',10,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0336','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'',NULL,3,NULL,NULL,0,0,'2023-07-21 09:47:55','2023-07-24 09:13:19'),(337,'WHEEL BALANCING WEIGHTS 05 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0337','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(338,'WHEEL BALANCING WEIGHTS 10 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0338','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(339,'WHEEL BALANCING WEIGHTS 100 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0339','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(340,'WHEEL BALANCING WEIGHTS 15 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0340','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(341,'WHEEL BALANCING WEIGHTS 20 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0341','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(342,'WHEEL BALANCING WEIGHTS 25 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0342','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(343,'WHEEL BALANCING WEIGHTS 30 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0343','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(344,'WHEEL BALANCING WEIGHTS 35 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0344','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(345,'WHEEL BALANCING WEIGHTS 40 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0345','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(346,'WHEEL BALANCING WEIGHTS 45 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0346','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(347,'WHEEL BALANCING WEIGHTS 50 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0347','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(348,'WHEEL BALANCING WEIGHTS 55 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0348','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(349,'WHEEL BALANCING WEIGHTS 60 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0349','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(350,'WHEEL BALANCING WEIGHTS 70 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0350','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(351,'WHEEL BALANCING WEIGHTS 80 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0351','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(352,'WHEEL BALANCING WEIGHTS 90 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0352','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(353,'WHEEL BALANCING WEIGHTS 250 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',0,NULL,'0353','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(354,'WHEEL BALANCING WEIGHTS 150 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',0,NULL,'0354','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(355,'WHEEL BALANCING WEIGHTS 110 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',0,NULL,'0355','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(356,'WHEEL BALANCING WEIGHTS 300 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',0,NULL,'0356','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(357,'WHEEL BALANCING WEIGHTS 400 GRMS',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',0,NULL,'0357','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(358,'WHEEL WEIGHT STD GM 100',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0358','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(359,'WHEEL WEIGHT STD GM 110',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0359','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(360,'WHEEL WEIGHT STD GM 400',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0360','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(361,'WHEEL WEIGHT STD GM 450',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0361','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(362,'WHEEL WEIGHT STD GM 50',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0362','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(363,'WHEEL WEIGHT STD GM 500',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0363','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(364,'WHEEL WEIGHT STD GM 55',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0364','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(365,'WHEEL WEIGHT STD GM 60',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0365','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(366,'WHEEL WEIGHT STD GM 70',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0366','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(367,'WHEEL WEIGHT STD GM 80',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0367','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(368,'WHEEL WEIGHT STD GM 90',2,'single',9,NULL,NULL,NULL,15,NULL,NULL,'inclusive',1,0.0000,'0368','C128',NULL,NULL,0,'','','','','','',NULL,3,NULL,NULL,0,1,'2023-07-21 09:47:55','2023-07-21 09:47:55'),(369,'Wheel Balance /Truck/Bus',2,'single',10,NULL,NULL,NULL,15,NULL,NULL,'exclusive',1,NULL,'0369','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,NULL,NULL,0,0,'2023-07-26 09:29:54','2023-07-26 09:29:54');
/*!40000 ALTER TABLE `products` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_lines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_lines` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `transaction_id` int unsigned NOT NULL,
  `product_id` int unsigned NOT NULL,
  `variation_id` int unsigned NOT NULL,
  `quantity` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `secondary_unit_quantity` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `pp_without_discount` decimal(22,4) NOT NULL DEFAULT '0.0000' COMMENT 'Purchase price before inline discounts',
  `discount_percent` decimal(5,2) NOT NULL DEFAULT '0.00' COMMENT 'Inline discount percentage',
  `discount` decimal(22,4) DEFAULT NULL,
  `discount_method` enum('fixed','percentage') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `purchase_price` decimal(22,4) NOT NULL,
  `purchase_price_inc_tax` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `item_tax` decimal(22,4) NOT NULL COMMENT 'Tax for one quantity',
  `tax_id` int unsigned DEFAULT NULL,
  `purchase_requisition_line_id` int DEFAULT NULL,
  `purchase_order_line_id` int DEFAULT NULL,
  `quantity_sold` decimal(22,4) NOT NULL DEFAULT '0.0000' COMMENT 'Quanity sold from this purchase line',
  `quantity_adjusted` decimal(22,4) NOT NULL DEFAULT '0.0000' COMMENT 'Quanity adjusted in stock adjustment from this purchase line',
  `quantity_returned` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `po_quantity_purchased` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `mfg_quantity_used` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `mfg_date` date DEFAULT NULL,
  `exp_date` date DEFAULT NULL,
  `lot_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_unit_id` int DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_lines_transaction_id_foreign` (`transaction_id`),
  KEY `purchase_lines_product_id_foreign` (`product_id`),
  KEY `purchase_lines_variation_id_foreign` (`variation_id`),
  KEY `purchase_lines_tax_id_foreign` (`tax_id`),
  KEY `purchase_lines_sub_unit_id_index` (`sub_unit_id`),
  KEY `purchase_lines_lot_number_index` (`lot_number`),
  CONSTRAINT `purchase_lines_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE,
  CONSTRAINT `purchase_lines_tax_id_foreign` FOREIGN KEY (`tax_id`) REFERENCES `tax_rates` (`id`) ON DELETE CASCADE,
  CONSTRAINT `purchase_lines_transaction_id_foreign` FOREIGN KEY (`transaction_id`) REFERENCES `transactions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `purchase_lines_variation_id_foreign` FOREIGN KEY (`variation_id`) REFERENCES `variations` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=118 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_lines` WRITE;
/*!40000 ALTER TABLE `purchase_lines` DISABLE KEYS */;
INSERT INTO `purchase_lines` VALUES (87,139,282,329,0.0000,0.0000,22881.3500,0.00,NULL,NULL,22881.3500,22881.3500,0.0000,NULL,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-21 09:41:50','2023-07-21 09:42:34'),(88,145,267,314,15.0000,0.0000,26186.4400,0.00,NULL,NULL,26186.4400,26186.4400,0.0000,NULL,NULL,NULL,1.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:34:24','2023-11-14 17:11:25'),(89,146,268,315,17.0000,0.0000,34661.0400,0.00,NULL,NULL,34661.0400,34661.0400,0.0000,NULL,NULL,NULL,4.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:35:16','2023-10-11 13:30:27'),(90,147,269,316,20.0000,0.0000,35593.2400,0.00,NULL,NULL,35593.2400,35593.2400,0.0000,NULL,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:35:49','2023-07-25 09:48:12'),(91,148,270,317,4.0000,0.0000,37288.1600,0.00,NULL,NULL,37288.1600,37288.1600,0.0000,NULL,NULL,NULL,4.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:36:22','2023-09-25 09:52:14'),(92,149,271,318,20.0000,0.0000,11864.4000,0.00,NULL,NULL,11864.4000,11864.4000,0.0000,NULL,NULL,NULL,3.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:37:01','2023-10-16 16:06:16'),(93,150,272,319,1.0000,0.0000,37457.6000,0.00,NULL,NULL,37457.6000,37457.6000,0.0000,NULL,NULL,NULL,1.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:37:19','2023-09-25 09:47:58'),(94,151,275,322,25.0000,0.0000,660.3100,0.00,NULL,NULL,660.3100,660.3100,0.0000,NULL,NULL,NULL,2.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:37:50','2023-09-25 09:54:53'),(95,152,277,324,20.0000,0.0000,9915.2600,0.00,NULL,NULL,9915.2600,9915.2600,0.0000,NULL,NULL,NULL,6.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:38:26','2023-10-31 07:01:03'),(96,153,278,325,1.0000,0.0000,11101.7000,0.00,NULL,NULL,11101.7000,11101.7000,0.0000,NULL,NULL,NULL,1.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:38:58','2023-10-28 07:26:52'),(97,154,279,326,4.0000,0.0000,5635.5900,0.00,NULL,NULL,5635.5900,5635.5900,0.0000,NULL,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:39:20','2023-07-24 08:39:20'),(98,155,283,330,16.0000,0.0000,8305.0800,0.00,NULL,NULL,8305.0800,8305.0800,0.0000,NULL,NULL,NULL,16.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:40:33','2023-10-16 15:59:42'),(99,156,286,333,3.0000,0.0000,151694.8000,0.00,NULL,NULL,151694.8000,151694.8000,0.0000,NULL,NULL,NULL,2.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:41:06','2023-10-19 07:02:32'),(100,157,287,334,9.0000,0.0000,8813.5600,0.00,NULL,NULL,8813.5600,8813.5600,0.0000,NULL,NULL,NULL,9.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:41:36','2023-09-06 10:30:50'),(101,158,288,335,3.0000,0.0000,40678.0000,0.00,NULL,NULL,40678.0000,40678.0000,0.0000,NULL,NULL,NULL,3.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 08:44:55','2023-09-14 07:54:00'),(102,159,289,336,1.0000,0.0000,193220.4000,0.00,NULL,NULL,193220.4000,193220.4000,0.0000,NULL,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 09:00:52','2023-07-24 09:00:52'),(103,160,290,337,1.0000,0.0000,184745.8000,0.00,NULL,NULL,184745.8000,184745.8000,0.0000,NULL,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 09:01:26','2023-07-24 09:01:26'),(104,161,291,338,5.0000,0.0000,38644.0800,0.00,NULL,NULL,38644.0800,38644.0800,0.0000,NULL,NULL,NULL,2.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 09:01:49','2023-10-24 08:41:37'),(105,162,292,339,20.0000,0.0000,9915.2500,0.00,NULL,NULL,9915.2500,9915.2500,0.0000,NULL,NULL,NULL,4.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 09:02:22','2023-10-31 06:59:21'),(106,163,294,341,6.0000,0.0000,34745.7600,0.00,NULL,NULL,34745.7600,34745.7600,0.0000,NULL,NULL,NULL,1.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 09:03:01','2023-09-25 09:47:17'),(107,180,288,335,6.0000,0.0000,40678.0000,0.00,0.0000,'percentage',40678.0000,48000.0400,7322.0400,2,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 14:31:27','2023-08-01 07:56:08'),(108,180,285,332,6.0000,0.0000,40677.9500,0.00,0.0000,'percentage',40677.9500,47999.9800,7322.0300,2,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 14:31:27','2023-08-01 07:56:08'),(109,180,270,317,12.0000,0.0000,37288.1600,0.00,0.0000,'percentage',37288.1600,44000.0300,6711.8700,2,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 14:31:27','2023-08-01 07:56:08'),(110,180,279,326,12.0000,0.0000,5635.5900,0.00,0.0000,'percentage',5635.5900,6650.0000,1014.4100,2,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 14:31:27','2023-08-01 07:56:08'),(111,180,278,325,24.0000,0.0000,11101.7000,0.00,0.0000,'percentage',11101.7000,13100.0100,1998.3100,2,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 14:31:27','2023-08-01 07:56:08'),(112,180,272,319,12.0000,0.0000,37457.6000,0.00,0.0000,'percentage',37457.6000,44199.9700,6742.3700,2,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 14:31:27','2023-08-01 07:56:08'),(114,180,283,330,24.0000,0.0000,8305.0800,0.00,0.0000,'percentage',8305.0800,9799.9900,1494.9100,2,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 14:31:27','2023-08-01 07:56:08'),(115,180,287,334,24.0000,0.0000,8813.5600,0.00,0.0000,'percentage',8813.5600,10400.0000,1586.4400,2,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 14:31:27','2023-08-01 07:56:08'),(116,180,274,321,24.0000,0.0000,7500.0000,0.00,0.0000,'percentage',7500.0000,8850.0000,1350.0000,2,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-07-24 14:31:27','2023-08-01 07:56:08'),(117,303,60,107,100.0000,0.0000,100.0000,0.00,NULL,NULL,100.0000,100.0000,0.0000,NULL,NULL,NULL,0.0000,0.0000,0.0000,0.0000,0.0000,NULL,NULL,NULL,NULL,'2023-08-07 09:19:25','2023-08-07 09:19:25');
/*!40000 ALTER TABLE `purchase_lines` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_order_item_stock_entry_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_order_item_stock_entry_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_order_item_id` int unsigned NOT NULL,
  `stock_entry_item_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_order_item_id` (`purchase_order_item_id`),
  KEY `stock_entry_item_id` (`stock_entry_item_id`),
  CONSTRAINT `purchase_order_item_stock_entry_items_ibfk_1` FOREIGN KEY (`purchase_order_item_id`) REFERENCES `purchase_lines` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `purchase_order_item_stock_entry_items_ibfk_2` FOREIGN KEY (`stock_entry_item_id`) REFERENCES `stock_entry_items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_order_item_stock_entry_items` WRITE;
/*!40000 ALTER TABLE `purchase_order_item_stock_entry_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_order_item_stock_entry_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_order_stock_entries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_order_stock_entries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_order_id` int unsigned NOT NULL,
  `stock_entry_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_order_id` (`purchase_order_id`),
  KEY `stock_entry_id` (`stock_entry_id`),
  CONSTRAINT `purchase_order_stock_entries_ibfk_1` FOREIGN KEY (`stock_entry_id`) REFERENCES `stock_entries` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_order_stock_entries_ibfk_2` FOREIGN KEY (`purchase_order_id`) REFERENCES `transactions` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_order_stock_entries` WRITE;
/*!40000 ALTER TABLE `purchase_order_stock_entries` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_order_stock_entries` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `reference_counts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `reference_counts` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `ref_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `ref_count` int NOT NULL,
  `business_id` int NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `reference_counts_business_id_index` (`business_id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `reference_counts` WRITE;
/*!40000 ALTER TABLE `reference_counts` DISABLE KEYS */;
INSERT INTO `reference_counts` VALUES (1,'contacts',9,1,'2023-05-18 22:19:51','2023-06-10 09:13:47'),(2,'business_location',1,1,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(3,'draft',3,1,'2023-05-19 08:02:32','2023-05-24 08:28:49'),(4,'sell_payment',12,1,'2023-05-19 08:03:30','2023-07-04 08:08:26'),(5,'purchase',10,1,'2023-05-24 09:04:08','2023-07-04 06:55:25'),(6,'contacts',16,2,'2023-06-01 16:24:34','2023-10-25 15:44:25'),(7,'business_location',2,2,'2023-06-01 16:24:34','2023-06-19 17:40:03'),(8,'sell_payment',361,2,'2023-07-05 07:16:37','2023-11-23 17:35:03'),(9,'purchase_requisition',1,2,'2023-07-06 20:33:54','2023-07-06 20:33:54'),(10,'purchase_order',1,2,'2023-07-06 20:36:22','2023-07-06 20:36:22'),(11,'purchase',1,2,'2023-07-24 14:31:27','2023-07-24 14:31:27');
/*!40000 ALTER TABLE `reference_counts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `res_product_modifier_sets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `res_product_modifier_sets` (
  `modifier_set_id` int unsigned NOT NULL,
  `product_id` int unsigned NOT NULL COMMENT 'Table use to store the modifier sets applicable for a product',
  KEY `res_product_modifier_sets_modifier_set_id_foreign` (`modifier_set_id`),
  CONSTRAINT `res_product_modifier_sets_modifier_set_id_foreign` FOREIGN KEY (`modifier_set_id`) REFERENCES `products` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `res_product_modifier_sets` WRITE;
/*!40000 ALTER TABLE `res_product_modifier_sets` DISABLE KEYS */;
/*!40000 ALTER TABLE `res_product_modifier_sets` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `res_tables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `res_tables` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `location_id` int unsigned NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_by` int unsigned NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `res_tables_business_id_foreign` (`business_id`),
  CONSTRAINT `res_tables_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `res_tables` WRITE;
/*!40000 ALTER TABLE `res_tables` DISABLE KEYS */;
/*!40000 ALTER TABLE `res_tables` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `role_has_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `role_has_permissions` (
  `permission_id` int unsigned NOT NULL,
  `role_id` int unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`role_id`),
  KEY `role_has_permissions_role_id_foreign` (`role_id`),
  CONSTRAINT `role_has_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `role_has_permissions_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `role_has_permissions` WRITE;
/*!40000 ALTER TABLE `role_has_permissions` DISABLE KEYS */;
INSERT INTO `role_has_permissions` VALUES (25,2),(26,2),(48,2),(49,2),(50,2),(51,2),(80,2),(1,3),(2,3),(3,3),(6,3),(7,3),(8,3),(9,3),(10,3),(16,3),(17,3),(19,3),(20,3),(21,3),(22,3),(25,3),(26,3),(27,3),(32,3),(33,3),(34,3),(35,3),(36,3),(37,3),(38,3),(39,3),(40,3),(41,3),(42,3),(43,3),(44,3),(45,3),(46,3),(47,3),(48,3),(49,3),(50,3),(51,3),(52,3),(53,3),(54,3),(55,3),(56,3),(57,3),(58,3),(59,3),(63,3),(64,3),(65,3),(66,3),(67,3),(68,3),(69,3),(70,3),(71,3),(72,3),(73,3),(74,3),(75,3),(76,3),(77,3),(78,3),(81,3),(83,3),(84,3),(85,3),(86,3),(87,3),(88,3),(89,3),(90,3),(91,3),(92,3),(93,3),(94,3),(95,3),(96,3),(97,3),(98,3),(99,3),(100,3),(101,3),(102,3),(103,3),(104,3),(105,3),(106,3),(107,3),(109,3),(110,3),(111,3),(112,3),(113,3),(25,5),(26,5),(48,5),(49,5),(50,5),(51,5),(80,5),(1,6),(2,6),(3,6),(6,6),(7,6),(8,6),(9,6),(10,6),(15,6),(16,6),(17,6),(19,6),(20,6),(21,6),(22,6),(25,6),(26,6),(27,6),(28,6),(29,6),(30,6),(31,6),(32,6),(33,6),(34,6),(35,6),(36,6),(37,6),(38,6),(39,6),(40,6),(41,6),(42,6),(43,6),(44,6),(45,6),(46,6),(47,6),(48,6),(49,6),(50,6),(51,6),(52,6),(53,6),(54,6),(55,6),(56,6),(57,6),(58,6),(59,6),(60,6),(61,6),(62,6),(63,6),(64,6),(65,6),(66,6),(67,6),(68,6),(69,6),(70,6),(71,6),(72,6),(73,6),(74,6),(75,6),(76,6),(77,6),(78,6),(81,6),(83,6),(84,6),(85,6),(86,6),(87,6),(88,6),(89,6),(90,6),(91,6),(92,6),(93,6),(94,6),(95,6),(96,6),(97,6),(98,6),(99,6),(100,6),(101,6),(102,6),(103,6),(104,6),(105,6),(106,6),(107,6),(109,6),(110,6),(111,6),(112,6),(113,6),(115,6),(116,6),(117,6),(1,7),(2,7),(8,7),(9,7),(16,7),(20,7),(21,7),(25,7),(26,7),(27,7),(32,7),(36,7),(37,7),(38,7),(40,7),(48,7),(49,7),(52,7),(53,7),(54,7),(55,7),(56,7),(57,7),(58,7),(59,7),(81,7),(85,7),(93,7),(94,7),(95,7),(96,7),(97,7),(98,7),(99,7),(100,7),(101,7),(102,7),(103,7),(104,7),(109,7),(110,7),(112,7),(119,7),(120,7);
/*!40000 ALTER TABLE `role_has_permissions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `guard_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int unsigned NOT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `is_service_staff` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `roles_business_id_foreign` (`business_id`),
  CONSTRAINT `roles_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'Admin#1','web',1,1,0,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(2,'Cashier#1','web',1,0,0,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(3,'Accountant#1','web',1,0,0,'2023-05-19 09:14:03','2023-05-19 09:14:03'),(4,'Admin#2','web',2,1,0,'2023-06-01 16:24:34','2023-06-01 16:24:34'),(5,'Cashier#2','web',2,0,0,'2023-06-01 16:24:34','2023-06-01 16:24:34'),(6,'Accountant#2','web',2,0,0,'2023-06-01 16:32:34','2023-06-01 16:32:34'),(7,'Station Manager#2','web',2,0,0,'2023-07-25 09:46:21','2023-07-25 09:46:21');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `sell_line_warranties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sell_line_warranties` (
  `sell_line_id` int NOT NULL,
  `warranty_id` int NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `sell_line_warranties` WRITE;
/*!40000 ALTER TABLE `sell_line_warranties` DISABLE KEYS */;
/*!40000 ALTER TABLE `sell_line_warranties` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `selling_price_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `selling_price_groups` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `business_id` int unsigned NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `selling_price_groups_business_id_foreign` (`business_id`),
  CONSTRAINT `selling_price_groups_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `selling_price_groups` WRITE;
/*!40000 ALTER TABLE `selling_price_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `selling_price_groups` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sessions` (
  `id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `ip_address` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_agent` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `payload` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `last_activity` int NOT NULL,
  UNIQUE KEY `sessions_id_unique` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `stock_adjustment_lines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `stock_adjustment_lines` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `transaction_id` int unsigned NOT NULL,
  `product_id` int unsigned NOT NULL,
  `variation_id` int unsigned NOT NULL,
  `quantity` decimal(22,4) NOT NULL,
  `secondary_unit_quantity` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `unit_price` decimal(22,4) DEFAULT NULL COMMENT 'Last purchase unit price',
  `removed_purchase_line` int DEFAULT NULL,
  `lot_no_line_id` int DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `stock_adjustment_lines_product_id_foreign` (`product_id`),
  KEY `stock_adjustment_lines_variation_id_foreign` (`variation_id`),
  KEY `stock_adjustment_lines_transaction_id_index` (`transaction_id`),
  KEY `stock_adjustment_lines_lot_no_line_id_index` (`lot_no_line_id`),
  CONSTRAINT `stock_adjustment_lines_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE,
  CONSTRAINT `stock_adjustment_lines_transaction_id_foreign` FOREIGN KEY (`transaction_id`) REFERENCES `transactions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `stock_adjustment_lines_variation_id_foreign` FOREIGN KEY (`variation_id`) REFERENCES `variations` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `stock_adjustment_lines` WRITE;
/*!40000 ALTER TABLE `stock_adjustment_lines` DISABLE KEYS */;
/*!40000 ALTER TABLE `stock_adjustment_lines` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `stock_adjustments_temp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `stock_adjustments_temp` (
  `id` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `stock_adjustments_temp` WRITE;
/*!40000 ALTER TABLE `stock_adjustments_temp` DISABLE KEYS */;
/*!40000 ALTER TABLE `stock_adjustments_temp` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `stock_entries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `stock_entries` (
  `exchange_rate_id` int DEFAULT NULL,
  `currency_id` int DEFAULT '1',
  `handler` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `entity_id` bigint unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `transaction_type` enum('STOCK_COUNT','OPEN_STOCK','GOODS_RECEIVED_NOTE') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'STOCK_COUNT',
  `transaction_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `reference` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `descriptions` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  `date` datetime DEFAULT NULL,
  `time` time DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `transaction_type` (`transaction_type`,`transaction_id`),
  KEY `currency_id` (`currency_id`),
  KEY `user_id` (`user_id`),
  KEY `exchange_rate_id` (`exchange_rate_id`,`transaction_id`),
  KEY `entity_id` (`entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `stock_entries` WRITE;
/*!40000 ALTER TABLE `stock_entries` DISABLE KEYS */;
/*!40000 ALTER TABLE `stock_entries` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `stock_entry_item_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `stock_entry_item_locations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `stock_entry_item_id` bigint unsigned NOT NULL,
  `store_id` bigint unsigned NOT NULL,
  `type` enum('ORIGIN','DESTINATION') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'ORIGIN',
  PRIMARY KEY (`id`),
  KEY `location_id` (`store_id`),
  KEY `stock_entry_id` (`stock_entry_item_id`),
  KEY `stock_entry_item_id` (`stock_entry_item_id`),
  CONSTRAINT `stock_entry_item_locations_ibfk_1` FOREIGN KEY (`stock_entry_item_id`) REFERENCES `stock_entry_items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `stock_entry_item_locations` WRITE;
/*!40000 ALTER TABLE `stock_entry_item_locations` DISABLE KEYS */;
/*!40000 ALTER TABLE `stock_entry_item_locations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `stock_entry_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `stock_entry_items` (
  `value_added_tax_id` int DEFAULT NULL,
  `price_structure_id` bigint unsigned DEFAULT NULL,
  `valuation_rate` decimal(10,0) DEFAULT NULL,
  `tax_method` enum('EXCLUSIVE','INCLUSIVE','EXEMPT') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `unit_of_measurement_id` int NOT NULL,
  `stock_entry_id` bigint unsigned NOT NULL,
  `item_id` int NOT NULL,
  `quantity` double NOT NULL,
  `rate` double NOT NULL,
  `discount` double NOT NULL DEFAULT '0',
  `discount_method` enum('PERCENT','LS') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `descriptions` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
  PRIMARY KEY (`id`),
  KEY `item_id` (`item_id`),
  KEY `price_structure_id` (`price_structure_id`),
  KEY `stock_entry_id` (`stock_entry_id`),
  KEY `unit_of_measure_id` (`unit_of_measurement_id`),
  KEY `value_added_tax_id` (`value_added_tax_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `stock_entry_items` WRITE;
/*!40000 ALTER TABLE `stock_entry_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `stock_entry_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `stock_entry_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `stock_entry_locations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `stock_entry_id` bigint unsigned NOT NULL,
  `store_id` bigint unsigned NOT NULL,
  `type` enum('ORIGIN','DESTINATION') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'ORIGIN',
  PRIMARY KEY (`id`),
  KEY `location_id` (`store_id`),
  KEY `stock_entry_id` (`stock_entry_id`),
  CONSTRAINT `stock_entry_locations_ibfk_1` FOREIGN KEY (`stock_entry_id`) REFERENCES `stock_entries` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `stock_entry_locations` WRITE;
/*!40000 ALTER TABLE `stock_entry_locations` DISABLE KEYS */;
/*!40000 ALTER TABLE `stock_entry_locations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `system` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `system` WRITE;
/*!40000 ALTER TABLE `system` DISABLE KEYS */;
INSERT INTO `system` VALUES (1,'db_version','5.0'),(2,'default_business_active_status','1');
/*!40000 ALTER TABLE `system` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `tax_rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tax_rates` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` double(22,4) NOT NULL,
  `is_tax_group` tinyint(1) NOT NULL DEFAULT '0',
  `for_tax_group` tinyint(1) NOT NULL DEFAULT '0',
  `created_by` int unsigned NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `tax_rates_business_id_foreign` (`business_id`),
  KEY `tax_rates_created_by_foreign` (`created_by`),
  CONSTRAINT `tax_rates_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tax_rates_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `tax_rates` WRITE;
/*!40000 ALTER TABLE `tax_rates` DISABLE KEYS */;
INSERT INTO `tax_rates` VALUES (1,1,'VAT ( 18% )',18.0000,0,0,1,NULL,'2023-06-19 11:14:02','2023-06-19 11:14:02'),(2,2,'VAT ( 18% )',18.0000,0,0,3,NULL,'2023-07-06 10:26:52','2023-07-06 10:26:52');
/*!40000 ALTER TABLE `tax_rates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `tax_varifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tax_varifications` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `transaction_id` int unsigned DEFAULT NULL,
  `response_date` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `response_time` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `response_settime` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `qrcode_uri` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `status` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `rctvnum` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `rctvcode` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `znumber` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `vfdinvoicenum` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `uin` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `transaction_id` (`transaction_id`),
  CONSTRAINT `tax_varifications_ibfk_1` FOREIGN KEY (`transaction_id`) REFERENCES `transactions` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=345 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `tax_varifications` WRITE;
/*!40000 ALTER TABLE `tax_varifications` DISABLE KEYS */;
INSERT INTO `tax_varifications` VALUES (6,53,'2023-07-05','11:33:35','11:33:35','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846925_113335','293846925','1/20230705','925',NULL,'2023-07-05 09:33:36','2023-07-05 09:33:36'),(7,55,'2023-07-05','11:53:34','11:53:34','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846926_115334','293846926','2/20230705','926',NULL,'2023-07-05 09:53:35','2023-07-05 09:53:35'),(8,81,'2023-07-06','22:12:40','22:12:40','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846927_221240','293846927','1/20230706','927',NULL,'2023-07-06 20:12:40','2023-07-06 20:12:40'),(9,186,'2023-07-26','12:03:26','12:03:26','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846928_120326','293846928','1/20230726','928',NULL,'2023-07-26 10:03:27','2023-07-26 10:03:27'),(10,187,'2023-07-26','12:27:37','12:27:37','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846929_122737','293846929','2/20230726','929',NULL,'2023-07-26 10:27:37','2023-07-26 10:27:37'),(11,188,'2023-07-26','16:10:18','16:10:18','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846930_161018','293846930','3/20230726','930',NULL,'2023-07-26 14:10:18','2023-07-26 14:10:18'),(12,189,'2023-07-26','16:10:57','16:10:57','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846931_161057','293846931','4/20230726','931',NULL,'2023-07-26 14:10:58','2023-07-26 14:10:58'),(13,219,'2023-07-26','17:22:15','17:22:15','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846932_172215','293846932','5/20230726','932',NULL,'2023-07-26 15:22:17','2023-07-26 15:22:17'),(14,224,'2023-07-26','17:27:13','17:27:13','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846933_172713','293846933','6/20230726','933',NULL,'2023-07-26 15:27:14','2023-07-26 15:27:14'),(15,225,'2023-07-26','17:31:27','17:31:27','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846934_173127','293846934','7/20230726','934',NULL,'2023-07-26 15:31:28','2023-07-26 15:31:28'),(16,234,'2023-07-27','18:29:49','18:29:49','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846935_182949','293846935','1/20230727','935',NULL,'2023-07-27 16:29:50','2023-07-27 16:29:50'),(17,235,'2023-07-27','18:31:39','18:31:39','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846936_183139','293846936','2/20230727','936',NULL,'2023-07-27 16:31:40','2023-07-27 16:31:40'),(18,236,'2023-07-27','18:32:35','18:32:35','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846937_183235','293846937','3/20230727','937',NULL,'2023-07-27 16:32:35','2023-07-27 16:32:35'),(19,237,'2023-07-27','18:33:18','18:33:18','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846938_183318','293846938','4/20230727','938',NULL,'2023-07-27 16:33:19','2023-07-27 16:33:19'),(20,238,'2023-07-27','18:33:47','18:33:47','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846939_183347','293846939','5/20230727','939',NULL,'2023-07-27 16:33:48','2023-07-27 16:33:48'),(21,239,'2023-07-27','18:34:57','18:34:57','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846940_183457','293846940','6/20230727','940',NULL,'2023-07-27 16:34:58','2023-07-27 16:34:58'),(22,240,'2023-07-27','18:35:47','18:35:47','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846941_183547','293846941','7/20230727','941',NULL,'2023-07-27 16:35:47','2023-07-27 16:35:47'),(23,241,'2023-07-27','18:36:40','18:36:40','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846942_183640','293846942','8/20230727','942',NULL,'2023-07-27 16:36:40','2023-07-27 16:36:40'),(24,242,'2023-07-27','18:37:14','18:37:14','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846943_183714','293846943','9/20230727','943',NULL,'2023-07-27 16:37:14','2023-07-27 16:37:14'),(25,243,'2023-07-27','18:37:44','18:37:44','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846944_183744','293846944','10/20230727','944',NULL,'2023-07-27 16:37:45','2023-07-27 16:37:45'),(26,244,'2023-07-27','18:38:27','18:38:27','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846945_183827','293846945','11/20230727','945',NULL,'2023-07-27 16:38:28','2023-07-27 16:38:28'),(27,245,'2023-07-27','18:39:14','18:39:14','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846946_183914','293846946','12/20230727','946',NULL,'2023-07-27 16:39:14','2023-07-27 16:39:14'),(28,246,'2023-07-27','18:40:18','18:40:18','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846947_184018','293846947','13/20230727','947',NULL,'2023-07-27 16:40:18','2023-07-27 16:40:18'),(29,247,'2023-07-27','18:40:59','18:40:59','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846948_184059','293846948','14/20230727','948',NULL,'2023-07-27 16:41:00','2023-07-27 16:41:00'),(30,248,'2023-07-29','11:56:52','11:56:52','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846949_115652','293846949','1/20230729','949',NULL,'2023-07-29 09:56:53','2023-07-29 09:56:53'),(31,249,'2023-07-29','11:57:36','11:57:36','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846950_115736','293846950','2/20230729','950',NULL,'2023-07-29 09:57:37','2023-07-29 09:57:37'),(32,250,'2023-07-31','16:58:58','16:58:58','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846951_165858','293846951','1/20230731','951',NULL,'2023-07-31 14:58:59','2023-07-31 14:58:59'),(33,251,'2023-07-31','16:59:16','16:59:16','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846952_165916','293846952','2/20230731','952',NULL,'2023-07-31 14:59:17','2023-07-31 14:59:17'),(34,254,'2023-07-31','17:01:57','17:01:57','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846953_170157','293846953','3/20230731','953',NULL,'2023-07-31 15:01:59','2023-07-31 15:01:59'),(35,255,'2023-08-03','08:24:36','08:24:36','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846954_082436','293846954','1/20230803','954',NULL,'2023-08-03 06:24:37','2023-08-03 06:24:37'),(36,256,'2023-08-03','08:24:58','08:24:58','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846955_082458','293846955','2/20230803','955',NULL,'2023-08-03 06:24:58','2023-08-03 06:24:58'),(37,257,'2023-08-03','08:26:27','08:26:27','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846956_082627','293846956','3/20230803','956',NULL,'2023-08-03 06:26:33','2023-08-03 06:26:33'),(38,258,'2023-08-03','08:27:03','08:27:03','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846957_082703','293846957','4/20230803','957',NULL,'2023-08-03 06:27:05','2023-08-03 06:27:05'),(39,259,'2023-08-03','08:27:26','08:27:26','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846958_082726','293846958','5/20230803','958',NULL,'2023-08-03 06:27:27','2023-08-03 06:27:27'),(40,260,'2023-08-03','08:27:42','08:27:42','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846959_082742','293846959','6/20230803','959',NULL,'2023-08-03 06:27:43','2023-08-03 06:27:43'),(41,261,'2023-08-03','08:27:54','08:27:54','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846960_082754','293846960','7/20230803','960',NULL,'2023-08-03 06:27:54','2023-08-03 06:27:54'),(42,262,'2023-08-03','08:28:45','08:28:45','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846961_082845','293846961','8/20230803','961',NULL,'2023-08-03 06:28:46','2023-08-03 06:28:46'),(43,263,'2023-08-03','08:29:10','08:29:10','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846962_082910','293846962','9/20230803','962',NULL,'2023-08-03 06:29:11','2023-08-03 06:29:11'),(44,264,'2023-08-03','08:29:28','08:29:28','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846963_082928','293846963','10/20230803','963',NULL,'2023-08-03 06:29:29','2023-08-03 06:29:29'),(45,265,'2023-08-03','08:29:38','08:29:38','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846964_082938','293846964','11/20230803','964',NULL,'2023-08-03 06:29:39','2023-08-03 06:29:39'),(46,266,'2023-08-03','08:29:51','08:29:51','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846965_082951','293846965','12/20230803','965',NULL,'2023-08-03 06:29:52','2023-08-03 06:29:52'),(47,267,'2023-08-03','08:30:05','08:30:05','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846966_083005','293846966','13/20230803','966',NULL,'2023-08-03 06:30:06','2023-08-03 06:30:06'),(48,268,'2023-08-03','08:30:19','08:30:19','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846967_083019','293846967','14/20230803','967',NULL,'2023-08-03 06:30:19','2023-08-03 06:30:19'),(49,269,'2023-08-03','08:31:17','08:31:17','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846968_083117','293846968','15/20230803','968',NULL,'2023-08-03 06:31:19','2023-08-03 06:31:19'),(50,270,'2023-08-03','08:31:59','08:31:59','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846969_083159','293846969','16/20230803','969',NULL,'2023-08-03 06:32:00','2023-08-03 06:32:00'),(51,271,'2023-08-03','08:32:12','08:32:12','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846970_083212','293846970','17/20230803','970',NULL,'2023-08-03 06:32:13','2023-08-03 06:32:13'),(52,272,'2023-08-03','08:32:24','08:32:24','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846971_083224','293846971','18/20230803','971',NULL,'2023-08-03 06:32:26','2023-08-03 06:32:26'),(53,273,'2023-08-03','08:32:39','08:32:39','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846972_083239','293846972','19/20230803','972',NULL,'2023-08-03 06:32:40','2023-08-03 06:32:40'),(54,274,'2023-08-03','08:33:38','08:33:38','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846973_083338','293846973','20/20230803','973',NULL,'2023-08-03 06:33:39','2023-08-03 06:33:39'),(55,275,'2023-08-03','08:33:56','08:33:56','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846974_083356','293846974','21/20230803','974',NULL,'2023-08-03 06:33:56','2023-08-03 06:33:56'),(56,276,'2023-08-03','08:37:30','08:37:30','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846975_083730','293846975','22/20230803','975',NULL,'2023-08-03 06:37:31','2023-08-03 06:37:31'),(57,277,'2023-08-03','08:37:42','08:37:42','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846976_083742','293846976','23/20230803','976',NULL,'2023-08-03 06:37:42','2023-08-03 06:37:42'),(58,278,'2023-08-03','08:37:52','08:37:52','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846977_083752','293846977','24/20230803','977',NULL,'2023-08-03 06:37:53','2023-08-03 06:37:53'),(59,279,'2023-08-03','08:38:02','08:38:02','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846978_083802','293846978','25/20230803','978',NULL,'2023-08-03 06:38:03','2023-08-03 06:38:03'),(60,280,'2023-08-03','08:39:01','08:39:01','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846979_083901','293846979','26/20230803','979',NULL,'2023-08-03 06:39:01','2023-08-03 06:39:01'),(61,281,'2023-08-03','08:39:51','08:39:51','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846980_083951','293846980','27/20230803','980',NULL,'2023-08-03 06:39:52','2023-08-03 06:39:52'),(62,282,'2023-08-03','08:40:17','08:40:17','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846981_084017','293846981','28/20230803','981',NULL,'2023-08-03 06:40:18','2023-08-03 06:40:18'),(63,283,'2023-08-03','08:40:39','08:40:39','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846982_084039','293846982','29/20230803','982',NULL,'2023-08-03 06:40:40','2023-08-03 06:40:40'),(64,284,'2023-08-03','08:40:56','08:40:56','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846983_084056','293846983','30/20230803','983',NULL,'2023-08-03 06:40:56','2023-08-03 06:40:56'),(65,285,'2023-08-03','08:41:48','08:41:48','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846984_084148','293846984','31/20230803','984',NULL,'2023-08-03 06:41:49','2023-08-03 06:41:49'),(66,286,'2023-08-03','08:41:58','08:41:58','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846985_084158','293846985','32/20230803','985',NULL,'2023-08-03 06:41:58','2023-08-03 06:41:58'),(67,287,'2023-08-03','08:43:57','08:43:57','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846986_084357','293846986','33/20230803','986',NULL,'2023-08-03 06:43:58','2023-08-03 06:43:58'),(68,288,'2023-08-03','08:44:48','08:44:48','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846987_084448','293846987','34/20230803','987',NULL,'2023-08-03 06:44:49','2023-08-03 06:44:49'),(69,289,'2023-08-03','08:45:00','08:45:00','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846988_084500','293846988','35/20230803','988',NULL,'2023-08-03 06:45:01','2023-08-03 06:45:01'),(70,290,'2023-08-03','08:45:12','08:45:12','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846989_084512','293846989','36/20230803','989',NULL,'2023-08-03 06:45:12','2023-08-03 06:45:12'),(71,309,'2023-08-14','13:01:08','13:01:08','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846990_130108','293846990','1/20230814','990',NULL,'2023-08-14 11:01:09','2023-08-14 11:01:09'),(72,310,'2023-08-14','13:02:23','13:02:23','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846991_130223','293846991','2/20230814','991',NULL,'2023-08-14 11:02:24','2023-08-14 11:02:24'),(73,311,'2023-08-14','13:16:41','13:16:41','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846992_131641','293846992','3/20230814','992',NULL,'2023-08-14 11:16:42','2023-08-14 11:16:42'),(74,327,'2023-08-14','16:46:33','16:46:33','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846993_164633','293846993','4/20230814','993',NULL,'2023-08-14 14:47:38','2023-08-14 14:47:38'),(75,329,'2023-08-14','16:51:02','16:51:02','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846994_165102','293846994','5/20230814','994',NULL,'2023-08-14 14:52:06','2023-08-14 14:52:06'),(76,330,'2023-08-14','16:53:46','16:53:46','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846995_165346','293846995','6/20230814','995',NULL,'2023-08-14 14:53:47','2023-08-14 14:53:47'),(77,341,'2023-08-14','17:40:17','17:40:17','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846996_174017','293846996','7/20230814','996',NULL,'2023-08-14 15:40:18','2023-08-14 15:40:18'),(78,346,'2023-08-14','17:53:19','17:53:19','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846997_175319','293846997','8/20230814','997',NULL,'2023-08-14 15:53:19','2023-08-14 15:53:19'),(79,347,'2023-08-14','17:56:18','17:56:18','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846998_175618','293846998','9/20230814','998',NULL,'2023-08-14 15:56:19','2023-08-14 15:56:19'),(80,348,'2023-08-14','17:57:12','17:57:12','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/293846999_175712','293846999','10/20230814','999',NULL,'2023-08-14 15:57:13','2023-08-14 15:57:13'),(81,349,'2023-08-14','17:57:37','17:57:37','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461000_175737','2938461000','11/20230814','1000',NULL,'2023-08-14 15:57:38','2023-08-14 15:57:38'),(82,351,'2023-08-14','18:06:49','18:06:49','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461001_180649','2938461001','12/20230814','1001',NULL,'2023-08-14 16:06:53','2023-08-14 16:06:53'),(83,352,'2023-08-14','18:48:49','18:48:49','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461002_184849','2938461002','13/20230814','1002',NULL,'2023-08-14 16:49:26','2023-08-14 16:49:26'),(84,366,'2023-08-14','20:28:53','20:28:53','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461003_202853','2938461003','14/20230814','1003',NULL,'2023-08-14 18:29:26','2023-08-14 18:29:26'),(85,367,'2023-08-15','16:28:09','16:28:09','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461004_162809','2938461004','1/20230815','1004',NULL,'2023-08-15 14:28:12','2023-08-15 14:28:12'),(86,368,'2023-08-17','12:31:58','12:31:58','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461005_123158','2938461005','1/20230817','1005',NULL,'2023-08-17 10:31:59','2023-08-17 10:31:59'),(87,369,'2023-08-17','18:50:29','18:50:29','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461006_185029','2938461006','2/20230817','1006',NULL,'2023-08-17 16:50:30','2023-08-17 16:50:30'),(88,370,'2023-08-18','09:36:03','09:36:03','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461007_093603','2938461007','1/20230818','1007',NULL,'2023-08-18 07:36:04','2023-08-18 07:36:04'),(89,371,'2023-08-18','18:01:26','18:01:26','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461008_180126','2938461008','2/20230818','1008',NULL,'2023-08-18 16:01:27','2023-08-18 16:01:27'),(90,372,'2023-08-19','08:24:00','08:24:00','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461009_082400','2938461009','1/20230819','1009',NULL,'2023-08-19 06:24:02','2023-08-19 06:24:02'),(91,373,'2023-08-19','15:41:41','15:41:41','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461010_154141','2938461010','2/20230819','1010',NULL,'2023-08-19 13:41:44','2023-08-19 13:41:44'),(92,374,'2023-08-19','17:19:41','17:19:41','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461011_171941','2938461011','3/20230819','1011',NULL,'2023-08-19 15:19:45','2023-08-19 15:19:45'),(93,375,'2023-08-21','13:07:33','13:07:33','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461012_130733','2938461012','1/20230821','1012',NULL,'2023-08-21 11:07:34','2023-08-21 11:07:34'),(94,376,'2023-08-21','13:09:49','13:09:49','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461013_130949','2938461013','2/20230821','1013',NULL,'2023-08-21 11:09:51','2023-08-21 11:09:51'),(95,377,'2023-08-21','14:51:17','14:51:17','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461014_145117','2938461014','3/20230821','1014',NULL,'2023-08-21 12:51:19','2023-08-21 12:51:19'),(96,378,'2023-08-21','14:51:44','14:51:44','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461015_145144','2938461015','4/20230821','1015',NULL,'2023-08-21 12:51:47','2023-08-21 12:51:47'),(97,379,'2023-08-21','14:52:05','14:52:05','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461016_145205','2938461016','5/20230821','1016',NULL,'2023-08-21 12:52:06','2023-08-21 12:52:06'),(98,380,'2023-08-21','14:52:35','14:52:35','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461017_145235','2938461017','6/20230821','1017',NULL,'2023-08-21 12:52:37','2023-08-21 12:52:37'),(99,381,'2023-08-21','17:12:58','17:12:58','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461018_171258','2938461018','7/20230821','1018',NULL,'2023-08-21 15:12:59','2023-08-21 15:12:59'),(100,382,'2023-08-21','17:13:32','17:13:32','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461019_171332','2938461019','8/20230821','1019',NULL,'2023-08-21 15:13:33','2023-08-21 15:13:33'),(101,383,'2023-08-21','17:53:18','17:53:18','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461020_175318','2938461020','9/20230821','1020',NULL,'2023-08-21 15:53:21','2023-08-21 15:53:21'),(102,384,'2023-08-21','18:00:50','18:00:50','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461021_180050','2938461021','10/20230821','1021',NULL,'2023-08-21 16:00:51','2023-08-21 16:00:51'),(103,385,'2023-08-23','12:19:49','12:19:49','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461022_121949','2938461022','1/20230823','1022',NULL,'2023-08-23 10:19:51','2023-08-23 10:19:51'),(104,386,'2023-08-23','12:24:51','12:24:51','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461023_122451','2938461023','2/20230823','1023',NULL,'2023-08-23 10:24:52','2023-08-23 10:24:52'),(105,390,'2023-08-26','17:16:08','17:16:08','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461024_171608','2938461024','1/20230826','1024',NULL,'2023-08-26 15:16:08','2023-08-26 15:16:08'),(106,391,'2023-08-27','13:18:30','13:18:30','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461025_131830','2938461025','1/20230827','1025',NULL,'2023-08-27 11:18:34','2023-08-27 11:18:34'),(107,392,'2023-08-29','16:53:26','16:53:26','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461026_165326','2938461026','1/20230829','1026',NULL,'2023-08-29 14:53:27','2023-08-29 14:53:27'),(108,395,'2023-08-30','09:43:31','09:43:31','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461027_094331','2938461027','1/20230830','1027',NULL,'2023-08-30 07:43:31','2023-08-30 07:43:31'),(109,396,'2023-08-30','11:11:38','11:11:38','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461028_111138','2938461028','2/20230830','1028',NULL,'2023-08-30 09:11:39','2023-08-30 09:11:39'),(110,397,'2023-08-30','17:49:16','17:49:16','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461029_174916','2938461029','3/20230830','1029',NULL,'2023-08-30 15:49:17','2023-08-30 15:49:17'),(111,398,'2023-08-31','15:24:20','15:24:20','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461030_152420','2938461030','1/20230831','1030',NULL,'2023-08-31 13:24:21','2023-08-31 13:24:21'),(112,399,'2023-08-31','15:37:30','15:37:30','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461031_153730','2938461031','2/20230831','1031',NULL,'2023-08-31 13:37:31','2023-08-31 13:37:31'),(113,400,'2023-08-31','16:13:16','16:13:16','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461032_161316','2938461032','3/20230831','1032',NULL,'2023-08-31 14:13:17','2023-08-31 14:13:17'),(114,401,'2023-09-01','11:30:00','11:30:00','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461033_113000','2938461033','1/20230901','1033',NULL,'2023-09-01 09:30:01','2023-09-01 09:30:01'),(115,402,'2023-09-01','14:40:15','14:40:15','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461034_144015','2938461034','2/20230901','1034',NULL,'2023-09-01 12:40:16','2023-09-01 12:40:16'),(116,403,'2023-09-01','14:40:23','14:40:23','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461035_144023','2938461035','3/20230901','1035',NULL,'2023-09-01 12:40:24','2023-09-01 12:40:24'),(117,404,'2023-09-02','10:18:02','10:18:02','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461036_101802','2938461036','1/20230902','1036',NULL,'2023-09-02 08:18:04','2023-09-02 08:18:04'),(118,405,'2023-09-02','10:18:23','10:18:23','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461037_101823','2938461037','2/20230902','1037',NULL,'2023-09-02 08:18:24','2023-09-02 08:18:24'),(119,406,'2023-09-02','14:42:22','14:42:22','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461038_144222','2938461038','3/20230902','1038',NULL,'2023-09-02 12:42:23','2023-09-02 12:42:23'),(120,407,'2023-09-02','14:45:02','14:45:02','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461039_144502','2938461039','4/20230902','1039',NULL,'2023-09-02 12:45:03','2023-09-02 12:45:03'),(121,408,'2023-09-02','14:45:12','14:45:12','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461040_144512','2938461040','5/20230902','1040',NULL,'2023-09-02 12:45:13','2023-09-02 12:45:13'),(122,414,'2023-09-04','13:59:24','13:59:24','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461041_135924','2938461041','1/20230904','1041',NULL,'2023-09-04 11:59:25','2023-09-04 11:59:25'),(123,415,'2023-09-04','13:59:42','13:59:42','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461042_135942','2938461042','2/20230904','1042',NULL,'2023-09-04 11:59:43','2023-09-04 11:59:43'),(124,416,'2023-09-04','13:59:50','13:59:50','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461043_135950','2938461043','3/20230904','1043',NULL,'2023-09-04 11:59:51','2023-09-04 11:59:51'),(125,417,'2023-09-05','11:29:44','11:29:44','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461044_112944','2938461044','1/20230905','1044',NULL,'2023-09-05 09:29:45','2023-09-05 09:29:45'),(126,418,'2023-09-05','11:29:56','11:29:56','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461045_112956','2938461045','2/20230905','1045',NULL,'2023-09-05 09:29:57','2023-09-05 09:29:57'),(127,419,'2023-09-05','11:30:18','11:30:18','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461046_113018','2938461046','3/20230905','1046',NULL,'2023-09-05 09:30:19','2023-09-05 09:30:19'),(128,420,'2023-09-05','11:41:30','11:41:30','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461047_114130','2938461047','4/20230905','1047',NULL,'2023-09-05 09:41:31','2023-09-05 09:41:31'),(129,421,'2023-09-05','11:41:36','11:41:36','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461048_114136','2938461048','5/20230905','1048',NULL,'2023-09-05 09:41:37','2023-09-05 09:41:37'),(130,422,'2023-09-05','11:41:48','11:41:48','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461049_114148','2938461049','6/20230905','1049',NULL,'2023-09-05 09:41:49','2023-09-05 09:41:49'),(131,423,'2023-09-05','18:06:54','18:06:54','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461050_180654','2938461050','7/20230905','1050',NULL,'2023-09-05 16:06:55','2023-09-05 16:06:55'),(132,424,'2023-09-05','18:25:05','18:25:05','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461051_182505','2938461051','8/20230905','1051',NULL,'2023-09-05 16:25:07','2023-09-05 16:25:07'),(133,425,'2023-09-06','10:12:30','10:12:30','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461052_101230','2938461052','1/20230906','1052',NULL,'2023-09-06 08:12:31','2023-09-06 08:12:31'),(134,428,'2023-09-06','12:30:50','12:30:50','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461053_123050','2938461053','2/20230906','1053',NULL,'2023-09-06 10:30:51','2023-09-06 10:30:51'),(135,429,'2023-09-06','15:15:25','15:15:25','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461054_151525','2938461054','3/20230906','1054',NULL,'2023-09-06 13:15:25','2023-09-06 13:15:25'),(136,430,'2023-09-12','10:17:15','10:17:15','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461055_101715','2938461055','1/20230912','1055',NULL,'2023-09-12 08:17:18','2023-09-12 08:17:18'),(137,433,'2023-09-13','17:46:42','17:46:42','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461056_174642','2938461056','1/20230913','1056',NULL,'2023-09-13 15:46:43','2023-09-13 15:46:43'),(138,434,'2023-09-14','09:45:48','09:45:48','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461057_094548','2938461057','1/20230914','1057',NULL,'2023-09-14 07:45:49','2023-09-14 07:45:49'),(139,435,'2023-09-14','09:46:26','09:46:26','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461058_094626','2938461058','2/20230914','1058',NULL,'2023-09-14 07:46:26','2023-09-14 07:46:26'),(140,436,'2023-09-14','09:47:17','09:47:17','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461059_094717','2938461059','3/20230914','1059',NULL,'2023-09-14 07:47:17','2023-09-14 07:47:17'),(141,437,'2023-09-14','09:47:53','09:47:53','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461060_094753','2938461060','4/20230914','1060',NULL,'2023-09-14 07:47:54','2023-09-14 07:47:54'),(142,438,'2023-09-14','09:48:20','09:48:20','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461061_094820','2938461061','5/20230914','1061',NULL,'2023-09-14 07:48:21','2023-09-14 07:48:21'),(143,439,'2023-09-14','09:49:49','09:49:49','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461062_094949','2938461062','6/20230914','1062',NULL,'2023-09-14 07:49:49','2023-09-14 07:49:49'),(144,440,'2023-09-14','09:51:19','09:51:19','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461063_095119','2938461063','7/20230914','1063',NULL,'2023-09-14 07:51:20','2023-09-14 07:51:20'),(145,441,'2023-09-14','09:52:39','09:52:39','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461064_095239','2938461064','8/20230914','1064',NULL,'2023-09-14 07:52:40','2023-09-14 07:52:40'),(146,442,'2023-09-14','09:54:00','09:54:00','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461065_095400','2938461065','9/20230914','1065',NULL,'2023-09-14 07:54:01','2023-09-14 07:54:01'),(147,443,'2023-09-14','09:54:35','09:54:35','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461066_095435','2938461066','10/20230914','1066',NULL,'2023-09-14 07:54:36','2023-09-14 07:54:36'),(148,448,'2023-09-14','10:06:17','10:06:17','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461067_100617','2938461067','11/20230914','1067',NULL,'2023-09-14 08:06:18','2023-09-14 08:06:18'),(149,449,'2023-09-14','10:06:56','10:06:56','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461068_100656','2938461068','12/20230914','1068',NULL,'2023-09-14 08:06:57','2023-09-14 08:06:57'),(150,452,'2023-09-14','10:10:54','10:10:54','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461069_101054','2938461069','13/20230914','1069',NULL,'2023-09-14 08:10:55','2023-09-14 08:10:55'),(151,453,'2023-09-14','10:11:42','10:11:42','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461070_101142','2938461070','14/20230914','1070',NULL,'2023-09-14 08:11:42','2023-09-14 08:11:42'),(152,454,'2023-09-14','10:14:09','10:14:09','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461071_101409','2938461071','15/20230914','1071',NULL,'2023-09-14 08:14:10','2023-09-14 08:14:10'),(153,455,'2023-09-14','10:22:57','10:22:57','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461072_102257','2938461072','16/20230914','1072',NULL,'2023-09-14 08:22:58','2023-09-14 08:22:58'),(154,458,'2023-09-14','10:37:13','10:37:13','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461073_103713','2938461073','17/20230914','1073',NULL,'2023-09-14 08:37:13','2023-09-14 08:37:13'),(155,459,'2023-09-14','13:03:51','13:03:51','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461074_130351','2938461074','18/20230914','1074',NULL,'2023-09-14 11:03:52','2023-09-14 11:03:52'),(156,460,'2023-09-14','14:17:07','14:17:07','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461075_141707','2938461075','19/20230914','1075',NULL,'2023-09-14 12:17:09','2023-09-14 12:17:09'),(157,461,'2023-09-14','18:02:37','18:02:37','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461076_180237','2938461076','20/20230914','1076',NULL,'2023-09-14 16:02:39','2023-09-14 16:02:39'),(158,462,'2023-09-14','18:06:53','18:06:53','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461077_180653','2938461077','21/20230914','1077',NULL,'2023-09-14 16:06:55','2023-09-14 16:06:55'),(159,464,'2023-09-22','10:36:04','10:36:04','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461078_103604','2938461078','1/20230922','1078',NULL,'2023-09-22 08:36:05','2023-09-22 08:36:05'),(160,465,'2023-09-22','17:53:53','17:53:53','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461079_175353','2938461079','2/20230922','1079',NULL,'2023-09-22 15:53:55','2023-09-22 15:53:55'),(161,466,'2023-09-25','11:20:30','11:20:30','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461080_112030','2938461080','1/20230925','1080',NULL,'2023-09-25 09:20:31','2023-09-25 09:20:31'),(162,467,'2023-09-25','11:21:14','11:21:14','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461081_112114','2938461081','2/20230925','1081',NULL,'2023-09-25 09:21:15','2023-09-25 09:21:15'),(163,468,'2023-09-25','11:29:22','11:29:22','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461082_112922','2938461082','3/20230925','1082',NULL,'2023-09-25 09:29:24','2023-09-25 09:29:24'),(164,469,'2023-09-25','11:43:05','11:43:05','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461083_114305','2938461083','4/20230925','1083',NULL,'2023-09-25 09:43:05','2023-09-25 09:43:05'),(165,470,'2023-09-25','11:43:35','11:43:35','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461084_114335','2938461084','5/20230925','1084',NULL,'2023-09-25 09:43:36','2023-09-25 09:43:36'),(166,471,'2023-09-25','11:44:15','11:44:15','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461085_114415','2938461085','6/20230925','1085',NULL,'2023-09-25 09:44:15','2023-09-25 09:44:15'),(167,472,'2023-09-25','11:44:38','11:44:38','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461086_114438','2938461086','7/20230925','1086',NULL,'2023-09-25 09:44:39','2023-09-25 09:44:39'),(168,473,'2023-09-25','11:44:51','11:44:51','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461087_114451','2938461087','8/20230925','1087',NULL,'2023-09-25 09:44:52','2023-09-25 09:44:52'),(169,474,'2023-09-25','11:45:14','11:45:14','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461088_114514','2938461088','9/20230925','1088',NULL,'2023-09-25 09:45:15','2023-09-25 09:45:15'),(170,475,'2023-09-25','11:45:41','11:45:41','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461089_114541','2938461089','10/20230925','1089',NULL,'2023-09-25 09:45:42','2023-09-25 09:45:42'),(171,476,'2023-09-25','11:47:17','11:47:17','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461090_114717','2938461090','11/20230925','1090',NULL,'2023-09-25 09:47:18','2023-09-25 09:47:18'),(172,477,'2023-09-25','11:47:58','11:47:58','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461091_114758','2938461091','12/20230925','1091',NULL,'2023-09-25 09:47:59','2023-09-25 09:47:59'),(173,478,'2023-09-25','11:48:13','11:48:13','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461092_114813','2938461092','13/20230925','1092',NULL,'2023-09-25 09:48:14','2023-09-25 09:48:14'),(174,479,'2023-09-25','11:48:35','11:48:35','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461093_114835','2938461093','14/20230925','1093',NULL,'2023-09-25 09:48:36','2023-09-25 09:48:36'),(175,480,'2023-09-25','11:49:54','11:49:54','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461094_114954','2938461094','15/20230925','1094',NULL,'2023-09-25 09:49:55','2023-09-25 09:49:55'),(176,481,'2023-09-25','11:50:05','11:50:05','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461095_115005','2938461095','16/20230925','1095',NULL,'2023-09-25 09:50:05','2023-09-25 09:50:05'),(177,482,'2023-09-25','11:51:06','11:51:06','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461096_115106','2938461096','17/20230925','1096',NULL,'2023-09-25 09:51:07','2023-09-25 09:51:07'),(178,483,'2023-09-25','11:51:14','11:51:14','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461097_115114','2938461097','18/20230925','1097',NULL,'2023-09-25 09:51:15','2023-09-25 09:51:15'),(179,484,'2023-09-25','11:51:35','11:51:35','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461098_115135','2938461098','19/20230925','1098',NULL,'2023-09-25 09:51:36','2023-09-25 09:51:36'),(180,485,'2023-09-25','11:51:48','11:51:48','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461099_115148','2938461099','20/20230925','1099',NULL,'2023-09-25 09:51:49','2023-09-25 09:51:49'),(181,486,'2023-09-25','11:52:14','11:52:14','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461100_115214','2938461100','21/20230925','1100',NULL,'2023-09-25 09:52:14','2023-09-25 09:52:14'),(182,487,'2023-09-25','11:53:17','11:53:17','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461101_115317','2938461101','22/20230925','1101',NULL,'2023-09-25 09:53:18','2023-09-25 09:53:18'),(183,488,'2023-09-25','11:53:38','11:53:38','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461102_115338','2938461102','23/20230925','1102',NULL,'2023-09-25 09:53:39','2023-09-25 09:53:39'),(184,489,'2023-09-25','11:53:54','11:53:54','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461103_115354','2938461103','24/20230925','1103',NULL,'2023-09-25 09:53:54','2023-09-25 09:53:54'),(185,490,'2023-09-25','11:54:53','11:54:53','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461104_115453','2938461104','25/20230925','1104',NULL,'2023-09-25 09:54:54','2023-09-25 09:54:54'),(186,491,'2023-09-25','11:55:12','11:55:12','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461105_115512','2938461105','26/20230925','1105',NULL,'2023-09-25 09:55:13','2023-09-25 09:55:13'),(187,492,'2023-09-25','11:56:09','11:56:09','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461106_115609','2938461106','27/20230925','1106',NULL,'2023-09-25 09:56:10','2023-09-25 09:56:10'),(188,493,'2023-09-25','11:57:07','11:57:07','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461107_115707','2938461107','28/20230925','1107',NULL,'2023-09-25 09:57:08','2023-09-25 09:57:08'),(189,494,'2023-09-25','12:53:22','12:53:22','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461108_125322','2938461108','29/20230925','1108',NULL,'2023-09-25 10:53:22','2023-09-25 10:53:22'),(190,495,'2023-09-25','12:53:59','12:53:59','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461109_125359','2938461109','30/20230925','1109',NULL,'2023-09-25 10:53:59','2023-09-25 10:53:59'),(191,496,'2023-09-26','15:17:05','15:17:05','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461110_151705','2938461110','1/20230926','1110',NULL,'2023-09-26 13:17:06','2023-09-26 13:17:06'),(192,497,'2023-09-28','11:34:14','11:34:14','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461111_113414','2938461111','1/20230928','1111',NULL,'2023-09-28 09:34:15','2023-09-28 09:34:15'),(193,498,'2023-09-28','12:13:15','12:13:15','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461112_121315','2938461112','2/20230928','1112',NULL,'2023-09-28 10:13:18','2023-09-28 10:13:18'),(194,499,'2023-09-28','12:40:36','12:40:36','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461113_124036','2938461113','3/20230928','1113',NULL,'2023-09-28 10:40:38','2023-09-28 10:40:38'),(195,500,'2023-09-28','12:41:02','12:41:02','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461114_124102','2938461114','4/20230928','1114',NULL,'2023-09-28 10:41:03','2023-09-28 10:41:03'),(196,501,'2023-09-28','12:41:18','12:41:18','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461115_124118','2938461115','5/20230928','1115',NULL,'2023-09-28 10:41:19','2023-09-28 10:41:19'),(197,502,'2023-09-28','12:41:53','12:41:53','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461116_124153','2938461116','6/20230928','1116',NULL,'2023-09-28 10:41:54','2023-09-28 10:41:54'),(198,503,'2023-09-28','12:42:22','12:42:22','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461117_124222','2938461117','7/20230928','1117',NULL,'2023-09-28 10:42:23','2023-09-28 10:42:23'),(199,504,'2023-09-28','12:42:34','12:42:34','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461118_124234','2938461118','8/20230928','1118',NULL,'2023-09-28 10:42:34','2023-09-28 10:42:34'),(200,505,'2023-09-28','17:33:06','17:33:06','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461119_173306','2938461119','9/20230928','1119',NULL,'2023-09-28 15:33:07','2023-09-28 15:33:07'),(201,506,'2023-09-29','10:14:14','10:14:14','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461120_101414','2938461120','1/20230929','1120',NULL,'2023-09-29 08:14:14','2023-09-29 08:14:14'),(202,507,'2023-09-29','10:14:39','10:14:39','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461121_101439','2938461121','2/20230929','1121',NULL,'2023-09-29 08:14:40','2023-09-29 08:14:40'),(203,508,'2023-09-30','15:52:47','15:52:47','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461122_155247','2938461122','1/20230930','1122',NULL,'2023-09-30 13:52:49','2023-09-30 13:52:49'),(204,511,'2023-10-02','09:52:24','09:52:24','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461123_095224','2938461123','1/20231002','1123',NULL,'2023-10-02 07:52:25','2023-10-02 07:52:25'),(205,512,'2023-10-04','08:18:01','08:18:01','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461124_081801','2938461124','1/20231004','1124',NULL,'2023-10-04 06:18:02','2023-10-04 06:18:02'),(206,514,'2023-10-06','17:14:24','17:14:24','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461125_171424','2938461125','1/20231006','1125',NULL,'2023-10-06 15:14:25','2023-10-06 15:14:25'),(207,517,'2023-10-11','09:48:09','09:48:09','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461126_094809','2938461126','1/20231011','1126',NULL,'2023-10-11 07:48:10','2023-10-11 07:48:10'),(208,518,'2023-10-11','15:13:49','15:13:49','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461127_151349','2938461127','2/20231011','1127',NULL,'2023-10-11 13:13:50','2023-10-11 13:13:50'),(209,519,'2023-10-11','15:14:16','15:14:16','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461128_151416','2938461128','3/20231011','1128',NULL,'2023-10-11 13:14:17','2023-10-11 13:14:17'),(210,520,'2023-10-11','15:14:33','15:14:33','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461129_151433','2938461129','4/20231011','1129',NULL,'2023-10-11 13:14:33','2023-10-11 13:14:33'),(211,521,'2023-10-11','15:23:54','15:23:54','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461130_152354','2938461130','5/20231011','1130',NULL,'2023-10-11 13:23:56','2023-10-11 13:23:56'),(212,524,'2023-10-11','15:25:03','15:25:03','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461131_152503','2938461131','6/20231011','1131',NULL,'2023-10-11 13:25:18','2023-10-11 13:25:18'),(213,526,'2023-10-11','15:26:33','15:26:33','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461132_152633','2938461132','7/20231011','1132',NULL,'2023-10-11 13:26:34','2023-10-11 13:26:34'),(214,527,'2023-10-11','15:26:49','15:26:49','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461133_152649','2938461133','8/20231011','1133',NULL,'2023-10-11 13:26:49','2023-10-11 13:26:49'),(215,528,'2023-10-11','15:27:00','15:27:00','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461134_152700','2938461134','9/20231011','1134',NULL,'2023-10-11 13:27:01','2023-10-11 13:27:01'),(216,529,'2023-10-11','15:27:09','15:27:09','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461135_152709','2938461135','10/20231011','1135',NULL,'2023-10-11 13:27:09','2023-10-11 13:27:09'),(217,530,'2023-10-11','15:27:17','15:27:17','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461136_152717','2938461136','11/20231011','1136',NULL,'2023-10-11 13:27:18','2023-10-11 13:27:18'),(218,531,'2023-10-11','15:27:26','15:27:26','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461137_152726','2938461137','12/20231011','1137',NULL,'2023-10-11 13:27:27','2023-10-11 13:27:27'),(219,532,'2023-10-11','15:28:43','15:28:43','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461138_152843','2938461138','13/20231011','1138',NULL,'2023-10-11 13:28:44','2023-10-11 13:28:44'),(220,533,'2023-10-11','15:29:10','15:29:10','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461139_152910','2938461139','14/20231011','1139',NULL,'2023-10-11 13:29:11','2023-10-11 13:29:11'),(221,534,'2023-10-11','15:29:44','15:29:44','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461140_152944','2938461140','15/20231011','1140',NULL,'2023-10-11 13:29:50','2023-10-11 13:29:50'),(222,535,'2023-10-11','15:30:12','15:30:12','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461141_153012','2938461141','16/20231011','1141',NULL,'2023-10-11 13:30:14','2023-10-11 13:30:14'),(223,536,'2023-10-11','15:30:27','15:30:27','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461142_153027','2938461142','17/20231011','1142',NULL,'2023-10-11 13:30:29','2023-10-11 13:30:29'),(224,537,'2023-10-11','15:30:57','15:30:57','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461143_153057','2938461143','18/20231011','1143',NULL,'2023-10-11 13:30:58','2023-10-11 13:30:58'),(225,538,'2023-10-11','15:31:15','15:31:15','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461144_153115','2938461144','19/20231011','1144',NULL,'2023-10-11 13:31:18','2023-10-11 13:31:18'),(226,539,'2023-10-11','15:31:28','15:31:28','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461145_153128','2938461145','20/20231011','1145',NULL,'2023-10-11 13:31:30','2023-10-11 13:31:30'),(227,540,'2023-10-11','15:32:57','15:32:57','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461146_153257','2938461146','21/20231011','1146',NULL,'2023-10-11 13:32:58','2023-10-11 13:32:58'),(228,541,'2023-10-11','15:33:20','15:33:20','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461147_153320','2938461147','22/20231011','1147',NULL,'2023-10-11 13:33:20','2023-10-11 13:33:20'),(229,542,'2023-10-11','15:33:45','15:33:45','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461148_153345','2938461148','23/20231011','1148',NULL,'2023-10-11 13:33:50','2023-10-11 13:33:50'),(230,543,'2023-10-12','09:48:36','09:48:36','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461149_094836','2938461149','1/20231012','1149',NULL,'2023-10-12 07:48:37','2023-10-12 07:48:37'),(231,544,'2023-10-12','14:17:12','14:17:12','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461150_141712','2938461150','2/20231012','1150',NULL,'2023-10-12 12:17:13','2023-10-12 12:17:13'),(232,545,'2023-10-12','14:17:40','14:17:40','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461151_141740','2938461151','3/20231012','1151',NULL,'2023-10-12 12:17:42','2023-10-12 12:17:42'),(233,547,'2023-10-13','14:50:51','14:50:51','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461152_145051','2938461152','1/20231013','1152',NULL,'2023-10-13 12:50:53','2023-10-13 12:50:53'),(234,548,'2023-10-13','16:44:36','16:44:36','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461153_164436','2938461153','2/20231013','1153',NULL,'2023-10-13 14:44:37','2023-10-13 14:44:37'),(235,549,'2023-10-15','10:53:55','10:53:55','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461154_105355','2938461154','1/20231015','1154',NULL,'2023-10-15 08:53:56','2023-10-15 08:53:56'),(236,552,'2023-10-16','12:01:44','12:01:44','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461155_120144','2938461155','1/20231016','1155',NULL,'2023-10-16 10:01:45','2023-10-16 10:01:45'),(237,553,'2023-10-16','17:59:42','17:59:42','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461156_175942','2938461156','2/20231016','1156',NULL,'2023-10-16 15:59:43','2023-10-16 15:59:43'),(238,554,'2023-10-16','18:00:33','18:00:33','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461157_180033','2938461157','3/20231016','1157',NULL,'2023-10-16 16:00:34','2023-10-16 16:00:34'),(239,555,'2023-10-16','18:01:04','18:01:04','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461158_180104','2938461158','4/20231016','1158',NULL,'2023-10-16 16:01:05','2023-10-16 16:01:05'),(240,556,'2023-10-16','18:06:16','18:06:16','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461159_180616','2938461159','5/20231016','1159',NULL,'2023-10-16 16:06:17','2023-10-16 16:06:17'),(241,557,'2023-10-16','18:06:48','18:06:48','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461160_180648','2938461160','6/20231016','1160',NULL,'2023-10-16 16:06:49','2023-10-16 16:06:49'),(242,558,'2023-10-16','18:08:09','18:08:09','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461161_180809','2938461161','7/20231016','1161',NULL,'2023-10-16 16:08:13','2023-10-16 16:08:13'),(243,559,'2023-10-16','18:08:34','18:08:34','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461162_180834','2938461162','8/20231016','1162',NULL,'2023-10-16 16:08:37','2023-10-16 16:08:37'),(244,560,'2023-10-16','18:08:57','18:08:57','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461163_180857','2938461163','9/20231016','1163',NULL,'2023-10-16 16:08:59','2023-10-16 16:08:59'),(245,561,'2023-10-16','18:09:25','18:09:25','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461164_180925','2938461164','10/20231016','1164',NULL,'2023-10-16 16:09:26','2023-10-16 16:09:26'),(246,562,'2023-10-18','12:17:25','12:17:25','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461165_121725','2938461165','1/20231018','1165',NULL,'2023-10-18 10:17:27','2023-10-18 10:17:27'),(247,563,'2023-10-18','12:47:04','12:47:04','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461166_124704','2938461166','2/20231018','1166',NULL,'2023-10-18 10:47:05','2023-10-18 10:47:05'),(248,564,'2023-10-18','12:47:49','12:47:49','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461167_124749','2938461167','3/20231018','1167',NULL,'2023-10-18 10:47:50','2023-10-18 10:47:50'),(249,565,'2023-10-19','09:02:32','09:02:32','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461168_090232','2938461168','1/20231019','1168',NULL,'2023-10-19 07:02:32','2023-10-19 07:02:32'),(250,566,'2023-10-19','10:55:38','10:55:38','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461169_105538','2938461169','2/20231019','1169',NULL,'2023-10-19 08:55:39','2023-10-19 08:55:39'),(251,570,'2023-10-24','10:39:36','10:39:36','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461170_103936','2938461170','1/20231024','1170',NULL,'2023-10-24 08:39:37','2023-10-24 08:39:37'),(252,571,'2023-10-24','10:41:37','10:41:37','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461171_104137','2938461171','2/20231024','1171',NULL,'2023-10-24 08:41:38','2023-10-24 08:41:38'),(253,572,'2023-10-25','11:21:07','11:21:07','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461172_112107','2938461172','1/20231025','1172',NULL,'2023-10-25 09:21:08','2023-10-25 09:21:08'),(254,597,'2023-10-25','17:45:08','17:45:08','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461173_174508','2938461173','2/20231025','1173',NULL,'2023-10-25 15:45:09','2023-10-25 15:45:09'),(255,598,'2023-10-27','11:44:47','11:44:47','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461174_114447','2938461174','1/20231027','1174',NULL,'2023-10-27 09:44:48','2023-10-27 09:44:48'),(256,599,'2023-10-28','09:26:52','09:26:52','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461175_092652','2938461175','1/20231028','1175',NULL,'2023-10-28 07:26:53','2023-10-28 07:26:53'),(257,600,'2023-10-28','16:44:29','16:44:29','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461176_164429','2938461176','2/20231028','1176',NULL,'2023-10-28 14:44:30','2023-10-28 14:44:30'),(258,606,'2023-10-29','15:09:16','15:09:16','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461177_150916','2938461177','1/20231029','1177',NULL,'2023-10-29 14:09:17','2023-10-29 14:09:17'),(259,607,'2023-10-29','16:29:25','16:29:25','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461178_162925','2938461178','2/20231029','1178',NULL,'2023-10-29 15:29:26','2023-10-29 15:29:26'),(260,608,'2023-10-30','18:30:11','18:30:11','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461179_183011','2938461179','1/20231030','1179',NULL,'2023-10-30 17:30:14','2023-10-30 17:30:14'),(261,609,'2023-10-30','18:31:33','18:31:33','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461180_183133','2938461180','2/20231030','1180',NULL,'2023-10-30 17:31:36','2023-10-30 17:31:36'),(262,610,'2023-10-30','18:32:26','18:32:26','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461181_183226','2938461181','3/20231030','1181',NULL,'2023-10-30 17:32:27','2023-10-30 17:32:27'),(263,611,'2023-10-30','18:33:45','18:33:45','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461182_183345','2938461182','4/20231030','1182',NULL,'2023-10-30 17:33:47','2023-10-30 17:33:47'),(264,612,'2023-10-30','18:34:40','18:34:40','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461183_183440','2938461183','5/20231030','1183',NULL,'2023-10-30 17:34:49','2023-10-30 17:34:49'),(265,613,'2023-10-30','18:35:15','18:35:15','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461184_183515','2938461184','6/20231030','1184',NULL,'2023-10-30 17:35:18','2023-10-30 17:35:18'),(266,614,'2023-10-30','18:35:49','18:35:49','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461185_183549','2938461185','7/20231030','1185',NULL,'2023-10-30 17:35:53','2023-10-30 17:35:53'),(267,615,'2023-10-30','18:42:34','18:42:34','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461186_184234','2938461186','8/20231030','1186',NULL,'2023-10-30 17:42:36','2023-10-30 17:42:36'),(268,616,'2023-10-30','18:43:33','18:43:33','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461187_184333','2938461187','9/20231030','1187',NULL,'2023-10-30 17:43:44','2023-10-30 17:43:44'),(269,617,'2023-10-30','18:44:22','18:44:22','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461188_184422','2938461188','10/20231030','1188',NULL,'2023-10-30 17:44:23','2023-10-30 17:44:23'),(270,618,'2023-10-30','18:45:15','18:45:15','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461189_184515','2938461189','11/20231030','1189',NULL,'2023-10-30 17:45:17','2023-10-30 17:45:17'),(271,619,'2023-10-30','18:45:38','18:45:38','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461190_184538','2938461190','12/20231030','1190',NULL,'2023-10-30 17:45:42','2023-10-30 17:45:42'),(272,620,'2023-10-31','07:59:21','07:59:21','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461191_075921','2938461191','1/20231031','1191',NULL,'2023-10-31 06:59:22','2023-10-31 06:59:22'),(273,621,'2023-10-31','07:59:53','07:59:53','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461192_075953','2938461192','2/20231031','1192',NULL,'2023-10-31 06:59:53','2023-10-31 06:59:53'),(274,622,'2023-10-31','08:00:03','08:00:03','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461193_080003','2938461193','3/20231031','1193',NULL,'2023-10-31 07:00:04','2023-10-31 07:00:04'),(275,623,'2023-10-31','08:00:19','08:00:19','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461194_080019','2938461194','4/20231031','1194',NULL,'2023-10-31 07:00:20','2023-10-31 07:00:20'),(276,624,'2023-10-31','08:01:03','08:01:03','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461195_080103','2938461195','5/20231031','1195',NULL,'2023-10-31 07:01:04','2023-10-31 07:01:04'),(277,626,'2023-10-31','08:01:38','08:01:38','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461196_080138','2938461196','6/20231031','1196',NULL,'2023-10-31 07:01:39','2023-10-31 07:01:39'),(278,627,'2023-10-31','08:01:51','08:01:51','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461197_080151','2938461197','7/20231031','1197',NULL,'2023-10-31 07:01:52','2023-10-31 07:01:52'),(279,628,'2023-10-31','08:02:00','08:02:00','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461198_080200','2938461198','8/20231031','1198',NULL,'2023-10-31 07:02:01','2023-10-31 07:02:01'),(280,629,'2023-10-31','08:02:16','08:02:16','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461199_080216','2938461199','9/20231031','1199',NULL,'2023-10-31 07:02:16','2023-10-31 07:02:16'),(281,630,'2023-10-31','08:02:25','08:02:25','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461200_080225','2938461200','10/20231031','1200',NULL,'2023-10-31 07:02:26','2023-10-31 07:02:26'),(282,631,'2023-10-31','08:02:35','08:02:35','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461201_080235','2938461201','11/20231031','1201',NULL,'2023-10-31 07:02:36','2023-10-31 07:02:36'),(283,632,'2023-10-31','08:02:48','08:02:48','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461202_080248','2938461202','12/20231031','1202',NULL,'2023-10-31 07:02:49','2023-10-31 07:02:49'),(284,633,'2023-10-31','08:03:01','08:03:01','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461203_080301','2938461203','13/20231031','1203',NULL,'2023-10-31 07:03:02','2023-10-31 07:03:02'),(285,634,'2023-10-31','08:03:20','08:03:20','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461204_080320','2938461204','14/20231031','1204',NULL,'2023-10-31 07:03:21','2023-10-31 07:03:21'),(286,635,'2023-10-31','08:03:36','08:03:36','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461205_080336','2938461205','15/20231031','1205',NULL,'2023-10-31 07:03:37','2023-10-31 07:03:37'),(287,636,'2023-10-31','08:03:53','08:03:53','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461206_080353','2938461206','16/20231031','1206',NULL,'2023-10-31 07:04:00','2023-10-31 07:04:00'),(288,640,'2023-10-31','08:37:07','08:37:07','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461207_083707','2938461207','17/20231031','1207',NULL,'2023-10-31 07:37:08','2023-10-31 07:37:08'),(289,641,'2023-10-31','10:52:43','10:52:43','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461208_105243','2938461208','18/20231031','1208',NULL,'2023-10-31 09:52:44','2023-10-31 09:52:44'),(290,642,'2023-10-31','12:57:35','12:57:35','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461209_125735','2938461209','19/20231031','1209',NULL,'2023-10-31 11:57:37','2023-10-31 11:57:37'),(291,643,'2023-10-31','12:58:31','12:58:31','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461210_125831','2938461210','20/20231031','1210',NULL,'2023-10-31 11:58:32','2023-10-31 11:58:32'),(292,644,'2023-10-31','18:12:46','18:12:46','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461211_181246','2938461211','21/20231031','1211',NULL,'2023-10-31 17:12:47','2023-10-31 17:12:47'),(293,645,'2023-10-31','18:12:55','18:12:55','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461212_181255','2938461212','22/20231031','1212',NULL,'2023-10-31 17:12:56','2023-10-31 17:12:56'),(294,646,'2023-10-31','18:13:07','18:13:07','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461213_181307','2938461213','23/20231031','1213',NULL,'2023-10-31 17:13:08','2023-10-31 17:13:08'),(295,647,'2023-11-04','10:57:48','10:57:48','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461214_105748','2938461214','1/20231104','1214',NULL,'2023-11-04 09:57:49','2023-11-04 09:57:49'),(296,648,'2023-11-04','10:58:01','10:58:01','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461215_105801','2938461215','2/20231104','1215',NULL,'2023-11-04 09:58:02','2023-11-04 09:58:02'),(297,649,'2023-11-04','10:58:15','10:58:15','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461216_105815','2938461216','3/20231104','1216',NULL,'2023-11-04 09:58:16','2023-11-04 09:58:16'),(298,650,'2023-11-04','10:58:26','10:58:26','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461217_105826','2938461217','4/20231104','1217',NULL,'2023-11-04 09:58:27','2023-11-04 09:58:27'),(299,651,'2023-11-04','10:59:41','10:59:41','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461218_105941','2938461218','5/20231104','1218',NULL,'2023-11-04 09:59:41','2023-11-04 09:59:41'),(300,652,'2023-11-04','10:59:52','10:59:52','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461219_105952','2938461219','6/20231104','1219',NULL,'2023-11-04 09:59:53','2023-11-04 09:59:53'),(301,653,'2023-11-04','11:00:04','11:00:04','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461220_110004','2938461220','7/20231104','1220',NULL,'2023-11-04 10:00:04','2023-11-04 10:00:04'),(302,654,'2023-11-04','11:00:20','11:00:20','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461221_110020','2938461221','8/20231104','1221',NULL,'2023-11-04 10:00:21','2023-11-04 10:00:21'),(303,655,'2023-11-04','17:32:23','17:32:23','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461222_173223','2938461222','9/20231104','1222',NULL,'2023-11-04 16:32:24','2023-11-04 16:32:24'),(304,656,'2023-11-07','17:32:08','17:32:08','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461223_173208','2938461223','1/20231107','1223',NULL,'2023-11-07 16:32:09','2023-11-07 16:32:09'),(305,657,'2023-11-07','17:32:20','17:32:20','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461224_173220','2938461224','2/20231107','1224',NULL,'2023-11-07 16:32:20','2023-11-07 16:32:20'),(306,658,'2023-11-08','09:51:30','09:51:30','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461225_095130','2938461225','1/20231108','1225',NULL,'2023-11-08 08:51:31','2023-11-08 08:51:31'),(307,659,'2023-11-08','09:51:53','09:51:53','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461226_095153','2938461226','2/20231108','1226',NULL,'2023-11-08 08:51:54','2023-11-08 08:51:54'),(308,660,'2023-11-09','12:07:25','12:07:25','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461227_120725','2938461227','1/20231109','1227',NULL,'2023-11-09 11:07:27','2023-11-09 11:07:27'),(309,661,'2023-11-09','12:07:58','12:07:58','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461228_120758','2938461228','2/20231109','1228',NULL,'2023-11-09 11:07:59','2023-11-09 11:07:59'),(310,662,'2023-11-09','12:13:11','12:13:11','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461229_121311','2938461229','3/20231109','1229',NULL,'2023-11-09 11:13:13','2023-11-09 11:13:13'),(311,663,'2023-11-09','12:14:43','12:14:43','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461230_121443','2938461230','4/20231109','1230',NULL,'2023-11-09 11:14:44','2023-11-09 11:14:44'),(312,664,'2023-11-09','17:18:50','17:18:50','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461231_171850','2938461231','5/20231109','1231',NULL,'2023-11-09 16:18:51','2023-11-09 16:18:51'),(313,665,'2023-11-11','18:16:44','18:16:44','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461232_181644','2938461232','1/20231111','1232',NULL,'2023-11-11 17:16:45','2023-11-11 17:16:45'),(314,666,'2023-11-14','14:50:25','14:50:25','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461233_145025','2938461233','1/20231114','1233',NULL,'2023-11-14 13:50:26','2023-11-14 13:50:26'),(315,667,'2023-11-14','17:04:27','17:04:27','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461234_170427','2938461234','2/20231114','1234',NULL,'2023-11-14 16:04:28','2023-11-14 16:04:28'),(316,668,'2023-11-14','18:07:54','18:07:54','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461235_180754','2938461235','3/20231114','1235',NULL,'2023-11-14 17:07:55','2023-11-14 17:07:55'),(317,669,'2023-11-14','18:08:09','18:08:09','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461236_180809','2938461236','4/20231114','1236',NULL,'2023-11-14 17:08:10','2023-11-14 17:08:10'),(318,670,'2023-11-14','18:09:51','18:09:51','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461237_180951','2938461237','5/20231114','1237',NULL,'2023-11-14 17:09:52','2023-11-14 17:09:52'),(319,671,'2023-11-14','18:09:57','18:09:57','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461238_180957','2938461238','6/20231114','1238',NULL,'2023-11-14 17:09:59','2023-11-14 17:09:59'),(320,672,'2023-11-14','18:10:10','18:10:10','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461239_181010','2938461239','7/20231114','1239',NULL,'2023-11-14 17:10:11','2023-11-14 17:10:11'),(321,673,'2023-11-14','18:10:30','18:10:30','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461240_181030','2938461240','8/20231114','1240',NULL,'2023-11-14 17:10:30','2023-11-14 17:10:30'),(322,674,'2023-11-14','18:10:44','18:10:44','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461241_181044','2938461241','9/20231114','1241',NULL,'2023-11-14 17:10:45','2023-11-14 17:10:45'),(323,675,'2023-11-14','18:10:53','18:10:53','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461242_181053','2938461242','10/20231114','1242',NULL,'2023-11-14 17:10:54','2023-11-14 17:10:54'),(324,676,'2023-11-14','18:11:25','18:11:25','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461243_181125','2938461243','11/20231114','1243',NULL,'2023-11-14 17:11:26','2023-11-14 17:11:26'),(325,677,'2023-11-14','18:11:39','18:11:39','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461244_181139','2938461244','12/20231114','1244',NULL,'2023-11-14 17:11:40','2023-11-14 17:11:40'),(326,678,'2023-11-14','18:11:48','18:11:48','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461245_181148','2938461245','13/20231114','1245',NULL,'2023-11-14 17:11:49','2023-11-14 17:11:49'),(327,679,'2023-11-14','18:12:42','18:12:42','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461246_181242','2938461246','14/20231114','1246',NULL,'2023-11-14 17:12:43','2023-11-14 17:12:43'),(328,680,'2023-11-14','18:12:54','18:12:54','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461247_181254','2938461247','15/20231114','1247',NULL,'2023-11-14 17:12:56','2023-11-14 17:12:56'),(329,681,'2023-11-14','18:13:27','18:13:27','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461248_181327','2938461248','16/20231114','1248',NULL,'2023-11-14 17:13:29','2023-11-14 17:13:29'),(330,682,'2023-11-14','18:13:35','18:13:35','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461249_181335','2938461249','17/20231114','1249',NULL,'2023-11-14 17:13:35','2023-11-14 17:13:35'),(331,683,'2023-11-14','18:13:48','18:13:48','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461250_181348','2938461250','18/20231114','1250',NULL,'2023-11-14 17:13:49','2023-11-14 17:13:49'),(332,684,'2023-11-15','18:00:51','18:00:51','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461251_180051','2938461251','1/20231115','1251',NULL,'2023-11-15 17:00:53','2023-11-15 17:00:53'),(333,685,'2023-11-15','18:01:52','18:01:52','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461252_180152','2938461252','2/20231115','1252',NULL,'2023-11-15 17:01:56','2023-11-15 17:01:56'),(334,686,'2023-11-15','18:03:22','18:03:22','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461253_180322','2938461253','3/20231115','1253',NULL,'2023-11-15 17:03:23','2023-11-15 17:03:23'),(335,687,'2023-11-18','11:46:57','11:46:57','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461254_114657','2938461254','1/20231118','1254',NULL,'2023-11-18 10:46:58','2023-11-18 10:46:58'),(336,688,'2023-11-18','15:09:37','15:09:37','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461255_150937','2938461255','2/20231118','1255',NULL,'2023-11-18 14:09:38','2023-11-18 14:09:38'),(337,689,'2023-11-18','15:09:48','15:09:48','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461256_150948','2938461256','3/20231118','1256',NULL,'2023-11-18 14:09:49','2023-11-18 14:09:49'),(338,690,'2023-11-18','15:09:59','15:09:59','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461257_150959','2938461257','4/20231118','1257',NULL,'2023-11-18 14:10:00','2023-11-18 14:10:00'),(339,691,'2023-11-19','13:05:19','13:05:19','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461258_130519','2938461258','1/20231119','1258',NULL,'2023-11-19 12:05:20','2023-11-19 12:05:20'),(340,692,'2023-11-19','15:51:25','15:51:25','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461259_155125','2938461259','2/20231119','1259',NULL,'2023-11-19 14:51:27','2023-11-19 14:51:27'),(341,693,'2023-11-19','15:51:34','15:51:34','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461260_155134','2938461260','3/20231119','1260',NULL,'2023-11-19 14:51:35','2023-11-19 14:51:35'),(342,694,'2023-11-21','10:50:27','10:50:27','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461261_105027','2938461261','1/20231121','1261',NULL,'2023-11-21 09:50:28','2023-11-21 09:50:28'),(343,695,'2023-11-22','10:21:07','10:21:07','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461262_102107','2938461262','1/20231122','1262',NULL,'2023-11-22 09:21:08','2023-11-22 09:21:08'),(344,696,'2023-11-23','18:35:03','18:35:03','data:image/jpg;base64,/9j/4AAQSkZJRgABAQAAAQABAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2OTApLCBxdWFsaXR5ID0gOTUK/9sAQwACAQEBAQECAQEBAgICAgIEAwICAgIFBAQDBAYFBgYGBQYGBgcJCAYHCQcGBggLCA','success','https://verify.tra.go.tz/2938461263_183503','2938461263','1/20231123','1263',NULL,'2023-11-23 17:35:04','2023-11-23 17:35:04');
/*!40000 ALTER TABLE `tax_varifications` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `transaction_payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `transaction_payments` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `transaction_id` int unsigned DEFAULT NULL,
  `business_id` int DEFAULT NULL,
  `is_return` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Used during sales to return the change',
  `amount` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `method` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `transaction_no` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_transaction_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_holder_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_month` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_year` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_security` varchar(5) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_account_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paid_on` datetime DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `paid_through_link` tinyint(1) NOT NULL DEFAULT '0',
  `gateway` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_advance` tinyint(1) NOT NULL DEFAULT '0',
  `payment_for` int DEFAULT NULL COMMENT 'stores the contact id',
  `parent_id` int DEFAULT NULL,
  `note` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `document` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_ref_no` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_id` int DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `transaction_payments_transaction_id_foreign` (`transaction_id`),
  KEY `transaction_payments_created_by_index` (`created_by`),
  KEY `transaction_payments_parent_id_index` (`parent_id`),
  KEY `transaction_payments_payment_type_index` (`payment_type`),
  CONSTRAINT `transaction_payments_transaction_id_foreign` FOREIGN KEY (`transaction_id`) REFERENCES `transactions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=624 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `transaction_payments` WRITE;
/*!40000 ALTER TABLE `transaction_payments` DISABLE KEYS */;
INSERT INTO `transaction_payments` VALUES (44,53,2,0,625.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-05 11:33:35',3,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0006',NULL,'2023-07-05 09:33:35','2023-07-05 09:33:35'),(46,55,2,0,625.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-05 11:53:34',3,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0007',NULL,'2023-07-05 09:53:34','2023-07-05 09:53:34'),(50,81,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-06 22:12:40',3,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0008',NULL,'2023-07-06 20:12:40','2023-07-06 20:12:40'),(88,186,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 12:03:26',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0026',NULL,'2023-07-26 10:03:26','2023-07-26 10:03:26'),(89,187,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 12:27:37',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0027',NULL,'2023-07-26 10:27:37','2023-07-26 10:27:37'),(90,188,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 16:10:18',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0028',NULL,'2023-07-26 14:10:18','2023-07-26 14:10:18'),(91,189,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 16:10:57',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0029',NULL,'2023-07-26 14:10:57','2023-07-26 14:10:57'),(121,219,2,0,80000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 17:22:16',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0030',NULL,'2023-07-26 15:22:16','2023-07-26 15:22:16'),(126,224,2,0,80000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 17:27:13',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0031',NULL,'2023-07-26 15:27:13','2023-07-26 15:27:13'),(127,225,2,0,80000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 17:31:27',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0032',NULL,'2023-07-26 15:31:27','2023-07-26 15:31:27'),(136,234,2,0,130000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:29:49',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0033',NULL,'2023-07-27 16:29:49','2023-07-27 16:29:49'),(137,235,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:31:39',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0034',NULL,'2023-07-27 16:31:39','2023-07-27 16:31:39'),(138,236,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:32:35',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0035',NULL,'2023-07-27 16:32:35','2023-07-27 16:32:35'),(139,237,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:33:18',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0036',NULL,'2023-07-27 16:33:18','2023-07-27 16:33:18'),(140,238,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:33:47',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0037',NULL,'2023-07-27 16:33:47','2023-07-27 16:33:47'),(141,239,2,0,80000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:34:57',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0038',NULL,'2023-07-27 16:34:57','2023-07-27 16:34:57'),(142,240,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:35:47',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0039',NULL,'2023-07-27 16:35:47','2023-07-27 16:35:47'),(143,241,2,0,40000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:36:40',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0040',NULL,'2023-07-27 16:36:40','2023-07-27 16:36:40'),(144,242,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:37:14',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0041',NULL,'2023-07-27 16:37:14','2023-07-27 16:37:14'),(145,243,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:37:44',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0042',NULL,'2023-07-27 16:37:44','2023-07-27 16:37:44'),(146,244,2,0,40000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:38:27',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0043',NULL,'2023-07-27 16:38:27','2023-07-27 16:38:27'),(147,245,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:39:14',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0044',NULL,'2023-07-27 16:39:14','2023-07-27 16:39:14'),(148,246,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:40:18',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0045',NULL,'2023-07-27 16:40:18','2023-07-27 16:40:18'),(149,247,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 18:40:59',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0046',NULL,'2023-07-27 16:40:59','2023-07-27 16:40:59'),(150,248,2,0,70000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-29 11:56:52',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0047',NULL,'2023-07-29 09:56:52','2023-07-29 09:56:52'),(151,249,2,0,32000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-29 11:57:36',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0048',NULL,'2023-07-29 09:57:36','2023-07-29 09:57:36'),(152,250,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-31 16:58:58',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0049',NULL,'2023-07-31 14:58:58','2023-07-31 14:58:58'),(153,251,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-31 16:59:16',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0050',NULL,'2023-07-31 14:59:16','2023-07-31 14:59:16'),(156,254,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-31 17:01:57',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0051',NULL,'2023-07-31 15:01:57','2023-07-31 15:01:57'),(157,255,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:24:36',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0052',NULL,'2023-08-03 06:24:36','2023-08-03 06:24:36'),(158,256,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:24:58',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0053',NULL,'2023-08-03 06:24:58','2023-08-03 06:24:58'),(159,257,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:26:27',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0054',NULL,'2023-08-03 06:26:27','2023-08-03 06:26:27'),(160,258,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:27:03',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0055',NULL,'2023-08-03 06:27:03','2023-08-03 06:27:03'),(161,259,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:27:27',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0056',NULL,'2023-08-03 06:27:27','2023-08-03 06:27:27'),(162,260,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:27:42',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0057',NULL,'2023-08-03 06:27:42','2023-08-03 06:27:42'),(163,261,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:27:54',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0058',NULL,'2023-08-03 06:27:54','2023-08-03 06:27:54'),(164,262,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:28:45',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0059',NULL,'2023-08-03 06:28:45','2023-08-03 06:28:45'),(165,263,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:29:10',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0060',NULL,'2023-08-03 06:29:10','2023-08-03 06:29:10'),(166,264,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:29:28',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0061',NULL,'2023-08-03 06:29:28','2023-08-03 06:29:28'),(167,265,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:29:38',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0062',NULL,'2023-08-03 06:29:38','2023-08-03 06:29:38'),(168,266,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:29:51',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0063',NULL,'2023-08-03 06:29:51','2023-08-03 06:29:51'),(169,267,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:30:05',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0064',NULL,'2023-08-03 06:30:05','2023-08-03 06:30:05'),(170,268,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:30:19',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0065',NULL,'2023-08-03 06:30:19','2023-08-03 06:30:19'),(171,269,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:31:17',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0066',NULL,'2023-08-03 06:31:17','2023-08-03 06:31:17'),(172,270,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:31:59',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0067',NULL,'2023-08-03 06:31:59','2023-08-03 06:31:59'),(173,271,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:32:12',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0068',NULL,'2023-08-03 06:32:12','2023-08-03 06:32:12'),(174,272,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:32:24',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0069',NULL,'2023-08-03 06:32:24','2023-08-03 06:32:24'),(175,273,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:32:39',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0070',NULL,'2023-08-03 06:32:39','2023-08-03 06:32:39'),(176,274,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:33:38',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0071',NULL,'2023-08-03 06:33:38','2023-08-03 06:33:38'),(177,275,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:33:56',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0072',NULL,'2023-08-03 06:33:56','2023-08-03 06:33:56'),(178,276,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:37:30',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0073',NULL,'2023-08-03 06:37:30','2023-08-03 06:37:30'),(179,277,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:37:42',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0074',NULL,'2023-08-03 06:37:42','2023-08-03 06:37:42'),(180,278,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:37:52',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0075',NULL,'2023-08-03 06:37:52','2023-08-03 06:37:52'),(181,279,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:38:02',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0076',NULL,'2023-08-03 06:38:02','2023-08-03 06:38:02'),(182,280,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:39:01',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0077',NULL,'2023-08-03 06:39:01','2023-08-03 06:39:01'),(183,281,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:39:51',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0078',NULL,'2023-08-03 06:39:51','2023-08-03 06:39:51'),(184,282,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:40:17',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0079',NULL,'2023-08-03 06:40:17','2023-08-03 06:40:17'),(185,283,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:40:39',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0080',NULL,'2023-08-03 06:40:39','2023-08-03 06:40:39'),(186,284,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:40:56',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0081',NULL,'2023-08-03 06:40:56','2023-08-03 06:40:56'),(187,285,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:41:48',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0082',NULL,'2023-08-03 06:41:48','2023-08-03 06:41:48'),(188,286,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:41:58',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0083',NULL,'2023-08-03 06:41:58','2023-08-03 06:41:58'),(189,287,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:43:57',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0084',NULL,'2023-08-03 06:43:57','2023-08-03 06:43:57'),(190,288,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:44:48',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0085',NULL,'2023-08-03 06:44:48','2023-08-03 06:44:48'),(191,289,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:45:00',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0086',NULL,'2023-08-03 06:45:00','2023-08-03 06:45:00'),(192,290,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 08:45:12',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0087',NULL,'2023-08-03 06:45:12','2023-08-03 06:45:12'),(210,309,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 13:01:08',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0088',NULL,'2023-08-14 11:01:08','2023-08-14 11:01:08'),(211,310,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 13:02:23',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0089',NULL,'2023-08-14 11:02:23','2023-08-14 11:02:23'),(212,311,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 13:16:41',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0090',NULL,'2023-08-14 11:16:41','2023-08-14 11:16:41'),(228,327,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 16:46:33',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0091',NULL,'2023-08-14 14:46:33','2023-08-14 14:46:33'),(230,329,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 16:51:02',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0092',NULL,'2023-08-14 14:51:02','2023-08-14 14:51:02'),(231,330,2,0,89000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 16:53:46',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0093',NULL,'2023-08-14 14:53:46','2023-08-14 14:53:46'),(234,341,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 17:40:17',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0094',NULL,'2023-08-14 15:40:17','2023-08-14 15:40:17'),(239,346,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 17:53:19',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0095',NULL,'2023-08-14 15:53:19','2023-08-14 15:53:19'),(240,347,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 17:56:18',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0096',NULL,'2023-08-14 15:56:18','2023-08-14 15:56:18'),(241,348,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 17:57:12',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0097',NULL,'2023-08-14 15:57:12','2023-08-14 15:57:12'),(242,349,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 17:57:37',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0098',NULL,'2023-08-14 15:57:37','2023-08-14 15:57:37'),(244,351,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 18:06:49',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0099',NULL,'2023-08-14 16:06:49','2023-08-14 16:06:49'),(245,352,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 18:48:49',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0100',NULL,'2023-08-14 16:48:49','2023-08-14 16:48:49'),(259,366,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 20:28:53',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0101',NULL,'2023-08-14 18:28:53','2023-08-14 18:28:53'),(260,367,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-15 16:28:09',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0102',NULL,'2023-08-15 14:28:09','2023-08-15 14:28:09'),(261,368,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-17 12:31:58',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0103',NULL,'2023-08-17 10:31:58','2023-08-17 10:31:58'),(262,369,2,0,48000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-17 18:50:29',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0104',NULL,'2023-08-17 16:50:29','2023-08-17 16:50:29'),(263,370,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-18 09:36:03',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0105',NULL,'2023-08-18 07:36:03','2023-08-18 07:36:03'),(264,371,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-18 18:01:26',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0106',NULL,'2023-08-18 16:01:26','2023-08-18 16:01:26'),(265,372,2,0,40000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-19 08:24:00',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0107',NULL,'2023-08-19 06:24:00','2023-08-19 06:24:00'),(266,373,2,0,36000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-19 15:41:41',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0108',NULL,'2023-08-19 13:41:41','2023-08-19 13:41:41'),(267,374,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-19 17:19:41',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0109',NULL,'2023-08-19 15:19:41','2023-08-19 15:19:41'),(268,375,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 13:07:33',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0110',NULL,'2023-08-21 11:07:33','2023-08-21 11:07:33'),(269,376,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 13:09:49',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0111',NULL,'2023-08-21 11:09:49','2023-08-21 11:09:49'),(270,377,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 14:51:17',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0112',NULL,'2023-08-21 12:51:17','2023-08-21 12:51:17'),(271,378,2,0,100000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 14:51:44',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0113',NULL,'2023-08-21 12:51:44','2023-08-21 12:51:44'),(272,379,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 14:52:05',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0114',NULL,'2023-08-21 12:52:05','2023-08-21 12:52:05'),(273,380,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 14:52:35',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0115',NULL,'2023-08-21 12:52:35','2023-08-21 12:52:35'),(274,381,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 17:12:58',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0116',NULL,'2023-08-21 15:12:58','2023-08-21 15:12:58'),(275,382,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 17:13:32',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0117',NULL,'2023-08-21 15:13:32','2023-08-21 15:13:32'),(276,383,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 17:53:18',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0118',NULL,'2023-08-21 15:53:18','2023-08-21 15:53:18'),(277,384,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 18:00:50',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0119',NULL,'2023-08-21 16:00:50','2023-08-21 16:00:50'),(278,385,2,0,190000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-23 12:19:49',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0120',NULL,'2023-08-23 10:19:49','2023-08-23 10:19:49'),(279,386,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-23 12:24:51',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0121',NULL,'2023-08-23 10:24:51','2023-08-23 10:24:51'),(283,390,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-26 17:16:08',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0122',NULL,'2023-08-26 15:16:08','2023-08-29 14:52:48'),(284,391,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-27 13:18:30',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0123',NULL,'2023-08-27 11:18:30','2023-08-27 11:18:30'),(285,392,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-29 16:53:26',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0124',NULL,'2023-08-29 14:53:26','2023-08-29 14:53:26'),(288,395,2,0,13000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-30 09:43:31',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0125',NULL,'2023-08-30 07:43:31','2023-08-30 07:43:31'),(289,396,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-30 11:11:38',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0126',NULL,'2023-08-30 09:11:38','2023-08-30 09:11:38'),(290,397,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-30 17:49:16',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0127',NULL,'2023-08-30 15:49:16','2023-08-30 15:49:16'),(291,398,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-31 15:24:20',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0128',NULL,'2023-08-31 13:24:20','2023-08-31 13:24:20'),(292,399,2,0,13000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-31 15:37:30',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0129',NULL,'2023-08-31 13:37:30','2023-08-31 13:37:30'),(293,400,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-31 16:13:16',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0130',NULL,'2023-08-31 14:13:16','2023-08-31 14:13:16'),(294,401,2,0,60000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-01 11:30:00',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0131',NULL,'2023-09-01 09:30:00','2023-09-01 09:30:00'),(295,402,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-01 14:40:15',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0132',NULL,'2023-09-01 12:40:15','2023-09-01 12:40:15'),(296,403,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-01 14:40:23',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0133',NULL,'2023-09-01 12:40:23','2023-09-01 12:40:23'),(297,404,2,0,25000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-02 10:18:02',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0134',NULL,'2023-09-02 08:18:02','2023-09-02 08:18:02'),(298,405,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-02 10:18:23',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0135',NULL,'2023-09-02 08:18:23','2023-09-02 08:18:23'),(299,406,2,0,44500.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-02 14:42:22',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0136',NULL,'2023-09-02 12:42:22','2023-09-02 12:42:22'),(300,407,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-02 14:45:02',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0137',NULL,'2023-09-02 12:45:02','2023-09-02 12:45:02'),(301,408,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-02 14:45:12',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0138',NULL,'2023-09-02 12:45:12','2023-09-02 12:45:12'),(307,414,2,0,26000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-04 13:59:24',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0139',NULL,'2023-09-04 11:59:24','2023-09-04 11:59:24'),(308,415,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-04 13:59:42',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0140',NULL,'2023-09-04 11:59:42','2023-09-04 11:59:42'),(309,416,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-04 13:59:50',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0141',NULL,'2023-09-04 11:59:50','2023-09-04 11:59:50'),(310,417,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 11:29:44',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0142',NULL,'2023-09-05 09:29:44','2023-09-05 09:29:44'),(311,418,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 11:29:56',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0143',NULL,'2023-09-05 09:29:56','2023-09-05 09:29:56'),(312,419,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 11:30:18',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0144',NULL,'2023-09-05 09:30:18','2023-09-05 09:30:18'),(313,420,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 11:41:30',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0145',NULL,'2023-09-05 09:41:30','2023-09-05 09:41:30'),(314,421,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 11:41:36',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0146',NULL,'2023-09-05 09:41:36','2023-09-05 09:41:36'),(315,422,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 11:41:48',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0147',NULL,'2023-09-05 09:41:48','2023-09-05 09:41:48'),(316,423,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 18:06:54',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0148',NULL,'2023-09-05 16:06:54','2023-09-05 16:06:54'),(317,424,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 18:25:05',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0149',NULL,'2023-09-05 16:25:05','2023-09-05 16:25:05'),(318,425,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-06 10:12:30',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0150',NULL,'2023-09-06 08:12:30','2023-09-06 08:12:30'),(321,428,2,0,24000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-06 12:30:50',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0151',NULL,'2023-09-06 10:30:50','2023-09-06 10:30:50'),(322,429,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-06 15:15:25',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0152',NULL,'2023-09-06 13:15:25','2023-09-06 13:15:25'),(323,430,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-12 10:17:15',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0153',NULL,'2023-09-12 08:17:15','2023-09-12 08:17:15'),(326,433,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-13 17:46:42',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0154',NULL,'2023-09-13 15:46:42','2023-09-13 15:46:42'),(327,434,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 09:45:48',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0155',NULL,'2023-09-14 07:45:48','2023-09-14 07:45:48'),(328,435,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 09:46:26',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0156',NULL,'2023-09-14 07:46:26','2023-09-14 07:46:26'),(329,436,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 09:47:17',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0157',NULL,'2023-09-14 07:47:17','2023-09-14 07:47:17'),(330,437,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 09:47:53',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0158',NULL,'2023-09-14 07:47:53','2023-09-14 07:47:53'),(331,438,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 09:48:20',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0159',NULL,'2023-09-14 07:48:20','2023-09-14 07:48:20'),(332,439,2,0,48000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 09:49:49',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0160',NULL,'2023-09-14 07:49:49','2023-09-14 07:49:49'),(333,440,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 09:51:19',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0161',NULL,'2023-09-14 07:51:19','2023-09-14 07:51:19'),(334,441,2,0,35000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 09:52:39',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0162',NULL,'2023-09-14 07:52:39','2023-09-14 07:52:39'),(335,442,2,0,110000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 09:54:00',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0163',NULL,'2023-09-14 07:54:00','2023-09-14 07:54:00'),(336,443,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 09:54:35',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0164',NULL,'2023-09-14 07:54:35','2023-09-14 07:54:35'),(341,448,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 10:06:17',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0165',NULL,'2023-09-14 08:06:17','2023-09-14 08:06:17'),(342,449,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 10:06:56',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0166',NULL,'2023-09-14 08:06:56','2023-09-14 08:06:56'),(345,452,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 10:10:54',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0167',NULL,'2023-09-14 08:10:54','2023-09-14 08:10:54'),(346,453,2,0,100000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 10:11:42',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0168',NULL,'2023-09-14 08:11:42','2023-09-14 08:11:42'),(347,454,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 10:14:09',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0169',NULL,'2023-09-14 08:14:09','2023-09-14 08:14:09'),(348,455,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 10:22:57',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0170',NULL,'2023-09-14 08:22:57','2023-09-14 08:22:57'),(351,458,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 10:37:13',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0171',NULL,'2023-09-14 08:37:13','2023-09-14 08:37:13'),(352,459,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 13:03:51',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0172',NULL,'2023-09-14 11:03:51','2023-09-14 11:03:51'),(353,460,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 14:17:07',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0173',NULL,'2023-09-14 12:17:07','2023-09-14 12:17:07'),(354,461,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 18:02:37',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0174',NULL,'2023-09-14 16:02:37','2023-09-14 16:02:37'),(355,462,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 18:06:54',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0175',NULL,'2023-09-14 16:06:54','2023-09-14 16:06:54'),(357,464,2,0,70000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-22 10:36:04',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0176',NULL,'2023-09-22 08:36:04','2023-09-22 08:36:04'),(358,465,2,0,48000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-22 17:53:53',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0177',NULL,'2023-09-22 15:53:53','2023-09-22 15:53:53'),(359,466,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:20:30',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0178',NULL,'2023-09-25 09:20:30','2023-09-25 09:20:30'),(360,467,2,0,80000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:21:14',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0179',NULL,'2023-09-25 09:21:14','2023-09-25 09:21:14'),(361,468,2,0,60000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:29:22',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0180',NULL,'2023-09-25 09:29:22','2023-09-25 09:29:22'),(362,469,2,0,13000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:43:05',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0181',NULL,'2023-09-25 09:43:05','2023-09-25 09:43:05'),(363,470,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:43:35',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0182',NULL,'2023-09-25 09:43:35','2023-09-25 09:43:35'),(364,471,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:44:15',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0183',NULL,'2023-09-25 09:44:15','2023-09-25 09:44:15'),(365,472,2,0,8500.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:44:38',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0184',NULL,'2023-09-25 09:44:38','2023-09-25 09:44:38'),(366,473,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:44:51',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0185',NULL,'2023-09-25 09:44:51','2023-09-25 09:44:51'),(367,474,2,0,13000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:45:14',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0186',NULL,'2023-09-25 09:45:14','2023-09-25 09:45:14'),(368,475,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:45:41',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0187',NULL,'2023-09-25 09:45:41','2023-09-25 09:45:41'),(369,476,2,0,45000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:47:17',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0188',NULL,'2023-09-25 09:47:17','2023-09-25 09:47:17'),(370,477,2,0,51000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:47:58',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0189',NULL,'2023-09-25 09:47:58','2023-09-25 09:47:58'),(371,478,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:48:13',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0190',NULL,'2023-09-25 09:48:13','2023-09-25 09:48:13'),(372,479,2,0,13000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:48:35',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0191',NULL,'2023-09-25 09:48:35','2023-09-25 09:48:35'),(373,480,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:49:54',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0192',NULL,'2023-09-25 09:49:54','2023-09-25 09:49:54'),(374,481,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:50:05',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0193',NULL,'2023-09-25 09:50:05','2023-09-25 09:50:05'),(375,482,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:51:06',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0194',NULL,'2023-09-25 09:51:06','2023-09-25 09:51:06'),(376,483,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:51:14',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0195',NULL,'2023-09-25 09:51:14','2023-09-25 09:51:14'),(377,484,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:51:35',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0196',NULL,'2023-09-25 09:51:35','2023-09-25 09:51:35'),(378,485,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:51:48',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0197',NULL,'2023-09-25 09:51:48','2023-09-25 09:51:48'),(379,486,2,0,48000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:52:14',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0198',NULL,'2023-09-25 09:52:14','2023-09-25 09:52:14'),(380,487,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:53:17',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0199',NULL,'2023-09-25 09:53:17','2023-09-25 09:53:17'),(381,488,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:53:38',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0200',NULL,'2023-09-25 09:53:38','2023-09-25 09:53:38'),(382,489,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:53:54',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0201',NULL,'2023-09-25 09:53:54','2023-09-25 09:53:54'),(383,490,2,0,8500.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:54:53',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0202',NULL,'2023-09-25 09:54:53','2023-09-25 09:54:53'),(384,491,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:55:12',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0203',NULL,'2023-09-25 09:55:12','2023-09-25 09:55:12'),(385,492,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:56:09',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0204',NULL,'2023-09-25 09:56:09','2023-09-25 09:56:09'),(386,493,2,0,25000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 11:57:07',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0205',NULL,'2023-09-25 09:57:07','2023-09-25 09:57:07'),(387,494,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 12:53:22',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0206',NULL,'2023-09-25 10:53:22','2023-09-25 10:53:22'),(388,495,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 12:53:59',6,0,NULL,0,13,NULL,NULL,NULL,'SP2023/0207',NULL,'2023-09-25 10:53:59','2023-09-25 10:53:59'),(389,496,2,0,44500.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-26 15:17:05',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0208',NULL,'2023-09-26 13:17:05','2023-09-26 13:17:05'),(390,497,2,0,24000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 11:34:14',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0209',NULL,'2023-09-28 09:34:14','2023-09-28 09:34:14'),(391,498,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 12:13:15',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0210',NULL,'2023-09-28 10:13:15','2023-09-28 10:13:15'),(392,499,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 12:40:36',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0211',NULL,'2023-09-28 10:40:36','2023-09-28 10:40:36'),(393,500,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 12:41:02',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0212',NULL,'2023-09-28 10:41:02','2023-09-28 10:41:02'),(394,501,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 12:41:18',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0213',NULL,'2023-09-28 10:41:18','2023-09-28 10:41:18'),(395,502,2,0,44500.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 12:41:53',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0214',NULL,'2023-09-28 10:41:53','2023-09-28 10:41:53'),(396,503,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 12:42:22',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0215',NULL,'2023-09-28 10:42:22','2023-09-28 10:42:22'),(397,504,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 12:42:34',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0216',NULL,'2023-09-28 10:42:34','2023-09-28 10:42:34'),(398,505,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 17:33:06',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0217',NULL,'2023-09-28 15:33:07','2023-09-28 15:33:07'),(399,506,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-29 10:14:14',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0218',NULL,'2023-09-29 08:14:14','2023-09-29 08:14:14'),(400,507,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-29 10:14:39',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0219',NULL,'2023-09-29 08:14:39','2023-09-29 08:14:39'),(401,508,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-30 15:52:47',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0220',NULL,'2023-09-30 13:52:47','2023-09-30 13:52:47'),(404,511,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-02 09:52:24',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0221',NULL,'2023-10-02 07:52:24','2023-10-02 07:52:24'),(405,512,2,0,36000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-04 08:18:01',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0222',NULL,'2023-10-04 06:18:01','2023-10-04 06:18:01'),(407,514,2,0,84000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-06 17:14:24',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0223',NULL,'2023-10-06 15:14:24','2023-10-06 15:14:24'),(410,517,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 09:48:09',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0224',NULL,'2023-10-11 07:48:09','2023-10-11 07:48:09'),(411,518,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:13:49',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0225',NULL,'2023-10-11 13:13:49','2023-10-11 13:13:49'),(412,519,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:14:16',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0226',NULL,'2023-10-11 13:14:16','2023-10-11 13:14:16'),(413,520,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:14:33',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0227',NULL,'2023-10-11 13:14:33','2023-10-11 13:14:33'),(414,521,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:23:54',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0228',NULL,'2023-10-11 13:23:54','2023-10-11 13:23:54'),(417,524,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:25:03',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0229',NULL,'2023-10-11 13:25:03','2023-10-11 13:25:03'),(419,526,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:26:33',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0230',NULL,'2023-10-11 13:26:33','2023-10-11 13:26:33'),(420,527,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:26:49',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0231',NULL,'2023-10-11 13:26:49','2023-10-11 13:26:49'),(421,528,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:27:00',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0232',NULL,'2023-10-11 13:27:00','2023-10-11 13:27:00'),(422,529,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:27:09',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0233',NULL,'2023-10-11 13:27:09','2023-10-11 13:27:09'),(423,530,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:27:17',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0234',NULL,'2023-10-11 13:27:17','2023-10-11 13:27:17'),(424,531,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:27:26',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0235',NULL,'2023-10-11 13:27:26','2023-10-11 13:27:26'),(425,532,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:28:43',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0236',NULL,'2023-10-11 13:28:43','2023-10-11 13:28:43'),(426,533,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:29:10',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0237',NULL,'2023-10-11 13:29:10','2023-10-11 13:29:10'),(427,534,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:29:44',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0238',NULL,'2023-10-11 13:29:44','2023-10-11 13:29:44'),(428,535,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:30:12',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0239',NULL,'2023-10-11 13:30:12','2023-10-11 13:30:12'),(429,536,2,0,44500.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:30:27',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0240',NULL,'2023-10-11 13:30:27','2023-10-11 13:30:27'),(430,537,2,0,13000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:30:57',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0241',NULL,'2023-10-11 13:30:57','2023-10-11 13:30:57'),(431,538,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:31:15',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0242',NULL,'2023-10-11 13:31:15','2023-10-11 13:31:15'),(432,539,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:31:28',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0243',NULL,'2023-10-11 13:31:28','2023-10-11 13:31:28'),(433,540,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:32:57',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0244',NULL,'2023-10-11 13:32:57','2023-10-11 13:32:57'),(434,541,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:33:20',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0245',NULL,'2023-10-11 13:33:20','2023-10-11 13:33:20'),(435,542,2,0,40000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 15:33:45',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0246',NULL,'2023-10-11 13:33:45','2023-10-11 13:33:45'),(436,543,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-12 09:48:36',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0247',NULL,'2023-10-12 07:48:36','2023-10-12 07:48:36'),(437,544,2,0,80000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-12 14:17:12',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0248',NULL,'2023-10-12 12:17:12','2023-10-12 12:17:12'),(438,545,2,0,80000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-12 14:17:40',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0249',NULL,'2023-10-12 12:17:40','2023-10-12 12:17:40'),(440,547,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-13 14:50:51',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0250',NULL,'2023-10-13 12:50:51','2023-10-13 12:50:51'),(441,548,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-13 16:44:36',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0251',NULL,'2023-10-13 14:44:36','2023-10-13 14:44:36'),(442,549,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-15 10:53:55',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0252',NULL,'2023-10-15 08:53:55','2023-10-15 08:53:55'),(445,552,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 12:01:44',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0253',NULL,'2023-10-16 10:01:44','2023-10-16 10:01:44'),(446,553,2,0,12000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 17:59:42',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0254',NULL,'2023-10-16 15:59:42','2023-10-16 15:59:42'),(447,554,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 18:00:33',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0255',NULL,'2023-10-16 16:00:33','2023-10-16 16:00:33'),(448,555,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 18:01:04',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0256',NULL,'2023-10-16 16:01:04','2023-10-16 16:01:04'),(449,556,2,0,16000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 18:06:16',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0257',NULL,'2023-10-16 16:06:16','2023-10-16 16:06:16'),(450,557,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 18:06:48',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0258',NULL,'2023-10-16 16:06:48','2023-10-16 16:06:48'),(451,558,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 18:08:09',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0259',NULL,'2023-10-16 16:08:09','2023-10-16 16:08:09'),(452,559,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 18:08:34',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0260',NULL,'2023-10-16 16:08:34','2023-10-16 16:08:34'),(453,560,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 18:08:57',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0261',NULL,'2023-10-16 16:08:57','2023-10-16 16:08:57'),(454,561,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 18:09:25',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0262',NULL,'2023-10-16 16:09:25','2023-10-16 16:09:25'),(455,562,2,0,40000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-18 12:17:25',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0263',NULL,'2023-10-18 10:17:25','2023-10-18 10:17:25'),(456,563,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-18 12:47:04',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0264',NULL,'2023-10-18 10:47:04','2023-10-18 10:47:04'),(457,564,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-18 12:47:49',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0265',NULL,'2023-10-18 10:47:49','2023-10-18 10:47:49'),(458,565,2,0,245000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-19 09:02:32',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0266',NULL,'2023-10-19 07:02:32','2023-10-19 07:02:32'),(459,566,2,0,550000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-19 10:55:39',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0267',NULL,'2023-10-19 08:55:39','2023-10-19 08:55:39'),(463,570,2,0,52000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-24 10:39:36',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0268',NULL,'2023-10-24 08:39:36','2023-10-24 08:39:36'),(464,571,2,0,52000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-24 10:41:37',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0269',NULL,'2023-10-24 08:41:37','2023-10-24 08:41:37'),(465,572,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-25 11:21:07',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0270',NULL,'2023-10-25 09:21:07','2023-10-25 09:21:07'),(490,597,2,0,40000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-25 17:45:08',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0271',NULL,'2023-10-25 15:45:08','2023-10-25 15:45:08'),(491,598,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-27 11:44:47',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0272',NULL,'2023-10-27 09:44:47','2023-10-27 09:44:47'),(492,599,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-28 09:26:52',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0273',NULL,'2023-10-28 07:26:52','2023-10-28 07:26:52'),(493,600,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-28 16:44:29',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0274',NULL,'2023-10-28 14:44:29','2023-10-28 14:44:29'),(499,606,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-29 15:09:16',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0275',NULL,'2023-10-29 14:09:16','2023-10-29 14:09:16'),(500,607,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-29 16:29:25',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0276',NULL,'2023-10-29 15:29:25','2023-10-29 15:29:25'),(501,608,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 18:30:11',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0277',NULL,'2023-10-30 17:30:11','2023-10-30 17:30:11'),(502,609,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 18:31:33',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0278',NULL,'2023-10-30 17:31:33','2023-10-30 17:31:33'),(503,610,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 18:32:26',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0279',NULL,'2023-10-30 17:32:26','2023-10-30 17:32:26'),(504,611,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 18:33:45',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0280',NULL,'2023-10-30 17:33:45','2023-10-30 17:33:45'),(505,612,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 18:34:40',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0281',NULL,'2023-10-30 17:34:40','2023-10-30 17:34:40'),(506,613,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 18:35:15',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0282',NULL,'2023-10-30 17:35:15','2023-10-30 17:35:15'),(507,614,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 18:35:49',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0283',NULL,'2023-10-30 17:35:49','2023-10-30 17:35:49'),(508,615,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 18:42:34',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0284',NULL,'2023-10-30 17:42:34','2023-10-30 17:42:34'),(509,616,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 18:43:33',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0285',NULL,'2023-10-30 17:43:33','2023-10-30 17:43:33'),(510,617,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 18:44:22',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0286',NULL,'2023-10-30 17:44:22','2023-10-30 17:44:22'),(511,618,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 18:45:15',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0287',NULL,'2023-10-30 17:45:15','2023-10-30 17:45:15'),(512,619,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 18:45:38',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0288',NULL,'2023-10-30 17:45:38','2023-10-30 17:45:38'),(513,620,2,0,13000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:59:21',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0289',NULL,'2023-10-31 06:59:21','2023-10-31 06:59:21'),(514,621,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:59:53',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0290',NULL,'2023-10-31 06:59:53','2023-10-31 06:59:53'),(515,622,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:00:03',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0291',NULL,'2023-10-31 07:00:03','2023-10-31 07:00:03'),(516,623,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:00:19',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0292',NULL,'2023-10-31 07:00:19','2023-10-31 07:00:19'),(517,624,2,0,13000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:01:03',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0293',NULL,'2023-10-31 07:01:03','2023-10-31 07:01:03'),(519,626,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:01:38',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0294',NULL,'2023-10-31 07:01:38','2023-10-31 07:01:38'),(520,627,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:01:51',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0295',NULL,'2023-10-31 07:01:51','2023-10-31 07:01:51'),(521,628,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:02:00',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0296',NULL,'2023-10-31 07:02:00','2023-10-31 07:02:00'),(522,629,2,0,40000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:02:16',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0297',NULL,'2023-10-31 07:02:16','2023-10-31 07:02:16'),(523,630,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:02:25',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0298',NULL,'2023-10-31 07:02:25','2023-10-31 07:02:25'),(524,631,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:02:35',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0299',NULL,'2023-10-31 07:02:35','2023-10-31 07:02:35'),(525,632,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:02:48',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0300',NULL,'2023-10-31 07:02:48','2023-10-31 07:02:48'),(526,633,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:03:01',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0301',NULL,'2023-10-31 07:03:01','2023-10-31 07:03:01'),(527,634,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:03:20',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0302',NULL,'2023-10-31 07:03:20','2023-10-31 07:03:20'),(528,635,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:03:36',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0303',NULL,'2023-10-31 07:03:36','2023-10-31 07:03:36'),(529,636,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:03:53',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0304',NULL,'2023-10-31 07:03:53','2023-10-31 07:03:53'),(533,640,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 08:37:07',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0305',NULL,'2023-10-31 07:37:07','2023-10-31 07:37:07'),(534,641,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 10:52:43',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0306',NULL,'2023-10-31 09:52:43','2023-10-31 09:52:43'),(535,642,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 12:57:35',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0307',NULL,'2023-10-31 11:57:35','2023-10-31 11:57:35'),(536,643,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 12:58:31',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0308',NULL,'2023-10-31 11:58:31','2023-10-31 11:58:31'),(537,644,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 18:12:46',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0309',NULL,'2023-10-31 17:12:46','2023-10-31 17:12:46'),(538,645,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 18:12:55',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0310',NULL,'2023-10-31 17:12:55','2023-10-31 17:12:55'),(539,646,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 18:13:07',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0311',NULL,'2023-10-31 17:13:07','2023-10-31 17:13:07'),(540,647,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 10:57:48',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0312',NULL,'2023-11-04 09:57:48','2023-11-04 09:57:48'),(541,648,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 10:58:01',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0313',NULL,'2023-11-04 09:58:01','2023-11-04 09:58:01'),(542,649,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 10:58:15',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0314',NULL,'2023-11-04 09:58:15','2023-11-04 09:58:15'),(543,650,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 10:58:26',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0315',NULL,'2023-11-04 09:58:26','2023-11-04 09:58:26'),(544,651,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 10:59:41',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0316',NULL,'2023-11-04 09:59:41','2023-11-04 09:59:41'),(545,652,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 10:59:52',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0317',NULL,'2023-11-04 09:59:52','2023-11-04 09:59:52'),(546,653,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 11:00:04',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0318',NULL,'2023-11-04 10:00:04','2023-11-04 10:00:04'),(547,654,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 11:00:20',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0319',NULL,'2023-11-04 10:00:20','2023-11-04 10:00:20'),(548,655,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 17:32:23',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0320',NULL,'2023-11-04 16:32:23','2023-11-04 16:32:23'),(549,656,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-07 17:32:08',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0321',NULL,'2023-11-07 16:32:08','2023-11-07 16:32:08'),(550,657,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-07 17:32:20',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0322',NULL,'2023-11-07 16:32:20','2023-11-07 16:32:20'),(551,658,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-08 09:51:30',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0323',NULL,'2023-11-08 08:51:30','2023-11-08 08:51:30'),(552,659,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-08 09:51:53',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0324',NULL,'2023-11-08 08:51:53','2023-11-08 08:51:53'),(553,660,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-09 12:07:25',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0325',NULL,'2023-11-09 11:07:25','2023-11-09 11:07:25'),(554,661,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-09 12:07:58',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0326',NULL,'2023-11-09 11:07:58','2023-11-09 11:07:58'),(555,662,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-09 12:13:11',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0327',NULL,'2023-11-09 11:13:11','2023-11-09 11:13:11'),(556,663,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-09 12:14:43',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0328',NULL,'2023-11-09 11:14:43','2023-11-09 11:14:43'),(557,664,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-09 17:18:50',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0329',NULL,'2023-11-09 16:18:50','2023-11-09 16:18:50'),(558,665,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-11 18:16:44',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0330',NULL,'2023-11-11 17:16:44','2023-11-11 17:16:44'),(559,666,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 14:50:25',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0331',NULL,'2023-11-14 13:50:25','2023-11-14 13:50:25'),(560,667,2,0,30000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:04:27',6,0,NULL,0,15,NULL,NULL,NULL,'SP2023/0332',NULL,'2023-11-14 16:04:27','2023-11-14 16:04:27'),(561,668,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:07:54',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0333',NULL,'2023-11-14 17:07:54','2023-11-14 17:07:54'),(562,669,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:08:09',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0334',NULL,'2023-11-14 17:08:09','2023-11-14 17:08:09'),(563,670,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:09:51',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0335',NULL,'2023-11-14 17:09:51','2023-11-14 17:09:51'),(564,671,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:09:57',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0336',NULL,'2023-11-14 17:09:57','2023-11-14 17:09:57'),(565,672,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:10:10',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0337',NULL,'2023-11-14 17:10:10','2023-11-14 17:10:10'),(566,673,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:10:30',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0338',NULL,'2023-11-14 17:10:30','2023-11-14 17:10:30'),(567,674,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:10:44',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0339',NULL,'2023-11-14 17:10:44','2023-11-14 17:10:44'),(568,675,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:10:53',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0340',NULL,'2023-11-14 17:10:53','2023-11-14 17:10:53'),(569,676,2,0,36000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:11:25',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0341',NULL,'2023-11-14 17:11:25','2023-11-14 17:11:25'),(570,677,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:11:39',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0342',NULL,'2023-11-14 17:11:39','2023-11-14 17:11:39'),(571,678,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:11:48',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0343',NULL,'2023-11-14 17:11:48','2023-11-14 17:11:48'),(572,679,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:12:42',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0344',NULL,'2023-11-14 17:12:42','2023-11-14 17:12:42'),(573,680,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:12:54',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0345',NULL,'2023-11-14 17:12:54','2023-11-14 17:12:54'),(574,681,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:13:27',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0346',NULL,'2023-11-14 17:13:27','2023-11-14 17:13:27'),(575,682,2,0,15000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:13:35',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0347',NULL,'2023-11-14 17:13:35','2023-11-14 17:13:35'),(576,683,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 18:13:48',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0348',NULL,'2023-11-14 17:13:48','2023-11-14 17:13:48'),(577,684,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-15 18:00:51',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0349',NULL,'2023-11-15 17:00:51','2023-11-15 17:00:51'),(578,685,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-15 18:01:52',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0350',NULL,'2023-11-15 17:01:52','2023-11-15 17:01:52'),(579,686,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-15 18:03:22',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0351',NULL,'2023-11-15 17:03:22','2023-11-15 17:03:22'),(580,687,2,0,35000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-18 11:46:57',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0352',NULL,'2023-11-18 10:46:57','2023-11-18 10:46:57'),(581,688,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-18 15:09:37',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0353',NULL,'2023-11-18 14:09:37','2023-11-18 14:09:37'),(582,689,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-18 15:09:48',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0354',NULL,'2023-11-18 14:09:48','2023-11-18 14:09:48'),(583,690,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-18 15:09:59',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0355',NULL,'2023-11-18 14:09:59','2023-11-18 14:09:59'),(584,691,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-19 13:05:19',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0356',NULL,'2023-11-19 12:05:19','2023-11-19 12:05:19'),(585,692,2,0,10000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-19 15:51:25',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0357',NULL,'2023-11-19 14:51:25','2023-11-19 14:51:25'),(586,693,2,0,5000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-19 15:51:34',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0358',NULL,'2023-11-19 14:51:34','2023-11-19 14:51:34'),(587,694,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-21 10:50:27',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0359',NULL,'2023-11-21 09:50:27','2023-11-21 09:50:27'),(588,695,2,0,50000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-22 10:21:07',6,0,NULL,0,14,NULL,NULL,NULL,'SP2023/0360',NULL,'2023-11-22 09:21:07','2023-11-22 09:21:07'),(589,696,2,0,20000.0000,'cash',NULL,NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-23 18:35:03',6,0,NULL,0,9,NULL,NULL,NULL,'SP2023/0361',NULL,'2023-11-23 17:35:03','2023-11-23 17:35:03');
/*!40000 ALTER TABLE `transaction_payments` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `transaction_sell_lines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `transaction_sell_lines` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `transaction_id` int unsigned NOT NULL,
  `product_id` int unsigned NOT NULL,
  `variation_id` int unsigned NOT NULL,
  `quantity` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `secondary_unit_quantity` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `quantity_returned` decimal(20,4) NOT NULL DEFAULT '0.0000',
  `unit_price_before_discount` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `unit_price` decimal(22,4) DEFAULT NULL COMMENT 'Sell price excluding tax',
  `line_discount_type` enum('fixed','percentage') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `line_discount_amount` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `unit_price_inc_tax` decimal(22,4) DEFAULT NULL COMMENT 'Sell price including tax',
  `item_tax` decimal(22,4) NOT NULL COMMENT 'Tax for one quantity',
  `tax_id` int unsigned DEFAULT NULL,
  `discount_id` int DEFAULT NULL,
  `lot_no_line_id` int DEFAULT NULL,
  `sell_line_note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `so_line_id` int DEFAULT NULL,
  `so_quantity_invoiced` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `res_service_staff_id` int DEFAULT NULL,
  `res_line_order_status` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_sell_line_id` int DEFAULT NULL,
  `children_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Type of children for the parent, like modifier or combo',
  `sub_unit_id` int DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `transaction_sell_lines_transaction_id_foreign` (`transaction_id`),
  KEY `transaction_sell_lines_product_id_foreign` (`product_id`),
  KEY `transaction_sell_lines_variation_id_foreign` (`variation_id`),
  KEY `transaction_sell_lines_tax_id_foreign` (`tax_id`),
  KEY `transaction_sell_lines_children_type_index` (`children_type`),
  KEY `transaction_sell_lines_parent_sell_line_id_index` (`parent_sell_line_id`),
  KEY `transaction_sell_lines_line_discount_type_index` (`line_discount_type`),
  KEY `transaction_sell_lines_discount_id_index` (`discount_id`),
  KEY `transaction_sell_lines_lot_no_line_id_index` (`lot_no_line_id`),
  KEY `transaction_sell_lines_sub_unit_id_index` (`sub_unit_id`),
  CONSTRAINT `transaction_sell_lines_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transaction_sell_lines_tax_id_foreign` FOREIGN KEY (`tax_id`) REFERENCES `tax_rates` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transaction_sell_lines_transaction_id_foreign` FOREIGN KEY (`transaction_id`) REFERENCES `transactions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transaction_sell_lines_variation_id_foreign` FOREIGN KEY (`variation_id`) REFERENCES `variations` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=709 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `transaction_sell_lines` WRITE;
/*!40000 ALTER TABLE `transaction_sell_lines` DISABLE KEYS */;
INSERT INTO `transaction_sell_lines` VALUES (52,53,60,107,1.0000,0.0000,0.0000,625.0000,625.0000,'fixed',0.0000,625.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-05 09:33:35','2023-07-05 09:33:35'),(54,55,60,107,1.0000,0.0000,0.0000,625.0000,625.0000,'fixed',0.0000,625.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-05 09:53:34','2023-07-05 09:53:34'),(58,81,128,175,1.0000,0.0000,0.0000,42372.8800,42372.8800,'fixed',0.0000,50000.0000,7627.1200,2,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-06 20:12:40','2023-07-06 20:12:40'),(110,186,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-26 10:03:26','2023-07-26 10:03:26'),(111,187,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-26 10:27:37','2023-07-26 10:27:37'),(112,188,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-26 14:10:18','2023-07-26 14:10:18'),(113,189,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-26 14:10:57','2023-07-26 14:10:57'),(148,219,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-26 15:22:16','2023-07-26 15:22:16'),(149,219,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-26 15:22:16','2023-07-26 15:22:16'),(156,224,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-26 15:27:13','2023-07-26 15:27:13'),(157,224,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-26 15:27:13','2023-07-26 15:27:13'),(158,225,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-26 15:31:27','2023-07-26 15:31:27'),(159,225,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-26 15:31:27','2023-07-26 15:31:27'),(175,234,324,371,2.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:29:49','2023-07-27 16:29:49'),(176,234,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:29:49','2023-07-27 16:29:49'),(177,235,318,365,6.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:31:39','2023-07-27 16:31:39'),(178,236,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:32:35','2023-07-27 16:32:35'),(179,237,318,365,6.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:33:18','2023-07-27 16:33:18'),(180,238,322,369,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:33:47','2023-07-27 16:33:47'),(181,239,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:34:57','2023-07-27 16:34:57'),(182,239,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:34:57','2023-07-27 16:34:57'),(183,240,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:35:47','2023-07-27 16:35:47'),(184,241,322,369,8.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:36:40','2023-07-27 16:36:40'),(185,242,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:37:14','2023-07-27 16:37:14'),(186,243,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:37:44','2023-07-27 16:37:44'),(187,244,322,369,8.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:38:27','2023-07-27 16:38:27'),(188,245,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:39:14','2023-07-27 16:39:14'),(189,246,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:40:18','2023-07-27 16:40:18'),(190,247,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-27 16:40:59','2023-07-27 16:40:59'),(191,248,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-29 09:56:52','2023-07-29 09:56:52'),(192,248,335,382,4.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-29 09:56:52','2023-07-29 09:56:52'),(193,249,271,318,2.0000,0.0000,0.0000,16000.0000,16000.0000,'fixed',0.0000,16000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-29 09:57:36','2023-07-29 09:57:36'),(194,250,335,382,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-31 14:58:58','2023-07-31 14:58:58'),(195,251,335,382,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-31 14:59:16','2023-07-31 14:59:16'),(198,254,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-07-31 15:01:57','2023-07-31 15:01:57'),(199,255,322,369,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:24:36','2023-08-03 06:24:36'),(200,256,322,369,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:24:58','2023-08-03 06:24:58'),(201,257,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:26:27','2023-08-03 06:26:27'),(202,258,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:27:03','2023-08-03 06:27:03'),(203,259,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:27:26','2023-08-03 06:27:26'),(204,260,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:27:42','2023-08-03 06:27:42'),(205,261,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:27:54','2023-08-03 06:27:54'),(206,262,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:28:45','2023-08-03 06:28:45'),(207,263,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:29:10','2023-08-03 06:29:10'),(208,264,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:29:28','2023-08-03 06:29:28'),(209,265,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:29:38','2023-08-03 06:29:38'),(210,266,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:29:51','2023-08-03 06:29:51'),(211,267,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:30:05','2023-08-03 06:30:05'),(212,268,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:30:19','2023-08-03 06:30:19'),(213,269,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:31:17','2023-08-03 06:31:17'),(214,270,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:31:59','2023-08-03 06:31:59'),(215,271,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:32:12','2023-08-03 06:32:12'),(216,272,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:32:24','2023-08-03 06:32:24'),(217,273,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:32:39','2023-08-03 06:32:39'),(218,274,335,382,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:33:38','2023-08-03 06:33:38'),(219,275,335,382,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:33:56','2023-08-03 06:33:56'),(220,276,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:37:30','2023-08-03 06:37:30'),(221,277,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:37:42','2023-08-03 06:37:42'),(222,278,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:37:52','2023-08-03 06:37:52'),(223,279,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:38:02','2023-08-03 06:38:02'),(224,280,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:39:01','2023-08-03 06:39:01'),(225,281,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:39:51','2023-08-03 06:39:51'),(226,282,335,382,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:40:17','2023-08-03 06:40:17'),(227,283,335,382,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:40:39','2023-08-03 06:40:39'),(228,284,335,382,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:40:56','2023-08-03 06:40:56'),(229,285,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:41:48','2023-08-03 06:41:48'),(230,286,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:41:58','2023-08-03 06:41:58'),(231,287,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:43:57','2023-08-03 06:43:57'),(232,288,335,382,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:44:48','2023-08-03 06:44:48'),(233,289,335,382,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:45:00','2023-08-03 06:45:00'),(234,290,335,382,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-03 06:45:12','2023-08-03 06:45:12'),(252,309,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 11:01:08','2023-08-14 11:01:08'),(253,310,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 11:02:23','2023-08-14 11:02:23'),(254,311,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 11:16:41','2023-08-14 11:16:41'),(270,327,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 14:46:33','2023-08-14 14:46:33'),(272,329,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 14:51:02','2023-08-14 14:51:02'),(273,330,288,335,1.0000,0.0000,0.0000,55000.0000,55000.0000,'fixed',0.0000,55000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 14:53:46','2023-08-14 14:53:46'),(274,330,287,334,2.0000,0.0000,0.0000,12000.0000,12000.0000,'fixed',0.0000,12000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 14:53:46','2023-08-14 14:53:46'),(275,330,335,382,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 14:53:46','2023-08-14 14:53:46'),(286,341,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 15:40:17','2023-08-14 15:40:17'),(291,346,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 15:53:19','2023-08-14 15:53:19'),(292,347,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 15:56:18','2023-08-14 15:56:18'),(293,348,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 15:57:12','2023-08-14 15:57:12'),(294,349,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 15:57:37','2023-08-14 15:57:37'),(296,351,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 16:06:49','2023-08-14 16:06:49'),(297,352,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 16:48:49','2023-08-14 16:48:49'),(311,366,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-14 18:28:53','2023-08-14 18:28:53'),(312,367,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-15 14:28:09','2023-08-15 14:28:09'),(313,368,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-17 10:31:58','2023-08-17 10:31:58'),(314,368,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-17 10:31:58','2023-08-17 10:31:58'),(315,369,270,317,1.0000,0.0000,0.0000,48000.0000,48000.0000,'fixed',0.0000,48000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-17 16:50:29','2023-08-17 16:50:29'),(316,370,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-18 07:36:03','2023-08-18 07:36:03'),(317,370,322,369,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-18 07:36:03','2023-08-18 07:36:03'),(318,371,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-18 16:01:26','2023-08-18 16:01:26'),(319,372,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-19 06:24:00','2023-08-19 06:24:00'),(320,372,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-19 06:24:00','2023-08-19 06:24:00'),(321,373,283,330,3.0000,0.0000,0.0000,12000.0000,12000.0000,'fixed',0.0000,12000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-19 13:41:41','2023-08-19 13:41:41'),(322,374,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-19 15:19:41','2023-08-19 15:19:41'),(323,375,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-21 11:07:33','2023-08-21 11:07:33'),(324,376,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-21 11:09:49','2023-08-21 11:09:49'),(325,377,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-21 12:51:17','2023-08-21 12:51:17'),(326,378,324,371,2.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-21 12:51:44','2023-08-21 12:51:44'),(327,379,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-21 12:52:05','2023-08-21 12:52:05'),(328,380,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-21 12:52:35','2023-08-21 12:52:35'),(329,381,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-21 15:12:58','2023-08-21 15:12:58'),(330,382,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-21 15:13:32','2023-08-21 15:13:32'),(331,382,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-21 15:13:32','2023-08-21 15:13:32'),(332,383,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-21 15:53:18','2023-08-21 15:53:18'),(333,383,322,369,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-21 15:53:18','2023-08-21 15:53:18'),(334,384,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-21 16:00:50','2023-08-21 16:00:50'),(335,385,286,333,1.0000,0.0000,0.0000,190000.0000,190000.0000,'fixed',0.0000,190000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-23 10:19:49','2023-08-23 10:19:49'),(336,386,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-23 10:24:51','2023-08-23 10:24:51'),(340,390,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-26 15:16:08','2023-08-26 15:16:08'),(341,391,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-27 11:18:30','2023-08-27 11:18:30'),(342,392,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-29 14:53:26','2023-08-29 14:53:26'),(345,395,277,324,1.0000,0.0000,0.0000,13000.0000,13000.0000,'fixed',0.0000,13000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-30 07:43:31','2023-08-30 07:43:31'),(346,396,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-30 09:11:38','2023-08-30 09:11:38'),(347,397,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-30 15:49:16','2023-08-30 15:49:16'),(348,398,318,365,6.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-31 13:24:20','2023-08-31 13:24:20'),(349,399,292,339,1.0000,0.0000,0.0000,13000.0000,13000.0000,'fixed',0.0000,13000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-31 13:37:30','2023-08-31 13:37:30'),(350,400,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-08-31 14:13:16','2023-08-31 14:13:16'),(351,401,287,334,5.0000,0.0000,0.0000,12000.0000,12000.0000,'fixed',0.0000,12000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-01 09:30:00','2023-09-01 09:30:00'),(352,402,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-01 12:40:15','2023-09-01 12:40:15'),(353,403,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-01 12:40:23','2023-09-01 12:40:23'),(354,404,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-02 08:18:02','2023-09-02 08:18:02'),(355,404,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-02 08:18:02','2023-09-02 08:18:02'),(356,405,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-02 08:18:23','2023-09-02 08:18:23'),(357,406,268,315,1.0000,0.0000,0.0000,44500.0000,44500.0000,'fixed',0.0000,44500.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-02 12:42:22','2023-09-02 12:42:22'),(358,407,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-02 12:45:02','2023-09-02 12:45:02'),(359,408,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-02 12:45:12','2023-09-02 12:45:12'),(365,414,277,324,2.0000,0.0000,0.0000,13000.0000,13000.0000,'fixed',0.0000,13000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-04 11:59:24','2023-09-04 11:59:24'),(366,415,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-04 11:59:42','2023-09-04 11:59:42'),(367,416,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-04 11:59:50','2023-09-04 11:59:50'),(368,417,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-05 09:29:44','2023-09-05 09:29:44'),(369,418,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-05 09:29:56','2023-09-05 09:29:56'),(370,419,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-05 09:30:18','2023-09-05 09:30:18'),(371,420,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-05 09:41:30','2023-09-05 09:41:30'),(372,421,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-05 09:41:36','2023-09-05 09:41:36'),(373,422,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-05 09:41:48','2023-09-05 09:41:48'),(374,423,305,352,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-05 16:06:54','2023-09-05 16:06:54'),(375,424,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-05 16:25:05','2023-09-05 16:25:05'),(376,425,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-06 08:12:30','2023-09-06 08:12:30'),(379,428,287,334,2.0000,0.0000,0.0000,12000.0000,12000.0000,'fixed',0.0000,12000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-06 10:30:50','2023-09-06 10:30:50'),(380,429,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-06 13:15:25','2023-09-06 13:15:25'),(381,430,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-12 08:17:15','2023-09-12 08:17:15'),(384,433,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-13 15:46:42','2023-09-13 15:46:42'),(385,434,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 07:45:48','2023-09-14 07:45:48'),(386,435,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 07:46:26','2023-09-14 07:46:26'),(387,436,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 07:47:17','2023-09-14 07:47:17'),(388,437,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 07:47:53','2023-09-14 07:47:53'),(389,438,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 07:48:20','2023-09-14 07:48:20'),(390,439,270,317,1.0000,0.0000,0.0000,48000.0000,48000.0000,'fixed',0.0000,48000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 07:49:49','2023-09-14 07:49:49'),(391,440,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 07:51:19','2023-09-14 07:51:19'),(392,441,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 07:52:39','2023-09-14 07:52:39'),(393,441,304,351,3.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 07:52:39','2023-09-14 07:52:39'),(394,442,288,335,2.0000,0.0000,0.0000,55000.0000,55000.0000,'fixed',0.0000,55000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 07:54:00','2023-09-14 07:54:00'),(395,443,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 07:54:35','2023-09-14 07:54:35'),(400,448,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 08:06:17','2023-09-14 08:06:17'),(401,449,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 08:06:56','2023-09-14 08:06:56'),(404,452,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 08:10:54','2023-09-14 08:10:54'),(405,453,327,374,5.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 08:11:42','2023-09-14 08:11:42'),(406,454,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 08:14:09','2023-09-14 08:14:09'),(407,454,322,369,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 08:14:09','2023-09-14 08:14:09'),(408,455,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 08:22:57','2023-09-14 08:22:57'),(411,458,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 08:37:13','2023-09-14 08:37:13'),(412,459,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 11:03:51','2023-09-14 11:03:51'),(413,460,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 12:17:07','2023-09-14 12:17:07'),(414,461,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 16:02:37','2023-09-14 16:02:37'),(415,462,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-14 16:06:54','2023-09-14 16:06:54'),(419,464,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-22 08:36:04','2023-09-22 08:36:04'),(420,464,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-22 08:36:04','2023-09-22 08:36:04'),(421,464,326,373,2.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-22 08:36:04','2023-09-22 08:36:04'),(422,465,270,317,1.0000,0.0000,0.0000,48000.0000,48000.0000,'fixed',0.0000,48000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-22 15:53:53','2023-09-22 15:53:53'),(423,466,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:20:30','2023-09-25 09:20:30'),(424,467,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:21:14','2023-09-25 09:21:14'),(425,467,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:21:14','2023-09-25 09:21:14'),(426,468,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:29:22','2023-09-25 09:29:22'),(427,468,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:29:22','2023-09-25 09:29:22'),(428,468,322,369,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:29:22','2023-09-25 09:29:22'),(429,468,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:29:22','2023-09-25 09:29:22'),(430,469,292,339,1.0000,0.0000,0.0000,13000.0000,13000.0000,'fixed',0.0000,13000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:43:05','2023-09-25 09:43:05'),(431,470,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:43:35','2023-09-25 09:43:35'),(432,471,304,351,3.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:44:15','2023-09-25 09:44:15'),(433,472,275,322,1.0000,0.0000,0.0000,8500.0000,8500.0000,'fixed',0.0000,8500.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:44:38','2023-09-25 09:44:38'),(434,473,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:44:51','2023-09-25 09:44:51'),(435,474,277,324,1.0000,0.0000,0.0000,13000.0000,13000.0000,'fixed',0.0000,13000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:45:14','2023-09-25 09:45:14'),(436,475,322,369,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:45:41','2023-09-25 09:45:41'),(437,476,294,341,1.0000,0.0000,0.0000,45000.0000,45000.0000,'fixed',0.0000,45000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:47:17','2023-09-25 09:47:17'),(438,477,272,319,1.0000,0.0000,0.0000,51000.0000,51000.0000,'fixed',0.0000,51000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:47:58','2023-09-25 09:47:58'),(439,478,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:48:13','2023-09-25 09:48:13'),(440,479,277,324,1.0000,0.0000,0.0000,13000.0000,13000.0000,'fixed',0.0000,13000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:48:35','2023-09-25 09:48:35'),(441,480,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:49:54','2023-09-25 09:49:54'),(442,481,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:50:05','2023-09-25 09:50:05'),(443,482,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:51:06','2023-09-25 09:51:06'),(444,483,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:51:14','2023-09-25 09:51:14'),(445,484,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:51:35','2023-09-25 09:51:35'),(446,485,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:51:48','2023-09-25 09:51:48'),(447,486,270,317,1.0000,0.0000,0.0000,48000.0000,48000.0000,'fixed',0.0000,48000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:52:14','2023-09-25 09:52:14'),(448,487,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:53:17','2023-09-25 09:53:17'),(449,488,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:53:38','2023-09-25 09:53:38'),(450,489,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:53:54','2023-09-25 09:53:54'),(451,490,275,322,1.0000,0.0000,0.0000,8500.0000,8500.0000,'fixed',0.0000,8500.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:54:53','2023-09-25 09:54:53'),(452,491,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:55:12','2023-09-25 09:55:12'),(453,492,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:56:09','2023-09-25 09:56:09'),(454,493,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:57:07','2023-09-25 09:57:07'),(455,493,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 09:57:07','2023-09-25 09:57:07'),(456,494,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 10:53:22','2023-09-25 10:53:22'),(457,495,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-25 10:53:59','2023-09-25 10:53:59'),(458,496,268,315,1.0000,0.0000,0.0000,44500.0000,44500.0000,'fixed',0.0000,44500.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-26 13:17:05','2023-09-26 13:17:05'),(459,497,283,330,2.0000,0.0000,0.0000,12000.0000,12000.0000,'fixed',0.0000,12000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-28 09:34:14','2023-09-28 09:34:14'),(460,498,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-28 10:13:15','2023-09-28 10:13:15'),(461,499,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-28 10:40:36','2023-09-28 10:40:36'),(462,500,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-28 10:41:02','2023-09-28 10:41:02'),(463,501,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-28 10:41:18','2023-09-28 10:41:18'),(464,502,268,315,1.0000,0.0000,0.0000,44500.0000,44500.0000,'fixed',0.0000,44500.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-28 10:41:53','2023-09-28 10:41:53'),(465,503,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-28 10:42:22','2023-09-28 10:42:22'),(466,504,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-28 10:42:34','2023-09-28 10:42:34'),(467,505,304,351,6.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-28 15:33:06','2023-09-28 15:33:06'),(468,506,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-29 08:14:14','2023-09-29 08:14:14'),(469,507,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-29 08:14:39','2023-09-29 08:14:39'),(470,508,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-09-30 13:52:47','2023-09-30 13:52:47'),(473,511,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-02 07:52:24','2023-10-02 07:52:24'),(474,512,283,330,3.0000,0.0000,0.0000,12000.0000,12000.0000,'fixed',0.0000,12000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-04 06:18:01','2023-10-04 06:18:01'),(476,514,283,330,7.0000,0.0000,0.0000,12000.0000,12000.0000,'fixed',0.0000,12000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-06 15:14:24','2023-10-06 15:14:24'),(479,517,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 07:48:09','2023-10-11 07:48:09'),(480,518,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:13:49','2023-10-11 13:13:49'),(481,519,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:14:16','2023-10-11 13:14:16'),(482,520,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:14:33','2023-10-11 13:14:33'),(483,521,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:23:54','2023-10-11 13:23:54'),(486,524,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:25:03','2023-10-11 13:25:03'),(488,526,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:26:33','2023-10-11 13:26:33'),(489,527,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:26:49','2023-10-11 13:26:49'),(490,528,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:27:00','2023-10-11 13:27:00'),(491,529,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:27:09','2023-10-11 13:27:09'),(492,530,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:27:17','2023-10-11 13:27:17'),(493,531,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:27:26','2023-10-11 13:27:26'),(494,532,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:28:43','2023-10-11 13:28:43'),(495,533,322,369,3.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:29:10','2023-10-11 13:29:10'),(496,534,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:29:44','2023-10-11 13:29:44'),(497,535,318,365,3.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:30:12','2023-10-11 13:30:12'),(498,536,268,315,1.0000,0.0000,0.0000,44500.0000,44500.0000,'fixed',0.0000,44500.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:30:27','2023-10-11 13:30:27'),(499,537,292,339,1.0000,0.0000,0.0000,13000.0000,13000.0000,'fixed',0.0000,13000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:30:57','2023-10-11 13:30:57'),(500,538,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:31:15','2023-10-11 13:31:15'),(501,539,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:31:28','2023-10-11 13:31:28'),(502,540,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:32:57','2023-10-11 13:32:57'),(503,541,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:33:20','2023-10-11 13:33:20'),(504,542,327,374,2.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-11 13:33:45','2023-10-11 13:33:45'),(505,543,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-12 07:48:36','2023-10-12 07:48:36'),(506,544,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-12 12:17:12','2023-10-12 12:17:12'),(507,544,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-12 12:17:12','2023-10-12 12:17:12'),(508,545,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-12 12:17:40','2023-10-12 12:17:40'),(509,545,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-12 12:17:40','2023-10-12 12:17:40'),(511,547,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-13 12:50:51','2023-10-13 12:50:51'),(512,548,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-13 14:44:36','2023-10-13 14:44:36'),(513,549,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-15 08:53:55','2023-10-15 08:53:55'),(516,552,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-16 10:01:44','2023-10-16 10:01:44'),(517,553,283,330,1.0000,0.0000,0.0000,12000.0000,12000.0000,'fixed',0.0000,12000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-16 15:59:42','2023-10-16 15:59:42'),(518,554,318,365,3.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-16 16:00:33','2023-10-16 16:00:33'),(519,555,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-16 16:01:04','2023-10-16 16:01:04'),(520,556,271,318,1.0000,0.0000,0.0000,16000.0000,16000.0000,'fixed',0.0000,16000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-16 16:06:16','2023-10-16 16:06:16'),(521,557,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-16 16:06:48','2023-10-16 16:06:48'),(522,558,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-16 16:08:09','2023-10-16 16:08:09'),(523,559,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-16 16:08:34','2023-10-16 16:08:34'),(524,560,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-16 16:08:57','2023-10-16 16:08:57'),(525,561,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-16 16:09:25','2023-10-16 16:09:25'),(526,562,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-18 10:17:25','2023-10-18 10:17:25'),(527,562,318,365,4.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-18 10:17:25','2023-10-18 10:17:25'),(528,563,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-18 10:47:04','2023-10-18 10:47:04'),(529,564,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-18 10:47:49','2023-10-18 10:47:49'),(530,565,286,333,1.0000,0.0000,0.0000,190000.0000,190000.0000,'fixed',0.0000,190000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-19 07:02:32','2023-10-19 07:02:32'),(531,565,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-19 07:02:32','2023-10-19 07:02:32'),(532,565,322,369,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-19 07:02:32','2023-10-19 07:02:32'),(533,566,324,371,11.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-19 08:55:38','2023-10-19 08:55:38'),(537,570,291,338,1.0000,0.0000,0.0000,52000.0000,52000.0000,'fixed',0.0000,52000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-24 08:39:36','2023-10-24 08:39:36'),(538,571,291,338,1.0000,0.0000,0.0000,52000.0000,52000.0000,'fixed',0.0000,52000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-24 08:41:37','2023-10-24 08:41:37'),(539,572,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-25 09:21:07','2023-10-25 09:21:07'),(569,597,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-25 15:45:08','2023-10-25 15:45:08'),(570,597,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-25 15:45:08','2023-10-25 15:45:08'),(571,598,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-27 09:44:47','2023-10-27 09:44:47'),(572,599,278,325,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-28 07:26:52','2023-10-28 07:26:52'),(573,600,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-28 14:44:29','2023-10-28 14:44:29'),(574,600,322,369,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-28 14:44:29','2023-10-28 14:44:29'),(580,606,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-29 14:09:16','2023-10-29 14:09:16'),(581,607,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-29 15:29:25','2023-10-29 15:29:25'),(582,608,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-30 17:30:11','2023-10-30 17:30:11'),(583,609,322,369,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-30 17:31:33','2023-10-30 17:31:33'),(584,610,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-30 17:32:26','2023-10-30 17:32:26'),(585,611,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-30 17:33:45','2023-10-30 17:33:45'),(586,612,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-30 17:34:40','2023-10-30 17:34:40'),(587,613,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-30 17:35:15','2023-10-30 17:35:15'),(588,614,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-30 17:35:49','2023-10-30 17:35:49'),(589,615,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-30 17:42:34','2023-10-30 17:42:34'),(590,616,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-30 17:43:33','2023-10-30 17:43:33'),(591,617,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-30 17:44:22','2023-10-30 17:44:22'),(592,618,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-30 17:45:15','2023-10-30 17:45:15'),(593,619,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-30 17:45:38','2023-10-30 17:45:38'),(594,620,292,339,1.0000,0.0000,0.0000,13000.0000,13000.0000,'fixed',0.0000,13000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 06:59:21','2023-10-31 06:59:21'),(595,621,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 06:59:53','2023-10-31 06:59:53'),(596,622,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:00:03','2023-10-31 07:00:03'),(597,623,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:00:19','2023-10-31 07:00:19'),(598,624,277,324,1.0000,0.0000,0.0000,13000.0000,13000.0000,'fixed',0.0000,13000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:01:03','2023-10-31 07:01:03'),(600,626,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:01:38','2023-10-31 07:01:38'),(601,627,322,369,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:01:51','2023-10-31 07:01:51'),(602,628,322,369,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:02:00','2023-10-31 07:02:00'),(603,629,327,374,2.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:02:16','2023-10-31 07:02:16'),(604,630,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:02:25','2023-10-31 07:02:25'),(605,631,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:02:35','2023-10-31 07:02:35'),(606,632,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:02:48','2023-10-31 07:02:48'),(607,633,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:03:01','2023-10-31 07:03:01'),(608,634,322,369,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:03:20','2023-10-31 07:03:20'),(609,635,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:03:36','2023-10-31 07:03:36'),(610,636,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:03:53','2023-10-31 07:03:53'),(617,640,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:37:07','2023-10-31 07:37:07'),(618,640,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 07:37:07','2023-10-31 07:37:07'),(619,641,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 09:52:43','2023-10-31 09:52:43'),(620,642,322,369,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 11:57:35','2023-10-31 11:57:35'),(621,643,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 11:58:31','2023-10-31 11:58:31'),(622,644,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 17:12:46','2023-10-31 17:12:46'),(623,645,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 17:12:55','2023-10-31 17:12:55'),(624,646,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-10-31 17:13:07','2023-10-31 17:13:07'),(625,647,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-04 09:57:48','2023-11-04 09:57:48'),(626,648,318,365,3.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-04 09:58:01','2023-11-04 09:58:01'),(627,649,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-04 09:58:15','2023-11-04 09:58:15'),(628,650,335,382,1.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-04 09:58:26','2023-11-04 09:58:26'),(629,651,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-04 09:59:41','2023-11-04 09:59:41'),(630,652,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-04 09:59:52','2023-11-04 09:59:52'),(631,653,322,369,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-04 10:00:04','2023-11-04 10:00:04'),(632,654,322,369,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-04 10:00:20','2023-11-04 10:00:20'),(633,655,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-04 16:32:23','2023-11-04 16:32:23'),(634,656,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-07 16:32:08','2023-11-07 16:32:08'),(635,657,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-07 16:32:20','2023-11-07 16:32:20'),(636,658,128,175,1.0000,0.0000,0.0000,30000.0000,30000.0000,'fixed',0.0000,30000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-08 08:51:30','2023-11-08 08:51:30'),(637,659,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-08 08:51:53','2023-11-08 08:51:53'),(638,660,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-09 11:07:25','2023-11-09 11:07:25'),(639,661,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-09 11:07:58','2023-11-09 11:07:58'),(640,662,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-09 11:13:11','2023-11-09 11:13:11'),(641,663,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-09 11:14:43','2023-11-09 11:14:43'),(642,664,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-09 16:18:50','2023-11-09 16:18:50'),(643,665,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-11 17:16:44','2023-11-11 17:16:44'),(644,666,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 13:50:25','2023-11-14 13:50:25'),(645,667,335,382,3.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 16:04:27','2023-11-14 16:04:27'),(646,668,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:07:54','2023-11-14 17:07:54'),(647,669,322,369,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:08:09','2023-11-14 17:08:09'),(648,670,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:09:51','2023-11-14 17:09:51'),(649,671,318,365,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:09:57','2023-11-14 17:09:57'),(650,672,335,382,2.0000,0.0000,0.0000,10000.0000,10000.0000,'fixed',0.0000,10000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:10:10','2023-11-14 17:10:10'),(651,673,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:10:30','2023-11-14 17:10:30'),(652,674,318,365,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:10:44','2023-11-14 17:10:44'),(653,675,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:10:53','2023-11-14 17:10:53'),(654,676,267,314,1.0000,0.0000,0.0000,36000.0000,36000.0000,'fixed',0.0000,36000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:11:25','2023-11-14 17:11:25'),(655,677,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:11:39','2023-11-14 17:11:39'),(656,678,318,365,3.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:11:48','2023-11-14 17:11:48'),(657,679,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:12:42','2023-11-14 17:12:42'),(658,680,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:12:54','2023-11-14 17:12:54'),(659,681,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:13:27','2023-11-14 17:13:27'),(660,682,326,373,1.0000,0.0000,0.0000,15000.0000,15000.0000,'fixed',0.0000,15000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:13:35','2023-11-14 17:13:35'),(661,683,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-14 17:13:48','2023-11-14 17:13:48'),(662,684,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-15 17:00:51','2023-11-15 17:00:51'),(663,685,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-15 17:01:52','2023-11-15 17:01:52'),(664,686,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-15 17:03:22','2023-11-15 17:03:22'),(665,687,304,351,7.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-18 10:46:57','2023-11-18 10:46:57'),(666,688,322,369,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-18 14:09:37','2023-11-18 14:09:37'),(667,689,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-18 14:09:48','2023-11-18 14:09:48'),(668,690,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-18 14:09:59','2023-11-18 14:09:59'),(669,691,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-19 12:05:19','2023-11-19 12:05:19'),(670,692,304,351,2.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-19 14:51:25','2023-11-19 14:51:25'),(671,693,304,351,1.0000,0.0000,0.0000,5000.0000,5000.0000,'fixed',0.0000,5000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-19 14:51:34','2023-11-19 14:51:34'),(672,694,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-21 09:50:27','2023-11-21 09:50:27'),(673,695,324,371,1.0000,0.0000,0.0000,50000.0000,50000.0000,'fixed',0.0000,50000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-22 09:21:07','2023-11-22 09:21:07'),(674,696,327,374,1.0000,0.0000,0.0000,20000.0000,20000.0000,'fixed',0.0000,20000.0000,0.0000,NULL,NULL,NULL,'',NULL,0.0000,NULL,NULL,NULL,'',NULL,'2023-11-23 17:35:03','2023-11-23 17:35:03');
/*!40000 ALTER TABLE `transaction_sell_lines` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `transaction_sell_lines_purchase_lines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `transaction_sell_lines_purchase_lines` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `sell_line_id` int unsigned DEFAULT NULL COMMENT 'id from transaction_sell_lines',
  `stock_adjustment_line_id` int unsigned DEFAULT NULL COMMENT 'id from stock_adjustment_lines',
  `purchase_line_id` int unsigned NOT NULL COMMENT 'id from purchase_lines',
  `quantity` decimal(22,4) NOT NULL,
  `qty_returned` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `sell_line_id` (`sell_line_id`),
  KEY `stock_adjustment_line_id` (`stock_adjustment_line_id`),
  KEY `purchase_line_id` (`purchase_line_id`)
) ENGINE=InnoDB AUTO_INCREMENT=165 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `transaction_sell_lines_purchase_lines` WRITE;
/*!40000 ALTER TABLE `transaction_sell_lines_purchase_lines` DISABLE KEYS */;
INSERT INTO `transaction_sell_lines_purchase_lines` VALUES (1,4,NULL,6,1.0000,0.0000,'2023-06-25 09:22:47','2023-06-25 09:22:47'),(2,5,NULL,11,1.0000,0.0000,'2023-06-30 16:06:23','2023-06-30 16:06:23'),(7,10,NULL,8,1.0000,0.0000,'2023-07-03 23:12:09','2023-07-03 23:12:09'),(8,11,NULL,9,5.0000,0.0000,'2023-07-03 23:12:09','2023-07-03 23:12:09'),(9,12,NULL,8,1.0000,0.0000,'2023-07-03 23:13:43','2023-07-03 23:13:43'),(10,13,NULL,9,6.0000,0.0000,'2023-07-03 23:13:43','2023-07-03 23:13:43'),(13,18,NULL,9,1.0000,0.0000,'2023-07-03 23:16:35','2023-07-03 23:16:35'),(14,19,NULL,10,1.0000,0.0000,'2023-07-03 23:16:35','2023-07-03 23:16:35'),(15,20,NULL,6,2.0000,0.0000,'2023-07-04 08:08:26','2023-07-04 08:08:26'),(16,21,NULL,7,1.0000,0.0000,'2023-07-04 08:08:26','2023-07-04 08:08:26'),(42,47,NULL,19,1.0000,0.0000,'2023-07-05 08:56:08','2023-07-05 08:56:08'),(47,52,NULL,19,1.0000,0.0000,'2023-07-05 09:33:35','2023-07-05 09:33:35'),(49,54,NULL,19,1.0000,0.0000,'2023-07-05 09:53:35','2023-07-05 09:53:35'),(50,59,NULL,50,1.0000,0.0000,'2023-07-14 07:37:19','2023-07-14 07:37:19'),(51,62,NULL,53,1.0000,0.0000,'2023-07-20 06:55:27','2023-07-20 06:55:27'),(52,63,NULL,53,1.0000,0.0000,'2023-07-20 07:00:42','2023-07-20 07:00:42'),(53,64,NULL,53,1.0000,0.0000,'2023-07-20 07:06:19','2023-07-20 07:06:19'),(54,65,NULL,53,1.0000,0.0000,'2023-07-20 07:08:41','2023-07-20 07:08:41'),(55,67,NULL,46,1.0000,0.0000,'2023-07-20 08:16:22','2023-07-20 08:16:22'),(56,68,NULL,46,1.0000,0.0000,'2023-07-20 08:33:24','2023-07-20 08:33:24'),(57,69,NULL,48,1.0000,0.0000,'2023-07-20 09:12:59','2023-07-20 09:12:59'),(63,193,NULL,92,2.0000,0.0000,'2023-07-29 09:57:36','2023-07-29 09:57:36'),(66,273,NULL,101,1.0000,0.0000,'2023-08-14 14:53:46','2023-08-14 14:53:46'),(67,274,NULL,100,2.0000,0.0000,'2023-08-14 14:53:46','2023-08-14 14:53:46'),(68,315,NULL,91,1.0000,0.0000,'2023-08-17 16:50:29','2023-08-17 16:50:29'),(69,321,NULL,98,3.0000,0.0000,'2023-08-19 13:41:41','2023-08-19 13:41:41'),(70,335,NULL,99,1.0000,0.0000,'2023-08-23 10:19:49','2023-08-23 10:19:49'),(75,345,NULL,95,1.0000,0.0000,'2023-08-30 07:43:31','2023-08-30 07:43:31'),(76,349,NULL,105,1.0000,0.0000,'2023-08-31 13:37:30','2023-08-31 13:37:30'),(77,351,NULL,100,5.0000,0.0000,'2023-09-01 09:30:00','2023-09-01 09:30:00'),(78,357,NULL,89,1.0000,0.0000,'2023-09-02 12:42:22','2023-09-02 12:42:22'),(84,365,NULL,95,2.0000,0.0000,'2023-09-04 11:59:24','2023-09-04 11:59:24'),(87,379,NULL,100,2.0000,0.0000,'2023-09-06 10:30:50','2023-09-06 10:30:50'),(90,390,NULL,91,1.0000,0.0000,'2023-09-14 07:49:49','2023-09-14 07:49:49'),(91,394,NULL,101,2.0000,0.0000,'2023-09-14 07:54:00','2023-09-14 07:54:00'),(96,422,NULL,91,1.0000,0.0000,'2023-09-22 15:53:53','2023-09-22 15:53:53'),(97,430,NULL,105,1.0000,0.0000,'2023-09-25 09:43:05','2023-09-25 09:43:05'),(98,433,NULL,94,1.0000,0.0000,'2023-09-25 09:44:38','2023-09-25 09:44:38'),(99,435,NULL,95,1.0000,0.0000,'2023-09-25 09:45:14','2023-09-25 09:45:14'),(100,437,NULL,106,1.0000,0.0000,'2023-09-25 09:47:17','2023-09-25 09:47:17'),(101,438,NULL,93,1.0000,0.0000,'2023-09-25 09:47:58','2023-09-25 09:47:58'),(102,440,NULL,95,1.0000,0.0000,'2023-09-25 09:48:35','2023-09-25 09:48:35'),(103,447,NULL,91,1.0000,0.0000,'2023-09-25 09:52:14','2023-09-25 09:52:14'),(104,451,NULL,94,1.0000,0.0000,'2023-09-25 09:54:53','2023-09-25 09:54:53'),(105,458,NULL,89,1.0000,0.0000,'2023-09-26 13:17:05','2023-09-26 13:17:05'),(106,459,NULL,98,2.0000,0.0000,'2023-09-28 09:34:14','2023-09-28 09:34:14'),(107,464,NULL,89,1.0000,0.0000,'2023-09-28 10:41:53','2023-09-28 10:41:53'),(108,474,NULL,98,3.0000,0.0000,'2023-10-04 06:18:01','2023-10-04 06:18:01'),(110,476,NULL,98,7.0000,0.0000,'2023-10-06 15:14:24','2023-10-06 15:14:24'),(114,498,NULL,89,1.0000,0.0000,'2023-10-11 13:30:27','2023-10-11 13:30:27'),(115,499,NULL,105,1.0000,0.0000,'2023-10-11 13:30:57','2023-10-11 13:30:57'),(116,517,NULL,98,1.0000,0.0000,'2023-10-16 15:59:42','2023-10-16 15:59:42'),(117,520,NULL,92,1.0000,0.0000,'2023-10-16 16:06:16','2023-10-16 16:06:16'),(118,530,NULL,99,1.0000,0.0000,'2023-10-19 07:02:32','2023-10-19 07:02:32'),(122,537,NULL,104,1.0000,0.0000,'2023-10-24 08:39:36','2023-10-24 08:39:36'),(123,538,NULL,104,1.0000,0.0000,'2023-10-24 08:41:37','2023-10-24 08:41:37'),(143,572,NULL,96,1.0000,0.0000,'2023-10-28 07:26:52','2023-10-28 07:26:52'),(144,594,NULL,105,1.0000,0.0000,'2023-10-31 06:59:21','2023-10-31 06:59:21'),(145,598,NULL,95,1.0000,0.0000,'2023-10-31 07:01:03','2023-10-31 07:01:03'),(147,654,NULL,88,1.0000,0.0000,'2023-11-14 17:11:25','2023-11-14 17:11:25');
/*!40000 ALTER TABLE `transaction_sell_lines_purchase_lines` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `transactions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `location_id` int unsigned DEFAULT NULL,
  `res_table_id` int unsigned DEFAULT NULL COMMENT 'fields to restaurant module',
  `res_waiter_id` int unsigned DEFAULT NULL COMMENT 'fields to restaurant module',
  `res_order_status` enum('received','cooked','served') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_type` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `sub_status` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_quotation` tinyint(1) NOT NULL DEFAULT '0',
  `payment_status` enum('paid','due','partial') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `adjustment_type` enum('normal','abnormal') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_id` int unsigned DEFAULT NULL,
  `customer_group_id` int DEFAULT NULL COMMENT 'used to add customer group while selling',
  `invoice_no` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ref_no` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `source` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subscription_no` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subscription_repeat_on` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `transaction_date` datetime NOT NULL,
  `total_before_tax` decimal(22,4) NOT NULL DEFAULT '0.0000' COMMENT 'Total before the purchase/invoice tax, this includeds the indivisual product tax',
  `tax_id` int unsigned DEFAULT NULL,
  `tax_amount` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `discount_type` enum('fixed','percentage') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_amount` decimal(22,4) DEFAULT '0.0000',
  `rp_redeemed` int NOT NULL DEFAULT '0' COMMENT 'rp is the short form of reward points',
  `rp_redeemed_amount` decimal(22,4) NOT NULL DEFAULT '0.0000' COMMENT 'rp is the short form of reward points',
  `shipping_details` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `delivery_date` datetime DEFAULT NULL,
  `shipping_status` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `delivered_to` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_charges` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `shipping_custom_field_1` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_custom_field_2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_custom_field_3` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_custom_field_4` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_custom_field_5` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `additional_notes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `staff_note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `is_export` tinyint(1) NOT NULL DEFAULT '0',
  `export_custom_fields_info` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `round_off_amount` decimal(22,4) NOT NULL DEFAULT '0.0000' COMMENT 'Difference of rounded total and actual total',
  `additional_expense_key_1` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `additional_expense_value_1` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `additional_expense_key_2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `additional_expense_value_2` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `additional_expense_key_3` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `additional_expense_value_3` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `additional_expense_key_4` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `additional_expense_value_4` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `final_total` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `expense_category_id` int unsigned DEFAULT NULL,
  `expense_sub_category_id` int DEFAULT NULL,
  `expense_for` int unsigned DEFAULT NULL,
  `commission_agent` int DEFAULT NULL,
  `document` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_direct_sale` tinyint(1) NOT NULL DEFAULT '0',
  `is_suspend` tinyint(1) NOT NULL DEFAULT '0',
  `exchange_rate` decimal(20,3) NOT NULL DEFAULT '1.000',
  `total_amount_recovered` decimal(22,4) DEFAULT NULL COMMENT 'Used for stock adjustment.',
  `transfer_parent_id` int DEFAULT NULL,
  `return_parent_id` int DEFAULT NULL,
  `opening_stock_product_id` int DEFAULT NULL,
  `created_by` int unsigned NOT NULL,
  `purchase_requisition_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `prefer_payment_method` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `prefer_payment_account` int DEFAULT NULL,
  `sales_order_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `purchase_order_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `custom_field_1` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field_2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field_3` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field_4` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `import_batch` int DEFAULT NULL,
  `import_time` datetime DEFAULT NULL,
  `types_of_service_id` int DEFAULT NULL,
  `packing_charge` decimal(22,4) DEFAULT NULL,
  `packing_charge_type` enum('fixed','percent') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `service_custom_field_1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `service_custom_field_2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `service_custom_field_3` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `service_custom_field_4` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `service_custom_field_5` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `service_custom_field_6` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `is_created_from_api` tinyint(1) NOT NULL DEFAULT '0',
  `rp_earned` int NOT NULL DEFAULT '0' COMMENT 'rp is the short form of reward points',
  `order_addresses` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `is_recurring` tinyint(1) NOT NULL DEFAULT '0',
  `recur_interval` double(22,4) DEFAULT NULL,
  `recur_interval_type` enum('days','months','years') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `recur_repetitions` int DEFAULT NULL,
  `recur_stopped_on` datetime DEFAULT NULL,
  `recur_parent_id` int DEFAULT NULL,
  `invoice_token` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pay_term_number` int DEFAULT NULL,
  `pay_term_type` enum('days','months') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `selling_price_group_id` int DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `transactions_tax_id_foreign` (`tax_id`),
  KEY `transactions_business_id_index` (`business_id`),
  KEY `transactions_type_index` (`type`),
  KEY `transactions_contact_id_index` (`contact_id`),
  KEY `transactions_transaction_date_index` (`transaction_date`),
  KEY `transactions_created_by_index` (`created_by`),
  KEY `transactions_location_id_index` (`location_id`),
  KEY `transactions_expense_for_foreign` (`expense_for`),
  KEY `transactions_expense_category_id_index` (`expense_category_id`),
  KEY `transactions_sub_type_index` (`sub_type`),
  KEY `transactions_return_parent_id_index` (`return_parent_id`),
  KEY `type` (`type`),
  KEY `transactions_status_index` (`status`),
  KEY `transactions_sub_status_index` (`sub_status`),
  KEY `transactions_res_table_id_index` (`res_table_id`),
  KEY `transactions_res_waiter_id_index` (`res_waiter_id`),
  KEY `transactions_res_order_status_index` (`res_order_status`),
  KEY `transactions_payment_status_index` (`payment_status`),
  KEY `transactions_discount_type_index` (`discount_type`),
  KEY `transactions_commission_agent_index` (`commission_agent`),
  KEY `transactions_transfer_parent_id_index` (`transfer_parent_id`),
  KEY `transactions_types_of_service_id_index` (`types_of_service_id`),
  KEY `transactions_packing_charge_type_index` (`packing_charge_type`),
  KEY `transactions_recur_parent_id_index` (`recur_parent_id`),
  KEY `transactions_selling_price_group_id_index` (`selling_price_group_id`),
  KEY `transactions_delivery_date_index` (`delivery_date`),
  CONSTRAINT `transactions_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transactions_contact_id_foreign` FOREIGN KEY (`contact_id`) REFERENCES `contacts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transactions_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transactions_expense_category_id_foreign` FOREIGN KEY (`expense_category_id`) REFERENCES `expense_categories` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transactions_expense_for_foreign` FOREIGN KEY (`expense_for`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transactions_location_id_foreign` FOREIGN KEY (`location_id`) REFERENCES `business_locations` (`id`),
  CONSTRAINT `transactions_tax_id_foreign` FOREIGN KEY (`tax_id`) REFERENCES `tax_rates` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=731 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `transactions` WRITE;
/*!40000 ALTER TABLE `transactions` DISABLE KEYS */;
INSERT INTO `transactions` VALUES (53,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'000848','',NULL,NULL,NULL,'2023-07-05 11:33:35',625.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,625.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2023-07-05 09:33:35','2023-07-05 09:33:35'),(55,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'000849','',NULL,NULL,NULL,'2023-07-05 11:53:34',625.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,625.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2023-07-05 09:53:34','2023-07-05 09:53:34'),(81,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'000850','',NULL,NULL,NULL,'2023-07-06 22:12:40',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2023-07-06 20:12:40','2023-07-06 20:12:40'),(139,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 11:41:00',0.0000,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,0.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,282,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-21 09:41:50','2023-07-21 09:42:34'),(145,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:34:24',26186.4400,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,392796.6000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,267,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:34:24','2023-07-24 08:34:24'),(146,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:35:16',34661.0400,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,589237.6800,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,268,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:35:16','2023-07-24 08:35:16'),(147,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:35:49',35593.2400,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,711864.8000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,269,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:35:49','2023-07-24 08:35:49'),(148,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:36:22',37288.1600,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,149152.6400,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,270,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:36:22','2023-07-24 08:36:22'),(149,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:37:01',11864.4000,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,237288.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,271,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:37:01','2023-07-24 08:37:01'),(150,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:37:19',37457.6000,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,37457.6000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,272,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:37:19','2023-07-24 08:37:19'),(151,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:37:50',660.3100,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,16507.7500,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,275,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:37:50','2023-07-24 08:37:50'),(152,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:38:26',9915.2600,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,198305.2000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,277,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:38:26','2023-07-24 08:38:26'),(153,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:38:58',11101.7000,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,11101.7000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,278,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:38:58','2023-07-24 08:38:58'),(154,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:39:20',5635.5900,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,22542.3600,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,279,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:39:20','2023-07-24 08:39:20'),(155,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:40:33',8305.0800,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,132881.2800,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,283,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:40:33','2023-07-24 08:40:33'),(156,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:41:06',151694.8000,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,455084.4000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,286,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:41:06','2023-07-24 08:41:06'),(157,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:41:36',8813.5600,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,79322.0400,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,287,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:41:36','2023-07-24 08:41:36'),(158,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 10:44:55',40678.0000,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,122034.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,288,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 08:44:55','2023-07-24 08:44:55'),(159,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 11:00:52',193220.4000,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,193220.4000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,289,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 09:00:52','2023-07-24 09:00:52'),(160,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 11:01:26',184745.8000,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,184745.8000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,290,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 09:01:26','2023-07-24 09:01:26'),(161,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 11:01:49',38644.0800,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,193220.4000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,291,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 09:01:49','2023-07-24 09:01:49'),(162,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 11:02:22',9915.2500,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,198305.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,292,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 09:02:22','2023-07-24 09:02:22'),(163,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 11:03:01',34745.7600,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,208474.5600,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,294,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 09:03:01','2023-07-24 09:03:01'),(180,2,2,NULL,NULL,NULL,'purchase',NULL,'ordered',NULL,0,'due',NULL,10,NULL,NULL,'VIVO.JULY23.021',NULL,NULL,NULL,'2023-07-24 16:05:00',2725800.1200,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,2725800.1200,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-24 14:31:27','2023-08-01 07:56:08'),(186,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000851','',NULL,NULL,NULL,'2023-07-26 12:03:26',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 10:03:26','2023-07-26 10:03:26'),(187,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000852','',NULL,NULL,NULL,'2023-07-26 12:27:37',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 10:27:37','2023-07-26 10:27:37'),(188,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000853','',NULL,NULL,NULL,'2023-07-26 16:10:18',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 14:10:18','2023-07-26 14:10:18'),(189,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000854','',NULL,NULL,NULL,'2023-07-26 16:10:57',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 14:10:57','2023-07-26 14:10:57'),(219,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000855','',NULL,NULL,NULL,'2023-07-26 17:22:15',80000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,80000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 15:22:15','2023-07-26 15:22:16'),(224,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000856','',NULL,NULL,NULL,'2023-07-26 17:27:13',80000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,80000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 15:27:13','2023-07-26 15:27:13'),(225,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000857','',NULL,NULL,NULL,'2023-07-26 17:31:27',80000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,80000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-26 15:31:27','2023-07-26 15:31:27'),(234,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000858','',NULL,NULL,NULL,'2023-07-27 18:29:49',130000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,130000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:29:49','2023-07-27 16:29:49'),(235,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000859','',NULL,NULL,NULL,'2023-07-27 18:31:39',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:31:39','2023-07-27 16:31:39'),(236,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000860','',NULL,NULL,NULL,'2023-07-27 18:32:35',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:32:35','2023-07-27 16:32:35'),(237,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000861','',NULL,NULL,NULL,'2023-07-27 18:33:18',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:33:18','2023-07-27 16:33:18'),(238,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000862','',NULL,NULL,NULL,'2023-07-27 18:33:47',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:33:47','2023-07-27 16:33:47'),(239,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000863','',NULL,NULL,NULL,'2023-07-27 18:34:57',80000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,80000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:34:57','2023-07-27 16:34:57'),(240,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000864','',NULL,NULL,NULL,'2023-07-27 18:35:47',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:35:47','2023-07-27 16:35:47'),(241,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000865','',NULL,NULL,NULL,'2023-07-27 18:36:40',40000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,40000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:36:40','2023-07-27 16:36:40'),(242,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000866','',NULL,NULL,NULL,'2023-07-27 18:37:14',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:37:14','2023-07-27 16:37:14'),(243,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000867','',NULL,NULL,NULL,'2023-07-27 18:37:44',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:37:44','2023-07-27 16:37:44'),(244,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000868','',NULL,NULL,NULL,'2023-07-27 18:38:27',40000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,40000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:38:27','2023-07-27 16:38:27'),(245,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000869','',NULL,NULL,NULL,'2023-07-27 18:39:14',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:39:14','2023-07-27 16:39:14'),(246,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000870','',NULL,NULL,NULL,'2023-07-27 18:40:18',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:40:18','2023-07-27 16:40:18'),(247,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000871','',NULL,NULL,NULL,'2023-07-27 18:40:59',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-27 16:40:59','2023-07-27 16:40:59'),(248,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000872','',NULL,NULL,NULL,'2023-07-29 11:56:52',70000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,70000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-29 09:56:52','2023-07-29 09:56:52'),(249,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000873','',NULL,NULL,NULL,'2023-07-29 11:57:36',32000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,32000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-29 09:57:36','2023-07-29 09:57:36'),(250,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000874','',NULL,NULL,NULL,'2023-07-31 16:58:58',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-31 14:58:58','2023-07-31 14:58:58'),(251,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000875','',NULL,NULL,NULL,'2023-07-31 16:59:16',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-31 14:59:16','2023-07-31 14:59:16'),(254,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000876','',NULL,NULL,NULL,'2023-07-31 17:01:57',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-07-31 15:01:57','2023-07-31 15:01:57'),(255,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000877','',NULL,NULL,NULL,'2023-08-03 08:24:36',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:24:36','2023-08-03 06:24:36'),(256,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000878','',NULL,NULL,NULL,'2023-08-03 08:24:58',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:24:58','2023-08-03 06:24:58'),(257,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000879','',NULL,NULL,NULL,'2023-08-03 08:26:27',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:26:27','2023-08-03 06:26:27'),(258,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000880','',NULL,NULL,NULL,'2023-08-03 08:27:03',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:27:03','2023-08-03 06:27:03'),(259,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000881','',NULL,NULL,NULL,'2023-08-03 08:27:26',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:27:26','2023-08-03 06:27:27'),(260,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000882','',NULL,NULL,NULL,'2023-08-03 08:27:42',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:27:42','2023-08-03 06:27:42'),(261,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000883','',NULL,NULL,NULL,'2023-08-03 08:27:54',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:27:54','2023-08-03 06:27:54'),(262,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000884','',NULL,NULL,NULL,'2023-08-03 08:28:45',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:28:45','2023-08-03 06:28:45'),(263,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000885','',NULL,NULL,NULL,'2023-08-03 08:29:10',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:29:10','2023-08-03 06:29:10'),(264,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000886','',NULL,NULL,NULL,'2023-08-03 08:29:28',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:29:28','2023-08-03 06:29:28'),(265,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000887','',NULL,NULL,NULL,'2023-08-03 08:29:38',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:29:38','2023-08-03 06:29:38'),(266,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000888','',NULL,NULL,NULL,'2023-08-03 08:29:51',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:29:51','2023-08-03 06:29:51'),(267,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000889','',NULL,NULL,NULL,'2023-08-03 08:30:05',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:30:05','2023-08-03 06:30:05'),(268,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000890','',NULL,NULL,NULL,'2023-08-03 08:30:19',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:30:19','2023-08-03 06:30:19'),(269,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000891','',NULL,NULL,NULL,'2023-08-03 08:31:17',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:31:17','2023-08-03 06:31:17'),(270,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000892','',NULL,NULL,NULL,'2023-08-03 08:31:59',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:31:59','2023-08-03 06:31:59'),(271,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000893','',NULL,NULL,NULL,'2023-08-03 08:32:12',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:32:12','2023-08-03 06:32:12'),(272,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000894','',NULL,NULL,NULL,'2023-08-03 08:32:24',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:32:24','2023-08-03 06:32:24'),(273,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000895','',NULL,NULL,NULL,'2023-08-03 08:32:39',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:32:39','2023-08-03 06:32:39'),(274,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000896','',NULL,NULL,NULL,'2023-08-03 08:33:38',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:33:38','2023-08-03 06:33:38'),(275,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000897','',NULL,NULL,NULL,'2023-08-03 08:33:56',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:33:56','2023-08-03 06:33:56'),(276,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000898','',NULL,NULL,NULL,'2023-08-03 08:37:30',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:37:30','2023-08-03 06:37:30'),(277,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000899','',NULL,NULL,NULL,'2023-08-03 08:37:42',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:37:42','2023-08-03 06:37:42'),(278,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000900','',NULL,NULL,NULL,'2023-08-03 08:37:52',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:37:52','2023-08-03 06:37:52'),(279,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000901','',NULL,NULL,NULL,'2023-08-03 08:38:02',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:38:02','2023-08-03 06:38:02'),(280,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000902','',NULL,NULL,NULL,'2023-08-03 08:39:01',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:39:01','2023-08-03 06:39:01'),(281,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000903','',NULL,NULL,NULL,'2023-08-03 08:39:51',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:39:51','2023-08-03 06:39:51'),(282,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000904','',NULL,NULL,NULL,'2023-08-03 08:40:17',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:40:17','2023-08-03 06:40:17'),(283,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000905','',NULL,NULL,NULL,'2023-08-03 08:40:39',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:40:39','2023-08-03 06:40:39'),(284,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000906','',NULL,NULL,NULL,'2023-08-03 08:40:56',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:40:56','2023-08-03 06:40:56'),(285,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000907','',NULL,NULL,NULL,'2023-08-03 08:41:48',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:41:48','2023-08-03 06:41:48'),(286,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000908','',NULL,NULL,NULL,'2023-08-03 08:41:58',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:41:58','2023-08-03 06:41:58'),(287,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000909','',NULL,NULL,NULL,'2023-08-03 08:43:57',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:43:57','2023-08-03 06:43:57'),(288,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000910','',NULL,NULL,NULL,'2023-08-03 08:44:48',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:44:48','2023-08-03 06:44:48'),(289,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000911','',NULL,NULL,NULL,'2023-08-03 08:45:00',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:45:00','2023-08-03 06:45:00'),(290,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000912','',NULL,NULL,NULL,'2023-08-03 08:45:12',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-03 06:45:12','2023-08-03 06:45:12'),(303,2,2,NULL,NULL,NULL,'opening_stock',NULL,'received',NULL,0,'paid',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-01-01 11:19:25',100.0000,NULL,0.0000,NULL,0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,60,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-07 09:19:25','2023-08-07 09:19:25'),(309,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000913','',NULL,NULL,NULL,'2023-08-14 13:01:08',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 11:01:08','2023-08-14 11:01:08'),(310,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000914','',NULL,NULL,NULL,'2023-08-14 13:02:23',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 11:02:23','2023-08-14 11:02:23'),(311,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000915','',NULL,NULL,NULL,'2023-08-14 13:16:41',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 11:16:41','2023-08-14 11:16:41'),(327,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000916','',NULL,NULL,NULL,'2023-08-14 16:46:33',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 14:46:33','2023-08-14 14:46:33'),(329,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000917','',NULL,NULL,NULL,'2023-08-14 16:51:02',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 14:51:02','2023-08-14 14:51:02'),(330,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000918','',NULL,NULL,NULL,'2023-08-14 16:53:46',89000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,89000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 14:53:46','2023-08-14 14:53:46'),(341,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000919','',NULL,NULL,NULL,'2023-08-14 17:40:17',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 15:40:17','2023-08-14 15:40:17'),(346,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000920','',NULL,NULL,NULL,'2023-08-14 17:53:19',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 15:53:19','2023-08-14 15:53:19'),(347,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000921','',NULL,NULL,NULL,'2023-08-14 17:56:18',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 15:56:18','2023-08-14 15:56:18'),(348,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000922','',NULL,NULL,NULL,'2023-08-14 17:57:12',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 15:57:12','2023-08-14 15:57:12'),(349,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000923','',NULL,NULL,NULL,'2023-08-14 17:57:37',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 15:57:37','2023-08-14 15:57:37'),(351,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000924','',NULL,NULL,NULL,'2023-08-14 18:06:49',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 16:06:49','2023-08-14 16:06:49'),(352,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000925','',NULL,NULL,NULL,'2023-08-14 18:48:49',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 16:48:49','2023-08-14 16:48:49'),(366,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000926','',NULL,NULL,NULL,'2023-08-14 20:28:53',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-14 18:28:53','2023-08-14 18:28:53'),(367,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000927','',NULL,NULL,NULL,'2023-08-15 16:28:09',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-15 14:28:09','2023-08-15 14:28:09'),(368,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000928','',NULL,NULL,NULL,'2023-08-17 12:31:58',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-17 10:31:58','2023-08-17 10:31:58'),(369,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000929','',NULL,NULL,NULL,'2023-08-17 18:50:29',48000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,48000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-17 16:50:29','2023-08-17 16:50:29'),(370,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000930','',NULL,NULL,NULL,'2023-08-18 09:36:03',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-18 07:36:03','2023-08-18 07:36:03'),(371,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000931','',NULL,NULL,NULL,'2023-08-18 18:01:26',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-18 16:01:26','2023-08-18 16:01:26'),(372,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000932','',NULL,NULL,NULL,'2023-08-19 08:24:00',40000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,40000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-19 06:24:00','2023-08-19 06:24:00'),(373,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000933','',NULL,NULL,NULL,'2023-08-19 15:41:41',36000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,36000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-19 13:41:41','2023-08-19 13:41:41'),(374,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000934','',NULL,NULL,NULL,'2023-08-19 17:19:41',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-19 15:19:41','2023-08-19 15:19:41'),(375,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000935','',NULL,NULL,NULL,'2023-08-21 13:07:33',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 11:07:33','2023-08-21 11:07:33'),(376,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000936','',NULL,NULL,NULL,'2023-08-21 13:09:49',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 11:09:49','2023-08-21 11:09:49'),(377,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000937','',NULL,NULL,NULL,'2023-08-21 14:51:17',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 12:51:17','2023-08-21 12:51:17'),(378,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000938','',NULL,NULL,NULL,'2023-08-21 14:51:44',100000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,100000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 12:51:44','2023-08-21 12:51:44'),(379,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000939','',NULL,NULL,NULL,'2023-08-21 14:52:05',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 12:52:05','2023-08-21 12:52:05'),(380,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL000940','',NULL,NULL,NULL,'2023-08-21 14:52:35',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 12:52:35','2023-08-21 12:52:35'),(381,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000941','',NULL,NULL,NULL,'2023-08-21 17:12:58',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 15:12:58','2023-08-21 15:12:58'),(382,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000942','',NULL,NULL,NULL,'2023-08-21 17:13:32',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 15:13:32','2023-08-21 15:13:32'),(383,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000943','',NULL,NULL,NULL,'2023-08-21 17:53:18',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 15:53:18','2023-08-21 15:53:18'),(384,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000944','',NULL,NULL,NULL,'2023-08-21 18:00:50',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-21 16:00:50','2023-08-21 16:00:50'),(385,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000945','',NULL,NULL,NULL,'2023-08-23 12:19:49',190000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,190000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-23 10:19:49','2023-08-23 10:19:49'),(386,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000946','',NULL,NULL,NULL,'2023-08-23 12:24:51',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-23 10:24:51','2023-08-23 10:24:51'),(390,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000947','',NULL,NULL,NULL,'2023-08-26 17:16:08',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-26 15:16:08','2023-08-26 15:16:08'),(391,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000948','',NULL,NULL,NULL,'2023-08-27 13:18:30',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-27 11:18:30','2023-08-27 11:18:30'),(392,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000949','',NULL,NULL,NULL,'2023-08-29 16:53:26',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-29 14:53:26','2023-08-29 14:53:26'),(395,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000950','',NULL,NULL,NULL,'2023-08-30 09:43:31',13000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,13000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-30 07:43:31','2023-08-30 07:43:31'),(396,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000951','',NULL,NULL,NULL,'2023-08-30 11:11:38',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-30 09:11:38','2023-08-30 09:11:38'),(397,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000952','',NULL,NULL,NULL,'2023-08-30 17:49:16',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-30 15:49:16','2023-08-30 15:49:16'),(398,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000953','',NULL,NULL,NULL,'2023-08-31 15:24:20',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-31 13:24:20','2023-08-31 13:24:20'),(399,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000954','',NULL,NULL,NULL,'2023-08-31 15:37:30',13000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,13000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-31 13:37:30','2023-08-31 13:37:30'),(400,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000955','',NULL,NULL,NULL,'2023-08-31 16:13:16',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-08-31 14:13:16','2023-08-31 14:13:16'),(401,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000956','',NULL,NULL,NULL,'2023-09-01 11:30:00',60000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,60000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-01 09:30:00','2023-09-01 09:30:00'),(402,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000957','',NULL,NULL,NULL,'2023-09-01 14:40:15',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-01 12:40:15','2023-09-01 12:40:15'),(403,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000958','',NULL,NULL,NULL,'2023-09-01 14:40:23',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-01 12:40:23','2023-09-01 12:40:23'),(404,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000959','',NULL,NULL,NULL,'2023-09-02 10:18:02',25000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,25000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-02 08:18:02','2023-09-02 08:18:02'),(405,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000960','',NULL,NULL,NULL,'2023-09-02 10:18:23',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-02 08:18:23','2023-09-02 08:18:23'),(406,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000961','',NULL,NULL,NULL,'2023-09-02 14:42:22',44500.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,44500.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-02 12:42:22','2023-09-02 12:42:22'),(407,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000962','',NULL,NULL,NULL,'2023-09-02 14:45:02',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-02 12:45:02','2023-09-02 12:45:02'),(408,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000963','',NULL,NULL,NULL,'2023-09-02 14:45:12',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-02 12:45:12','2023-09-02 12:45:12'),(414,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000964','',NULL,NULL,NULL,'2023-09-04 13:59:24',26000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,26000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-04 11:59:24','2023-09-04 11:59:24'),(415,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000965','',NULL,NULL,NULL,'2023-09-04 13:59:42',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-04 11:59:42','2023-09-04 11:59:42'),(416,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000966','',NULL,NULL,NULL,'2023-09-04 13:59:50',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-04 11:59:50','2023-09-04 11:59:50'),(417,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000967','',NULL,NULL,NULL,'2023-09-05 11:29:44',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 09:29:44','2023-09-05 09:29:44'),(418,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000968','',NULL,NULL,NULL,'2023-09-05 11:29:56',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 09:29:56','2023-09-05 09:29:56'),(419,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000969','',NULL,NULL,NULL,'2023-09-05 11:30:18',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 09:30:18','2023-09-05 09:30:18'),(420,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000970','',NULL,NULL,NULL,'2023-09-05 11:41:30',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 09:41:30','2023-09-05 09:41:30'),(421,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000971','',NULL,NULL,NULL,'2023-09-05 11:41:36',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 09:41:36','2023-09-05 09:41:36'),(422,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000972','',NULL,NULL,NULL,'2023-09-05 11:41:48',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 09:41:48','2023-09-05 09:41:48'),(423,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000973','',NULL,NULL,NULL,'2023-09-05 18:06:54',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 16:06:54','2023-09-05 16:06:54'),(424,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000974','',NULL,NULL,NULL,'2023-09-05 18:25:05',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-05 16:25:05','2023-09-05 16:25:05'),(425,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000975','',NULL,NULL,NULL,'2023-09-06 10:12:30',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-06 08:12:30','2023-09-06 08:12:30'),(428,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000976','',NULL,NULL,NULL,'2023-09-06 12:30:50',24000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,24000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-06 10:30:50','2023-09-06 10:30:50'),(429,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL000977','',NULL,NULL,NULL,'2023-09-06 15:15:25',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-06 13:15:25','2023-09-06 13:15:25'),(430,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000978','',NULL,NULL,NULL,'2023-09-12 10:17:15',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-12 08:17:15','2023-09-12 08:17:15'),(433,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000979','',NULL,NULL,NULL,'2023-09-13 17:46:42',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-13 15:46:42','2023-09-13 15:46:42'),(434,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000980','',NULL,NULL,NULL,'2023-09-14 09:45:48',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 07:45:48','2023-09-14 07:45:48'),(435,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000981','',NULL,NULL,NULL,'2023-09-14 09:46:26',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 07:46:26','2023-09-14 07:46:26'),(436,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000982','',NULL,NULL,NULL,'2023-09-14 09:47:17',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 07:47:17','2023-09-14 07:47:17'),(437,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000983','',NULL,NULL,NULL,'2023-09-14 09:47:53',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 07:47:53','2023-09-14 07:47:53'),(438,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000984','',NULL,NULL,NULL,'2023-09-14 09:48:20',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 07:48:20','2023-09-14 07:48:20'),(439,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000985','',NULL,NULL,NULL,'2023-09-14 09:49:49',48000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,48000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 07:49:49','2023-09-14 07:49:49'),(440,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000986','',NULL,NULL,NULL,'2023-09-14 09:51:19',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 07:51:19','2023-09-14 07:51:19'),(441,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000987','',NULL,NULL,NULL,'2023-09-14 09:52:39',35000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,35000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 07:52:39','2023-09-14 07:52:39'),(442,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000988','',NULL,NULL,NULL,'2023-09-14 09:54:00',110000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,110000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 07:54:00','2023-09-14 07:54:00'),(443,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000989','',NULL,NULL,NULL,'2023-09-14 09:54:35',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 07:54:35','2023-09-14 07:54:35'),(448,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000990','',NULL,NULL,NULL,'2023-09-14 10:06:17',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 08:06:17','2023-09-14 08:06:17'),(449,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000991','',NULL,NULL,NULL,'2023-09-14 10:06:56',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 08:06:56','2023-09-14 08:06:56'),(452,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000992','',NULL,NULL,NULL,'2023-09-14 10:10:54',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 08:10:54','2023-09-14 08:10:54'),(453,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000993','',NULL,NULL,NULL,'2023-09-14 10:11:42',100000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,100000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 08:11:42','2023-09-14 08:11:42'),(454,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000994','',NULL,NULL,NULL,'2023-09-14 10:14:09',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 08:14:09','2023-09-14 08:14:09'),(455,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000995','',NULL,NULL,NULL,'2023-09-14 10:22:57',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 08:22:57','2023-09-14 08:22:57'),(458,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000996','',NULL,NULL,NULL,'2023-09-14 10:37:13',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 08:37:13','2023-09-14 08:37:13'),(459,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL000997','',NULL,NULL,NULL,'2023-09-14 13:03:51',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 11:03:51','2023-09-14 11:03:51'),(460,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000998','',NULL,NULL,NULL,'2023-09-14 14:17:07',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 12:17:07','2023-09-14 12:17:07'),(461,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL000999','',NULL,NULL,NULL,'2023-09-14 18:02:37',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 16:02:37','2023-09-14 16:02:37'),(462,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001000','',NULL,NULL,NULL,'2023-09-14 18:06:53',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-14 16:06:54','2023-09-14 16:06:54'),(464,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001001','',NULL,NULL,NULL,'2023-09-22 10:36:04',70000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,70000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-22 08:36:04','2023-09-22 08:36:04'),(465,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001002','',NULL,NULL,NULL,'2023-09-22 17:53:53',48000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,48000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-22 15:53:53','2023-09-22 15:53:53'),(466,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001003','',NULL,NULL,NULL,'2023-09-25 11:20:30',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:20:30','2023-09-25 09:20:30'),(467,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001004','',NULL,NULL,NULL,'2023-09-25 11:21:14',80000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,80000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:21:14','2023-09-25 09:21:14'),(468,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001005','',NULL,NULL,NULL,'2023-09-25 11:29:22',60000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,60000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:29:22','2023-09-25 09:29:22'),(469,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001006','',NULL,NULL,NULL,'2023-09-25 11:43:05',13000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,13000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:43:05','2023-09-25 09:43:05'),(470,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001007','',NULL,NULL,NULL,'2023-09-25 11:43:35',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:43:35','2023-09-25 09:43:35'),(471,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001008','',NULL,NULL,NULL,'2023-09-25 11:44:15',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:44:15','2023-09-25 09:44:15'),(472,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001009','',NULL,NULL,NULL,'2023-09-25 11:44:38',8500.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,8500.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:44:38','2023-09-25 09:44:38'),(473,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001010','',NULL,NULL,NULL,'2023-09-25 11:44:51',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:44:51','2023-09-25 09:44:51'),(474,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001011','',NULL,NULL,NULL,'2023-09-25 11:45:14',13000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,13000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:45:14','2023-09-25 09:45:14'),(475,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001012','',NULL,NULL,NULL,'2023-09-25 11:45:41',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:45:41','2023-09-25 09:45:41'),(476,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001013','',NULL,NULL,NULL,'2023-09-25 11:47:17',45000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,45000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:47:17','2023-09-25 09:47:17'),(477,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001014','',NULL,NULL,NULL,'2023-09-25 11:47:58',51000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,51000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:47:58','2023-09-25 09:47:58'),(478,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001015','',NULL,NULL,NULL,'2023-09-25 11:48:13',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:48:13','2023-09-25 09:48:13'),(479,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001016','',NULL,NULL,NULL,'2023-09-25 11:48:35',13000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,13000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:48:35','2023-09-25 09:48:35'),(480,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001017','',NULL,NULL,NULL,'2023-09-25 11:49:54',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:49:54','2023-09-25 09:49:54'),(481,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001018','',NULL,NULL,NULL,'2023-09-25 11:50:05',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:50:05','2023-09-25 09:50:05'),(482,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001019','',NULL,NULL,NULL,'2023-09-25 11:51:06',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:51:06','2023-09-25 09:51:06'),(483,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001020','',NULL,NULL,NULL,'2023-09-25 11:51:14',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:51:14','2023-09-25 09:51:14'),(484,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001021','',NULL,NULL,NULL,'2023-09-25 11:51:35',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:51:35','2023-09-25 09:51:35'),(485,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001022','',NULL,NULL,NULL,'2023-09-25 11:51:48',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:51:48','2023-09-25 09:51:48'),(486,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001023','',NULL,NULL,NULL,'2023-09-25 11:52:14',48000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,48000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:52:14','2023-09-25 09:52:14'),(487,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001024','',NULL,NULL,NULL,'2023-09-25 11:53:17',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:53:17','2023-09-25 09:53:17'),(488,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001025','',NULL,NULL,NULL,'2023-09-25 11:53:38',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:53:38','2023-09-25 09:53:38'),(489,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001026','',NULL,NULL,NULL,'2023-09-25 11:53:54',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:53:54','2023-09-25 09:53:54'),(490,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001027','',NULL,NULL,NULL,'2023-09-25 11:54:53',8500.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,8500.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:54:53','2023-09-25 09:54:53'),(491,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001028','',NULL,NULL,NULL,'2023-09-25 11:55:12',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:55:12','2023-09-25 09:55:12'),(492,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001029','',NULL,NULL,NULL,'2023-09-25 11:56:09',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:56:09','2023-09-25 09:56:09'),(493,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001030','',NULL,NULL,NULL,'2023-09-25 11:57:07',25000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,25000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 09:57:07','2023-09-25 09:57:07'),(494,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL001031','',NULL,NULL,NULL,'2023-09-25 12:53:22',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 10:53:22','2023-09-25 10:53:22'),(495,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,13,NULL,'APL001032','',NULL,NULL,NULL,'2023-09-25 12:53:59',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-25 10:53:59','2023-09-25 10:53:59'),(496,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001033','',NULL,NULL,NULL,'2023-09-26 15:17:05',44500.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,44500.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-26 13:17:05','2023-09-26 13:17:05'),(497,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001034','',NULL,NULL,NULL,'2023-09-28 11:34:14',24000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,24000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 09:34:14','2023-09-28 09:34:14'),(498,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001035','',NULL,NULL,NULL,'2023-09-28 12:13:15',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 10:13:15','2023-09-28 10:13:15'),(499,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001036','',NULL,NULL,NULL,'2023-09-28 12:40:36',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 10:40:36','2023-09-28 10:40:36'),(500,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001037','',NULL,NULL,NULL,'2023-09-28 12:41:02',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 10:41:02','2023-09-28 10:41:02'),(501,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001038','',NULL,NULL,NULL,'2023-09-28 12:41:18',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 10:41:18','2023-09-28 10:41:18'),(502,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001039','',NULL,NULL,NULL,'2023-09-28 12:41:53',44500.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,44500.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 10:41:53','2023-09-28 10:41:53'),(503,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001040','',NULL,NULL,NULL,'2023-09-28 12:42:22',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 10:42:22','2023-09-28 10:42:22'),(504,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001041','',NULL,NULL,NULL,'2023-09-28 12:42:34',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 10:42:34','2023-09-28 10:42:34'),(505,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001042','',NULL,NULL,NULL,'2023-09-28 17:33:06',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-28 15:33:06','2023-09-28 15:33:07'),(506,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001043','',NULL,NULL,NULL,'2023-09-29 10:14:14',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-29 08:14:14','2023-09-29 08:14:14'),(507,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001044','',NULL,NULL,NULL,'2023-09-29 10:14:39',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-29 08:14:39','2023-09-29 08:14:39'),(508,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001045','',NULL,NULL,NULL,'2023-09-30 15:52:47',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-30 13:52:47','2023-09-30 13:52:47'),(511,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001046','',NULL,NULL,NULL,'2023-10-02 09:52:24',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-02 07:52:24','2023-10-02 07:52:24'),(512,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001047','',NULL,NULL,NULL,'2023-10-04 08:18:01',36000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,36000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-04 06:18:01','2023-10-04 06:18:01'),(514,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001048','',NULL,NULL,NULL,'2023-10-06 17:14:24',84000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,84000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-06 15:14:24','2023-10-06 15:14:24'),(517,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001049','',NULL,NULL,NULL,'2023-10-11 09:48:09',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 07:48:09','2023-10-11 07:48:09'),(518,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001050','',NULL,NULL,NULL,'2023-10-11 15:13:49',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:13:49','2023-10-11 13:13:49'),(519,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001051','',NULL,NULL,NULL,'2023-10-11 15:14:16',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:14:16','2023-10-11 13:14:16'),(520,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001052','',NULL,NULL,NULL,'2023-10-11 15:14:33',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:14:33','2023-10-11 13:14:33'),(521,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001053','',NULL,NULL,NULL,'2023-10-11 15:23:54',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:23:54','2023-10-11 13:23:54'),(524,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001054','',NULL,NULL,NULL,'2023-10-11 15:25:03',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:25:03','2023-10-11 13:25:03'),(526,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001055','',NULL,NULL,NULL,'2023-10-11 15:26:33',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:26:33','2023-10-11 13:26:33'),(527,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001056','',NULL,NULL,NULL,'2023-10-11 15:26:49',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:26:49','2023-10-11 13:26:49'),(528,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001057','',NULL,NULL,NULL,'2023-10-11 15:27:00',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:27:00','2023-10-11 13:27:00'),(529,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001058','',NULL,NULL,NULL,'2023-10-11 15:27:09',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:27:09','2023-10-11 13:27:09'),(530,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001059','',NULL,NULL,NULL,'2023-10-11 15:27:17',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:27:17','2023-10-11 13:27:17'),(531,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001060','',NULL,NULL,NULL,'2023-10-11 15:27:26',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:27:26','2023-10-11 13:27:26'),(532,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001061','',NULL,NULL,NULL,'2023-10-11 15:28:43',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:28:43','2023-10-11 13:28:43'),(533,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001062','',NULL,NULL,NULL,'2023-10-11 15:29:10',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:29:10','2023-10-11 13:29:10'),(534,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001063','',NULL,NULL,NULL,'2023-10-11 15:29:44',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:29:44','2023-10-11 13:29:44'),(535,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001064','',NULL,NULL,NULL,'2023-10-11 15:30:12',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:30:12','2023-10-11 13:30:12'),(536,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001065','',NULL,NULL,NULL,'2023-10-11 15:30:27',44500.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,44500.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:30:27','2023-10-11 13:30:27'),(537,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001066','',NULL,NULL,NULL,'2023-10-11 15:30:57',13000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,13000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:30:57','2023-10-11 13:30:57'),(538,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001067','',NULL,NULL,NULL,'2023-10-11 15:31:15',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:31:15','2023-10-11 13:31:15'),(539,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001068','',NULL,NULL,NULL,'2023-10-11 15:31:28',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:31:28','2023-10-11 13:31:28'),(540,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001069','',NULL,NULL,NULL,'2023-10-11 15:32:57',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:32:57','2023-10-11 13:32:57'),(541,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001070','',NULL,NULL,NULL,'2023-10-11 15:33:20',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:33:20','2023-10-11 13:33:20'),(542,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001071','',NULL,NULL,NULL,'2023-10-11 15:33:45',40000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,40000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-11 13:33:45','2023-10-11 13:33:45'),(543,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001072','',NULL,NULL,NULL,'2023-10-12 09:48:36',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-12 07:48:36','2023-10-12 07:48:36'),(544,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001073','',NULL,NULL,NULL,'2023-10-12 14:17:12',80000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,80000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-12 12:17:12','2023-10-12 12:17:12'),(545,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001074','',NULL,NULL,NULL,'2023-10-12 14:17:40',80000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,80000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-12 12:17:40','2023-10-12 12:17:40'),(547,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001075','',NULL,NULL,NULL,'2023-10-13 14:50:51',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-13 12:50:51','2023-10-13 12:50:51'),(548,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001076','',NULL,NULL,NULL,'2023-10-13 16:44:36',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-13 14:44:36','2023-10-13 14:44:36'),(549,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001077','',NULL,NULL,NULL,'2023-10-15 10:53:55',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-15 08:53:55','2023-10-15 08:53:55'),(552,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001078','',NULL,NULL,NULL,'2023-10-16 12:01:44',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 10:01:44','2023-10-16 10:01:44'),(553,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001079','',NULL,NULL,NULL,'2023-10-16 17:59:42',12000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,12000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 15:59:42','2023-10-16 15:59:42'),(554,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001080','',NULL,NULL,NULL,'2023-10-16 18:00:33',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 16:00:33','2023-10-16 16:00:33'),(555,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001081','',NULL,NULL,NULL,'2023-10-16 18:01:04',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 16:01:04','2023-10-16 16:01:04'),(556,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001082','',NULL,NULL,NULL,'2023-10-16 18:06:16',16000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,16000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 16:06:16','2023-10-16 16:06:16'),(557,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001083','',NULL,NULL,NULL,'2023-10-16 18:06:48',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 16:06:48','2023-10-16 16:06:48'),(558,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001084','',NULL,NULL,NULL,'2023-10-16 18:08:09',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 16:08:09','2023-10-16 16:08:09'),(559,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001085','',NULL,NULL,NULL,'2023-10-16 18:08:34',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 16:08:34','2023-10-16 16:08:34'),(560,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001086','',NULL,NULL,NULL,'2023-10-16 18:08:57',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 16:08:57','2023-10-16 16:08:58'),(561,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001087','',NULL,NULL,NULL,'2023-10-16 18:09:25',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-16 16:09:25','2023-10-16 16:09:25'),(562,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001088','',NULL,NULL,NULL,'2023-10-18 12:17:25',40000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,40000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-18 10:17:25','2023-10-18 10:17:25'),(563,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001089','',NULL,NULL,NULL,'2023-10-18 12:47:04',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-18 10:47:04','2023-10-18 10:47:04'),(564,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001090','',NULL,NULL,NULL,'2023-10-18 12:47:49',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-18 10:47:49','2023-10-18 10:47:49'),(565,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001091','',NULL,NULL,NULL,'2023-10-19 09:02:32',245000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,245000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-19 07:02:32','2023-10-19 07:02:32'),(566,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001092','',NULL,NULL,NULL,'2023-10-19 10:55:38',550000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,550000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-19 08:55:38','2023-10-19 08:55:39'),(570,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001093','',NULL,NULL,NULL,'2023-10-24 10:39:36',52000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,52000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-24 08:39:36','2023-10-24 08:39:36'),(571,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001094','',NULL,NULL,NULL,'2023-10-24 10:41:37',52000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,52000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-24 08:41:37','2023-10-24 08:41:37'),(572,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL001095','',NULL,NULL,NULL,'2023-10-25 11:21:07',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-25 09:21:07','2023-10-25 09:21:07'),(597,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001096','',NULL,NULL,NULL,'2023-10-25 17:45:08',40000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,40000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-25 15:45:08','2023-10-25 15:45:08'),(598,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001097','',NULL,NULL,NULL,'2023-10-27 11:44:47',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-27 09:44:47','2023-10-27 09:44:47'),(599,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001098','',NULL,NULL,NULL,'2023-10-28 09:26:52',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-28 07:26:52','2023-10-28 07:26:52'),(600,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL001099','',NULL,NULL,NULL,'2023-10-28 16:44:29',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-28 14:44:29','2023-10-28 14:44:29'),(606,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001100','',NULL,NULL,NULL,'2023-10-29 15:09:16',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-29 14:09:16','2023-10-29 14:09:16'),(607,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001101','',NULL,NULL,NULL,'2023-10-29 16:29:25',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-29 15:29:25','2023-10-29 15:29:25'),(608,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001102','',NULL,NULL,NULL,'2023-10-30 18:30:11',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 17:30:11','2023-10-30 17:30:11'),(609,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001103','',NULL,NULL,NULL,'2023-10-30 18:31:33',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 17:31:33','2023-10-30 17:31:33'),(610,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001104','',NULL,NULL,NULL,'2023-10-30 18:32:26',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 17:32:26','2023-10-30 17:32:26'),(611,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001105','',NULL,NULL,NULL,'2023-10-30 18:33:45',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 17:33:45','2023-10-30 17:33:45'),(612,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001106','',NULL,NULL,NULL,'2023-10-30 18:34:40',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 17:34:40','2023-10-30 17:34:40'),(613,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001107','',NULL,NULL,NULL,'2023-10-30 18:35:15',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 17:35:15','2023-10-30 17:35:15'),(614,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001108','',NULL,NULL,NULL,'2023-10-30 18:35:49',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 17:35:49','2023-10-30 17:35:49'),(615,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001109','',NULL,NULL,NULL,'2023-10-30 18:42:34',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 17:42:34','2023-10-30 17:42:34'),(616,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001110','',NULL,NULL,NULL,'2023-10-30 18:43:33',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 17:43:33','2023-10-30 17:43:33'),(617,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001111','',NULL,NULL,NULL,'2023-10-30 18:44:22',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 17:44:22','2023-10-30 17:44:22'),(618,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001112','',NULL,NULL,NULL,'2023-10-30 18:45:15',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 17:45:15','2023-10-30 17:45:15'),(619,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001113','',NULL,NULL,NULL,'2023-10-30 18:45:38',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-30 17:45:38','2023-10-30 17:45:38'),(620,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001114','',NULL,NULL,NULL,'2023-10-31 07:59:21',13000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,13000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 06:59:21','2023-10-31 06:59:21'),(621,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001115','',NULL,NULL,NULL,'2023-10-31 07:59:53',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 06:59:53','2023-10-31 06:59:53'),(622,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001116','',NULL,NULL,NULL,'2023-10-31 08:00:03',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:00:03','2023-10-31 07:00:03'),(623,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001117','',NULL,NULL,NULL,'2023-10-31 08:00:19',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:00:19','2023-10-31 07:00:19'),(624,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001118','',NULL,NULL,NULL,'2023-10-31 08:01:03',13000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,13000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:01:03','2023-10-31 07:01:03'),(626,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001119','',NULL,NULL,NULL,'2023-10-31 08:01:38',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:01:38','2023-10-31 07:01:38'),(627,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001120','',NULL,NULL,NULL,'2023-10-31 08:01:51',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:01:51','2023-10-31 07:01:51'),(628,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001121','',NULL,NULL,NULL,'2023-10-31 08:02:00',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:02:00','2023-10-31 07:02:00'),(629,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001122','',NULL,NULL,NULL,'2023-10-31 08:02:16',40000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,40000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:02:16','2023-10-31 07:02:16'),(630,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001123','',NULL,NULL,NULL,'2023-10-31 08:02:25',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:02:25','2023-10-31 07:02:25'),(631,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001124','',NULL,NULL,NULL,'2023-10-31 08:02:35',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:02:35','2023-10-31 07:02:35'),(632,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001125','',NULL,NULL,NULL,'2023-10-31 08:02:48',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:02:48','2023-10-31 07:02:48'),(633,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001126','',NULL,NULL,NULL,'2023-10-31 08:03:01',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:03:01','2023-10-31 07:03:01'),(634,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001127','',NULL,NULL,NULL,'2023-10-31 08:03:20',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:03:20','2023-10-31 07:03:20'),(635,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001128','',NULL,NULL,NULL,'2023-10-31 08:03:36',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:03:36','2023-10-31 07:03:36'),(636,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001129','',NULL,NULL,NULL,'2023-10-31 08:03:53',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:03:53','2023-10-31 07:03:53'),(640,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001130','',NULL,NULL,NULL,'2023-10-31 08:37:07',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 07:37:07','2023-10-31 07:37:07'),(641,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001131','',NULL,NULL,NULL,'2023-10-31 10:52:43',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 09:52:43','2023-10-31 09:52:43'),(642,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001132','',NULL,NULL,NULL,'2023-10-31 12:57:35',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 11:57:35','2023-10-31 11:57:35'),(643,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001133','',NULL,NULL,NULL,'2023-10-31 12:58:31',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 11:58:31','2023-10-31 11:58:31'),(644,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001134','',NULL,NULL,NULL,'2023-10-31 18:12:46',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 17:12:46','2023-10-31 17:12:46'),(645,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001135','',NULL,NULL,NULL,'2023-10-31 18:12:55',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 17:12:55','2023-10-31 17:12:55'),(646,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001136','',NULL,NULL,NULL,'2023-10-31 18:13:07',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-10-31 17:13:07','2023-10-31 17:13:07'),(647,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001137','',NULL,NULL,NULL,'2023-11-04 10:57:48',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 09:57:48','2023-11-04 09:57:48'),(648,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001138','',NULL,NULL,NULL,'2023-11-04 10:58:01',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 09:58:01','2023-11-04 09:58:01'),(649,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001139','',NULL,NULL,NULL,'2023-11-04 10:58:15',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 09:58:15','2023-11-04 09:58:15'),(650,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001140','',NULL,NULL,NULL,'2023-11-04 10:58:26',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 09:58:26','2023-11-04 09:58:26'),(651,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001141','',NULL,NULL,NULL,'2023-11-04 10:59:41',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 09:59:41','2023-11-04 09:59:41'),(652,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001142','',NULL,NULL,NULL,'2023-11-04 10:59:52',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 09:59:52','2023-11-04 09:59:52'),(653,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001143','',NULL,NULL,NULL,'2023-11-04 11:00:04',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 10:00:04','2023-11-04 10:00:04'),(654,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001144','',NULL,NULL,NULL,'2023-11-04 11:00:20',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 10:00:20','2023-11-04 10:00:20'),(655,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001145','',NULL,NULL,NULL,'2023-11-04 17:32:23',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-04 16:32:23','2023-11-04 16:32:23'),(656,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001146','',NULL,NULL,NULL,'2023-11-07 17:32:08',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-07 16:32:08','2023-11-07 16:32:08'),(657,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001147','',NULL,NULL,NULL,'2023-11-07 17:32:20',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-07 16:32:20','2023-11-07 16:32:20'),(658,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL001148','',NULL,NULL,NULL,'2023-11-08 09:51:30',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-08 08:51:30','2023-11-08 08:51:30'),(659,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL001149','',NULL,NULL,NULL,'2023-11-08 09:51:53',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-08 08:51:53','2023-11-08 08:51:53'),(660,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001150','',NULL,NULL,NULL,'2023-11-09 12:07:25',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-09 11:07:25','2023-11-09 11:07:25'),(661,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001151','',NULL,NULL,NULL,'2023-11-09 12:07:58',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-09 11:07:58','2023-11-09 11:07:58'),(662,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001152','',NULL,NULL,NULL,'2023-11-09 12:13:11',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-09 11:13:11','2023-11-09 11:13:11'),(663,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001153','',NULL,NULL,NULL,'2023-11-09 12:14:43',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-09 11:14:43','2023-11-09 11:14:43'),(664,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL001154','',NULL,NULL,NULL,'2023-11-09 17:18:50',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-09 16:18:50','2023-11-09 16:18:50'),(665,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001155','',NULL,NULL,NULL,'2023-11-11 18:16:44',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-11 17:16:44','2023-11-11 17:16:44'),(666,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001156','',NULL,NULL,NULL,'2023-11-14 14:50:25',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 13:50:25','2023-11-14 13:50:25'),(667,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,15,NULL,'APL001157','',NULL,NULL,NULL,'2023-11-14 17:04:27',30000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,30000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 16:04:27','2023-11-14 16:04:27'),(668,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001158','',NULL,NULL,NULL,'2023-11-14 18:07:54',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:07:54','2023-11-14 17:07:54'),(669,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001159','',NULL,NULL,NULL,'2023-11-14 18:08:09',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:08:09','2023-11-14 17:08:09'),(670,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001160','',NULL,NULL,NULL,'2023-11-14 18:09:51',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:09:51','2023-11-14 17:09:51'),(671,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001161','',NULL,NULL,NULL,'2023-11-14 18:09:57',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:09:57','2023-11-14 17:09:57'),(672,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001162','',NULL,NULL,NULL,'2023-11-14 18:10:10',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:10:10','2023-11-14 17:10:10'),(673,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001163','',NULL,NULL,NULL,'2023-11-14 18:10:30',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:10:30','2023-11-14 17:10:30'),(674,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001164','',NULL,NULL,NULL,'2023-11-14 18:10:44',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:10:44','2023-11-14 17:10:44'),(675,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001165','',NULL,NULL,NULL,'2023-11-14 18:10:53',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:10:53','2023-11-14 17:10:53'),(676,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001166','',NULL,NULL,NULL,'2023-11-14 18:11:25',36000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,36000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:11:25','2023-11-14 17:11:25'),(677,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001167','',NULL,NULL,NULL,'2023-11-14 18:11:39',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:11:39','2023-11-14 17:11:39'),(678,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001168','',NULL,NULL,NULL,'2023-11-14 18:11:48',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:11:48','2023-11-14 17:11:48'),(679,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001169','',NULL,NULL,NULL,'2023-11-14 18:12:42',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:12:42','2023-11-14 17:12:42'),(680,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001170','',NULL,NULL,NULL,'2023-11-14 18:12:54',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:12:54','2023-11-14 17:12:54'),(681,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001171','',NULL,NULL,NULL,'2023-11-14 18:13:27',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:13:27','2023-11-14 17:13:27'),(682,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001172','',NULL,NULL,NULL,'2023-11-14 18:13:35',15000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,15000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:13:35','2023-11-14 17:13:35'),(683,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001173','',NULL,NULL,NULL,'2023-11-14 18:13:48',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-14 17:13:48','2023-11-14 17:13:48'),(684,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001174','',NULL,NULL,NULL,'2023-11-15 18:00:51',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-15 17:00:51','2023-11-15 17:00:51'),(685,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001175','',NULL,NULL,NULL,'2023-11-15 18:01:52',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-15 17:01:52','2023-11-15 17:01:52'),(686,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL001176','',NULL,NULL,NULL,'2023-11-15 18:03:22',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-15 17:03:22','2023-11-15 17:03:22'),(687,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL001177','',NULL,NULL,NULL,'2023-11-18 11:46:57',35000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,35000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-18 10:46:57','2023-11-18 10:46:57'),(688,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001178','',NULL,NULL,NULL,'2023-11-18 15:09:37',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-18 14:09:37','2023-11-18 14:09:37'),(689,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001179','',NULL,NULL,NULL,'2023-11-18 15:09:48',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-18 14:09:48','2023-11-18 14:09:48'),(690,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001180','',NULL,NULL,NULL,'2023-11-18 15:09:59',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-18 14:09:59','2023-11-18 14:09:59'),(691,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001181','',NULL,NULL,NULL,'2023-11-19 13:05:19',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-19 12:05:19','2023-11-19 12:05:19'),(692,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001182','',NULL,NULL,NULL,'2023-11-19 15:51:25',10000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,10000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-19 14:51:25','2023-11-19 14:51:25'),(693,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001183','',NULL,NULL,NULL,'2023-11-19 15:51:34',5000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,5000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-19 14:51:34','2023-11-19 14:51:34'),(694,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001184','',NULL,NULL,NULL,'2023-11-21 10:50:27',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-21 09:50:27','2023-11-21 09:50:27'),(695,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,14,NULL,'APL001185','',NULL,NULL,NULL,'2023-11-22 10:21:07',50000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,50000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-22 09:21:07','2023-11-22 09:21:07'),(696,2,2,NULL,NULL,NULL,'sell',NULL,'final',NULL,0,'paid',NULL,9,NULL,'APL001186','',NULL,NULL,NULL,'2023-11-23 18:35:03',20000.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,NULL,0.0000,20000.0000,NULL,NULL,NULL,NULL,NULL,0,0,1.000,NULL,NULL,NULL,NULL,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2023-11-23 17:35:03','2023-11-23 17:35:03');
/*!40000 ALTER TABLE `transactions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `types_of_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `types_of_services` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `business_id` int NOT NULL,
  `location_price_group` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `packing_charge` decimal(22,4) DEFAULT NULL,
  `packing_charge_type` enum('fixed','percent') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `enable_custom_fields` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `types_of_services_business_id_index` (`business_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `types_of_services` WRITE;
/*!40000 ALTER TABLE `types_of_services` DISABLE KEYS */;
/*!40000 ALTER TABLE `types_of_services` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `units`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `units` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int unsigned NOT NULL,
  `actual_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `short_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `allow_decimal` tinyint(1) NOT NULL,
  `base_unit_id` int DEFAULT NULL,
  `base_unit_multiplier` decimal(20,4) DEFAULT NULL,
  `created_by` int unsigned NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `units_business_id_foreign` (`business_id`),
  KEY `units_created_by_foreign` (`created_by`),
  KEY `units_base_unit_id_index` (`base_unit_id`),
  CONSTRAINT `units_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `units_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `units` WRITE;
/*!40000 ALTER TABLE `units` DISABLE KEYS */;
INSERT INTO `units` VALUES (1,1,'Pieces','Pc(s)',0,NULL,NULL,1,NULL,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(2,1,'Bags','bag',1,NULL,NULL,1,NULL,'2023-05-19 07:59:49','2023-05-19 07:59:49'),(3,1,'Litres','lts',1,NULL,NULL,1,NULL,'2023-05-19 08:00:35','2023-05-19 08:00:35'),(4,1,'Box','bx',0,NULL,NULL,1,NULL,'2023-05-19 08:01:48','2023-05-19 08:01:48'),(5,1,'Rolls','rls',0,NULL,NULL,1,NULL,'2023-05-19 08:02:07','2023-05-19 08:02:07'),(6,1,'Bundle','Bundle',1,NULL,NULL,2,NULL,'2023-05-20 10:15:41','2023-05-20 10:15:41'),(7,1,'TAN','Tan',1,NULL,NULL,2,NULL,'2023-05-22 17:52:03','2023-05-22 17:52:03'),(8,1,'KILOGRAMS','KG',1,NULL,NULL,2,NULL,'2023-05-23 07:22:12','2023-05-23 07:22:12'),(9,2,'PIECES','Pc(s)',0,NULL,NULL,3,NULL,'2023-06-01 16:24:34','2023-07-21 09:48:33'),(10,2,'EACH','each',0,NULL,NULL,3,NULL,'2023-07-06 10:13:01','2023-07-06 10:13:01');
/*!40000 ALTER TABLE `units` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `user_contact_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_contact_access` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL,
  `contact_id` int NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_contact_access_user_id_index` (`user_id`),
  KEY `user_contact_access_contact_id_index` (`contact_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `user_contact_access` WRITE;
/*!40000 ALTER TABLE `user_contact_access` DISABLE KEYS */;
INSERT INTO `user_contact_access` VALUES (3,6,22),(4,6,23),(5,5,24);
/*!40000 ALTER TABLE `user_contact_access` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'user',
  `surname` char(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `first_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `last_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `username` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `password` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `language` char(7) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'en',
  `contact_no` char(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `remember_token` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `business_id` int unsigned DEFAULT NULL,
  `available_at` datetime DEFAULT NULL COMMENT 'Service staff avilable at. Calculated from product preparation_time_in_minutes',
  `paused_at` datetime DEFAULT NULL COMMENT 'Service staff available time paused at, Will be nulled on resume.',
  `max_sales_discount_percent` decimal(5,2) DEFAULT NULL,
  `allow_login` tinyint(1) NOT NULL DEFAULT '1',
  `status` enum('active','inactive','terminated') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `crm_contact_id` int unsigned DEFAULT NULL,
  `is_cmmsn_agnt` tinyint(1) NOT NULL DEFAULT '0',
  `cmmsn_percent` decimal(4,2) NOT NULL DEFAULT '0.00',
  `selected_contacts` tinyint(1) NOT NULL DEFAULT '0',
  `dob` date DEFAULT NULL,
  `gender` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `marital_status` enum('married','unmarried','divorced') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `blood_group` char(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_number` char(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `alt_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `family_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fb_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twitter_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `social_media_1` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `social_media_2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `permanent_address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `current_address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `guardian_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field_1` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field_2` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field_3` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field_4` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_details` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `id_proof_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `id_proof_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_username_unique` (`username`),
  KEY `users_business_id_foreign` (`business_id`),
  KEY `users_user_type_index` (`user_type`),
  KEY `users_crm_contact_id_foreign` (`crm_contact_id`),
  CONSTRAINT `users_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `users_crm_contact_id_foreign` FOREIGN KEY (`crm_contact_id`) REFERENCES `contacts` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'user','Mr','Adriano','Dominick','adriano.dominick','ictmanager@aboodgroup.co.tz','$2y$10$YFg8sU52LYdbcncVr9dkj.VgvUzbREo/mz5CDWj3oykIEFwmoP.U6','en',NULL,NULL,'cTlwcxlzeC40V1EKbDeqhkzGtXOObrlKhzZWFznQDFeophCTOVvAczFleoks',1,NULL,NULL,NULL,1,'active',NULL,0,0.00,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-05-18 22:19:51','2023-05-18 22:19:51'),(2,'user','Mrs','SOPHIA','KANYIKA','sophia.kanyika','accounts@matraders.co.tz','$2y$10$qGzUFzrokWxvVm8q1rSbNOq4G0lUvZDzK31usnOGW36aOMqt.7gFG','en',NULL,NULL,'ZstKsoYJCJzi7jJTJ0HqLtsc39Mi6uBZ9q5TK4s913S3DnaKRa0mbfdrkJ3L',1,NULL,NULL,NULL,1,'active',NULL,0,0.00,0,NULL,'female','unmarried',NULL,'0753999501',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'{\"account_holder_name\":null,\"account_number\":null,\"bank_name\":null,\"bank_code\":null,\"branch\":null,\"tax_payer_id\":null}',NULL,NULL,NULL,'2023-05-19 09:11:50','2023-06-03 07:09:52'),(3,'user','Mr','Adriano','Dominick','adriano','ictmanager@aboodgroup.co.tz','$2y$10$YFg8sU52LYdbcncVr9dkj.VgvUzbREo/mz5CDWj3oykIEFwmoP.U6','en',NULL,NULL,'9L3mPl8EmS1DgxmoupEXmE4fnk2dMRWbU1THgFbZBQBXlvoDVuW6I1JPdn7q',2,NULL,NULL,NULL,1,'active',NULL,0,0.00,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-06-01 16:24:34','2023-06-01 16:24:34'),(4,'user','Mr','DANIEL','DEVAPRIYAM','Daniel.Devapriyam','devapriyamdaniel@gmail.com','$2y$10$sWUz6J8AolECWnrt/lCo8.DXMBhp7zSqIYBSle088acXgxlfALpRq','en',NULL,NULL,NULL,1,NULL,NULL,NULL,1,'active',NULL,0,0.00,1,NULL,'male',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'{\"account_holder_name\":null,\"account_number\":null,\"bank_name\":null,\"bank_code\":null,\"branch\":null,\"tax_payer_id\":null}',NULL,NULL,NULL,'2023-06-02 16:09:04','2023-06-03 07:10:43'),(5,'user','Mrs','Carolyn','Lema','carolyn.lema','accounts@apelpetroleum.co.tz','$2y$10$Wjpculk.Heoq8ktBLM0yN.b7ajZT/UYIejf.MhqQ3zXyjAbXpeJFe','en',NULL,NULL,'2B4LkOcTJOytKjun5fNDZVvYF246LyIgzTOaBFcmYeBv1YxIQ34IETknnIUW',2,NULL,NULL,NULL,1,'active',NULL,0,0.00,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'{\"account_holder_name\":null,\"account_number\":null,\"bank_name\":null,\"bank_code\":null,\"branch\":null,\"tax_payer_id\":null}',NULL,NULL,NULL,'2023-06-08 11:35:35','2023-06-19 17:43:12'),(6,'user','MR','Bashiri','Jamal','Bashiri.Jamal','msamvustation@apelpetroleum.co.tz','$2y$10$8MBlVbR14.YQASuX8cRzMekBtQL3o8WT1Z4blTqT0lOcDzxotTwHi','en',NULL,NULL,NULL,2,NULL,NULL,NULL,1,'active',NULL,0,0.00,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'{\"account_holder_name\":null,\"account_number\":null,\"bank_name\":null,\"bank_code\":null,\"branch\":null,\"tax_payer_id\":null}',NULL,NULL,NULL,'2023-07-25 10:59:33','2023-07-26 09:48:00');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `variation_group_prices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `variation_group_prices` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `variation_id` int unsigned NOT NULL,
  `price_group_id` int unsigned NOT NULL,
  `price_inc_tax` decimal(22,4) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `variation_group_prices_variation_id_foreign` (`variation_id`),
  KEY `variation_group_prices_price_group_id_foreign` (`price_group_id`),
  CONSTRAINT `variation_group_prices_price_group_id_foreign` FOREIGN KEY (`price_group_id`) REFERENCES `selling_price_groups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `variation_group_prices_variation_id_foreign` FOREIGN KEY (`variation_id`) REFERENCES `variations` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `variation_group_prices` WRITE;
/*!40000 ALTER TABLE `variation_group_prices` DISABLE KEYS */;
/*!40000 ALTER TABLE `variation_group_prices` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `variation_location_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `variation_location_details` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int unsigned NOT NULL,
  `product_variation_id` int unsigned NOT NULL COMMENT 'id from product_variations table',
  `variation_id` int unsigned NOT NULL,
  `location_id` int unsigned NOT NULL,
  `qty_available` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `variation_location_details_product_id_index` (`product_id`),
  KEY `variation_location_details_product_variation_id_index` (`product_variation_id`),
  KEY `variation_location_details_variation_id_index` (`variation_id`),
  KEY `variation_location_details_location_id_foreign` (`location_id`),
  CONSTRAINT `variation_location_details_ibfk_1` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `variation_location_details_location_id_foreign` FOREIGN KEY (`location_id`) REFERENCES `business_locations` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `variation_location_details_variation_id_foreign` FOREIGN KEY (`variation_id`) REFERENCES `variations` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=106 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `variation_location_details` WRITE;
/*!40000 ALTER TABLE `variation_location_details` DISABLE KEYS */;
INSERT INTO `variation_location_details` VALUES (1,1,1,1,1,2.0000,'2023-05-19 07:54:54','2023-05-19 13:38:19'),(2,1,1,2,1,35.0000,'2023-05-19 07:54:54','2023-05-19 13:38:19'),(3,1,1,3,1,3.0000,'2023-05-19 07:54:54','2023-05-19 13:38:19'),(4,1,1,4,1,7.0000,'2023-05-19 07:54:54','2023-05-19 08:03:30'),(5,26,26,29,1,0.0000,'2023-05-24 09:09:54','2023-05-24 09:10:04'),(6,42,42,66,1,0.0000,'2023-05-24 09:09:54','2023-05-24 09:10:04'),(7,42,42,67,1,0.0000,'2023-05-24 09:09:54','2023-05-24 09:10:04'),(8,28,28,31,1,0.0000,'2023-05-24 09:09:54','2023-05-24 09:10:04'),(9,29,29,32,1,0.0000,'2023-05-24 09:09:54','2023-05-24 09:10:04'),(10,48,48,82,1,0.0000,'2023-05-24 09:09:54','2023-05-24 09:10:04'),(11,39,39,57,1,0.0000,'2023-05-24 09:09:54','2023-05-24 09:10:04'),(12,32,32,35,1,0.0000,'2023-05-24 09:09:54','2023-05-24 09:10:04'),(13,33,33,36,1,0.0000,'2023-05-24 09:09:54','2023-05-24 09:10:04'),(14,36,36,39,1,29.0000,'2023-06-09 08:20:49','2023-07-04 08:08:26'),(15,36,36,40,1,33.0000,'2023-06-09 08:20:49','2023-07-04 08:08:26'),(16,36,36,41,1,35.0000,'2023-06-09 08:20:49','2023-07-03 23:13:43'),(17,36,36,42,1,24.0000,'2023-06-09 08:20:49','2023-07-03 23:16:35'),(18,36,36,43,1,12.0000,'2023-06-09 08:20:49','2023-07-03 23:16:35'),(19,36,36,44,1,3.0000,'2023-06-09 08:20:49','2023-06-30 16:06:23'),(20,60,61,107,2,297.0000,'2023-07-05 07:14:35','2023-08-07 09:19:25'),(86,282,283,329,2,1.0000,'2023-07-21 09:41:50','2023-07-21 09:41:50'),(87,267,268,314,2,14.0000,'2023-07-24 08:34:24','2023-11-14 17:11:25'),(88,268,269,315,2,13.0000,'2023-07-24 08:35:16','2023-10-11 13:30:27'),(89,269,270,316,2,20.0000,'2023-07-24 08:35:49','2023-07-25 09:48:12'),(90,270,271,317,2,0.0000,'2023-07-24 08:36:22','2023-09-25 09:52:14'),(91,271,272,318,2,17.0000,'2023-07-24 08:37:01','2023-10-16 16:06:16'),(92,272,273,319,2,0.0000,'2023-07-24 08:37:19','2023-09-25 09:47:58'),(93,275,276,322,2,23.0000,'2023-07-24 08:37:50','2023-09-25 09:54:53'),(94,277,278,324,2,14.0000,'2023-07-24 08:38:26','2023-10-31 07:01:03'),(95,278,279,325,2,0.0000,'2023-07-24 08:38:58','2023-10-28 07:26:52'),(96,279,280,326,2,4.0000,'2023-07-24 08:39:20','2023-07-24 08:39:20'),(97,283,284,330,2,0.0000,'2023-07-24 08:40:33','2023-10-16 15:59:42'),(98,286,287,333,2,1.0000,'2023-07-24 08:41:06','2023-10-19 07:02:32'),(99,287,288,334,2,0.0000,'2023-07-24 08:41:36','2023-09-06 10:30:50'),(100,288,289,335,2,0.0000,'2023-07-24 08:44:55','2023-09-14 07:54:00'),(101,289,290,336,2,1.0000,'2023-07-24 09:00:52','2023-07-24 09:00:52'),(102,290,291,337,2,1.0000,'2023-07-24 09:01:26','2023-07-24 09:01:26'),(103,291,292,338,2,3.0000,'2023-07-24 09:01:49','2023-10-24 08:41:37'),(104,292,293,339,2,16.0000,'2023-07-24 09:02:22','2023-10-31 06:59:21'),(105,294,295,341,2,5.0000,'2023-07-24 09:03:01','2023-09-25 09:47:17');
/*!40000 ALTER TABLE `variation_location_details` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `variation_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `variation_templates` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `variation_templates_business_id_foreign` (`business_id`),
  CONSTRAINT `variation_templates_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `variation_templates` WRITE;
/*!40000 ALTER TABLE `variation_templates` DISABLE KEYS */;
INSERT INTO `variation_templates` VALUES (1,'SIZE',1,'2023-05-19 07:27:08','2023-05-19 07:27:08'),(2,'COUNTRY',1,'2023-05-19 07:29:17','2023-05-19 07:30:16'),(3,'COLOUR',1,'2023-05-20 09:26:01','2023-05-20 09:26:01'),(4,'CLASS',1,'2023-05-20 10:12:20','2023-05-20 10:12:20'),(5,'NUMBER',1,'2023-05-20 10:25:44','2023-05-20 10:25:44'),(6,'METER',1,'2023-05-20 10:58:33','2023-05-20 10:58:33'),(7,'INCH',1,'2023-05-22 15:40:19','2023-05-22 15:40:19'),(8,'ALOXIDE CLOTH',1,'2023-05-22 15:53:04','2023-05-22 15:53:04'),(9,'DISC',1,'2023-05-22 17:04:35','2023-05-22 17:04:35'),(10,'MILIMETER',1,'2023-05-22 17:26:39','2023-05-22 17:26:39'),(11,'R.BRUSH',1,'2023-05-23 07:16:03','2023-05-23 07:16:03'),(12,'INCH',1,'2023-05-23 07:21:21','2023-05-26 13:32:53'),(13,'MASKING INCH',1,'2023-05-23 07:25:33','2023-05-23 07:25:33'),(14,'lts',1,'2023-05-26 13:33:48','2023-05-26 13:33:48');
/*!40000 ALTER TABLE `variation_templates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `variation_value_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `variation_value_templates` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `variation_template_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `variation_value_templates_name_index` (`name`),
  KEY `variation_value_templates_variation_template_id_index` (`variation_template_id`),
  CONSTRAINT `variation_value_templates_variation_template_id_foreign` FOREIGN KEY (`variation_template_id`) REFERENCES `variation_templates` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=79 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `variation_value_templates` WRITE;
/*!40000 ALTER TABLE `variation_value_templates` DISABLE KEYS */;
INSERT INTO `variation_value_templates` VALUES (1,'Y08',1,'2023-05-19 07:27:08','2023-05-19 07:27:08'),(2,'Y10',1,'2023-05-19 07:27:08','2023-05-19 07:27:08'),(3,'Y12',1,'2023-05-19 07:27:08','2023-05-19 07:27:08'),(4,'Y16',1,'2023-05-19 07:27:08','2023-05-19 07:27:08'),(5,'TZ',2,'2023-05-19 07:29:17','2023-05-19 07:29:17'),(6,'WHITE',3,'2023-05-20 09:26:01','2023-05-22 17:12:35'),(7,'A18',4,'2023-05-20 10:12:20','2023-05-22 15:41:38'),(8,'WELD STICK NUMBER 10E6013, 12E6013',5,'2023-05-20 10:25:44','2023-05-20 10:25:44'),(9,'5',6,'2023-05-20 10:58:33','2023-05-22 17:36:38'),(10,'INCH 1 3mm',7,'2023-05-22 15:40:19','2023-05-22 15:40:19'),(11,'INCH 1 4mm',7,'2023-05-22 15:40:19','2023-05-22 15:40:19'),(12,'INCH 1 6mm',7,'2023-05-22 15:40:19','2023-05-22 15:40:19'),(13,'INCH 1,1/2 3mm',7,'2023-05-22 15:40:19','2023-05-22 15:40:19'),(14,'INCH 1,1/2 4mm',7,'2023-05-22 15:40:19','2023-05-22 15:40:19'),(15,'INCH 1,1/2 6mm',7,'2023-05-22 15:40:19','2023-05-22 15:40:19'),(16,'INCH 2 3mm',7,'2023-05-22 15:40:19','2023-05-22 15:40:19'),(17,'INCH 2 4mm',7,'2023-05-22 15:40:19','2023-05-22 15:40:19'),(18,'INCH 2 6mm',7,'2023-05-22 15:40:19','2023-05-22 15:40:19'),(19,'A23',4,'2023-05-22 15:41:38','2023-05-22 15:41:38'),(20,'A28',4,'2023-05-22 15:41:38','2023-05-22 15:41:38'),(21,'A38',4,'2023-05-22 15:41:38','2023-05-22 15:41:38'),(22,'A50',4,'2023-05-22 15:41:38','2023-05-22 15:41:38'),(23,'ALOXIDE CLOTH NA 100',8,'2023-05-22 15:53:04','2023-05-22 15:53:04'),(24,'ALOXIDE CLOTH NA 120',8,'2023-05-22 15:53:04','2023-05-22 15:53:04'),(25,'ALOXIDE CLOTH NA 150',8,'2023-05-22 15:53:04','2023-05-22 15:53:04'),(26,'ALOXIDE CLOTH NA 180',8,'2023-05-22 15:53:04','2023-05-22 15:53:04'),(27,'ALOXIDE CLOTH NA 60',8,'2023-05-22 15:53:04','2023-05-22 15:53:04'),(28,'ALOXIDE CLOTH NA 80',8,'2023-05-22 15:53:04','2023-05-22 15:53:04'),(29,'100',1,'2023-05-22 16:07:08','2023-05-22 16:07:08'),(30,'120',1,'2023-05-22 16:07:08','2023-05-22 16:07:08'),(31,'150',1,'2023-05-22 16:07:08','2023-05-22 16:07:08'),(32,'180',1,'2023-05-22 16:07:08','2023-05-22 16:07:08'),(33,'60',1,'2023-05-22 16:07:08','2023-05-22 16:07:08'),(34,'80',1,'2023-05-22 16:07:08','2023-05-22 16:07:08'),(35,'BLP 1/2 DN 15',7,'2023-05-22 16:45:41','2023-05-22 16:45:41'),(36,'BLP 3/4 DN 20',7,'2023-05-22 16:45:41','2023-05-22 16:45:41'),(37,'BLP 1 DN',7,'2023-05-22 16:45:41','2023-05-22 16:45:41'),(38,'7',9,'2023-05-22 17:04:35','2023-05-22 17:04:35'),(39,'9',9,'2023-05-22 17:04:35','2023-05-22 17:04:35'),(40,'4.5',9,'2023-05-22 17:06:18','2023-05-22 17:06:18'),(41,'CREAM',3,'2023-05-22 17:12:35','2023-05-22 17:12:35'),(42,'BROKEN WHITE',3,'2023-05-22 17:12:35','2023-05-22 17:12:35'),(43,'STRAWBERRY',3,'2023-05-22 17:12:35','2023-05-22 17:12:35'),(44,'PINK',3,'2023-05-22 17:12:35','2023-05-22 17:12:35'),(45,'LIGHT BLUE',3,'2023-05-22 17:12:35','2023-05-22 17:12:35'),(46,'OLD GORD',3,'2023-05-22 17:12:35','2023-05-22 17:12:35'),(47,'SINAMON',3,'2023-05-22 17:12:35','2023-05-22 17:12:35'),(48,'HARBEST',3,'2023-05-22 17:12:35','2023-05-22 17:12:35'),(49,'BLACK',3,'2023-05-22 17:12:35','2023-05-22 17:12:35'),(50,'GREY',3,'2023-05-22 17:12:35','2023-05-22 17:12:35'),(51,'WHITE',3,'2023-05-22 17:12:35','2023-05-22 17:12:35'),(52,'BROWN',3,'2023-05-22 17:12:35','2023-05-22 17:12:35'),(53,'18 JK Marigold',1,'2023-05-22 17:18:59','2023-05-22 17:19:41'),(54,'24 JK Marigold',1,'2023-05-22 17:18:59','2023-05-22 17:19:41'),(55,'12',10,'2023-05-22 17:26:39','2023-05-22 17:26:39'),(56,'18',10,'2023-05-22 17:26:39','2023-05-22 17:26:39'),(57,'7.5',6,'2023-05-22 17:36:38','2023-05-22 17:36:38'),(58,'2.5',7,'2023-05-23 07:10:55','2023-05-23 07:10:55'),(59,'3',7,'2023-05-23 07:10:55','2023-05-23 07:10:55'),(60,'4',7,'2023-05-23 07:10:55','2023-05-23 07:10:55'),(61,'2',11,'2023-05-23 07:16:03','2023-05-23 07:16:03'),(62,'4',11,'2023-05-23 07:16:03','2023-05-23 07:16:03'),(63,'9',11,'2023-05-23 07:16:03','2023-05-23 07:16:03'),(64,'1,1/2',12,'2023-05-23 07:21:21','2023-05-23 07:21:21'),(65,'2',12,'2023-05-23 07:21:21','2023-05-23 07:21:21'),(66,'3',12,'2023-05-23 07:21:21','2023-05-23 07:21:21'),(67,'4',12,'2023-05-23 07:21:21','2023-05-23 07:21:21'),(68,'2',13,'2023-05-23 07:25:33','2023-05-23 07:25:33'),(69,'1',13,'2023-05-23 07:25:33','2023-05-23 07:25:33'),(70,'SHS 3/4',7,'2023-05-23 07:41:59','2023-05-23 07:41:59'),(71,'SHS 1',7,'2023-05-23 07:41:59','2023-05-23 07:41:59'),(72,'SHS 1,1/4',7,'2023-05-23 07:41:59','2023-05-23 07:41:59'),(73,'SHS 1, 1/2',7,'2023-05-23 07:41:59','2023-05-23 07:41:59'),(74,'SHS 2,1/2',7,'2023-05-23 07:41:59','2023-05-23 07:41:59'),(75,'2',7,'2023-05-23 07:41:59','2023-05-23 07:41:59'),(76,'20',14,'2023-05-26 13:33:48','2023-05-26 13:33:48'),(77,'4',14,'2023-05-26 13:34:02','2023-05-26 13:34:02'),(78,'10',14,'2023-05-26 13:34:02','2023-05-26 13:34:02');
/*!40000 ALTER TABLE `variation_value_templates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `variations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `variations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_id` int unsigned NOT NULL,
  `sub_sku` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_variation_id` int unsigned NOT NULL,
  `variation_value_id` int DEFAULT NULL,
  `default_purchase_price` decimal(22,4) DEFAULT NULL,
  `dpp_inc_tax` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `profit_percent` decimal(22,4) NOT NULL DEFAULT '0.0000',
  `default_sell_price` decimal(22,4) DEFAULT NULL,
  `sell_price_inc_tax` decimal(22,4) DEFAULT NULL COMMENT 'Sell price including tax',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `combo_variations` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci COMMENT 'Contains the combo variation details',
  PRIMARY KEY (`id`),
  KEY `variations_name_index` (`name`),
  KEY `variations_sub_sku_index` (`sub_sku`),
  KEY `variations_variation_value_id_index` (`variation_value_id`),
  KEY `variations_product_id_foreign` (`product_id`),
  KEY `variations_product_variation_id_foreign` (`product_variation_id`),
  CONSTRAINT `variations_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `variations_product_variation_id_foreign` FOREIGN KEY (`product_variation_id`) REFERENCES `product_variations` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=417 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `variations` WRITE;
/*!40000 ALTER TABLE `variations` DISABLE KEYS */;
INSERT INTO `variations` VALUES (1,'Y08',1,'0001-1',1,1,9491.5300,9491.5300,36.9642,13000.0000,13000.0000,'2023-05-19 07:49:30','2023-06-23 08:10:17',NULL,NULL),(2,'Y10',1,'0001-2',1,2,12240.6800,12240.6800,55.2201,19000.0000,19000.0000,'2023-05-19 07:49:30','2023-06-23 08:10:17',NULL,NULL),(3,'Y12',1,'0001-3',1,3,19362.0000,19362.0000,8.4600,21000.0000,21000.0000,'2023-05-19 07:49:30','2023-05-26 14:17:11',NULL,NULL),(4,'Y16',1,'0001-4',1,4,34350.0000,34350.0000,13.5400,39000.0000,39000.0000,'2023-05-19 07:49:30','2023-05-26 14:17:11',NULL,NULL),(6,'DUMMY',3,'0003',3,NULL,14269.0000,14269.0000,2072.5419,310000.0000,310000.0000,'2023-05-20 09:15:58','2023-05-27 08:56:30',NULL,'[]'),(7,'DUMMY',4,'0004',4,NULL,14769.0000,14769.0000,2066.7005,320000.0000,320000.0000,'2023-05-20 09:22:33','2023-05-27 08:56:30',NULL,'[]'),(10,'DUMMY',7,'0007',7,NULL,6192.0000,6192.0000,13.0500,7000.0000,7000.0000,'2023-05-20 09:37:45','2023-05-24 10:38:47',NULL,'[]'),(11,'DUMMY',8,'0008',8,NULL,6355.9300,6355.9300,57.3334,10000.0000,10000.0000,'2023-05-20 09:46:07','2023-06-21 15:41:39',NULL,'[]'),(12,'DUMMY',9,'0009',9,NULL,6525.4200,6525.4200,22.5975,8000.0000,8000.0000,'2023-05-20 09:51:48','2023-06-23 08:10:17',NULL,'[]'),(13,'DUMMY',10,'0010',10,NULL,16271.1900,16271.1900,35.2083,22000.0000,22000.0000,'2023-05-20 10:04:56','2023-06-23 08:10:17',NULL,'[]'),(15,'DUMMY',12,'0012',12,NULL,308500.0000,308500.0000,13.4500,350000.0000,350000.0000,'2023-05-20 10:17:43','2023-05-24 10:04:44',NULL,'[]'),(16,'DUMMY',13,'0013',13,NULL,51500.0000,51500.0000,6.8000,55000.0000,55000.0000,'2023-05-20 10:19:38','2023-05-24 10:21:01',NULL,'[]'),(17,'DUMMY',14,'0014',14,NULL,73000.0000,73000.0000,16.4400,85000.0000,85000.0000,'2023-05-20 10:21:24','2023-05-24 10:20:24',NULL,'[]'),(18,'DUMMY',15,'0015',15,NULL,16000.0000,16000.0000,37.5000,22000.0000,22000.0000,'2023-05-20 10:23:51','2023-05-24 12:34:44',NULL,'[]'),(19,'DUMMY',16,'0016',16,NULL,45000.0000,45000.0000,33.3300,60000.0000,60000.0000,'2023-05-20 10:54:04','2023-05-24 09:42:28',NULL,'[]'),(20,'DUMMY',17,'0017',17,NULL,85000.0000,85000.0000,11.7600,95000.0000,95000.0000,'2023-05-20 10:55:05','2023-05-24 12:36:30',NULL,'[]'),(21,'DUMMY',18,'0018',18,NULL,3600.0000,3600.0000,94.4400,7000.0000,7000.0000,'2023-05-20 10:57:20','2023-05-24 09:58:26',NULL,'[]'),(23,'DUMMY',20,'0020',20,NULL,115500.0000,115500.0000,116.4502,250000.0000,250000.0000,'2023-05-20 11:02:49','2023-05-26 14:24:32',NULL,'[]'),(24,'DUMMY',21,'0021',21,NULL,1200.0000,1200.0000,25.0000,1500.0000,1500.0000,'2023-05-20 11:04:46','2023-05-24 10:29:58',NULL,'[]'),(26,'DUMMY',23,'0023',23,NULL,21700.0000,21700.0000,10.6000,24000.0000,24000.0000,'2023-05-20 11:09:04','2023-05-24 10:05:34',NULL,'[]'),(29,'DUMMY',26,'0026',26,NULL,42372.8800,42372.8800,77.0000,75000.0000,75000.0000,'2023-05-20 11:40:40','2023-05-24 10:24:00',NULL,'[]'),(31,'DUMMY',28,'0028',28,NULL,17372.8800,17372.8800,61.1700,28000.0000,28000.0000,'2023-05-20 11:49:53','2023-05-24 10:07:10',NULL,'[]'),(32,'DUMMY',29,'0029',29,NULL,22881.3600,22881.3600,52.9600,35000.0000,35000.0000,'2023-05-20 11:52:04','2023-05-24 10:08:01',NULL,'[]'),(33,'DUMMY',30,'0030',30,NULL,2966.1000,2966.1000,34.8600,4000.0000,4000.0000,'2023-05-20 11:53:44','2023-05-24 10:28:00',NULL,'[]'),(35,'DUMMY',32,'0032',32,NULL,25423.7300,25423.7300,18.0000,30000.0000,30000.0000,'2023-05-20 12:06:54','2023-05-24 10:01:45',NULL,'[]'),(36,'DUMMY',33,'0033',33,NULL,3983.0500,3983.0500,25.5300,5000.0000,5000.0000,'2023-05-20 12:08:33','2023-05-24 10:01:17',NULL,'[]'),(37,'DUMMY',34,'0034',34,NULL,49000.0000,49000.0000,42.8600,70000.0000,70000.0000,'2023-05-22 15:47:00','2023-05-24 10:23:08',NULL,'[]'),(39,'100',36,'0036-1',36,29,25000.0000,25000.0000,84.0000,46000.0000,46000.0000,'2023-05-22 16:09:46','2023-06-09 08:19:30',NULL,NULL),(40,'120',36,'0036-2',36,30,25000.0000,25000.0000,84.0000,46000.0000,46000.0000,'2023-05-22 16:09:46','2023-06-09 08:19:30',NULL,NULL),(41,'150',36,'0036-3',36,31,25000.0000,25000.0000,84.0000,46000.0000,46000.0000,'2023-05-22 16:09:46','2023-06-09 08:19:30',NULL,NULL),(42,'180',36,'0036-4',36,32,25000.0000,25000.0000,84.0000,46000.0000,46000.0000,'2023-05-22 16:09:46','2023-06-09 08:19:30',NULL,NULL),(43,'60',36,'0036-5',36,33,28000.0000,28000.0000,84.0000,51520.0000,51520.0000,'2023-05-22 16:09:46','2023-06-09 08:19:30',NULL,NULL),(44,'80',36,'0036-6',36,34,28000.0000,28000.0000,84.0000,51520.0000,51520.0000,'2023-05-22 16:09:46','2023-06-09 08:19:30',NULL,NULL),(45,'INCH 1 3mm',37,'0037-1',37,10,15800.0000,15800.0000,26.5800,20000.0000,20000.0000,'2023-05-22 16:37:01','2023-05-24 09:41:26',NULL,NULL),(46,'INCH 1 4mm',37,'0037-2',37,11,20000.0000,20000.0000,40.0000,28000.0000,28000.0000,'2023-05-22 16:37:01','2023-05-24 09:41:26',NULL,NULL),(47,'INCH 1 6mm',37,'0037-3',37,12,31000.0000,31000.0000,12.9000,35000.0000,35000.0000,'2023-05-22 16:37:01','2023-05-24 09:41:26',NULL,NULL),(48,'INCH 1,1/2 3mm',37,'0037-4',37,13,33500.0000,33500.0000,13.4300,38000.0000,38000.0000,'2023-05-22 16:37:01','2023-05-24 09:41:26',NULL,NULL),(49,'INCH 1,1/2 4mm',37,'0037-5',37,14,49500.0000,49500.0000,11.1100,55000.0000,55000.0000,'2023-05-22 16:37:01','2023-05-24 09:41:26',NULL,NULL),(50,'INCH 1,1/2 6mm',37,'0037-6',37,15,34000.0000,34000.0000,17.6500,40000.0000,40000.0000,'2023-05-22 16:37:01','2023-05-24 09:41:26',NULL,NULL),(51,'INCH 2 3mm',37,'0037-7',37,16,42500.0000,42500.0000,29.4100,55000.0000,55000.0000,'2023-05-22 16:37:01','2023-05-24 09:41:26',NULL,NULL),(52,'INCH 2 4mm',37,'0037-8',37,17,61500.0000,61500.0000,5.6900,65000.0000,65000.0000,'2023-05-22 16:37:01','2023-05-24 09:41:26',NULL,NULL),(53,'INCH 2 6mm',37,'0037-9',37,18,27000.0000,27000.0000,29.6300,35000.0000,35000.0000,'2023-05-22 16:37:01','2023-05-24 09:41:26',NULL,NULL),(54,'BLP 1/2 DN 15',38,'0038-1',38,35,14500.0000,14500.0000,17.2400,17000.0000,17000.0000,'2023-05-22 16:47:36','2023-05-24 09:44:41',NULL,NULL),(55,'BLP 3/4 DN 20',38,'0038-2',38,36,18250.0000,18250.0000,20.5500,22000.0000,22000.0000,'2023-05-22 16:47:36','2023-05-24 09:44:41',NULL,NULL),(56,'BLP 1 DN',38,'0038-3',38,37,21900.0000,21900.0000,14.1600,25000.0000,25000.0000,'2023-05-22 16:47:36','2023-05-24 09:44:41',NULL,NULL),(57,'DUMMY',39,'0039',39,NULL,40677.9700,40677.9700,72.0800,70000.0000,70000.0000,'2023-05-22 16:53:26','2023-05-24 09:56:39',NULL,'[]'),(58,'WHITE',40,'0040-1',40,6,26000.0000,26000.0000,15.3800,30000.0000,30000.0000,'2023-05-22 17:14:26','2023-05-26 13:44:53',NULL,NULL),(59,'CREAM',40,'0040-2',40,41,26000.0000,26000.0000,15.3800,30000.0000,30000.0000,'2023-05-22 17:14:26','2023-05-26 13:44:53',NULL,NULL),(60,'BROKEN WHITE',40,'0040-3',40,42,26000.0000,26000.0000,15.3800,30000.0000,30000.0000,'2023-05-22 17:14:26','2023-05-26 13:44:53',NULL,NULL),(61,'STRAWBERRY',40,'0040-4',40,43,26000.0000,26000.0000,15.3800,30000.0000,30000.0000,'2023-05-22 17:14:26','2023-05-26 13:44:53',NULL,NULL),(62,'PINK',40,'0040-5',40,44,26000.0000,26000.0000,15.3800,30000.0000,30000.0000,'2023-05-22 17:14:26','2023-05-26 13:44:53',NULL,NULL),(63,'LIGHT BLUE',40,'0040-6',40,45,26000.0000,26000.0000,15.3800,30000.0000,30000.0000,'2023-05-22 17:14:26','2023-05-26 13:44:53',NULL,NULL),(64,'18 JK Marigold',41,'0041-1',41,53,1650.0000,1650.0000,51.5200,2500.0000,2500.0000,'2023-05-22 17:21:41','2023-05-24 10:08:38',NULL,NULL),(65,'24 JK Marigold',41,'0041-2',41,54,1650.0000,1650.0000,81.8200,3000.0000,3000.0000,'2023-05-22 17:21:41','2023-05-24 10:08:38',NULL,NULL),(66,'12',42,'0042-1',42,55,38135.5300,38135.5300,23.2400,47000.0000,47000.0000,'2023-05-22 17:28:36','2023-05-24 10:21:38',NULL,NULL),(67,'18',42,'0042-2',42,56,42372.8800,42372.8800,18.0000,50000.0000,50000.0000,'2023-05-22 17:28:36','2023-05-24 10:21:38',NULL,NULL),(70,'5',44,'0044-1',44,9,2225.6000,2225.6000,124.6585,5000.0000,5000.0000,'2023-05-22 17:39:39','2023-05-26 14:24:32',NULL,NULL),(71,'7.5',44,'0044-2',44,57,4400.0000,4400.0000,81.8200,8000.0000,8000.0000,'2023-05-22 17:39:39','2023-05-24 10:25:18',NULL,NULL),(72,'BLACK',45,'0045-1',45,49,22300.0000,22300.0000,7.6200,24000.0000,24000.0000,'2023-05-22 17:42:43','2023-05-26 13:46:13',NULL,NULL),(73,'GREY',45,'0045-2',45,50,22300.0000,22300.0000,7.6200,24000.0000,24000.0000,'2023-05-22 17:42:43','2023-05-26 13:46:13',NULL,NULL),(74,'WHITE',45,'0045-3',45,51,22300.0000,22300.0000,7.6200,24000.0000,24000.0000,'2023-05-22 17:42:43','2023-05-26 13:46:13',NULL,NULL),(75,'BROWN',45,'0045-4',45,52,22300.0000,22300.0000,7.6200,24000.0000,24000.0000,'2023-05-22 17:42:43','2023-05-26 13:46:13',NULL,NULL),(76,'OLD GORD',46,'0046-1',46,46,159300.0000,159300.0000,12.9900,180000.0000,180000.0000,'2023-05-22 17:46:14','2023-05-26 13:40:05',NULL,NULL),(77,'SINAMON',46,'0046-2',46,47,159300.0000,159300.0000,12.9900,180000.0000,180000.0000,'2023-05-22 17:46:14','2023-05-26 13:40:05',NULL,NULL),(78,'HARBEST',46,'0046-3',46,48,159300.0000,159300.0000,12.9900,180000.0000,180000.0000,'2023-05-22 17:46:14','2023-05-26 13:40:05',NULL,NULL),(79,'BROWN',46,'0046-4',46,52,159300.0000,159300.0000,12.9900,180000.0000,180000.0000,'2023-05-22 17:46:14','2023-05-26 13:40:05',NULL,NULL),(80,'DUMMY',47,'0047',47,NULL,15000.0000,15000.0000,60.0000,24000.0000,24000.0000,'2023-05-23 07:07:49','2023-05-24 10:42:06',NULL,'[]'),(81,'2.5',48,'0048-1',48,58,2000.0000,2000.0000,25.0000,2500.0000,2500.0000,'2023-05-23 07:13:46','2023-05-24 10:28:37',NULL,NULL),(82,'3',48,'0048-2',48,59,2966.1000,2966.1000,34.8600,4000.0000,4000.0000,'2023-05-23 07:13:46','2023-05-24 10:28:37',NULL,NULL),(83,'4',48,'0048-3',48,60,4000.0000,4000.0000,25.0000,5000.0000,5000.0000,'2023-05-23 07:13:46','2023-05-24 10:28:37',NULL,NULL),(84,'2',49,'0049-1',49,61,1500.0000,1500.0000,33.3300,2000.0000,2000.0000,'2023-05-23 07:18:09','2023-05-24 10:29:23',NULL,NULL),(85,'4',49,'0049-2',49,62,2000.0000,2000.0000,50.0000,3000.0000,3000.0000,'2023-05-23 07:18:09','2023-05-24 10:29:23',NULL,NULL),(86,'9',49,'0049-3',49,63,3000.0000,3000.0000,16.6700,3500.0000,3500.0000,'2023-05-23 07:18:09','2023-05-24 10:29:23',NULL,NULL),(87,'DUMMY',50,'0050',50,NULL,45000.0000,45000.0000,77.7800,80000.0000,80000.0000,'2023-05-23 07:19:53','2023-05-24 12:35:37',NULL,'[]'),(88,'1,1/2',51,'0051-1',51,64,125000.0000,125000.0000,80.0000,225000.0000,225000.0000,'2023-05-23 07:23:51','2023-05-24 10:26:36',NULL,NULL),(89,'2',51,'0051-2',51,65,125000.0000,125000.0000,8.0000,135000.0000,135000.0000,'2023-05-23 07:23:51','2023-05-24 10:26:36',NULL,NULL),(90,'3',51,'0051-3',51,66,125000.0000,125000.0000,8.0000,135000.0000,135000.0000,'2023-05-23 07:23:51','2023-05-24 10:26:36',NULL,NULL),(91,'4',51,'0051-4',51,67,125000.0000,125000.0000,8.0000,135000.0000,135000.0000,'2023-05-23 07:23:51','2023-05-24 10:26:36',NULL,NULL),(92,'2',52,'0052-1',52,68,72000.0000,72000.0000,50.0000,108000.0000,108000.0000,'2023-05-23 07:27:15','2023-05-24 10:22:20',NULL,NULL),(93,'1',52,'0052-2',52,69,72000.0000,72000.0000,21.5300,87500.0000,87500.0000,'2023-05-23 07:27:15','2023-05-24 10:22:20',NULL,NULL),(94,'DUMMY',53,'0053',53,NULL,162500.0000,162500.0000,7.6900,175000.0000,175000.0000,'2023-05-23 07:28:23','2023-05-24 10:03:52',NULL,'[]'),(95,'DUMMY',54,'0054',54,NULL,2500.0000,2500.0000,20.0000,3000.0000,3000.0000,'2023-05-23 07:29:36','2023-05-24 10:39:48',NULL,'[]'),(96,'DUMMY',55,'0055',55,NULL,4000.0000,4000.0000,50.0000,6000.0000,6000.0000,'2023-05-23 07:30:38','2023-05-24 10:37:42',NULL,'[]'),(97,'DUMMY',56,'0056',56,NULL,70000.0000,70000.0000,42.8600,100000.0000,100000.0000,'2023-05-23 07:31:57','2023-05-24 09:57:34',NULL,'[]'),(98,'SHS 3/4',57,'0057-1',57,70,6400.0000,6400.0000,9.3800,7000.0000,7000.0000,'2023-05-23 07:45:04','2023-05-26 14:18:11',NULL,NULL),(99,'SHS 1',57,'0057-2',57,71,7700.0000,7700.0000,3.9000,8000.0000,8000.0000,'2023-05-23 07:45:04','2023-05-26 14:18:11',NULL,NULL),(100,'SHS 1,1/4',57,'0057-3',57,72,10400.0000,10400.0000,10.5800,11500.0000,11500.0000,'2023-05-23 07:45:04','2023-05-26 14:18:11',NULL,NULL),(101,'SHS 1, 1/2',57,'0057-4',57,73,11200.0000,11200.0000,21.4300,13600.0000,13600.0000,'2023-05-23 07:45:04','2023-05-26 14:18:11',NULL,NULL),(102,'SHS 2,1/2',57,'0057-5',57,74,15300.0000,15300.0000,50.3300,23000.0000,23000.0000,'2023-05-23 07:45:04','2023-05-26 14:18:11',NULL,NULL),(103,'2',57,'0057-6',57,75,20300.0000,20300.0000,62.5600,33000.0000,33000.0000,'2023-05-23 07:45:04','2023-05-26 14:18:11',NULL,NULL),(104,'DUMMY',58,'0058',58,NULL,17000.0000,17000.0000,17.6500,20000.0000,20000.0000,'2023-05-23 07:49:48','2023-05-24 12:34:04',NULL,'[]'),(107,'DUMMY',60,'0060',61,NULL,500.0000,500.0000,25.0000,625.0000,625.0000,'2023-07-05 07:14:19','2023-07-05 07:15:55',NULL,'[]'),(175,'DUMMY',128,'0128',129,NULL,0.0000,0.0000,0.0000,30000.0000,30000.0000,'2023-07-06 10:41:03','2023-07-14 08:00:25',NULL,'[]'),(314,'DUMMY',267,'0267',268,NULL,26186.4400,30899.9900,25.0000,36000.0000,36000.0000,'2023-07-21 09:39:33','2023-07-24 08:34:04',NULL,'[]'),(315,'DUMMY',268,'0268',269,NULL,34661.0400,40900.0200,25.0000,44500.0000,44500.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(316,'DUMMY',269,'0269',270,NULL,35593.2400,42000.0200,25.0000,46000.0000,46000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(317,'DUMMY',270,'0270',271,NULL,37288.1600,44000.0300,25.0000,48000.0000,48000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(318,'DUMMY',271,'0271',272,NULL,11864.4000,13999.9900,25.0000,16000.0000,16000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(319,'DUMMY',272,'0272',273,NULL,37457.6000,44199.9700,25.0000,51000.0000,51000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(320,'DUMMY',273,'0273',274,NULL,5296.6100,6249.9900,25.0000,10000.0000,10000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(321,'DUMMY',274,'0274',275,NULL,7500.0000,8850.0000,25.0000,10000.0000,10000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(322,'DUMMY',275,'0275',276,NULL,660.3100,779.1700,25.0000,8500.0000,8500.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(323,'DUMMY',276,'0276',277,NULL,6101.6900,7199.9900,25.0000,15000.0000,15000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(324,'DUMMY',277,'0277',278,NULL,9915.2600,11700.0000,25.0000,13000.0000,13000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(325,'DUMMY',278,'0278',279,NULL,11101.7000,13100.0000,25.0000,15000.0000,15000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(326,'DUMMY',279,'0279',280,NULL,5635.5900,6649.9900,25.0000,7500.0000,7500.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(327,'DUMMY',280,'0280',281,NULL,5000.0000,5900.0000,25.0000,6250.0000,6250.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(328,'DUMMY',281,'0281',282,NULL,82203.4000,97000.0100,25.0000,105000.0000,105000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(329,'DUMMY',282,'0282',283,NULL,22881.3500,26999.9900,25.0000,45000.0000,45000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(330,'DUMMY',283,'0283',284,NULL,8305.0800,9799.9900,25.0000,12000.0000,12000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(331,'DUMMY',284,'0284',285,NULL,150000.0000,177000.0000,25.0000,185000.0000,185000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(332,'DUMMY',285,'0285',286,NULL,40677.9500,47999.9800,25.0000,55000.0000,55000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(333,'DUMMY',286,'0286',287,NULL,151694.8000,178999.8600,25.0000,190000.0000,190000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(334,'DUMMY',287,'0287',288,NULL,8813.5600,10400.0000,25.0000,12000.0000,12000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(335,'DUMMY',288,'0288',289,NULL,40678.0000,48000.0000,25.0000,55000.0000,55000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(336,'DUMMY',289,'0289',290,NULL,193220.4000,228000.0000,25.0000,250000.0000,250000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(337,'DUMMY',290,'0290',291,NULL,184745.8000,218000.0000,25.0000,250000.0000,250000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(338,'DUMMY',291,'0291',292,NULL,38644.0800,45600.0000,25.0000,52000.0000,52000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(339,'DUMMY',292,'0292',293,NULL,9915.2500,11700.0000,25.0000,13000.0000,13000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(340,'DUMMY',293,'0293',294,NULL,165677.8000,195499.8000,25.0000,216000.0000,216000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(341,'DUMMY',294,'0294',295,NULL,34745.7600,41000.0000,25.0000,45000.0000,45000.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(342,'DUMMY',295,'0295',296,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(343,'DUMMY',296,'0296',297,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(344,'DUMMY',297,'0297',298,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:39:34','2023-07-21 09:39:34',NULL,'[]'),(345,'DUMMY',298,'0298',299,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(346,'DUMMY',299,'0299',300,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(347,'DUMMY',300,'0300',301,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(348,'DUMMY',301,'0301',302,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(349,'DUMMY',302,'0302',303,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(350,'DUMMY',303,'0303',304,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(351,'DUMMY',304,'0304',305,NULL,0.0000,0.0000,0.0000,5000.0000,5000.0000,'2023-07-21 09:47:55','2023-07-24 09:07:12',NULL,'[]'),(352,'DUMMY',305,'0305',306,NULL,0.0000,0.0000,0.0000,10000.0000,10000.0000,'2023-07-21 09:47:55','2023-07-24 09:08:16',NULL,'[]'),(353,'DUMMY',306,'0306',307,NULL,0.0000,0.0000,0.0000,12500.0000,12500.0000,'2023-07-21 09:47:55','2023-07-24 09:08:43',NULL,'[]'),(354,'DUMMY',307,'0307',308,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(355,'DUMMY',308,'0308',309,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(356,'DUMMY',309,'0309',310,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(357,'DUMMY',310,'0310',311,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(358,'DUMMY',311,'0311',312,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(359,'DUMMY',312,'0312',313,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(360,'DUMMY',313,'0313',314,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(361,'DUMMY',314,'0314',315,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(362,'DUMMY',315,'0315',316,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(363,'DUMMY',316,'0316',317,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(364,'DUMMY',317,'0317',318,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(365,'DUMMY',318,'0318',319,NULL,0.0000,0.0000,0.0000,5000.0000,5000.0000,'2023-07-21 09:47:55','2023-07-24 09:13:51',NULL,'[]'),(366,'DUMMY',319,'0319',320,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(367,'DUMMY',320,'0320',321,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(368,'DUMMY',321,'0321',322,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(369,'DUMMY',322,'0322',323,NULL,0.0000,0.0000,0.0000,5000.0000,5000.0000,'2023-07-21 09:47:55','2023-07-24 09:14:33',NULL,'[]'),(370,'DUMMY',323,'0323',324,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(371,'DUMMY',324,'0324',325,NULL,0.0000,0.0000,0.0000,50000.0000,50000.0000,'2023-07-21 09:47:55','2023-07-24 09:09:37',NULL,'[]'),(372,'DUMMY',325,'0325',326,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(373,'DUMMY',326,'0326',327,NULL,0.0000,0.0000,0.0000,15000.0000,15000.0000,'2023-07-21 09:47:55','2023-07-24 09:09:10',NULL,'[]'),(374,'DUMMY',327,'0327',328,NULL,0.0000,0.0000,0.0000,20000.0000,20000.0000,'2023-07-21 09:47:55','2023-07-24 09:10:14',NULL,'[]'),(375,'DUMMY',328,'0328',329,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(376,'DUMMY',329,'0329',330,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(377,'DUMMY',330,'0330',331,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(378,'DUMMY',331,'0331',332,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(379,'DUMMY',332,'0332',333,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(380,'DUMMY',333,'0333',334,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(381,'DUMMY',334,'0334',335,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(382,'DUMMY',335,'0335',336,NULL,0.0000,0.0000,0.0000,10000.0000,10000.0000,'2023-07-21 09:47:55','2023-07-26 09:28:31',NULL,'[]'),(383,'DUMMY',336,'0336',337,NULL,0.0000,0.0000,0.0000,15000.0000,15000.0000,'2023-07-21 09:47:55','2023-07-24 09:13:19',NULL,'[]'),(384,'DUMMY',337,'0337',338,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(385,'DUMMY',338,'0338',339,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(386,'DUMMY',339,'0339',340,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(387,'DUMMY',340,'0340',341,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(388,'DUMMY',341,'0341',342,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(389,'DUMMY',342,'0342',343,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(390,'DUMMY',343,'0343',344,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(391,'DUMMY',344,'0344',345,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(392,'DUMMY',345,'0345',346,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(393,'DUMMY',346,'0346',347,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(394,'DUMMY',347,'0347',348,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(395,'DUMMY',348,'0348',349,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(396,'DUMMY',349,'0349',350,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(397,'DUMMY',350,'0350',351,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(398,'DUMMY',351,'0351',352,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(399,'DUMMY',352,'0352',353,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(400,'DUMMY',353,'0353',354,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(401,'DUMMY',354,'0354',355,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(402,'DUMMY',355,'0355',356,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(403,'DUMMY',356,'0356',357,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(404,'DUMMY',357,'0357',358,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(405,'DUMMY',358,'0358',359,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(406,'DUMMY',359,'0359',360,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(407,'DUMMY',360,'0360',361,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(408,'DUMMY',361,'0361',362,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(409,'DUMMY',362,'0362',363,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(410,'DUMMY',363,'0363',364,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(411,'DUMMY',364,'0364',365,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(412,'DUMMY',365,'0365',366,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(413,'DUMMY',366,'0366',367,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(414,'DUMMY',367,'0367',368,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(415,'DUMMY',368,'0368',369,NULL,0.0000,0.0000,25.0000,0.0000,0.0000,'2023-07-21 09:47:55','2023-07-21 09:47:55',NULL,'[]'),(416,'DUMMY',369,'0369',370,NULL,0.0000,0.0000,0.0000,15000.0000,15000.0000,'2023-07-26 09:29:54','2023-07-26 09:29:54',NULL,'[]');
/*!40000 ALTER TABLE `variations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `warranties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `warranties` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `duration` int NOT NULL,
  `duration_type` enum('days','months','years') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `warranties_business_id_index` (`business_id`),
  KEY `warranties_duration_type_index` (`duration_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `warranties` WRITE;
/*!40000 ALTER TABLE `warranties` DISABLE KEYS */;
/*!40000 ALTER TABLE `warranties` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

